Docs = {"data":{"localStorageDb":"touch-2","examples":[{"title":"Application Examples","items":[{"title":"Kitchen Sink","url":"../examples/kitchensink/index.html","device":"tablet","name":"kitchen-sink","icon":"../examples/kitchensink/resources/icons/icon@72.png","status":"updated","description":"Compact overview of many Sencha Touch components with both a phone and tablet view."},{"title":"The Watch List","url":"http://www.watchlistapp.com/app.html","name":"http://www.watchlistapp.com/app.html","device":"tablet","icon":"../examples/watchlist/icon_72.png","description":"A Facebook example with Phone and Tablet views backed by Node.js and MongoDB.","status":"new"},{"title":"Jog With Friends","url":"http://ju.mp/senchajwf","device":"phone","name":"jog-with-friends","icon":"../examples/jog-with-friends/resources/images/icon-72.png","status":"new","description":"A Facebook / Node.js example which allows you to share when you jog with friends."},{"title":"Touch Tweets","url":"../examples/touchtweets/index.html","device":"tablet","name":"twitter","icon":"../examples/touchtweets/resources/icons/icon-72.png","status":"updated","description":"A Sencha Touch client which allows you to search Twitter."},{"title":"Kiva","url":"../examples/kiva/index.html","device":"tablet","name":"kiva","icon":"../examples/kiva/resources/icons/icon.png","status":"updated","description":"A mobile interface for Kiva.org."},{"title":"GeoCongress","url":"../examples/geocongress/index.html","device":"phone","name":"geocongress","icon":"../examples/geocongress/resources/icons/icon.png","orientation":"portrait","status":"updated","description":"Find information on your local Legislators"},{"title":"O'Reilly","url":"../examples/oreilly/index.html","device":"phone","name":"oreilly","icon":"../examples/oreilly/resources/icons/icon@72.png","orientation":"portrait","description":"Sample conference application with a connection to remote backend data.","status":"updated"},{"title":"TouchStyle","url":"../examples/touchstyle/index.html","name":"touchstyle/index.html","device":"phone","icon":"../examples/touchstyle/resources/icons/icon-72.png","orientation":"portrait","description":"Example of dynamic carousel and device profiles","status":"new"}]},{"title":"Component Examples","items":[{"title":"Audio","url":"../examples/audio/index.html","device":"phone","name":"audio","icon":"../examples/audio/resources/icons/icon@72.png","description":"Audio playback on mobile devices."},{"title":"Carousel","url":"../examples/carousel/index.html","device":"tablet","name":"carousel","icon":"../examples/carousel/resources/icons/icon@72.png","description":"A component which allows you to swipe through pages."},{"title":"Forms","url":"../examples/forms/index.html","device":"phone","name":"forms","icon":"../examples/forms/resources/icons/icon@72.png","description":"A demo of some of the available form fields."},{"title":"Forms (Toolbars)","url":"../examples/forms_toolbar/index.html","device":"phone","name":"forms-toolbars","icon":"../examples/forms_toolbar/resources/icons/icon@72.png","description":"A demo of fields within toolbars."},{"title":"Icons","url":"../examples/icons/index.html","device":"tablet","name":"icons","icon":"../examples/icons/resources/icons/icon@72.png","description":"Built-in icons for toolbars and tabbars."},{"title":"List","url":"../examples/list/index.html","device":"phone","name":"list","icon":"../examples/list/resources/icons/icon@72.png","description":"Demo of the list component."},{"title":"Search List","url":"../examples/list-search/index.html","device":"phone","name":"search-list","icon":"../examples/list-search/resources/icons/icon@72.png","description":"Demo of a searchable list component."},{"title":"Maps","url":"../examples/map/index.html","device":"phone","name":"maps","icon":"../examples/map/resources/icons/icon@72.png","description":"A simple demo of the Google Maps component."},{"title":"Nested List","url":"../examples/nestedlist/index.html","device":"phone","name":"nested-list","icon":"../examples/nestedlist/resources/icons/icon@72.png","description":"A miller column interface allowing you to display tree-based data."},{"title":"Navigation View","url":"../examples/navigationview/index.html","device":"phone","name":"navigation-view","icon":"../examples/navigationview/resources/icons/icon@72.png","description":"A stack based component which allows you to navigate through views."},{"title":"Overlays","url":"../examples/overlays/index.html","device":"tablet","name":"overlays","icon":"../examples/overlays/resources/icons/icon@72.png","description":"Examples of overlay windows."},{"title":"Pickers","url":"../examples/picker/index.html","device":"phone","name":"pickers","icon":"../examples/picker/resources/icons/icon@72.png","description":"An example of the Date Picker component"},{"title":"Tabs","url":"../examples/tabs/index.html","device":"phone","name":"tabs","icon":"../examples/tabs/resources/icons/icon@72.png","description":"The simplest tabbar."},{"title":"Tabs (Bottom)","url":"../examples/tabs2/index.html","device":"tablet","name":"tabs-bottom","icon":"../examples/tabs2/resources/icons/icon@72.png","description":"A demo of a bottom tabbar."},{"title":"Toolbars","url":"../examples/toolbars/index.html","device":"tablet","name":"toolbars","icon":"../examples/toolbars/resources/icons/icon@72.png","description":"Overview of all kinds of different buttons."},{"title":"Video","url":"../examples/video/index.html","device":"phone","name":"video","icon":"../examples/video/resources/icons/icon@72.png","description":"Video playback on mobile devices."}]},{"title":"Utility Examples","items":[{"title":"AJAX","url":"../examples/ajax/index.html","device":"phone","name":"ajax","icon":"../examples/ajax/resources/icons/icon@72.png","description":"Loading data through JSONP and XMLHttpRequest."},{"title":"YQL","url":"../examples/yql/index.html","device":"phone","name":"yql","icon":"../examples/yql/resources/icons/icon@72.png","description":"Yahoo! Query Language example."}]},{"title":"Plugins","items":[{"title":"Pull to Refresh & Load More","url":"../examples/pullrefresh/index.html","device":"phone","name":"pull-to-refresh-and-load-more","icon":"../examples/pullrefresh/resources/icons/icon@72.png","description":"A demo of the Pull to Refresh and Load More plugins."}]}],"guides":[{"title":"Overview","items":[{"title":"Getting Started with Touch 2","name":"getting_started","description":"A short introduction to what Sencha Touch is and how to use it for your first app"},{"title":"What's new in Touch 2.0","name":"whats_new","description":"Everything that changed since 1.x, including performance upgrades, API improvements, MVC, DataView and class system improvements"},{"title":"Migrating from 1.x","name":"upgrade_1_to_2","description":"Guides you through the process of migrating your application from Sencha Touch 1"},{"title":"Using and Creating Builds","name":"building","description":"Explains the Sencha Touch builds available out of the box, and how to create your own"},{"title":"Sencha Command","name":"command","description":"How to generate applications and automate the deployment and packaging process with Sencha Command"}]},{"title":"Writing Applications","items":[{"title":"Building your First App","name":"first_app","description":"How to build your first app in 15 minutes flat. Includes a simple HTML page, a contact form and a blog feed"},{"title":"All about Applications","name":"apps_intro","description":"Introduces the core concepts about writing applications in Sencha Touch 2 - introduces MVC, routing, device profiles and more"},{"title":"Controllers","name":"controllers","description":"Introduces all of the core concepts around Controllers, including refs, control and routes"},{"title":"Views","name":"views","description":"Describes what is meant by a View in Sencha Touch 2 and how to use them in your apps"},{"title":"Device Profiles","name":"profiles","description":"Device Profiles enable you to easily write universal apps that can present customized UIs on phones and tablets"},{"title":"History Support","name":"history_support","description":"Sencha Touch 2 has full history support and a powerful routing system"},{"title":"Dependencies and MVC","name":"mvc_dependencies","description":"There are several options when it comes to declaring app dependencies. This guide shows you what's possible."}]},{"title":"Concepts","items":[{"title":"Components","name":"components","description":"All of the Components in Sencha Touch follow the same pattern and API conventions - this guide teaches you all about it"},{"title":"Layouts","name":"layouts","description":"Sencha Touch employs a powerful layout engine that makes it easy to size and position your components on screen"},{"title":"The Class System","name":"class_system","description":"Tells you all you need to know about the Sencha Touch class. We suggest you read this before you start your first app"},{"title":"Events","name":"events","description":"Most classes and components in Sencha Touch 2 fire useful events that you can respond to. Here we take a look at how they work."},{"title":"Floating Components","name":"floating_components","description":"A quick guide on how you can center and absolute position your components using Sencha Touch."},{"title":"Environment Detection","name":"environment_package","description":"Explains how you can use the environment package in Sencha Touch to detect information about the device that is running your application."},{"title":"Using AJAX","name":"ajax","description":"While Sencha Touch's data binding means you rarely have to interact with AJAX directly, we provide several options for making AJAX requests"},{"title":"Theming","name":"theming","description":"Customizing the interface of your Sencha Touch mobile app using CSS3 and Sass/SCSS."}]},{"title":"Components","items":[{"title":"Using Forms","name":"forms","description":"Introduces Form Panels and the fields that they can contain. Shows how to load data, submit to the server and more"},{"title":"Using DataView","name":"dataview","description":"DataViews are a great way to generate lots of components based on a Store. Great for lists, mailboxes, settings screens and more"},{"title":"Using Carousel","name":"carousel","description":"Carousels allow you to swipe between screens and work well on tablets and phone screens"},{"title":"Using List","name":"list","description":"Lists are great at showing lots of information, and pack loads of functionality in out of the box. Find out how to use them here"},{"title":"Using TabPanel","name":"tabs","description":"TabPanels are useful to swapping between different pages of an app, with either top or bottom tabs"},{"title":"Using Nested List","name":"nested_list","description":"Nested List provides a miller column interface to navigate between nested sets of data with a clean and easy to use interface"},{"title":"Using Navigation View","name":"navigation_view","description":"Navigation Views allow you to push items into a stack of views and provides built-in back button and animation support"}]},{"title":"Data","items":[{"title":"Data Package Overview","name":"data","description":"Introduces the Data Package as a whole, showing you how everything is connected. See the other data guides for more detail"},{"title":"Using Models","name":"models","description":"Introduces the concept of a Model, where they are used and how to configure fields, validations, associations and more"},{"title":"Using Stores","name":"stores","description":"Introduces the concept of Stores, which load data and underpin data-bound Components such as Lists and DataViews"},{"title":"Using Proxies","name":"proxies","description":"Introduces the concept of a Proxy, which is responsible for loading and saving data in your Models and Stores"}]},{"title":"Packaging","items":[{"title":"Native iOS Packaging","name":"native_packaging","description":"Native Packaging for iOS on Mac"},{"title":"Native iOS Provisioning","name":"native_provisioning","description":"Provisioning iOS devices"},{"title":"Native Android Packaging","name":"native_android","description":"Native Packaging for Android on Mac"},{"title":"Using Native APIs","name":"native_apis","description":"The Ext.device API exposes powerful native APIs like camera support, orientation awareness and native notifications"}]}],"search":[{"meta":{},"fullName":"Array","icon":"icon-class","sort":1,"url":"#!/api/Array","name":"Array"},{"meta":{},"fullName":"Array.length","icon":"icon-property","sort":3,"url":"#!/api/Array-property-length","name":"length"},{"meta":{},"fullName":"Array.constructor","icon":"icon-method","sort":3,"url":"#!/api/Array-method-constructor","name":"constructor"},{"meta":{},"fullName":"Array.concat","icon":"icon-method","sort":3,"url":"#!/api/Array-method-concat","name":"concat"},{"meta":{},"fullName":"Array.join","icon":"icon-method","sort":3,"url":"#!/api/Array-method-join","name":"join"},{"meta":{},"fullName":"Array.pop","icon":"icon-method","sort":3,"url":"#!/api/Array-method-pop","name":"pop"},{"meta":{},"fullName":"Array.push","icon":"icon-method","sort":3,"url":"#!/api/Array-method-push","name":"push"},{"meta":{},"fullName":"Array.reverse","icon":"icon-method","sort":3,"url":"#!/api/Array-method-reverse","name":"reverse"},{"meta":{},"fullName":"Array.shift","icon":"icon-method","sort":3,"url":"#!/api/Array-method-shift","name":"shift"},{"meta":{},"fullName":"Array.slice","icon":"icon-method","sort":3,"url":"#!/api/Array-method-slice","name":"slice"},{"meta":{},"fullName":"Array.sort","icon":"icon-method","sort":3,"url":"#!/api/Array-method-sort","name":"sort"},{"meta":{},"fullName":"Array.splice","icon":"icon-method","sort":3,"url":"#!/api/Array-method-splice","name":"splice"},{"meta":{},"fullName":"Array.toString","icon":"icon-method","sort":3,"url":"#!/api/Array-method-toString","name":"toString"},{"meta":{},"fullName":"Array.unshift","icon":"icon-method","sort":3,"url":"#!/api/Array-method-unshift","name":"unshift"},{"meta":{},"fullName":"Boolean","icon":"icon-class","sort":1,"url":"#!/api/Boolean","name":"Boolean"},{"meta":{},"fullName":"Boolean.constructor","icon":"icon-method","sort":3,"url":"#!/api/Boolean-method-constructor","name":"constructor"},{"meta":{},"fullName":"Boolean.toString","icon":"icon-method","sort":3,"url":"#!/api/Boolean-method-toString","name":"toString"},{"meta":{},"fullName":"Boolean.valueOf","icon":"icon-method","sort":3,"url":"#!/api/Boolean-method-valueOf","name":"valueOf"},{"meta":{},"fullName":"Date","icon":"icon-class","sort":1,"url":"#!/api/Date","name":"Date"},{"meta":{},"fullName":"Date.constructor","icon":"icon-method","sort":3,"url":"#!/api/Date-method-constructor","name":"constructor"},{"meta":{},"fullName":"Date.getDate","icon":"icon-method","sort":3,"url":"#!/api/Date-method-getDate","name":"getDate"},{"meta":{},"fullName":"Date.getDay","icon":"icon-method","sort":3,"url":"#!/api/Date-method-getDay","name":"getDay"},{"meta":{},"fullName":"Date.getFullYear","icon":"icon-method","sort":3,"url":"#!/api/Date-method-getFullYear","name":"getFullYear"},{"meta":{},"fullName":"Date.getHours","icon":"icon-method","sort":3,"url":"#!/api/Date-method-getHours","name":"getHours"},{"meta":{},"fullName":"Date.getMilliseconds","icon":"icon-method","sort":3,"url":"#!/api/Date-method-getMilliseconds","name":"getMilliseconds"},{"meta":{},"fullName":"Date.getMinutes","icon":"icon-method","sort":3,"url":"#!/api/Date-method-getMinutes","name":"getMinutes"},{"meta":{},"fullName":"Date.getMonth","icon":"icon-method","sort":3,"url":"#!/api/Date-method-getMonth","name":"getMonth"},{"meta":{},"fullName":"Date.getSeconds","icon":"icon-method","sort":3,"url":"#!/api/Date-method-getSeconds","name":"getSeconds"},{"meta":{},"fullName":"Date.getTime","icon":"icon-method","sort":3,"url":"#!/api/Date-method-getTime","name":"getTime"},{"meta":{},"fullName":"Date.getTimezoneOffset","icon":"icon-method","sort":3,"url":"#!/api/Date-method-getTimezoneOffset","name":"getTimezoneOffset"},{"meta":{},"fullName":"Date.getUTCDate","icon":"icon-method","sort":3,"url":"#!/api/Date-method-getUTCDate","name":"getUTCDate"},{"meta":{},"fullName":"Date.getUTCDay","icon":"icon-method","sort":3,"url":"#!/api/Date-method-getUTCDay","name":"getUTCDay"},{"meta":{},"fullName":"Date.getUTCFullYear","icon":"icon-method","sort":3,"url":"#!/api/Date-method-getUTCFullYear","name":"getUTCFullYear"},{"meta":{},"fullName":"Date.getUTCHours","icon":"icon-method","sort":3,"url":"#!/api/Date-method-getUTCHours","name":"getUTCHours"},{"meta":{},"fullName":"Date.getUTCMilliseconds","icon":"icon-method","sort":3,"url":"#!/api/Date-method-getUTCMilliseconds","name":"getUTCMilliseconds"},{"meta":{},"fullName":"Date.getUTCMinutes","icon":"icon-method","sort":3,"url":"#!/api/Date-method-getUTCMinutes","name":"getUTCMinutes"},{"meta":{},"fullName":"Date.getUTCMonth","icon":"icon-method","sort":3,"url":"#!/api/Date-method-getUTCMonth","name":"getUTCMonth"},{"meta":{},"fullName":"Date.getUTCSeconds","icon":"icon-method","sort":3,"url":"#!/api/Date-method-getUTCSeconds","name":"getUTCSeconds"},{"meta":{},"fullName":"Date.setDate","icon":"icon-method","sort":3,"url":"#!/api/Date-method-setDate","name":"setDate"},{"meta":{},"fullName":"Date.setFullYear","icon":"icon-method","sort":3,"url":"#!/api/Date-method-setFullYear","name":"setFullYear"},{"meta":{},"fullName":"Date.setHours","icon":"icon-method","sort":3,"url":"#!/api/Date-method-setHours","name":"setHours"},{"meta":{},"fullName":"Date.setMilliseconds","icon":"icon-method","sort":3,"url":"#!/api/Date-method-setMilliseconds","name":"setMilliseconds"},{"meta":{},"fullName":"Date.setMinutes","icon":"icon-method","sort":3,"url":"#!/api/Date-method-setMinutes","name":"setMinutes"},{"meta":{},"fullName":"Date.setMonth","icon":"icon-method","sort":3,"url":"#!/api/Date-method-setMonth","name":"setMonth"},{"meta":{},"fullName":"Date.setSeconds","icon":"icon-method","sort":3,"url":"#!/api/Date-method-setSeconds","name":"setSeconds"},{"meta":{},"fullName":"Date.setTime","icon":"icon-method","sort":3,"url":"#!/api/Date-method-setTime","name":"setTime"},{"meta":{},"fullName":"Date.setUTCDate","icon":"icon-method","sort":3,"url":"#!/api/Date-method-setUTCDate","name":"setUTCDate"},{"meta":{},"fullName":"Date.setUTCFullYear","icon":"icon-method","sort":3,"url":"#!/api/Date-method-setUTCFullYear","name":"setUTCFullYear"},{"meta":{},"fullName":"Date.setUTCHours","icon":"icon-method","sort":3,"url":"#!/api/Date-method-setUTCHours","name":"setUTCHours"},{"meta":{},"fullName":"Date.setUTCMilliseconds","icon":"icon-method","sort":3,"url":"#!/api/Date-method-setUTCMilliseconds","name":"setUTCMilliseconds"},{"meta":{},"fullName":"Date.setUTCMinutes","icon":"icon-method","sort":3,"url":"#!/api/Date-method-setUTCMinutes","name":"setUTCMinutes"},{"meta":{},"fullName":"Date.setUTCMonth","icon":"icon-method","sort":3,"url":"#!/api/Date-method-setUTCMonth","name":"setUTCMonth"},{"meta":{},"fullName":"Date.setUTCSeconds","icon":"icon-method","sort":3,"url":"#!/api/Date-method-setUTCSeconds","name":"setUTCSeconds"},{"meta":{},"fullName":"Date.toDateString","icon":"icon-method","sort":3,"url":"#!/api/Date-method-toDateString","name":"toDateString"},{"meta":{},"fullName":"Date.toLocaleDateString","icon":"icon-method","sort":3,"url":"#!/api/Date-method-toLocaleDateString","name":"toLocaleDateString"},{"meta":{},"fullName":"Date.toLocaleString","icon":"icon-method","sort":3,"url":"#!/api/Date-method-toLocaleString","name":"toLocaleString"},{"meta":{},"fullName":"Date.toLocaleTimeString","icon":"icon-method","sort":3,"url":"#!/api/Date-method-toLocaleTimeString","name":"toLocaleTimeString"},{"meta":{},"fullName":"Date.toString","icon":"icon-method","sort":3,"url":"#!/api/Date-method-toString","name":"toString"},{"meta":{},"fullName":"Date.toTimeString","icon":"icon-method","sort":3,"url":"#!/api/Date-method-toTimeString","name":"toTimeString"},{"meta":{},"fullName":"Date.toUTCString","icon":"icon-method","sort":3,"url":"#!/api/Date-method-toUTCString","name":"toUTCString"},{"meta":{},"fullName":"Date.valueOf","icon":"icon-method","sort":3,"url":"#!/api/Date-method-valueOf","name":"valueOf"},{"meta":{"static":true},"fullName":"Date.UTC","icon":"icon-method","sort":3,"url":"#!/api/Date-static-method-UTC","name":"UTC"},{"meta":{"static":true},"fullName":"Date.now","icon":"icon-method","sort":3,"url":"#!/api/Date-static-method-now","name":"now"},{"meta":{"static":true},"fullName":"Date.parse","icon":"icon-method","sort":3,"url":"#!/api/Date-static-method-parse","name":"parse"},{"meta":{},"fullName":"Function","icon":"icon-class","sort":1,"url":"#!/api/Function","name":"Function"},{"meta":{},"fullName":"Function.length","icon":"icon-property","sort":3,"url":"#!/api/Function-property-length","name":"length"},{"meta":{},"fullName":"Function.constructor","icon":"icon-method","sort":3,"url":"#!/api/Function-method-constructor","name":"constructor"},{"meta":{},"fullName":"Function.apply","icon":"icon-method","sort":3,"url":"#!/api/Function-method-apply","name":"apply"},{"meta":{},"fullName":"Function.call","icon":"icon-method","sort":3,"url":"#!/api/Function-method-call","name":"call"},{"meta":{},"fullName":"Function.toString","icon":"icon-method","sort":3,"url":"#!/api/Function-method-toString","name":"toString"},{"meta":{},"fullName":"Number","icon":"icon-class","sort":1,"url":"#!/api/Number","name":"Number"},{"meta":{},"fullName":"Number.NEGATIVE_INFINITY","icon":"icon-property","sort":3,"url":"#!/api/Number-property-NEGATIVE_INFINITY","name":"NEGATIVE_INFINITY"},{"meta":{},"fullName":"Number.POSITIVE_INFINITY","icon":"icon-property","sort":3,"url":"#!/api/Number-property-POSITIVE_INFINITY","name":"POSITIVE_INFINITY"},{"meta":{},"fullName":"Number.constructor","icon":"icon-method","sort":3,"url":"#!/api/Number-method-constructor","name":"constructor"},{"meta":{},"fullName":"Number.toExponential","icon":"icon-method","sort":3,"url":"#!/api/Number-method-toExponential","name":"toExponential"},{"meta":{},"fullName":"Number.toFixed","icon":"icon-method","sort":3,"url":"#!/api/Number-method-toFixed","name":"toFixed"},{"meta":{},"fullName":"Number.toLocaleString","icon":"icon-method","sort":3,"url":"#!/api/Number-method-toLocaleString","name":"toLocaleString"},{"meta":{},"fullName":"Number.toPrecision","icon":"icon-method","sort":3,"url":"#!/api/Number-method-toPrecision","name":"toPrecision"},{"meta":{},"fullName":"Number.toString","icon":"icon-method","sort":3,"url":"#!/api/Number-method-toString","name":"toString"},{"meta":{},"fullName":"Number.valueOf","icon":"icon-method","sort":3,"url":"#!/api/Number-method-valueOf","name":"valueOf"},{"meta":{"static":true},"fullName":"Number.MAX_VALUE","icon":"icon-property","sort":3,"url":"#!/api/Number-static-property-MAX_VALUE","name":"MAX_VALUE"},{"meta":{"static":true},"fullName":"Number.MIN_VALUE","icon":"icon-property","sort":3,"url":"#!/api/Number-static-property-MIN_VALUE","name":"MIN_VALUE"},{"meta":{"static":true},"fullName":"Number.NaN","icon":"icon-property","sort":3,"url":"#!/api/Number-static-property-NaN","name":"NaN"},{"meta":{},"fullName":"Object","icon":"icon-class","sort":1,"url":"#!/api/Object","name":"Object"},{"meta":{},"fullName":"Object.constructor","icon":"icon-property","sort":3,"url":"#!/api/Object-property-constructor","name":"constructor"},{"meta":{},"fullName":"Object.prototype","icon":"icon-property","sort":3,"url":"#!/api/Object-property-prototype","name":"prototype"},{"meta":{},"fullName":"Object.constructor","icon":"icon-method","sort":3,"url":"#!/api/Object-method-constructor","name":"constructor"},{"meta":{},"fullName":"Object.hasOwnProperty","icon":"icon-method","sort":3,"url":"#!/api/Object-method-hasOwnProperty","name":"hasOwnProperty"},{"meta":{},"fullName":"Object.isPrototypeOf","icon":"icon-method","sort":3,"url":"#!/api/Object-method-isPrototypeOf","name":"isPrototypeOf"},{"meta":{},"fullName":"Object.propertyIsEnumerable","icon":"icon-method","sort":3,"url":"#!/api/Object-method-propertyIsEnumerable","name":"propertyIsEnumerable"},{"meta":{},"fullName":"Object.toLocaleString","icon":"icon-method","sort":3,"url":"#!/api/Object-method-toLocaleString","name":"toLocaleString"},{"meta":{},"fullName":"Object.toString","icon":"icon-method","sort":3,"url":"#!/api/Object-method-toString","name":"toString"},{"meta":{},"fullName":"Object.valueOf","icon":"icon-method","sort":3,"url":"#!/api/Object-method-valueOf","name":"valueOf"},{"meta":{},"fullName":"RegExp","icon":"icon-class","sort":1,"url":"#!/api/RegExp","name":"RegExp"},{"meta":{},"fullName":"RegExp.global","icon":"icon-property","sort":3,"url":"#!/api/RegExp-property-global","name":"global"},{"meta":{},"fullName":"RegExp.ignoreCase","icon":"icon-property","sort":3,"url":"#!/api/RegExp-property-ignoreCase","name":"ignoreCase"},{"meta":{},"fullName":"RegExp.lastIndex","icon":"icon-property","sort":3,"url":"#!/api/RegExp-property-lastIndex","name":"lastIndex"},{"meta":{},"fullName":"RegExp.multiline","icon":"icon-property","sort":3,"url":"#!/api/RegExp-property-multiline","name":"multiline"},{"meta":{},"fullName":"RegExp.source","icon":"icon-property","sort":3,"url":"#!/api/RegExp-property-source","name":"source"},{"meta":{},"fullName":"RegExp.constructor","icon":"icon-method","sort":3,"url":"#!/api/RegExp-method-constructor","name":"constructor"},{"meta":{},"fullName":"RegExp.exec","icon":"icon-method","sort":3,"url":"#!/api/RegExp-method-exec","name":"exec"},{"meta":{},"fullName":"RegExp.test","icon":"icon-method","sort":3,"url":"#!/api/RegExp-method-test","name":"test"},{"meta":{},"fullName":"RegExp.toString","icon":"icon-method","sort":3,"url":"#!/api/RegExp-method-toString","name":"toString"},{"meta":{},"fullName":"String","icon":"icon-class","sort":1,"url":"#!/api/String","name":"String"},{"meta":{},"fullName":"String.length","icon":"icon-property","sort":3,"url":"#!/api/String-property-length","name":"length"},{"meta":{},"fullName":"String.constructor","icon":"icon-method","sort":3,"url":"#!/api/String-method-constructor","name":"constructor"},{"meta":{},"fullName":"String.charAt","icon":"icon-method","sort":3,"url":"#!/api/String-method-charAt","name":"charAt"},{"meta":{},"fullName":"String.charCodeAt","icon":"icon-method","sort":3,"url":"#!/api/String-method-charCodeAt","name":"charCodeAt"},{"meta":{},"fullName":"String.concat","icon":"icon-method","sort":3,"url":"#!/api/String-method-concat","name":"concat"},{"meta":{},"fullName":"String.fromCharCode","icon":"icon-method","sort":3,"url":"#!/api/String-method-fromCharCode","name":"fromCharCode"},{"meta":{},"fullName":"String.indexOf","icon":"icon-method","sort":3,"url":"#!/api/String-method-indexOf","name":"indexOf"},{"meta":{},"fullName":"String.lastIndexOf","icon":"icon-method","sort":3,"url":"#!/api/String-method-lastIndexOf","name":"lastIndexOf"},{"meta":{},"fullName":"String.localeCompare","icon":"icon-method","sort":3,"url":"#!/api/String-method-localeCompare","name":"localeCompare"},{"meta":{},"fullName":"String.match","icon":"icon-method","sort":3,"url":"#!/api/String-method-match","name":"match"},{"meta":{},"fullName":"String.replace","icon":"icon-method","sort":3,"url":"#!/api/String-method-replace","name":"replace"},{"meta":{},"fullName":"String.search","icon":"icon-method","sort":3,"url":"#!/api/String-method-search","name":"search"},{"meta":{},"fullName":"String.slice","icon":"icon-method","sort":3,"url":"#!/api/String-method-slice","name":"slice"},{"meta":{},"fullName":"String.split","icon":"icon-method","sort":3,"url":"#!/api/String-method-split","name":"split"},{"meta":{},"fullName":"String.substr","icon":"icon-method","sort":3,"url":"#!/api/String-method-substr","name":"substr"},{"meta":{},"fullName":"String.substring","icon":"icon-method","sort":3,"url":"#!/api/String-method-substring","name":"substring"},{"meta":{},"fullName":"String.toLocaleLowerCase","icon":"icon-method","sort":3,"url":"#!/api/String-method-toLocaleLowerCase","name":"toLocaleLowerCase"},{"meta":{},"fullName":"String.toLocaleUpperCase","icon":"icon-method","sort":3,"url":"#!/api/String-method-toLocaleUpperCase","name":"toLocaleUpperCase"},{"meta":{},"fullName":"String.toLowerCase","icon":"icon-method","sort":3,"url":"#!/api/String-method-toLowerCase","name":"toLowerCase"},{"meta":{},"fullName":"String.toString","icon":"icon-method","sort":3,"url":"#!/api/String-method-toString","name":"toString"},{"meta":{},"fullName":"String.toUpperCase","icon":"icon-method","sort":3,"url":"#!/api/String-method-toUpperCase","name":"toUpperCase"},{"meta":{},"fullName":"String.valueOf","icon":"icon-method","sort":3,"url":"#!/api/String-method-valueOf","name":"valueOf"},{"meta":{},"fullName":"Ext","icon":"icon-singleton","sort":1,"url":"#!/api/Ext","name":"Ext"},{"meta":{"private":true},"fullName":"Ext.Logger","icon":"icon-property","sort":3,"url":"#!/api/Ext-property-Logger","name":"Logger"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.SSL_SECURE_URL","icon":"icon-property","sort":3,"url":"#!/api/Ext-property-SSL_SECURE_URL","name":"SSL_SECURE_URL"},{"meta":{"private":true},"fullName":"Ext.defaultSetupConfig","icon":"icon-property","sort":3,"url":"#!/api/Ext-property-defaultSetupConfig","name":"defaultSetupConfig"},{"meta":{},"fullName":"Ext.emptyFn","icon":"icon-property","sort":3,"url":"#!/api/Ext-property-emptyFn","name":"emptyFn"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.enableGarbageCollector","icon":"icon-property","sort":3,"url":"#!/api/Ext-property-enableGarbageCollector","name":"enableGarbageCollector"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.enableListenerCollection","icon":"icon-property","sort":3,"url":"#!/api/Ext-property-enableListenerCollection","name":"enableListenerCollection"},{"meta":{},"fullName":"Ext.enumerables","icon":"icon-property","sort":3,"url":"#!/api/Ext-property-enumerables","name":"enumerables"},{"meta":{"private":true},"fullName":"Ext.globalEval","icon":"icon-property","sort":3,"url":"#!/api/Ext-property-globalEval","name":"globalEval"},{"meta":{"private":true},"fullName":"Ext.idSeed","icon":"icon-property","sort":3,"url":"#!/api/Ext-property-idSeed","name":"idSeed"},{"meta":{"private":true},"fullName":"Ext.isReady","icon":"icon-property","sort":3,"url":"#!/api/Ext-property-isReady","name":"isReady"},{"meta":{"removed":{"text":"Please use {@link Ext.env.Browser#isSecure} instead","version":"2.0.0"}},"fullName":"Ext.isSecure","icon":"icon-property","sort":3,"url":"#!/api/Ext-property-isSecure","name":"isSecure"},{"meta":{"private":true},"fullName":"Ext.isSetup","icon":"icon-property","sort":3,"url":"#!/api/Ext-property-isSetup","name":"isSetup"},{"meta":{"private":true},"fullName":"Ext.readyListeners","icon":"icon-property","sort":3,"url":"#!/api/Ext-property-readyListeners","name":"readyListeners"},{"meta":{"private":true},"fullName":"Ext.setupListeners","icon":"icon-property","sort":3,"url":"#!/api/Ext-property-setupListeners","name":"setupListeners"},{"meta":{},"fullName":"Ext.version","icon":"icon-property","sort":3,"url":"#!/api/Ext-property-version","name":"version"},{"meta":{},"fullName":"Ext.application","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-application","name":"application"},{"meta":{},"fullName":"Ext.apply","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-apply","name":"apply"},{"meta":{},"fullName":"Ext.applyIf","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-applyIf","name":"applyIf"},{"meta":{},"fullName":"Ext.bind","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-bind","name":"bind"},{"meta":{},"fullName":"Ext.callback","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-callback","name":"callback"},{"meta":{"deprecated":{"text":"Please use {@link Ext.Array#clean} instead","version":"4.0.0"}},"fullName":"Ext.clean","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-clean","name":"clean"},{"meta":{},"fullName":"Ext.clone","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-clone","name":"clone"},{"meta":{},"fullName":"Ext.copyTo","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-copyTo","name":"copyTo"},{"meta":{},"fullName":"Ext.create","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-create","name":"create"},{"meta":{},"fullName":"Ext.createByAlias","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-createByAlias","name":"createByAlias"},{"meta":{"deprecated":{"text":"2.0.0\nPlease use {@link Ext.Function#createInterceptor createInterceptor} instead"}},"fullName":"Ext.createInterceptor","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-createInterceptor","name":"createInterceptor"},{"meta":{"deprecated":{"text":"Please use {@link Ext#widget} instead.","version":"4.0.0"}},"fullName":"Ext.createWidget","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-createWidget","name":"createWidget"},{"meta":{},"fullName":"Ext.decode","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-decode","name":"decode"},{"meta":{},"fullName":"Ext.defer","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-defer","name":"defer"},{"meta":{},"fullName":"Ext.define","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-define","name":"define"},{"meta":{"private":true},"fullName":"Ext.deprecateClassMember","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-deprecateClassMember","name":"deprecateClassMember"},{"meta":{"private":true},"fullName":"Ext.deprecateClassMembers","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-deprecateClassMembers","name":"deprecateClassMembers"},{"meta":{"private":true},"fullName":"Ext.deprecateClassMethod","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-deprecateClassMethod","name":"deprecateClassMethod"},{"meta":{"private":true},"fullName":"Ext.deprecateMethod","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-deprecateMethod","name":"deprecateMethod"},{"meta":{"private":true},"fullName":"Ext.deprecateProperty","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-deprecateProperty","name":"deprecateProperty"},{"meta":{"private":true},"fullName":"Ext.deprecatePropertyValue","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-deprecatePropertyValue","name":"deprecatePropertyValue"},{"meta":{},"fullName":"Ext.destroy","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-destroy","name":"destroy"},{"meta":{"removed":{"text":"Please use {@link Ext.app.Application#dispatch} instead","version":"2.0.0"}},"fullName":"Ext.dispatch","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-dispatch","name":"dispatch"},{"meta":{},"fullName":"Ext.each","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-each","name":"each"},{"meta":{},"fullName":"Ext.encode","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-encode","name":"encode"},{"meta":{},"fullName":"Ext.exclude","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-exclude","name":"exclude"},{"meta":{"deprecated":{"text":"Please use {@link Ext#define Ext.define} instead","version":"4.0.0"}},"fullName":"Ext.extend","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-extend","name":"extend"},{"meta":{},"fullName":"Ext.factory","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-factory","name":"factory"},{"meta":{"private":true},"fullName":"Ext.factoryConfig","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-factoryConfig","name":"factoryConfig"},{"meta":{"deprecated":{"text":"Please use {@link Ext.Array#flatten} instead","version":"4.0.0"}},"fullName":"Ext.flatten","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-flatten","name":"flatten"},{"meta":{},"fullName":"Ext.fly","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-fly","name":"fly"},{"meta":{"private":true},"fullName":"Ext.functionFactory","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-functionFactory","name":"functionFactory"},{"meta":{},"fullName":"Ext.get","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-get","name":"get"},{"meta":{},"fullName":"Ext.getBody","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-getBody","name":"getBody"},{"meta":{},"fullName":"Ext.getClass","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-getClass","name":"getClass"},{"meta":{},"fullName":"Ext.getClassName","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-getClassName","name":"getClassName"},{"meta":{},"fullName":"Ext.getCmp","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-getCmp","name":"getCmp"},{"meta":{},"fullName":"Ext.getDisplayName","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-getDisplayName","name":"getDisplayName"},{"meta":{},"fullName":"Ext.getDoc","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-getDoc","name":"getDoc"},{"meta":{},"fullName":"Ext.getDom","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-getDom","name":"getDom"},{"meta":{},"fullName":"Ext.getHead","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-getHead","name":"getHead"},{"meta":{"removed":{"text":"2.0.0\nPlease use {@link Ext.Viewport#getOrientation getOrientation} instead"}},"fullName":"Ext.getOrientation","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-getOrientation","name":"getOrientation"},{"meta":{},"fullName":"Ext.getStore","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-getStore","name":"getStore"},{"meta":{"private":true},"fullName":"Ext.getUniqueGlobalNamespace","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-getUniqueGlobalNamespace","name":"getUniqueGlobalNamespace"},{"meta":{"deprecated":{"text":"Use {@link Ext.String#htmlDecode} instead"}},"fullName":"Ext.htmlDecode","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-htmlDecode","name":"htmlDecode"},{"meta":{"deprecated":{"text":"Use {@link Ext.String#htmlEncode} instead"}},"fullName":"Ext.htmlEncode","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-htmlEncode","name":"htmlEncode"},{"meta":{},"fullName":"Ext.id","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-id","name":"id"},{"meta":{},"fullName":"Ext.isArray","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-isArray","name":"isArray"},{"meta":{},"fullName":"Ext.isBoolean","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-isBoolean","name":"isBoolean"},{"meta":{},"fullName":"Ext.isDate","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-isDate","name":"isDate"},{"meta":{},"fullName":"Ext.isDefined","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-isDefined","name":"isDefined"},{"meta":{},"fullName":"Ext.isElement","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-isElement","name":"isElement"},{"meta":{"markdown":true},"fullName":"Ext.isEmpty","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-isEmpty","name":"isEmpty"},{"meta":{},"fullName":"Ext.isFunction","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-isFunction","name":"isFunction"},{"meta":{},"fullName":"Ext.isIterable","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-isIterable","name":"isIterable"},{"meta":{},"fullName":"Ext.isNumber","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-isNumber","name":"isNumber"},{"meta":{},"fullName":"Ext.isNumeric","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-isNumeric","name":"isNumeric"},{"meta":{},"fullName":"Ext.isObject","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-isObject","name":"isObject"},{"meta":{},"fullName":"Ext.isPrimitive","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-isPrimitive","name":"isPrimitive"},{"meta":{"private":true},"fullName":"Ext.isSimpleObject","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-isSimpleObject","name":"isSimpleObject"},{"meta":{},"fullName":"Ext.isString","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-isString","name":"isString"},{"meta":{},"fullName":"Ext.isTextNode","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-isTextNode","name":"isTextNode"},{"meta":{"markdown":true},"fullName":"Ext.iterate","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-iterate","name":"iterate"},{"meta":{"deprecated":{"text":"Please use {@link Ext.Array#max} instead","version":"4.0.0"}},"fullName":"Ext.max","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-max","name":"max"},{"meta":{"deprecated":{"text":"Please use {@link Ext.Array#mean} instead","version":"4.0.0"}},"fullName":"Ext.mean","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-mean","name":"mean"},{"meta":{},"fullName":"Ext.merge","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-merge","name":"merge"},{"meta":{"deprecated":{"text":"Please use {@link Ext.Array#min} instead","version":"4.0.0"}},"fullName":"Ext.min","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-min","name":"min"},{"meta":{},"fullName":"Ext.namespace","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-namespace","name":"namespace"},{"meta":{},"fullName":"Ext.ns","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-ns","name":"ns"},{"meta":{"deprecated":{"text":"Replaced by Ext.Number.from","version":"4.0.0"}},"fullName":"Ext.num","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-num","name":"num"},{"meta":{"private":true},"fullName":"Ext.onDocumentReady","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-onDocumentReady","name":"onDocumentReady"},{"meta":{},"fullName":"Ext.onReady","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-onReady","name":"onReady"},{"meta":{"private":true},"fullName":"Ext.onSetup","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-onSetup","name":"onSetup"},{"meta":{"deprecated":{"text":"Please use {@link Ext#define Ext.define} instead","version":"4.1.0"},"markdown":true},"fullName":"Ext.override","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-override","name":"override"},{"meta":{},"fullName":"Ext.pass","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-pass","name":"pass"},{"meta":{"deprecated":{"text":"Please use {@link Ext.Array#pluck Ext.Array.pluck} instead","version":"4.0.0"}},"fullName":"Ext.pluck","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-pluck","name":"pluck"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.preg","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-preg","name":"preg"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.redirect","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-redirect","name":"redirect"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.reg","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-reg","name":"reg"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.regApplication","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-regApplication","name":"regApplication"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.regController","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-regController","name":"regController"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.regLayout","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-regLayout","name":"regLayout"},{"meta":{"deprecated":{"text":"Please use {@link Ext#define} instead.","version":"2.0.0"}},"fullName":"Ext.regModel","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-regModel","name":"regModel"},{"meta":{},"fullName":"Ext.regStore","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-regStore","name":"regStore"},{"meta":{},"fullName":"Ext.removeNode","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-removeNode","name":"removeNode"},{"meta":{},"fullName":"Ext.repaint","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-repaint","name":"repaint"},{"meta":{},"fullName":"Ext.require","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-require","name":"require"},{"meta":{},"fullName":"Ext.select","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-select","name":"select"},{"meta":{},"fullName":"Ext.setup","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-setup","name":"setup"},{"meta":{"private":true},"fullName":"Ext.showLeaks","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-showLeaks","name":"showLeaks"},{"meta":{"deprecated":{"text":"Please use {@link Ext.Array#sum} instead","version":"4.0.0"}},"fullName":"Ext.sum","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-sum","name":"sum"},{"meta":{},"fullName":"Ext.syncRequire","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-syncRequire","name":"syncRequire"},{"meta":{},"fullName":"Ext.toArray","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-toArray","name":"toArray"},{"meta":{"private":true},"fullName":"Ext.triggerReady","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-triggerReady","name":"triggerReady"},{"meta":{"deprecated":{"text":"Please use {@link Ext#typeOf} instead","version":"4.0.0"}},"fullName":"Ext.type","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-type","name":"type"},{"meta":{"markdown":true},"fullName":"Ext.typeOf","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-typeOf","name":"typeOf"},{"meta":{"deprecated":{"text":"Please use {@link Ext.Array#unique} instead","version":"4.0.0"}},"fullName":"Ext.unique","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-unique","name":"unique"},{"meta":{"deprecated":{"text":"Use {@link Ext.String#urlAppend} instead"}},"fullName":"Ext.urlAppend","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-urlAppend","name":"urlAppend"},{"meta":{"deprecated":{"text":"Please use {@link Ext.Object#fromQueryString Ext.Object.fromQueryString} instead","version":"4.0.0"}},"fullName":"Ext.urlDecode","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-urlDecode","name":"urlDecode"},{"meta":{"deprecated":{"text":"Please use {@link Ext.Object#toQueryString Ext.Object.toQueryString} instead","version":"4.0.0"}},"fullName":"Ext.urlEncode","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-urlEncode","name":"urlEncode"},{"meta":{},"fullName":"Ext.valueFrom","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-valueFrom","name":"valueFrom"},{"meta":{},"fullName":"Ext.widget","icon":"icon-method","sort":3,"url":"#!/api/Ext-method-widget","name":"widget"},{"meta":{"author":["Jacky Nguyen <jacky@sencha.com>"],"docauthor":["Jacky Nguyen <jacky@sencha.com>"],"markdown":true},"fullName":"Ext.Version","icon":"icon-class","sort":1,"url":"#!/api/Ext.Version","name":"Version"},{"meta":{"private":true},"fullName":"Ext.Version.lastRegisteredVersion","icon":"icon-property","sort":3,"url":"#!/api/Ext.Version-property-lastRegisteredVersion","name":"lastRegisteredVersion"},{"meta":{"private":true},"fullName":"Ext.Version.versions","icon":"icon-property","sort":3,"url":"#!/api/Ext.Version-property-versions","name":"versions"},{"meta":{},"fullName":"Ext.Version.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.Version-method-constructor","name":"constructor"},{"meta":{"markdown":true},"fullName":"Ext.Version.deprecate","icon":"icon-method","sort":3,"url":"#!/api/Ext.Version-method-deprecate","name":"deprecate"},{"meta":{},"fullName":"Ext.Version.equals","icon":"icon-method","sort":3,"url":"#!/api/Ext.Version-method-equals","name":"equals"},{"meta":{},"fullName":"Ext.Version.getBuild","icon":"icon-method","sort":3,"url":"#!/api/Ext.Version-method-getBuild","name":"getBuild"},{"meta":{},"fullName":"Ext.Version.getMajor","icon":"icon-method","sort":3,"url":"#!/api/Ext.Version-method-getMajor","name":"getMajor"},{"meta":{},"fullName":"Ext.Version.getMinor","icon":"icon-method","sort":3,"url":"#!/api/Ext.Version-method-getMinor","name":"getMinor"},{"meta":{},"fullName":"Ext.Version.getPatch","icon":"icon-method","sort":3,"url":"#!/api/Ext.Version-method-getPatch","name":"getPatch"},{"meta":{},"fullName":"Ext.Version.getRelease","icon":"icon-method","sort":3,"url":"#!/api/Ext.Version-method-getRelease","name":"getRelease"},{"meta":{},"fullName":"Ext.Version.getShortVersion","icon":"icon-method","sort":3,"url":"#!/api/Ext.Version-method-getShortVersion","name":"getShortVersion"},{"meta":{},"fullName":"Ext.Version.getVersion","icon":"icon-method","sort":3,"url":"#!/api/Ext.Version-method-getVersion","name":"getVersion"},{"meta":{},"fullName":"Ext.Version.gt","icon":"icon-method","sort":3,"url":"#!/api/Ext.Version-method-gt","name":"gt"},{"meta":{},"fullName":"Ext.Version.gtEq","icon":"icon-method","sort":3,"url":"#!/api/Ext.Version-method-gtEq","name":"gtEq"},{"meta":{},"fullName":"Ext.Version.isGreaterThan","icon":"icon-method","sort":3,"url":"#!/api/Ext.Version-method-isGreaterThan","name":"isGreaterThan"},{"meta":{},"fullName":"Ext.Version.isGreaterThanOrEqual","icon":"icon-method","sort":3,"url":"#!/api/Ext.Version-method-isGreaterThanOrEqual","name":"isGreaterThanOrEqual"},{"meta":{},"fullName":"Ext.Version.isLessThan","icon":"icon-method","sort":3,"url":"#!/api/Ext.Version-method-isLessThan","name":"isLessThan"},{"meta":{},"fullName":"Ext.Version.isLessThanOrEqual","icon":"icon-method","sort":3,"url":"#!/api/Ext.Version-method-isLessThanOrEqual","name":"isLessThanOrEqual"},{"meta":{},"fullName":"Ext.Version.lt","icon":"icon-method","sort":3,"url":"#!/api/Ext.Version-method-lt","name":"lt"},{"meta":{},"fullName":"Ext.Version.ltEq","icon":"icon-method","sort":3,"url":"#!/api/Ext.Version-method-ltEq","name":"ltEq"},{"meta":{},"fullName":"Ext.Version.match","icon":"icon-method","sort":3,"url":"#!/api/Ext.Version-method-match","name":"match"},{"meta":{},"fullName":"Ext.Version.setVersion","icon":"icon-method","sort":3,"url":"#!/api/Ext.Version-method-setVersion","name":"setVersion"},{"meta":{},"fullName":"Ext.Version.toArray","icon":"icon-method","sort":3,"url":"#!/api/Ext.Version-method-toArray","name":"toArray"},{"meta":{"private":true},"fullName":"Ext.Version.toString","icon":"icon-method","sort":3,"url":"#!/api/Ext.Version-method-toString","name":"toString"},{"meta":{"private":true},"fullName":"Ext.Version.valueOf","icon":"icon-method","sort":3,"url":"#!/api/Ext.Version-method-valueOf","name":"valueOf"},{"meta":{"static":true},"fullName":"Ext.Version.compare","icon":"icon-method","sort":3,"url":"#!/api/Ext.Version-static-method-compare","name":"compare"},{"meta":{"static":true},"fullName":"Ext.Version.getComponentValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.Version-static-method-getComponentValue","name":"getComponentValue"},{"meta":{},"fullName":"Ext.String","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.String","name":"String"},{"meta":{},"fullName":"Ext.String.capitalize","icon":"icon-method","sort":3,"url":"#!/api/Ext.String-method-capitalize","name":"capitalize"},{"meta":{},"fullName":"Ext.String.ellipsis","icon":"icon-method","sort":3,"url":"#!/api/Ext.String-method-ellipsis","name":"ellipsis"},{"meta":{},"fullName":"Ext.String.escape","icon":"icon-method","sort":3,"url":"#!/api/Ext.String-method-escape","name":"escape"},{"meta":{},"fullName":"Ext.String.escapeRegex","icon":"icon-method","sort":3,"url":"#!/api/Ext.String-method-escapeRegex","name":"escapeRegex"},{"meta":{},"fullName":"Ext.String.format","icon":"icon-method","sort":3,"url":"#!/api/Ext.String-method-format","name":"format"},{"meta":{},"fullName":"Ext.String.htmlDecode","icon":"icon-method","sort":3,"url":"#!/api/Ext.String-method-htmlDecode","name":"htmlDecode"},{"meta":{},"fullName":"Ext.String.htmlEncode","icon":"icon-method","sort":3,"url":"#!/api/Ext.String-method-htmlEncode","name":"htmlEncode"},{"meta":{},"fullName":"Ext.String.leftPad","icon":"icon-method","sort":3,"url":"#!/api/Ext.String-method-leftPad","name":"leftPad"},{"meta":{},"fullName":"Ext.String.repeat","icon":"icon-method","sort":3,"url":"#!/api/Ext.String-method-repeat","name":"repeat"},{"meta":{},"fullName":"Ext.String.toggle","icon":"icon-method","sort":3,"url":"#!/api/Ext.String-method-toggle","name":"toggle"},{"meta":{},"fullName":"Ext.String.trim","icon":"icon-method","sort":3,"url":"#!/api/Ext.String-method-trim","name":"trim"},{"meta":{},"fullName":"Ext.String.urlAppend","icon":"icon-method","sort":3,"url":"#!/api/Ext.String-method-urlAppend","name":"urlAppend"},{"meta":{"author":["Jacky Nguyen <jacky@sencha.com>"],"docauthor":["Jacky Nguyen <jacky@sencha.com>"]},"fullName":"Ext.Array","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.Array","name":"Array"},{"meta":{},"fullName":"Ext.Array.clean","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-clean","name":"clean"},{"meta":{},"fullName":"Ext.Array.clone","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-clone","name":"clone"},{"meta":{},"fullName":"Ext.Array.contains","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-contains","name":"contains"},{"meta":{},"fullName":"Ext.Array.difference","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-difference","name":"difference"},{"meta":{},"fullName":"Ext.Array.each","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-each","name":"each"},{"meta":{},"fullName":"Ext.Array.erase","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-erase","name":"erase"},{"meta":{},"fullName":"Ext.Array.every","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-every","name":"every"},{"meta":{},"fullName":"Ext.Array.filter","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-filter","name":"filter"},{"meta":{},"fullName":"Ext.Array.flatten","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-flatten","name":"flatten"},{"meta":{},"fullName":"Ext.Array.forEach","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-forEach","name":"forEach"},{"meta":{},"fullName":"Ext.Array.from","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-from","name":"from"},{"meta":{},"fullName":"Ext.Array.include","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-include","name":"include"},{"meta":{},"fullName":"Ext.Array.indexOf","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-indexOf","name":"indexOf"},{"meta":{},"fullName":"Ext.Array.insert","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-insert","name":"insert"},{"meta":{},"fullName":"Ext.Array.intersect","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-intersect","name":"intersect"},{"meta":{},"fullName":"Ext.Array.map","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-map","name":"map"},{"meta":{},"fullName":"Ext.Array.max","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-max","name":"max"},{"meta":{},"fullName":"Ext.Array.mean","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-mean","name":"mean"},{"meta":{},"fullName":"Ext.Array.merge","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-merge","name":"merge"},{"meta":{},"fullName":"Ext.Array.min","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-min","name":"min"},{"meta":{},"fullName":"Ext.Array.pluck","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-pluck","name":"pluck"},{"meta":{},"fullName":"Ext.Array.remove","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-remove","name":"remove"},{"meta":{},"fullName":"Ext.Array.replace","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-replace","name":"replace"},{"meta":{},"fullName":"Ext.Array.slice","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-slice","name":"slice"},{"meta":{},"fullName":"Ext.Array.some","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-some","name":"some"},{"meta":{},"fullName":"Ext.Array.sort","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-sort","name":"sort"},{"meta":{},"fullName":"Ext.Array.splice","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-splice","name":"splice"},{"meta":{},"fullName":"Ext.Array.sum","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-sum","name":"sum"},{"meta":{},"fullName":"Ext.Array.toArray","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-toArray","name":"toArray"},{"meta":{},"fullName":"Ext.Array.union","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-union","name":"union"},{"meta":{},"fullName":"Ext.Array.unique","icon":"icon-method","sort":3,"url":"#!/api/Ext.Array-method-unique","name":"unique"},{"meta":{},"fullName":"Ext.Number","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.Number","name":"Number"},{"meta":{},"fullName":"Ext.Number.constrain","icon":"icon-method","sort":3,"url":"#!/api/Ext.Number-method-constrain","name":"constrain"},{"meta":{},"fullName":"Ext.Number.from","icon":"icon-method","sort":3,"url":"#!/api/Ext.Number-method-from","name":"from"},{"meta":{},"fullName":"Ext.Number.snap","icon":"icon-method","sort":3,"url":"#!/api/Ext.Number-method-snap","name":"snap"},{"meta":{},"fullName":"Ext.Number.toFixed","icon":"icon-method","sort":3,"url":"#!/api/Ext.Number-method-toFixed","name":"toFixed"},{"meta":{"author":["Jacky Nguyen <jacky@sencha.com>"],"docauthor":["Jacky Nguyen <jacky@sencha.com>"]},"fullName":"Ext.Object","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.Object","name":"Object"},{"meta":{"private":true},"fullName":"Ext.Object.mergeIf","icon":"icon-property","sort":3,"url":"#!/api/Ext.Object-property-mergeIf","name":"mergeIf"},{"meta":{},"fullName":"Ext.Object.chain","icon":"icon-method","sort":3,"url":"#!/api/Ext.Object-method-chain","name":"chain"},{"meta":{"private":true},"fullName":"Ext.Object.classify","icon":"icon-method","sort":3,"url":"#!/api/Ext.Object-method-classify","name":"classify"},{"meta":{},"fullName":"Ext.Object.each","icon":"icon-method","sort":3,"url":"#!/api/Ext.Object-method-each","name":"each"},{"meta":{},"fullName":"Ext.Object.fromQueryString","icon":"icon-method","sort":3,"url":"#!/api/Ext.Object-method-fromQueryString","name":"fromQueryString"},{"meta":{},"fullName":"Ext.Object.getKey","icon":"icon-method","sort":3,"url":"#!/api/Ext.Object-method-getKey","name":"getKey"},{"meta":{},"fullName":"Ext.Object.getKeys","icon":"icon-method","sort":3,"url":"#!/api/Ext.Object-method-getKeys","name":"getKeys"},{"meta":{},"fullName":"Ext.Object.getSize","icon":"icon-method","sort":3,"url":"#!/api/Ext.Object-method-getSize","name":"getSize"},{"meta":{},"fullName":"Ext.Object.getValues","icon":"icon-method","sort":3,"url":"#!/api/Ext.Object-method-getValues","name":"getValues"},{"meta":{},"fullName":"Ext.Object.merge","icon":"icon-method","sort":3,"url":"#!/api/Ext.Object-method-merge","name":"merge"},{"meta":{"private":true},"fullName":"Ext.Object.mergeIf","icon":"icon-method","sort":3,"url":"#!/api/Ext.Object-method-mergeIf","name":"mergeIf"},{"meta":{},"fullName":"Ext.Object.toQueryObjects","icon":"icon-method","sort":3,"url":"#!/api/Ext.Object-method-toQueryObjects","name":"toQueryObjects"},{"meta":{},"fullName":"Ext.Object.toQueryString","icon":"icon-method","sort":3,"url":"#!/api/Ext.Object-method-toQueryString","name":"toQueryString"},{"meta":{},"fullName":"Ext.Function","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.Function","name":"Function"},{"meta":{},"type":"class","fullName":"Ext.util.Functions","icon":"icon-singleton-redirect","sort":2,"url":"#!/api/Ext.Function","name":"Functions"},{"meta":{},"fullName":"Ext.Function.alias","icon":"icon-method","sort":3,"url":"#!/api/Ext.Function-method-alias","name":"alias"},{"meta":{},"fullName":"Ext.Function.bind","icon":"icon-method","sort":3,"url":"#!/api/Ext.Function-method-bind","name":"bind"},{"meta":{},"fullName":"Ext.Function.clone","icon":"icon-method","sort":3,"url":"#!/api/Ext.Function-method-clone","name":"clone"},{"meta":{},"fullName":"Ext.Function.createBuffered","icon":"icon-method","sort":3,"url":"#!/api/Ext.Function-method-createBuffered","name":"createBuffered"},{"meta":{},"fullName":"Ext.Function.createDelayed","icon":"icon-method","sort":3,"url":"#!/api/Ext.Function-method-createDelayed","name":"createDelayed"},{"meta":{"deprecated":{"text":"2.0.0\nPlease use {@link Ext.Function#bind bind} instead"}},"fullName":"Ext.Function.createDelegate","icon":"icon-method","sort":3,"url":"#!/api/Ext.Function-method-createDelegate","name":"createDelegate"},{"meta":{},"fullName":"Ext.Function.createInterceptor","icon":"icon-method","sort":3,"url":"#!/api/Ext.Function-method-createInterceptor","name":"createInterceptor"},{"meta":{},"fullName":"Ext.Function.createSequence","icon":"icon-method","sort":3,"url":"#!/api/Ext.Function-method-createSequence","name":"createSequence"},{"meta":{},"fullName":"Ext.Function.createThrottled","icon":"icon-method","sort":3,"url":"#!/api/Ext.Function-method-createThrottled","name":"createThrottled"},{"meta":{},"fullName":"Ext.Function.defer","icon":"icon-method","sort":3,"url":"#!/api/Ext.Function-method-defer","name":"defer"},{"meta":{},"fullName":"Ext.Function.flexSetter","icon":"icon-method","sort":3,"url":"#!/api/Ext.Function-method-flexSetter","name":"flexSetter"},{"meta":{},"fullName":"Ext.Function.pass","icon":"icon-method","sort":3,"url":"#!/api/Ext.Function-method-pass","name":"pass"},{"meta":{},"fullName":"Ext.JSON","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.JSON","name":"JSON"},{"meta":{},"fullName":"Ext.JSON.decode","icon":"icon-method","sort":3,"url":"#!/api/Ext.JSON-method-decode","name":"decode"},{"meta":{},"fullName":"Ext.JSON.encode","icon":"icon-method","sort":3,"url":"#!/api/Ext.JSON-method-encode","name":"encode"},{"meta":{},"fullName":"Ext.JSON.encodeDate","icon":"icon-method","sort":3,"url":"#!/api/Ext.JSON-method-encodeDate","name":"encodeDate"},{"meta":{},"fullName":"Ext.Date","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.Date","name":"Date"},{"meta":{"private":true},"fullName":"Ext.Date.toString","icon":"icon-method","sort":3,"url":"#!/api/Ext.Date-method-toString","name":"toString"},{"meta":{"author":["Jacky Nguyen <jacky@sencha.com>"],"aside":[{"type":"guide","name":"class_system"},{"type":"video","name":"class-system"}]},"fullName":"Ext.Base","icon":"icon-class","sort":1,"url":"#!/api/Ext.Base","name":"Base"},{"meta":{"protected":true},"fullName":"Ext.Base.self","icon":"icon-property","sort":3,"url":"#!/api/Ext.Base-property-self","name":"self"},{"meta":{"protected":true},"fullName":"Ext.Base.callOverridden","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-method-callOverridden","name":"callOverridden"},{"meta":{"protected":true},"fullName":"Ext.Base.callParent","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-method-callParent","name":"callParent"},{"meta":{"private":true},"fullName":"Ext.Base.destroy","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-method-destroy","name":"destroy"},{"meta":{"private":true},"fullName":"Ext.Base.getConfig","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-method-getConfig","name":"getConfig"},{"meta":{"private":true},"fullName":"Ext.Base.getCurrentConfig","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-method-getCurrentConfig","name":"getCurrentConfig"},{"meta":{},"fullName":"Ext.Base.getInitialConfig","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-method-getInitialConfig","name":"getInitialConfig"},{"meta":{"private":true},"fullName":"Ext.Base.hasConfig","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-method-hasConfig","name":"hasConfig"},{"meta":{"protected":true},"fullName":"Ext.Base.initConfig","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-method-initConfig","name":"initConfig"},{"meta":{"private":true},"fullName":"Ext.Base.onConfigUpdate","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-method-onConfigUpdate","name":"onConfigUpdate"},{"meta":{"private":true},"fullName":"Ext.Base.setConfig","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-method-setConfig","name":"setConfig"},{"meta":{"protected":true},"fullName":"Ext.Base.statics","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-method-statics","name":"statics"},{"meta":{"static":true,"private":true},"fullName":"Ext.Base.$onExtended","icon":"icon-property","sort":3,"url":"#!/api/Ext.Base-static-property-S-onExtended","name":"$onExtended"},{"meta":{"static":true,"private":true},"fullName":"Ext.Base.addConfig","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-static-method-addConfig","name":"addConfig"},{"meta":{"static":true,"private":true},"fullName":"Ext.Base.addInheritableStatics","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-static-method-addInheritableStatics","name":"addInheritableStatics"},{"meta":{"static":true,"private":true},"fullName":"Ext.Base.addMember","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-static-method-addMember","name":"addMember"},{"meta":{"static":true},"fullName":"Ext.Base.addMembers","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-static-method-addMembers","name":"addMembers"},{"meta":{"static":true},"fullName":"Ext.Base.addStatics","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-static-method-addStatics","name":"addStatics"},{"meta":{"static":true,"private":true},"fullName":"Ext.Base.addXtype","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-static-method-addXtype","name":"addXtype"},{"meta":{"static":true,"private":true},"fullName":"Ext.Base.borrow","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-static-method-borrow","name":"borrow"},{"meta":{"static":true,"private":true},"fullName":"Ext.Base.callParent","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-static-method-callParent","name":"callParent"},{"meta":{"static":true},"fullName":"Ext.Base.create","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-static-method-create","name":"create"},{"meta":{"static":true},"fullName":"Ext.Base.createAlias","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-static-method-createAlias","name":"createAlias"},{"meta":{"static":true,"private":true},"fullName":"Ext.Base.extend","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-static-method-extend","name":"extend"},{"meta":{"static":true},"fullName":"Ext.Base.getName","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-static-method-getName","name":"getName"},{"meta":{"static":true,"private":true},"fullName":"Ext.Base.implement","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-static-method-implement","name":"implement"},{"meta":{"static":true,"private":true},"fullName":"Ext.Base.mixin","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-static-method-mixin","name":"mixin"},{"meta":{"static":true,"private":true},"fullName":"Ext.Base.onExtended","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-static-method-onExtended","name":"onExtended"},{"meta":{"deprecated":{"text":"Please use {@link Ext#define Ext.define} instead","version":"4.1.0"},"static":true},"fullName":"Ext.Base.override","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-static-method-override","name":"override"},{"meta":{"static":true,"private":true},"fullName":"Ext.Base.triggerExtended","icon":"icon-method","sort":3,"url":"#!/api/Ext.Base-static-method-triggerExtended","name":"triggerExtended"},{"meta":{"author":["Jacky Nguyen <jacky@sencha.com>"],"aside":[{"type":"guide","name":"class_system"},{"type":"video","name":"class-system"}]},"fullName":"Ext.Class","icon":"icon-class","sort":1,"url":"#!/api/Ext.Class","name":"Class"},{"meta":{},"fullName":"Ext.Class.alias","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Class-cfg-alias","name":"alias"},{"meta":{},"fullName":"Ext.Class.alternateClassName","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Class-cfg-alternateClassName","name":"alternateClassName"},{"meta":{},"fullName":"Ext.Class.config","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Class-cfg-config","name":"config"},{"meta":{},"fullName":"Ext.Class.extend","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Class-cfg-extend","name":"extend"},{"meta":{},"fullName":"Ext.Class.inheritableStatics","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Class-cfg-inheritableStatics","name":"inheritableStatics"},{"meta":{},"fullName":"Ext.Class.mixins","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Class-cfg-mixins","name":"mixins"},{"meta":{},"fullName":"Ext.Class.singleton","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Class-cfg-singleton","name":"singleton"},{"meta":{},"fullName":"Ext.Class.statics","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Class-cfg-statics","name":"statics"},{"meta":{},"fullName":"Ext.Class.uses","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Class-cfg-uses","name":"uses"},{"meta":{},"fullName":"Ext.Class.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.Class-method-constructor","name":"constructor"},{"meta":{"static":true,"private":true},"fullName":"Ext.Class.configNameCache","icon":"icon-property","sort":3,"url":"#!/api/Ext.Class-static-property-configNameCache","name":"configNameCache"},{"meta":{"static":true,"private":true},"fullName":"Ext.Class.defaultPreprocessors","icon":"icon-property","sort":3,"url":"#!/api/Ext.Class-static-property-defaultPreprocessors","name":"defaultPreprocessors"},{"meta":{"static":true,"private":true},"fullName":"Ext.Class.preprocessors","icon":"icon-property","sort":3,"url":"#!/api/Ext.Class-static-property-preprocessors","name":"preprocessors"},{"meta":{"static":true,"private":true},"fullName":"Ext.Class.create","icon":"icon-method","sort":3,"url":"#!/api/Ext.Class-static-method-create","name":"create"},{"meta":{"static":true,"private":true},"fullName":"Ext.Class.generateGetter","icon":"icon-method","sort":3,"url":"#!/api/Ext.Class-static-method-generateGetter","name":"generateGetter"},{"meta":{"static":true,"private":true},"fullName":"Ext.Class.generateInitGetter","icon":"icon-method","sort":3,"url":"#!/api/Ext.Class-static-method-generateInitGetter","name":"generateInitGetter"},{"meta":{"static":true,"private":true},"fullName":"Ext.Class.generateSetter","icon":"icon-method","sort":3,"url":"#!/api/Ext.Class-static-method-generateSetter","name":"generateSetter"},{"meta":{"static":true,"private":true},"fullName":"Ext.Class.getConfigNameMap","icon":"icon-method","sort":3,"url":"#!/api/Ext.Class-static-method-getConfigNameMap","name":"getConfigNameMap"},{"meta":{"static":true,"private":true},"fullName":"Ext.Class.getDefaultPreprocessors","icon":"icon-method","sort":3,"url":"#!/api/Ext.Class-static-method-getDefaultPreprocessors","name":"getDefaultPreprocessors"},{"meta":{"static":true,"private":true},"fullName":"Ext.Class.getPreprocessor","icon":"icon-method","sort":3,"url":"#!/api/Ext.Class-static-method-getPreprocessor","name":"getPreprocessor"},{"meta":{"static":true,"private":true},"fullName":"Ext.Class.getPreprocessors","icon":"icon-method","sort":3,"url":"#!/api/Ext.Class-static-method-getPreprocessors","name":"getPreprocessors"},{"meta":{"static":true,"private":true},"fullName":"Ext.Class.onBeforeCreated","icon":"icon-method","sort":3,"url":"#!/api/Ext.Class-static-method-onBeforeCreated","name":"onBeforeCreated"},{"meta":{"static":true,"private":true},"fullName":"Ext.Class.process","icon":"icon-method","sort":3,"url":"#!/api/Ext.Class-static-method-process","name":"process"},{"meta":{"static":true,"private":true},"fullName":"Ext.Class.registerPreprocessor","icon":"icon-method","sort":3,"url":"#!/api/Ext.Class-static-method-registerPreprocessor","name":"registerPreprocessor"},{"meta":{"static":true,"private":true},"fullName":"Ext.Class.setDefaultPreprocessorPosition","icon":"icon-method","sort":3,"url":"#!/api/Ext.Class-static-method-setDefaultPreprocessorPosition","name":"setDefaultPreprocessorPosition"},{"meta":{"static":true,"private":true},"fullName":"Ext.Class.setDefaultPreprocessors","icon":"icon-method","sort":3,"url":"#!/api/Ext.Class-static-method-setDefaultPreprocessors","name":"setDefaultPreprocessors"},{"meta":{"author":["Jacky Nguyen <jacky@sencha.com>"],"aside":[{"type":"guide","name":"class_system"},{"type":"video","name":"class-system"}]},"fullName":"Ext.ClassManager","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.ClassManager","name":"ClassManager"},{"meta":{"private":true},"fullName":"Ext.ClassManager.classes","icon":"icon-property","sort":3,"url":"#!/api/Ext.ClassManager-property-classes","name":"classes"},{"meta":{"private":true},"fullName":"Ext.ClassManager.createdListeners","icon":"icon-property","sort":3,"url":"#!/api/Ext.ClassManager-property-createdListeners","name":"createdListeners"},{"meta":{"private":true},"fullName":"Ext.ClassManager.defaultPostprocessors","icon":"icon-property","sort":3,"url":"#!/api/Ext.ClassManager-property-defaultPostprocessors","name":"defaultPostprocessors"},{"meta":{"private":true},"fullName":"Ext.ClassManager.enableNamespaceParseCache","icon":"icon-property","sort":3,"url":"#!/api/Ext.ClassManager-property-enableNamespaceParseCache","name":"enableNamespaceParseCache"},{"meta":{"private":true},"fullName":"Ext.ClassManager.existCache","icon":"icon-property","sort":3,"url":"#!/api/Ext.ClassManager-property-existCache","name":"existCache"},{"meta":{"private":true},"fullName":"Ext.ClassManager.instantiators","icon":"icon-property","sort":3,"url":"#!/api/Ext.ClassManager-property-instantiators","name":"instantiators"},{"meta":{"private":true},"fullName":"Ext.ClassManager.maps","icon":"icon-property","sort":3,"url":"#!/api/Ext.ClassManager-property-maps","name":"maps"},{"meta":{"private":true},"fullName":"Ext.ClassManager.nameCreatedListeners","icon":"icon-property","sort":3,"url":"#!/api/Ext.ClassManager-property-nameCreatedListeners","name":"nameCreatedListeners"},{"meta":{"private":true},"fullName":"Ext.ClassManager.namespaceParseCache","icon":"icon-property","sort":3,"url":"#!/api/Ext.ClassManager-property-namespaceParseCache","name":"namespaceParseCache"},{"meta":{"private":true},"fullName":"Ext.ClassManager.namespaceRewrites","icon":"icon-property","sort":3,"url":"#!/api/Ext.ClassManager-property-namespaceRewrites","name":"namespaceRewrites"},{"meta":{"private":true},"fullName":"Ext.ClassManager.postprocessors","icon":"icon-property","sort":3,"url":"#!/api/Ext.ClassManager-property-postprocessors","name":"postprocessors"},{"meta":{"private":true},"fullName":"Ext.ClassManager.create","icon":"icon-method","sort":3,"url":"#!/api/Ext.ClassManager-method-create","name":"create"},{"meta":{"private":true},"fullName":"Ext.ClassManager.createNamespaces","icon":"icon-method","sort":3,"url":"#!/api/Ext.ClassManager-method-createNamespaces","name":"createNamespaces"},{"meta":{"private":true},"fullName":"Ext.ClassManager.dynInstantiate","icon":"icon-method","sort":3,"url":"#!/api/Ext.ClassManager-method-dynInstantiate","name":"dynInstantiate"},{"meta":{},"fullName":"Ext.ClassManager.get","icon":"icon-method","sort":3,"url":"#!/api/Ext.ClassManager-method-get","name":"get"},{"meta":{},"fullName":"Ext.ClassManager.getAliasesByName","icon":"icon-method","sort":3,"url":"#!/api/Ext.ClassManager-method-getAliasesByName","name":"getAliasesByName"},{"meta":{},"fullName":"Ext.ClassManager.getByAlias","icon":"icon-method","sort":3,"url":"#!/api/Ext.ClassManager-method-getByAlias","name":"getByAlias"},{"meta":{},"fullName":"Ext.ClassManager.getClass","icon":"icon-method","sort":3,"url":"#!/api/Ext.ClassManager-method-getClass","name":"getClass"},{"meta":{"private":true},"fullName":"Ext.ClassManager.getInstantiator","icon":"icon-method","sort":3,"url":"#!/api/Ext.ClassManager-method-getInstantiator","name":"getInstantiator"},{"meta":{"markdown":true},"fullName":"Ext.ClassManager.getName","icon":"icon-method","sort":3,"url":"#!/api/Ext.ClassManager-method-getName","name":"getName"},{"meta":{},"fullName":"Ext.ClassManager.getNameByAlias","icon":"icon-method","sort":3,"url":"#!/api/Ext.ClassManager-method-getNameByAlias","name":"getNameByAlias"},{"meta":{},"fullName":"Ext.ClassManager.getNameByAlternate","icon":"icon-method","sort":3,"url":"#!/api/Ext.ClassManager-method-getNameByAlternate","name":"getNameByAlternate"},{"meta":{"markdown":true},"fullName":"Ext.ClassManager.getNamesByExpression","icon":"icon-method","sort":3,"url":"#!/api/Ext.ClassManager-method-getNamesByExpression","name":"getNamesByExpression"},{"meta":{},"fullName":"Ext.ClassManager.instantiate","icon":"icon-method","sort":3,"url":"#!/api/Ext.ClassManager-method-instantiate","name":"instantiate"},{"meta":{},"fullName":"Ext.ClassManager.instantiateByAlias","icon":"icon-method","sort":3,"url":"#!/api/Ext.ClassManager-method-instantiateByAlias","name":"instantiateByAlias"},{"meta":{},"fullName":"Ext.ClassManager.isCreated","icon":"icon-method","sort":3,"url":"#!/api/Ext.ClassManager-method-isCreated","name":"isCreated"},{"meta":{"private":true},"fullName":"Ext.ClassManager.onCreated","icon":"icon-method","sort":3,"url":"#!/api/Ext.ClassManager-method-onCreated","name":"onCreated"},{"meta":{"private":true},"fullName":"Ext.ClassManager.parseNamespace","icon":"icon-method","sort":3,"url":"#!/api/Ext.ClassManager-method-parseNamespace","name":"parseNamespace"},{"meta":{"private":true},"fullName":"Ext.ClassManager.registerPostprocessor","icon":"icon-method","sort":3,"url":"#!/api/Ext.ClassManager-method-registerPostprocessor","name":"registerPostprocessor"},{"meta":{},"fullName":"Ext.ClassManager.set","icon":"icon-method","sort":3,"url":"#!/api/Ext.ClassManager-method-set","name":"set"},{"meta":{},"fullName":"Ext.ClassManager.setAlias","icon":"icon-method","sort":3,"url":"#!/api/Ext.ClassManager-method-setAlias","name":"setAlias"},{"meta":{"private":true},"fullName":"Ext.ClassManager.setDefaultPostprocessorPosition","icon":"icon-method","sort":3,"url":"#!/api/Ext.ClassManager-method-setDefaultPostprocessorPosition","name":"setDefaultPostprocessorPosition"},{"meta":{"private":true},"fullName":"Ext.ClassManager.setDefaultPostprocessors","icon":"icon-method","sort":3,"url":"#!/api/Ext.ClassManager-method-setDefaultPostprocessors","name":"setDefaultPostprocessors"},{"meta":{},"fullName":"Ext.ClassManager.setNamespace","icon":"icon-method","sort":3,"url":"#!/api/Ext.ClassManager-method-setNamespace","name":"setNamespace"},{"meta":{"private":true},"fullName":"Ext.ClassManager.triggerCreated","icon":"icon-method","sort":3,"url":"#!/api/Ext.ClassManager-method-triggerCreated","name":"triggerCreated"},{"meta":{"author":["Jacky Nguyen <jacky@sencha.com>"],"docauthor":["Jacky Nguyen <jacky@sencha.com>"],"aside":[{"type":"guide","name":"mvc_dependencies"}]},"fullName":"Ext.Loader","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.Loader","name":"Loader"},{"meta":{"private":true},"fullName":"Ext.Loader.classNameToFilePathMap","icon":"icon-property","sort":3,"url":"#!/api/Ext.Loader-property-classNameToFilePathMap","name":"classNameToFilePathMap"},{"meta":{"private":true},"fullName":"Ext.Loader.config","icon":"icon-property","sort":3,"url":"#!/api/Ext.Loader-property-config","name":"config"},{"meta":{"private":true},"fullName":"Ext.Loader.documentHead","icon":"icon-property","sort":3,"url":"#!/api/Ext.Loader-property-documentHead","name":"documentHead"},{"meta":{"private":true},"fullName":"Ext.Loader.hasFileLoadError","icon":"icon-property","sort":3,"url":"#!/api/Ext.Loader-property-hasFileLoadError","name":"hasFileLoadError"},{"meta":{},"fullName":"Ext.Loader.history","icon":"icon-property","sort":3,"url":"#!/api/Ext.Loader-property-history","name":"history"},{"meta":{"private":true},"fullName":"Ext.Loader.isClassFileLoaded","icon":"icon-property","sort":3,"url":"#!/api/Ext.Loader-property-isClassFileLoaded","name":"isClassFileLoaded"},{"meta":{"private":true},"fullName":"Ext.Loader.isFileLoaded","icon":"icon-property","sort":3,"url":"#!/api/Ext.Loader-property-isFileLoaded","name":"isFileLoaded"},{"meta":{"private":true},"fullName":"Ext.Loader.isInHistory","icon":"icon-property","sort":3,"url":"#!/api/Ext.Loader-property-isInHistory","name":"isInHistory"},{"meta":{"private":true},"fullName":"Ext.Loader.isLoading","icon":"icon-property","sort":3,"url":"#!/api/Ext.Loader-property-isLoading","name":"isLoading"},{"meta":{"private":true},"fullName":"Ext.Loader.numLoadedFiles","icon":"icon-property","sort":3,"url":"#!/api/Ext.Loader-property-numLoadedFiles","name":"numLoadedFiles"},{"meta":{"private":true},"fullName":"Ext.Loader.numPendingFiles","icon":"icon-property","sort":3,"url":"#!/api/Ext.Loader-property-numPendingFiles","name":"numPendingFiles"},{"meta":{"private":true},"fullName":"Ext.Loader.optionalRequires","icon":"icon-property","sort":3,"url":"#!/api/Ext.Loader-property-optionalRequires","name":"optionalRequires"},{"meta":{"private":true},"fullName":"Ext.Loader.queue","icon":"icon-property","sort":3,"url":"#!/api/Ext.Loader-property-queue","name":"queue"},{"meta":{"private":true},"fullName":"Ext.Loader.readyListeners","icon":"icon-property","sort":3,"url":"#!/api/Ext.Loader-property-readyListeners","name":"readyListeners"},{"meta":{"private":true},"fullName":"Ext.Loader.requiresMap","icon":"icon-property","sort":3,"url":"#!/api/Ext.Loader-property-requiresMap","name":"requiresMap"},{"meta":{"private":true},"fullName":"Ext.Loader.syncModeEnabled","icon":"icon-property","sort":3,"url":"#!/api/Ext.Loader-property-syncModeEnabled","name":"syncModeEnabled"},{"meta":{},"fullName":"Ext.Loader.disableCaching","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Loader-cfg-disableCaching","name":"disableCaching"},{"meta":{},"fullName":"Ext.Loader.disableCachingParam","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Loader-cfg-disableCachingParam","name":"disableCachingParam"},{"meta":{},"fullName":"Ext.Loader.enabled","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Loader-cfg-enabled","name":"enabled"},{"meta":{},"fullName":"Ext.Loader.paths","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Loader-cfg-paths","name":"paths"},{"meta":{"private":true},"fullName":"Ext.Loader.addOptionalRequires","icon":"icon-method","sort":3,"url":"#!/api/Ext.Loader-method-addOptionalRequires","name":"addOptionalRequires"},{"meta":{"private":true},"fullName":"Ext.Loader.cleanupScriptElement","icon":"icon-method","sort":3,"url":"#!/api/Ext.Loader-method-cleanupScriptElement","name":"cleanupScriptElement"},{"meta":{"markdown":true},"fullName":"Ext.Loader.exclude","icon":"icon-method","sort":3,"url":"#!/api/Ext.Loader-method-exclude","name":"exclude"},{"meta":{},"fullName":"Ext.Loader.getConfig","icon":"icon-method","sort":3,"url":"#!/api/Ext.Loader-method-getConfig","name":"getConfig"},{"meta":{},"fullName":"Ext.Loader.getPath","icon":"icon-method","sort":3,"url":"#!/api/Ext.Loader-method-getPath","name":"getPath"},{"meta":{"private":true},"fullName":"Ext.Loader.getPrefix","icon":"icon-method","sort":3,"url":"#!/api/Ext.Loader-method-getPrefix","name":"getPrefix"},{"meta":{"private":true},"fullName":"Ext.Loader.historyPush","icon":"icon-method","sort":3,"url":"#!/api/Ext.Loader-method-historyPush","name":"historyPush"},{"meta":{"private":true},"fullName":"Ext.Loader.injectScriptElement","icon":"icon-method","sort":3,"url":"#!/api/Ext.Loader-method-injectScriptElement","name":"injectScriptElement"},{"meta":{"private":true},"fullName":"Ext.Loader.loadScriptFile","icon":"icon-method","sort":3,"url":"#!/api/Ext.Loader-method-loadScriptFile","name":"loadScriptFile"},{"meta":{"private":true},"fullName":"Ext.Loader.onFileLoadError","icon":"icon-method","sort":3,"url":"#!/api/Ext.Loader-method-onFileLoadError","name":"onFileLoadError"},{"meta":{"private":true},"fullName":"Ext.Loader.onFileLoaded","icon":"icon-method","sort":3,"url":"#!/api/Ext.Loader-method-onFileLoaded","name":"onFileLoaded"},{"meta":{},"fullName":"Ext.Loader.onReady","icon":"icon-method","sort":3,"url":"#!/api/Ext.Loader-method-onReady","name":"onReady"},{"meta":{"private":true},"fullName":"Ext.Loader.refreshQueue","icon":"icon-method","sort":3,"url":"#!/api/Ext.Loader-method-refreshQueue","name":"refreshQueue"},{"meta":{"markdown":true},"fullName":"Ext.Loader.require","icon":"icon-method","sort":3,"url":"#!/api/Ext.Loader-method-require","name":"require"},{"meta":{"markdown":true},"fullName":"Ext.Loader.setConfig","icon":"icon-method","sort":3,"url":"#!/api/Ext.Loader-method-setConfig","name":"setConfig"},{"meta":{},"fullName":"Ext.Loader.setPath","icon":"icon-method","sort":3,"url":"#!/api/Ext.Loader-method-setPath","name":"setPath"},{"meta":{"markdown":true},"fullName":"Ext.Loader.syncRequire","icon":"icon-method","sort":3,"url":"#!/api/Ext.Loader-method-syncRequire","name":"syncRequire"},{"meta":{"private":true},"fullName":"Ext.Loader.triggerReady","icon":"icon-method","sort":3,"url":"#!/api/Ext.Loader-method-triggerReady","name":"triggerReady"},{"meta":{"deprecated":{"text":"","version":"2.0.0"},"private":true},"fullName":"Ext.EventManager","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.EventManager","name":"EventManager"},{"meta":{"deprecated":{"text":"Please use {@link Ext.dom.Element#addListener addListener} on an instance of Ext.Element instead.","version":"2.0.0"}},"fullName":"Ext.EventManager.addListener","icon":"icon-method","sort":3,"url":"#!/api/Ext.EventManager-method-addListener","name":"addListener"},{"meta":{"deprecated":{"text":"Please use {@link Ext.dom.Element#addListener addListener} on an instance of Ext.Element instead.","version":"2.0.0"}},"fullName":"Ext.EventManager.on","icon":"icon-method","sort":3,"url":"#!/api/Ext.EventManager-method-on","name":"on"},{"meta":{"removed":{"text":"Please use {@link Ext#onReady onReady}","version":"2.0.0"}},"fullName":"Ext.EventManager.onDocumentReady","icon":"icon-method","sort":3,"url":"#!/api/Ext.EventManager-method-onDocumentReady","name":"onDocumentReady"},{"meta":{"deprecated":{"text":"Please listen to the {@link Ext.Viewport#event-resize resize} on Ext.Viewport instead.","version":"2.0.0"}},"fullName":"Ext.EventManager.onWindowResize","icon":"icon-method","sort":3,"url":"#!/api/Ext.EventManager-method-onWindowResize","name":"onWindowResize"},{"meta":{"deprecated":{"text":"Please use {@link Ext.dom.Element#clearListeners clearListeners} on an instance of Ext.Element instead.","version":"2.0.0"}},"fullName":"Ext.EventManager.removeAll","icon":"icon-method","sort":3,"url":"#!/api/Ext.EventManager-method-removeAll","name":"removeAll"},{"meta":{"deprecated":{"text":"Please use {@link Ext.dom.Element#removeListener removeListener} on an instance of Ext.Element instead.","version":"2.0.0"}},"fullName":"Ext.EventManager.removeListener","icon":"icon-method","sort":3,"url":"#!/api/Ext.EventManager-method-removeListener","name":"removeListener"},{"meta":{"deprecated":{"text":"Please use {@link Ext.dom.Element#removeListener removeListener} on an instance of Ext.Element instead.","version":"2.0.0"}},"fullName":"Ext.EventManager.un","icon":"icon-method","sort":3,"url":"#!/api/Ext.EventManager-method-un","name":"un"},{"meta":{"aside":[{"type":"guide","name":"environment_package"}]},"fullName":"Ext.env.Browser","icon":"icon-class","sort":1,"url":"#!/api/Ext.env.Browser","name":"Browser"},{"meta":{},"fullName":"Ext.env.Browser.engineName","icon":"icon-property","sort":3,"url":"#!/api/Ext.env.Browser-property-engineName","name":"engineName"},{"meta":{},"fullName":"Ext.env.Browser.engineVersion","icon":"icon-property","sort":3,"url":"#!/api/Ext.env.Browser-property-engineVersion","name":"engineVersion"},{"meta":{},"fullName":"Ext.env.Browser.isSecure","icon":"icon-property","sort":3,"url":"#!/api/Ext.env.Browser-property-isSecure","name":"isSecure"},{"meta":{},"fullName":"Ext.env.Browser.isStrict","icon":"icon-property","sort":3,"url":"#!/api/Ext.env.Browser-property-isStrict","name":"isStrict"},{"meta":{},"fullName":"Ext.env.Browser.name","icon":"icon-property","sort":3,"url":"#!/api/Ext.env.Browser-property-name","name":"name"},{"meta":{},"fullName":"Ext.env.Browser.userAgent","icon":"icon-property","sort":3,"url":"#!/api/Ext.env.Browser-property-userAgent","name":"userAgent"},{"meta":{},"fullName":"Ext.env.Browser.version","icon":"icon-property","sort":3,"url":"#!/api/Ext.env.Browser-property-version","name":"version"},{"meta":{},"fullName":"Ext.env.Browser.is","icon":"icon-method","sort":3,"url":"#!/api/Ext.env.Browser-method-is","name":"is"},{"meta":{"aside":[{"type":"guide","name":"environment_package"}]},"fullName":"Ext.env.OS","icon":"icon-class","sort":1,"url":"#!/api/Ext.env.OS","name":"OS"},{"meta":{},"fullName":"Ext.env.OS.name","icon":"icon-property","sort":3,"url":"#!/api/Ext.env.OS-property-name","name":"name"},{"meta":{},"fullName":"Ext.env.OS.version","icon":"icon-property","sort":3,"url":"#!/api/Ext.env.OS-property-version","name":"version"},{"meta":{},"fullName":"Ext.env.OS.is","icon":"icon-method","sort":3,"url":"#!/api/Ext.env.OS-method-is","name":"is"},{"meta":{"deprecated":{"text":"2.0.0\nPlease refer to the {@link Ext.env.Browser}, {@link Ext.env.OS} and {@link Ext.feature.has} classes instead."}},"fullName":"Ext.is","icon":"icon-class","sort":1,"url":"#!/api/Ext.is","name":"is"},{"meta":{"aside":[{"type":"guide","name":"environment_package"}]},"fullName":"Ext.env.Feature","icon":"icon-class","sort":1,"url":"#!/api/Ext.env.Feature","name":"Feature"},{"meta":{},"fullName":"Ext.feature.has","icon":"icon-class","sort":1,"url":"#!/api/Ext.feature.has","name":"has"},{"meta":{},"fullName":"Ext.feature.has.Audio","icon":"icon-property","sort":3,"url":"#!/api/Ext.feature.has-property-Audio","name":"Audio"},{"meta":{},"fullName":"Ext.feature.has.Canvas","icon":"icon-property","sort":3,"url":"#!/api/Ext.feature.has-property-Canvas","name":"Canvas"},{"meta":{},"fullName":"Ext.feature.has.ClassList","icon":"icon-property","sort":3,"url":"#!/api/Ext.feature.has-property-ClassList","name":"ClassList"},{"meta":{},"fullName":"Ext.feature.has.CreateContextualFragment","icon":"icon-property","sort":3,"url":"#!/api/Ext.feature.has-property-CreateContextualFragment","name":"CreateContextualFragment"},{"meta":{},"fullName":"Ext.feature.has.Css3dTransforms","icon":"icon-property","sort":3,"url":"#!/api/Ext.feature.has-property-Css3dTransforms","name":"Css3dTransforms"},{"meta":{},"fullName":"Ext.feature.has.CssAnimations","icon":"icon-property","sort":3,"url":"#!/api/Ext.feature.has-property-CssAnimations","name":"CssAnimations"},{"meta":{},"fullName":"Ext.feature.has.CssTransforms","icon":"icon-property","sort":3,"url":"#!/api/Ext.feature.has-property-CssTransforms","name":"CssTransforms"},{"meta":{},"fullName":"Ext.feature.has.CssTransitions","icon":"icon-property","sort":3,"url":"#!/api/Ext.feature.has-property-CssTransitions","name":"CssTransitions"},{"meta":{},"fullName":"Ext.feature.has.DeviceMotion","icon":"icon-property","sort":3,"url":"#!/api/Ext.feature.has-property-DeviceMotion","name":"DeviceMotion"},{"meta":{},"fullName":"Ext.feature.has.Geolocation","icon":"icon-property","sort":3,"url":"#!/api/Ext.feature.has-property-Geolocation","name":"Geolocation"},{"meta":{},"fullName":"Ext.feature.has.History","icon":"icon-property","sort":3,"url":"#!/api/Ext.feature.has-property-History","name":"History"},{"meta":{},"fullName":"Ext.feature.has.Orientation","icon":"icon-property","sort":3,"url":"#!/api/Ext.feature.has-property-Orientation","name":"Orientation"},{"meta":{},"fullName":"Ext.feature.has.OrientationChange","icon":"icon-property","sort":3,"url":"#!/api/Ext.feature.has-property-OrientationChange","name":"OrientationChange"},{"meta":{},"fullName":"Ext.feature.has.Range","icon":"icon-property","sort":3,"url":"#!/api/Ext.feature.has-property-Range","name":"Range"},{"meta":{},"fullName":"Ext.feature.has.SqlDatabase","icon":"icon-property","sort":3,"url":"#!/api/Ext.feature.has-property-SqlDatabase","name":"SqlDatabase"},{"meta":{},"fullName":"Ext.feature.has.Svg","icon":"icon-property","sort":3,"url":"#!/api/Ext.feature.has-property-Svg","name":"Svg"},{"meta":{},"fullName":"Ext.feature.has.Touch","icon":"icon-property","sort":3,"url":"#!/api/Ext.feature.has-property-Touch","name":"Touch"},{"meta":{},"fullName":"Ext.feature.has.Video","icon":"icon-property","sort":3,"url":"#!/api/Ext.feature.has-property-Video","name":"Video"},{"meta":{},"fullName":"Ext.feature.has.Vml","icon":"icon-property","sort":3,"url":"#!/api/Ext.feature.has-property-Vml","name":"Vml"},{"meta":{},"fullName":"Ext.feature.has.WebSockets","icon":"icon-property","sort":3,"url":"#!/api/Ext.feature.has-property-WebSockets","name":"WebSockets"},{"meta":{"deprecated":{"text":"2.0.0\nPlease use the {@link Ext.env.Browser}, {@link Ext.env.OS} and {@link Ext.feature.has} classes."}},"fullName":"Ext.supports","icon":"icon-class","sort":1,"url":"#!/api/Ext.supports","name":"supports"},{"meta":{"deprecated":{"text":"Please use {@link Ext.feature.has#Audio} instead","version":"2.0.0"}},"fullName":"Ext.supports.AudioTag","icon":"icon-property","sort":3,"url":"#!/api/Ext.supports-property-AudioTag","name":"AudioTag"},{"meta":{"deprecated":{"text":"Please use {@link Ext.feature.has#Geolocation} instead","version":"2.0.0"}},"fullName":"Ext.supports.GeoLocation","icon":"icon-property","sort":3,"url":"#!/api/Ext.supports-property-GeoLocation","name":"GeoLocation"},{"meta":{"deprecated":{"text":"Please use {@link Ext.feature.has#Svg} instead","version":"2.0.0"}},"fullName":"Ext.supports.SVG","icon":"icon-property","sort":3,"url":"#!/api/Ext.supports-property-SVG","name":"SVG"},{"meta":{"deprecated":{"text":"Please use {@link Ext.feature.has#CssTransitions} instead","version":"2.0.0"}},"fullName":"Ext.supports.Transitions","icon":"icon-property","sort":3,"url":"#!/api/Ext.supports-property-Transitions","name":"Transitions"},{"meta":{"deprecated":{"text":"Please use {@link Ext.feature.has#Vml} instead","version":"2.0.0"}},"fullName":"Ext.supports.VML","icon":"icon-property","sort":3,"url":"#!/api/Ext.supports-property-VML","name":"VML"},{"meta":{},"fullName":"Ext.DomQuery","icon":"icon-class","sort":1,"url":"#!/api/Ext.DomQuery","name":"DomQuery"},{"meta":{},"type":"class","fullName":"Ext.dom.Query","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.DomQuery","name":"Query"},{"meta":{},"fullName":"Ext.DomQuery.is","icon":"icon-method","sort":3,"url":"#!/api/Ext.DomQuery-method-is","name":"is"},{"meta":{},"fullName":"Ext.DomQuery.select","icon":"icon-method","sort":3,"url":"#!/api/Ext.DomQuery-method-select","name":"select"},{"meta":{},"fullName":"Ext.DomQuery.selectNode","icon":"icon-method","sort":3,"url":"#!/api/Ext.DomQuery-method-selectNode","name":"selectNode"},{"meta":{},"fullName":"Ext.DomHelper","icon":"icon-class","sort":1,"url":"#!/api/Ext.DomHelper","name":"DomHelper"},{"meta":{},"type":"class","fullName":"Ext.dom.Helper","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.DomHelper","name":"Helper"},{"meta":{},"fullName":"Ext.DomHelper.append","icon":"icon-method","sort":3,"url":"#!/api/Ext.DomHelper-method-append","name":"append"},{"meta":{},"fullName":"Ext.DomHelper.applyStyles","icon":"icon-method","sort":3,"url":"#!/api/Ext.DomHelper-method-applyStyles","name":"applyStyles"},{"meta":{"private":true},"fullName":"Ext.DomHelper.createContextualFragment","icon":"icon-method","sort":3,"url":"#!/api/Ext.DomHelper-method-createContextualFragment","name":"createContextualFragment"},{"meta":{},"fullName":"Ext.DomHelper.createTemplate","icon":"icon-method","sort":3,"url":"#!/api/Ext.DomHelper-method-createTemplate","name":"createTemplate"},{"meta":{},"fullName":"Ext.DomHelper.generateStyles","icon":"icon-method","sort":3,"url":"#!/api/Ext.DomHelper-method-generateStyles","name":"generateStyles"},{"meta":{},"fullName":"Ext.DomHelper.insertAfter","icon":"icon-method","sort":3,"url":"#!/api/Ext.DomHelper-method-insertAfter","name":"insertAfter"},{"meta":{},"fullName":"Ext.DomHelper.insertBefore","icon":"icon-method","sort":3,"url":"#!/api/Ext.DomHelper-method-insertBefore","name":"insertBefore"},{"meta":{},"fullName":"Ext.DomHelper.insertFirst","icon":"icon-method","sort":3,"url":"#!/api/Ext.DomHelper-method-insertFirst","name":"insertFirst"},{"meta":{},"fullName":"Ext.DomHelper.insertHtml","icon":"icon-method","sort":3,"url":"#!/api/Ext.DomHelper-method-insertHtml","name":"insertHtml"},{"meta":{},"fullName":"Ext.DomHelper.markup","icon":"icon-method","sort":3,"url":"#!/api/Ext.DomHelper-method-markup","name":"markup"},{"meta":{},"fullName":"Ext.DomHelper.overwrite","icon":"icon-method","sort":3,"url":"#!/api/Ext.DomHelper-method-overwrite","name":"overwrite"},{"meta":{"private":true},"fullName":"Ext.mixin.Identifiable","icon":"icon-class","sort":1,"url":"#!/api/Ext.mixin.Identifiable","name":"Identifiable"},{"meta":{},"fullName":"Ext.mixin.Identifiable.getId","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Identifiable-method-getId","name":"getId"},{"meta":{},"fullName":"Ext.dom.Element","icon":"icon-class","sort":1,"url":"#!/api/Ext.dom.Element","name":"Element"},{"meta":{},"type":"class","fullName":"Ext.Element","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.dom.Element","name":"Element"},{"meta":{},"fullName":"xtype: element","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.dom.Element","name":"element"},{"meta":{},"fullName":"Ext.dom.Element.DISPLAY","icon":"icon-property","sort":3,"url":"#!/api/Ext.dom.Element-property-DISPLAY","name":"DISPLAY"},{"meta":{},"fullName":"Ext.dom.Element.OFFSETS","icon":"icon-property","sort":3,"url":"#!/api/Ext.dom.Element-property-OFFSETS","name":"OFFSETS"},{"meta":{},"fullName":"Ext.dom.Element.VISIBILITY","icon":"icon-property","sort":3,"url":"#!/api/Ext.dom.Element-property-VISIBILITY","name":"VISIBILITY"},{"meta":{},"fullName":"Ext.dom.Element.defaultUnit","icon":"icon-property","sort":3,"url":"#!/api/Ext.dom.Element-property-defaultUnit","name":"defaultUnit"},{"meta":{},"fullName":"Ext.dom.Element.dom","icon":"icon-property","sort":3,"url":"#!/api/Ext.dom.Element-property-dom","name":"dom"},{"meta":{},"fullName":"Ext.dom.Element.id","icon":"icon-property","sort":3,"url":"#!/api/Ext.dom.Element-property-id","name":"id"},{"meta":{"private":true,"markdown":true},"fullName":"Ext.dom.Element.styleHooks","icon":"icon-property","sort":3,"url":"#!/api/Ext.dom.Element-property-styleHooks","name":"styleHooks"},{"meta":{},"fullName":"Ext.dom.Element.doubletap","icon":"icon-event","sort":3,"url":"#!/api/Ext.dom.Element-event-doubletap","name":"doubletap"},{"meta":{},"fullName":"Ext.dom.Element.drag","icon":"icon-event","sort":3,"url":"#!/api/Ext.dom.Element-event-drag","name":"drag"},{"meta":{},"fullName":"Ext.dom.Element.dragend","icon":"icon-event","sort":3,"url":"#!/api/Ext.dom.Element-event-dragend","name":"dragend"},{"meta":{},"fullName":"Ext.dom.Element.dragstart","icon":"icon-event","sort":3,"url":"#!/api/Ext.dom.Element-event-dragstart","name":"dragstart"},{"meta":{},"fullName":"Ext.dom.Element.longpress","icon":"icon-event","sort":3,"url":"#!/api/Ext.dom.Element-event-longpress","name":"longpress"},{"meta":{},"fullName":"Ext.dom.Element.pinch","icon":"icon-event","sort":3,"url":"#!/api/Ext.dom.Element-event-pinch","name":"pinch"},{"meta":{},"fullName":"Ext.dom.Element.pinchend","icon":"icon-event","sort":3,"url":"#!/api/Ext.dom.Element-event-pinchend","name":"pinchend"},{"meta":{},"fullName":"Ext.dom.Element.pinchstart","icon":"icon-event","sort":3,"url":"#!/api/Ext.dom.Element-event-pinchstart","name":"pinchstart"},{"meta":{},"fullName":"Ext.dom.Element.rotate","icon":"icon-event","sort":3,"url":"#!/api/Ext.dom.Element-event-rotate","name":"rotate"},{"meta":{},"fullName":"Ext.dom.Element.rotateend","icon":"icon-event","sort":3,"url":"#!/api/Ext.dom.Element-event-rotateend","name":"rotateend"},{"meta":{},"fullName":"Ext.dom.Element.rotatestart","icon":"icon-event","sort":3,"url":"#!/api/Ext.dom.Element-event-rotatestart","name":"rotatestart"},{"meta":{},"fullName":"Ext.dom.Element.singletap","icon":"icon-event","sort":3,"url":"#!/api/Ext.dom.Element-event-singletap","name":"singletap"},{"meta":{},"fullName":"Ext.dom.Element.swipe","icon":"icon-event","sort":3,"url":"#!/api/Ext.dom.Element-event-swipe","name":"swipe"},{"meta":{},"fullName":"Ext.dom.Element.tap","icon":"icon-event","sort":3,"url":"#!/api/Ext.dom.Element-event-tap","name":"tap"},{"meta":{"deprecated":{"text":"Please add listener to 'touchmove' event instead","version":"2.0.0"}},"fullName":"Ext.dom.Element.tapcancel","icon":"icon-event","sort":3,"url":"#!/api/Ext.dom.Element-event-tapcancel","name":"tapcancel"},{"meta":{},"fullName":"Ext.dom.Element.taphold","icon":"icon-event","sort":3,"url":"#!/api/Ext.dom.Element-event-taphold","name":"taphold"},{"meta":{"deprecated":{"text":"Please add listener to 'touchstart' event instead","version":"2.0.0"}},"fullName":"Ext.dom.Element.tapstart","icon":"icon-event","sort":3,"url":"#!/api/Ext.dom.Element-event-tapstart","name":"tapstart"},{"meta":{},"fullName":"Ext.dom.Element.touchmove","icon":"icon-event","sort":3,"url":"#!/api/Ext.dom.Element-event-touchmove","name":"touchmove"},{"meta":{},"fullName":"Ext.dom.Element.touchstart","icon":"icon-event","sort":3,"url":"#!/api/Ext.dom.Element-event-touchstart","name":"touchstart"},{"meta":{},"fullName":"Ext.dom.Element.addCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-addCls","name":"addCls"},{"meta":{},"fullName":"Ext.dom.Element.appendChild","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-appendChild","name":"appendChild"},{"meta":{},"fullName":"Ext.dom.Element.appendTo","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-appendTo","name":"appendTo"},{"meta":{},"fullName":"Ext.dom.Element.applyStyles","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-applyStyles","name":"applyStyles"},{"meta":{},"fullName":"Ext.dom.Element.child","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-child","name":"child"},{"meta":{},"fullName":"Ext.dom.Element.contains","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-contains","name":"contains"},{"meta":{},"fullName":"Ext.dom.Element.createChild","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-createChild","name":"createChild"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dom.Element.cssTranslate","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-cssTranslate","name":"cssTranslate"},{"meta":{},"fullName":"Ext.dom.Element.destroy","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-destroy","name":"destroy"},{"meta":{},"fullName":"Ext.dom.Element.down","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-down","name":"down"},{"meta":{},"fullName":"Ext.dom.Element.findParent","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-findParent","name":"findParent"},{"meta":{},"fullName":"Ext.dom.Element.findParentNode","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-findParentNode","name":"findParentNode"},{"meta":{},"fullName":"Ext.dom.Element.first","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-first","name":"first"},{"meta":{},"fullName":"Ext.dom.Element.getAlignToXY","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getAlignToXY","name":"getAlignToXY"},{"meta":{"deprecated":{"text":"2.0.0 This method is no longer available for Ext.Element. Please see {@link Ext.Component#showBy}\nto do anchoring at Component level instead"}},"fullName":"Ext.dom.Element.getAnchorXY","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getAnchorXY","name":"getAnchorXY"},{"meta":{},"fullName":"Ext.dom.Element.getAttribute","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getAttribute","name":"getAttribute"},{"meta":{},"fullName":"Ext.dom.Element.getBorderWidth","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getBorderWidth","name":"getBorderWidth"},{"meta":{},"fullName":"Ext.dom.Element.getBottom","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getBottom","name":"getBottom"},{"meta":{},"fullName":"Ext.dom.Element.getBox","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getBox","name":"getBox"},{"meta":{"deprecated":{"text":"Please use {@link #getHtml} instead.","version":"2.0.0"}},"fullName":"Ext.dom.Element.getHTML","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getHTML","name":"getHTML"},{"meta":{},"fullName":"Ext.dom.Element.getHeight","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getHeight","name":"getHeight"},{"meta":{},"fullName":"Ext.dom.Element.getHtml","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getHtml","name":"getHtml"},{"meta":{},"fullName":"Ext.dom.Element.getLeft","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getLeft","name":"getLeft"},{"meta":{},"fullName":"Ext.dom.Element.getMargin","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getMargin","name":"getMargin"},{"meta":{},"fullName":"Ext.dom.Element.getOffsetsTo","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getOffsetsTo","name":"getOffsetsTo"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dom.Element.getOuterHeight","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getOuterHeight","name":"getOuterHeight"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dom.Element.getOuterWidth","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getOuterWidth","name":"getOuterWidth"},{"meta":{},"fullName":"Ext.dom.Element.getPadding","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getPadding","name":"getPadding"},{"meta":{},"fullName":"Ext.dom.Element.getPageBox","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getPageBox","name":"getPageBox"},{"meta":{},"fullName":"Ext.dom.Element.getRight","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getRight","name":"getRight"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dom.Element.getScrollParent","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getScrollParent","name":"getScrollParent"},{"meta":{},"fullName":"Ext.dom.Element.getSize","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getSize","name":"getSize"},{"meta":{},"fullName":"Ext.dom.Element.getStyle","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getStyle","name":"getStyle"},{"meta":{},"fullName":"Ext.dom.Element.getTop","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getTop","name":"getTop"},{"meta":{},"fullName":"Ext.dom.Element.getValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getValue","name":"getValue"},{"meta":{"deprecated":{"text":"","version":"2.0.0"}},"fullName":"Ext.dom.Element.getViewSize","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getViewSize","name":"getViewSize"},{"meta":{},"fullName":"Ext.dom.Element.getWidth","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getWidth","name":"getWidth"},{"meta":{},"fullName":"Ext.dom.Element.getX","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getX","name":"getX"},{"meta":{},"fullName":"Ext.dom.Element.getXY","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getXY","name":"getXY"},{"meta":{},"fullName":"Ext.dom.Element.getY","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-getY","name":"getY"},{"meta":{},"fullName":"Ext.dom.Element.hasCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-hasCls","name":"hasCls"},{"meta":{},"fullName":"Ext.dom.Element.hide","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-hide","name":"hide"},{"meta":{},"fullName":"Ext.dom.Element.insertAfter","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-insertAfter","name":"insertAfter"},{"meta":{},"fullName":"Ext.dom.Element.insertBefore","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-insertBefore","name":"insertBefore"},{"meta":{},"fullName":"Ext.dom.Element.insertFirst","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-insertFirst","name":"insertFirst"},{"meta":{},"fullName":"Ext.dom.Element.insertHtml","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-insertHtml","name":"insertHtml"},{"meta":{},"fullName":"Ext.dom.Element.insertSibling","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-insertSibling","name":"insertSibling"},{"meta":{},"fullName":"Ext.dom.Element.is","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-is","name":"is"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dom.Element.isDescendent","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-isDescendent","name":"isDescendent"},{"meta":{},"fullName":"Ext.dom.Element.isStyle","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-isStyle","name":"isStyle"},{"meta":{"deprecated":{"text":"","version":"2.0.0"}},"fullName":"Ext.dom.Element.isTransparent","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-isTransparent","name":"isTransparent"},{"meta":{},"fullName":"Ext.dom.Element.last","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-last","name":"last"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dom.Element.mask","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-mask","name":"mask"},{"meta":{},"fullName":"Ext.dom.Element.next","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-next","name":"next"},{"meta":{},"fullName":"Ext.dom.Element.parent","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-parent","name":"parent"},{"meta":{},"fullName":"Ext.dom.Element.prev","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-prev","name":"prev"},{"meta":{"deprecated":{"text":"Please use {@link #clearListeners} instead.","version":"2.0.0"}},"fullName":"Ext.dom.Element.purgeAllListeners","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-purgeAllListeners","name":"purgeAllListeners"},{"meta":{},"fullName":"Ext.dom.Element.query","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-query","name":"query"},{"meta":{"deprecated":{"text":"","version":"2.0.0"}},"fullName":"Ext.dom.Element.radioCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-radioCls","name":"radioCls"},{"meta":{"deprecated":{"text":"Please use {@link #destroy} instead.","version":"2.0.0"}},"fullName":"Ext.dom.Element.remove","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-remove","name":"remove"},{"meta":{"deprecated":{"text":"Please use {@link #clearListeners} instead.","version":"2.0.0"}},"fullName":"Ext.dom.Element.removeAllListeners","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-removeAllListeners","name":"removeAllListeners"},{"meta":{},"fullName":"Ext.dom.Element.removeCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-removeCls","name":"removeCls"},{"meta":{},"fullName":"Ext.dom.Element.repaint","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-repaint","name":"repaint"},{"meta":{},"fullName":"Ext.dom.Element.replace","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-replace","name":"replace"},{"meta":{},"fullName":"Ext.dom.Element.replaceCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-replaceCls","name":"replaceCls"},{"meta":{},"fullName":"Ext.dom.Element.replaceWith","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-replaceWith","name":"replaceWith"},{"meta":{},"fullName":"Ext.dom.Element.select","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-select","name":"select"},{"meta":{"deprecated":{"text":"Please see {@link Ext.form.Panel#getValues} instead","version":"2.0.0"}},"fullName":"Ext.dom.Element.serializeForm","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-serializeForm","name":"serializeForm"},{"meta":{},"fullName":"Ext.dom.Element.set","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-set","name":"set"},{"meta":{},"fullName":"Ext.dom.Element.setBottom","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-setBottom","name":"setBottom"},{"meta":{},"fullName":"Ext.dom.Element.setBox","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-setBox","name":"setBox"},{"meta":{"deprecated":{"text":"Please use {@link #setHtml} instead.","version":"2.0.0"}},"fullName":"Ext.dom.Element.setHTML","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-setHTML","name":"setHTML"},{"meta":{},"fullName":"Ext.dom.Element.setHeight","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-setHeight","name":"setHeight"},{"meta":{},"fullName":"Ext.dom.Element.setHtml","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-setHtml","name":"setHtml"},{"meta":{},"fullName":"Ext.dom.Element.setLeft","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-setLeft","name":"setLeft"},{"meta":{},"fullName":"Ext.dom.Element.setMaxHeight","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-setMaxHeight","name":"setMaxHeight"},{"meta":{},"fullName":"Ext.dom.Element.setMaxWidth","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-setMaxWidth","name":"setMaxWidth"},{"meta":{},"fullName":"Ext.dom.Element.setMinHeight","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-setMinHeight","name":"setMinHeight"},{"meta":{},"fullName":"Ext.dom.Element.setMinWidth","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-setMinWidth","name":"setMinWidth"},{"meta":{},"fullName":"Ext.dom.Element.setRight","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-setRight","name":"setRight"},{"meta":{},"fullName":"Ext.dom.Element.setSize","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-setSize","name":"setSize"},{"meta":{},"fullName":"Ext.dom.Element.setStyle","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-setStyle","name":"setStyle"},{"meta":{},"fullName":"Ext.dom.Element.setTop","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-setTop","name":"setTop"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dom.Element.setTopLeft","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-setTopLeft","name":"setTopLeft"},{"meta":{},"fullName":"Ext.dom.Element.setVisibilityMode","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-setVisibilityMode","name":"setVisibilityMode"},{"meta":{},"fullName":"Ext.dom.Element.setVisible","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-setVisible","name":"setVisible"},{"meta":{},"fullName":"Ext.dom.Element.setWidth","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-setWidth","name":"setWidth"},{"meta":{},"fullName":"Ext.dom.Element.setX","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-setX","name":"setX"},{"meta":{},"fullName":"Ext.dom.Element.setXY","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-setXY","name":"setXY"},{"meta":{},"fullName":"Ext.dom.Element.setY","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-setY","name":"setY"},{"meta":{},"fullName":"Ext.dom.Element.show","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-show","name":"show"},{"meta":{"private":true},"fullName":"Ext.dom.Element.synchronize","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-synchronize","name":"synchronize"},{"meta":{},"fullName":"Ext.dom.Element.toggleCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-toggleCls","name":"toggleCls"},{"meta":{},"fullName":"Ext.dom.Element.translatePoints","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-translatePoints","name":"translatePoints"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dom.Element.unmask","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-unmask","name":"unmask"},{"meta":{},"fullName":"Ext.dom.Element.up","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-up","name":"up"},{"meta":{"deprecated":{"text":"Please use {@link #setHtml} instead.","version":"2.0.0"}},"fullName":"Ext.dom.Element.update","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-update","name":"update"},{"meta":{},"fullName":"Ext.dom.Element.wrap","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-method-wrap","name":"wrap"},{"meta":{"static":true,"private":true},"fullName":"Ext.dom.Element.addUnits","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-static-method-addUnits","name":"addUnits"},{"meta":{"static":true},"fullName":"Ext.dom.Element.fly","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-static-method-fly","name":"fly"},{"meta":{"static":true},"fullName":"Ext.dom.Element.fromPoint","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-static-method-fromPoint","name":"fromPoint"},{"meta":{"static":true},"fullName":"Ext.dom.Element.get","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-static-method-get","name":"get"},{"meta":{"deprecated":{"text":"Please use {@link Ext.Viewport#getWindowHeight} instead","version":"2.0.0"},"static":true},"fullName":"Ext.dom.Element.getDocumentHeight","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-static-method-getDocumentHeight","name":"getDocumentHeight"},{"meta":{"deprecated":{"text":"Please use {@link Ext.Viewport#getWindowWidth} instead","version":"2.0.0"},"static":true},"fullName":"Ext.dom.Element.getDocumentWidth","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-static-method-getDocumentWidth","name":"getDocumentWidth"},{"meta":{"deprecated":{"text":"Please use {@link Ext.Viewport#getOrientation} instead","version":"2.0.0"},"static":true},"fullName":"Ext.dom.Element.getOrientation","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-static-method-getOrientation","name":"getOrientation"},{"meta":{"deprecated":{"text":"Please use {@link Ext.Viewport#getSize} instead","version":"2.0.0"},"static":true},"fullName":"Ext.dom.Element.getViewSize","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-static-method-getViewSize","name":"getViewSize"},{"meta":{"deprecated":{"text":"Please use {@link Ext.Viewport#getWindowHeight} instead","version":"2.0.0"},"static":true},"fullName":"Ext.dom.Element.getViewportHeight","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-static-method-getViewportHeight","name":"getViewportHeight"},{"meta":{"deprecated":{"text":"Please use {@link Ext.Viewport#getWindowWidth} instead","version":"2.0.0"},"static":true},"fullName":"Ext.dom.Element.getViewportWidth","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-static-method-getViewportWidth","name":"getViewportWidth"},{"meta":{"static":true,"private":true},"fullName":"Ext.dom.Element.isAncestor","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-static-method-isAncestor","name":"isAncestor"},{"meta":{"static":true},"fullName":"Ext.dom.Element.normalize","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-static-method-normalize","name":"normalize"},{"meta":{"static":true},"fullName":"Ext.dom.Element.parseBox","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-static-method-parseBox","name":"parseBox"},{"meta":{"static":true},"fullName":"Ext.dom.Element.parseStyles","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-static-method-parseStyles","name":"parseStyles"},{"meta":{"static":true},"fullName":"Ext.dom.Element.unitizeBox","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.Element-static-method-unitizeBox","name":"unitizeBox"},{"meta":{},"fullName":"Ext.dom.CompositeElementLite","icon":"icon-class","sort":1,"url":"#!/api/Ext.dom.CompositeElementLite","name":"CompositeElementLite"},{"meta":{},"type":"class","fullName":"Ext.CompositeElementLite","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.dom.CompositeElementLite","name":"CompositeElementLite"},{"meta":{},"type":"class","fullName":"Ext.CompositeElement","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.dom.CompositeElementLite","name":"CompositeElement"},{"meta":{},"fullName":"Ext.dom.CompositeElementLite.elements","icon":"icon-property","sort":3,"url":"#!/api/Ext.dom.CompositeElementLite-property-elements","name":"elements"},{"meta":{},"fullName":"Ext.dom.CompositeElementLite.add","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.CompositeElementLite-method-add","name":"add"},{"meta":{},"fullName":"Ext.dom.CompositeElementLite.clear","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.CompositeElementLite-method-clear","name":"clear"},{"meta":{},"fullName":"Ext.dom.CompositeElementLite.contains","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.CompositeElementLite-method-contains","name":"contains"},{"meta":{},"fullName":"Ext.dom.CompositeElementLite.each","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.CompositeElementLite-method-each","name":"each"},{"meta":{},"fullName":"Ext.dom.CompositeElementLite.fill","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.CompositeElementLite-method-fill","name":"fill"},{"meta":{},"fullName":"Ext.dom.CompositeElementLite.filter","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.CompositeElementLite-method-filter","name":"filter"},{"meta":{},"fullName":"Ext.dom.CompositeElementLite.first","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.CompositeElementLite-method-first","name":"first"},{"meta":{},"fullName":"Ext.dom.CompositeElementLite.getCount","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.CompositeElementLite-method-getCount","name":"getCount"},{"meta":{},"fullName":"Ext.dom.CompositeElementLite.indexOf","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.CompositeElementLite-method-indexOf","name":"indexOf"},{"meta":{},"fullName":"Ext.dom.CompositeElementLite.item","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.CompositeElementLite-method-item","name":"item"},{"meta":{},"fullName":"Ext.dom.CompositeElementLite.last","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.CompositeElementLite-method-last","name":"last"},{"meta":{},"fullName":"Ext.dom.CompositeElementLite.removeElement","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.CompositeElementLite-method-removeElement","name":"removeElement"},{"meta":{},"fullName":"Ext.dom.CompositeElementLite.replaceElement","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.CompositeElementLite-method-replaceElement","name":"replaceElement"},{"meta":{"static":true,"private":true},"fullName":"Ext.dom.CompositeElementLite.importElementMethods","icon":"icon-method","sort":3,"url":"#!/api/Ext.dom.CompositeElementLite-static-method-importElementMethods","name":"importElementMethods"},{"meta":{"private":true},"fullName":"Ext.ComponentManager","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.ComponentManager","name":"ComponentManager"},{"meta":{"private":true},"type":"class","fullName":"Ext.ComponentMgr","icon":"icon-singleton-redirect","sort":2,"url":"#!/api/Ext.ComponentManager","name":"ComponentMgr"},{"meta":{},"fullName":"Ext.ComponentManager.create","icon":"icon-method","sort":3,"url":"#!/api/Ext.ComponentManager-method-create","name":"create"},{"meta":{},"fullName":"Ext.ComponentManager.get","icon":"icon-method","sort":3,"url":"#!/api/Ext.ComponentManager-method-get","name":"get"},{"meta":{},"fullName":"Ext.ComponentManager.isRegistered","icon":"icon-method","sort":3,"url":"#!/api/Ext.ComponentManager-method-isRegistered","name":"isRegistered"},{"meta":{},"fullName":"Ext.ComponentManager.register","icon":"icon-method","sort":3,"url":"#!/api/Ext.ComponentManager-method-register","name":"register"},{"meta":{},"fullName":"Ext.ComponentManager.unregister","icon":"icon-method","sort":3,"url":"#!/api/Ext.ComponentManager-method-unregister","name":"unregister"},{"meta":{},"fullName":"Ext.ComponentQuery","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.ComponentQuery","name":"ComponentQuery"},{"meta":{"private":true},"fullName":"Ext.ComponentQuery.execute","icon":"icon-method","sort":3,"url":"#!/api/Ext.ComponentQuery-method-execute","name":"execute"},{"meta":{},"fullName":"Ext.ComponentQuery.is","icon":"icon-method","sort":3,"url":"#!/api/Ext.ComponentQuery-method-is","name":"is"},{"meta":{},"fullName":"Ext.ComponentQuery.query","icon":"icon-method","sort":3,"url":"#!/api/Ext.ComponentQuery-method-query","name":"query"},{"meta":{"private":true},"fullName":"Ext.XTemplateParser","icon":"icon-class","sort":1,"url":"#!/api/Ext.XTemplateParser","name":"XTemplateParser"},{"meta":{},"fullName":"Ext.XTemplateParser.level","icon":"icon-property","sort":3,"url":"#!/api/Ext.XTemplateParser-property-level","name":"level"},{"meta":{},"fullName":"Ext.XTemplateParser.doCase","icon":"icon-method","sort":3,"url":"#!/api/Ext.XTemplateParser-method-doCase","name":"doCase"},{"meta":{},"fullName":"Ext.XTemplateParser.doDefault","icon":"icon-method","sort":3,"url":"#!/api/Ext.XTemplateParser-method-doDefault","name":"doDefault"},{"meta":{},"fullName":"Ext.XTemplateParser.doElse","icon":"icon-method","sort":3,"url":"#!/api/Ext.XTemplateParser-method-doElse","name":"doElse"},{"meta":{},"fullName":"Ext.XTemplateParser.doElseIf","icon":"icon-method","sort":3,"url":"#!/api/Ext.XTemplateParser-method-doElseIf","name":"doElseIf"},{"meta":{},"fullName":"Ext.XTemplateParser.doEnd","icon":"icon-method","sort":3,"url":"#!/api/Ext.XTemplateParser-method-doEnd","name":"doEnd"},{"meta":{},"fullName":"Ext.XTemplateParser.doEval","icon":"icon-method","sort":3,"url":"#!/api/Ext.XTemplateParser-method-doEval","name":"doEval"},{"meta":{},"fullName":"Ext.XTemplateParser.doExec","icon":"icon-method","sort":3,"url":"#!/api/Ext.XTemplateParser-method-doExec","name":"doExec"},{"meta":{},"fullName":"Ext.XTemplateParser.doExpr","icon":"icon-method","sort":3,"url":"#!/api/Ext.XTemplateParser-method-doExpr","name":"doExpr"},{"meta":{},"fullName":"Ext.XTemplateParser.doFor","icon":"icon-method","sort":3,"url":"#!/api/Ext.XTemplateParser-method-doFor","name":"doFor"},{"meta":{},"fullName":"Ext.XTemplateParser.doIf","icon":"icon-method","sort":3,"url":"#!/api/Ext.XTemplateParser-method-doIf","name":"doIf"},{"meta":{},"fullName":"Ext.XTemplateParser.doSwitch","icon":"icon-method","sort":3,"url":"#!/api/Ext.XTemplateParser-method-doSwitch","name":"doSwitch"},{"meta":{},"fullName":"Ext.XTemplateParser.doTag","icon":"icon-method","sort":3,"url":"#!/api/Ext.XTemplateParser-method-doTag","name":"doTag"},{"meta":{},"fullName":"Ext.XTemplateParser.doText","icon":"icon-method","sort":3,"url":"#!/api/Ext.XTemplateParser-method-doText","name":"doText"},{"meta":{},"fullName":"Ext.XTemplateParser.doTpl","icon":"icon-method","sort":3,"url":"#!/api/Ext.XTemplateParser-method-doTpl","name":"doTpl"},{"meta":{"author":["Ed Spencer"],"private":true},"fullName":"Ext.app.Action","icon":"icon-class","sort":1,"url":"#!/api/Ext.app.Action","name":"Action"},{"meta":{"private":true},"fullName":"Ext.app.Action.currentFilterIndex","icon":"icon-property","sort":3,"url":"#!/api/Ext.app.Action-property-currentFilterIndex","name":"currentFilterIndex"},{"meta":{},"fullName":"Ext.app.Action.action","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Action-cfg-action","name":"action"},{"meta":{},"fullName":"Ext.app.Action.application","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Action-cfg-application","name":"application"},{"meta":{},"fullName":"Ext.app.Action.args","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Action-cfg-args","name":"args"},{"meta":{},"fullName":"Ext.app.Action.beforeFilters","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Action-cfg-beforeFilters","name":"beforeFilters"},{"meta":{},"fullName":"Ext.app.Action.controller","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Action-cfg-controller","name":"controller"},{"meta":{},"fullName":"Ext.app.Action.scope","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Action-cfg-scope","name":"scope"},{"meta":{},"fullName":"Ext.app.Action.url","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Action-cfg-url","name":"url"},{"meta":{"private":true},"fullName":"Ext.app.Action.applyController","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Action-method-applyController","name":"applyController"},{"meta":{"private":true},"fullName":"Ext.app.Action.applyUrl","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Action-method-applyUrl","name":"applyUrl"},{"meta":{},"fullName":"Ext.app.Action.execute","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Action-method-execute","name":"execute"},{"meta":{},"fullName":"Ext.app.Action.getBeforeFilters","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Action-method-getBeforeFilters","name":"getBeforeFilters"},{"meta":{},"fullName":"Ext.app.Action.resume","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Action-method-resume","name":"resume"},{"meta":{},"fullName":"Ext.app.Action.setBeforeFilters","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Action-method-setBeforeFilters","name":"setBeforeFilters"},{"meta":{"private":true},"fullName":"Ext.app.Action.urlEncode","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Action-method-urlEncode","name":"urlEncode"},{"meta":{"author":["Ed Spencer"],"private":true},"fullName":"Ext.app.Route","icon":"icon-class","sort":1,"url":"#!/api/Ext.app.Route","name":"Route"},{"meta":{},"fullName":"Ext.app.Route.paramsInMatchString","icon":"icon-property","sort":3,"url":"#!/api/Ext.app.Route-property-paramsInMatchString","name":"paramsInMatchString"},{"meta":{},"fullName":"Ext.app.Route.action","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Route-cfg-action","name":"action"},{"meta":{},"fullName":"Ext.app.Route.conditions","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Route-cfg-conditions","name":"conditions"},{"meta":{},"fullName":"Ext.app.Route.controller","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Route-cfg-controller","name":"controller"},{"meta":{"private":true},"fullName":"Ext.app.Route.initialized","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Route-cfg-initialized","name":"initialized"},{"meta":{},"fullName":"Ext.app.Route.url","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Route-cfg-url","name":"url"},{"meta":{"private":true},"fullName":"Ext.app.Route.argsFor","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Route-method-argsFor","name":"argsFor"},{"meta":{"private":true},"fullName":"Ext.app.Route.createMatcherRegex","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Route-method-createMatcherRegex","name":"createMatcherRegex"},{"meta":{"private":true},"fullName":"Ext.app.Route.initialize","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Route-method-initialize","name":"initialize"},{"meta":{"private":true},"fullName":"Ext.app.Route.matchesFor","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Route-method-matchesFor","name":"matchesFor"},{"meta":{},"fullName":"Ext.app.Route.recognize","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Route-method-recognize","name":"recognize"},{"meta":{"private":true},"fullName":"Ext.app.Route.recognizes","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Route-method-recognizes","name":"recognizes"},{"meta":{"private":true},"fullName":"Ext.app.Route.urlFor","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Route-method-urlFor","name":"urlFor"},{"meta":{"author":["Ed Spencer"],"private":true},"fullName":"Ext.app.Router","icon":"icon-class","sort":1,"url":"#!/api/Ext.app.Router","name":"Router"},{"meta":{},"fullName":"Ext.app.Router.defaults","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Router-cfg-defaults","name":"defaults"},{"meta":{},"fullName":"Ext.app.Router.routes","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Router-cfg-routes","name":"routes"},{"meta":{"private":true},"fullName":"Ext.app.Router.clear","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Router-method-clear","name":"clear"},{"meta":{},"fullName":"Ext.app.Router.connect","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Router-method-connect","name":"connect"},{"meta":{},"fullName":"Ext.app.Router.draw","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Router-method-draw","name":"draw"},{"meta":{},"fullName":"Ext.app.Router.recognize","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Router-method-recognize","name":"recognize"},{"meta":{"private":true},"fullName":"Ext.Router","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.Router","name":"Router"},{"meta":{},"fullName":"Ext.Router.setAppInstance","icon":"icon-method","sort":3,"url":"#!/api/Ext.Router-method-setAppInstance","name":"setAppInstance"},{"meta":{"private":true},"fullName":"Ext.behavior.Behavior","icon":"icon-class","sort":1,"url":"#!/api/Ext.behavior.Behavior","name":"Behavior"},{"meta":{"author":["Ed Spencer"]},"fullName":"Ext.data.Error","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.Error","name":"Error"},{"meta":{},"fullName":"Ext.data.Error.field","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Error-cfg-field","name":"field"},{"meta":{},"fullName":"Ext.data.Error.message","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Error-cfg-message","name":"message"},{"meta":{"aside":[{"type":"guide","name":"ajax"}]},"fullName":"Ext.data.JsonP","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.data.JsonP","name":"JsonP"},{"meta":{"aside":[{"type":"guide","name":"ajax"}]},"type":"class","fullName":"Ext.util.JSONP","icon":"icon-singleton-redirect","sort":2,"url":"#!/api/Ext.data.JsonP","name":"JSONP"},{"meta":{},"fullName":"Ext.data.JsonP.callbackKey","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.JsonP-property-callbackKey","name":"callbackKey"},{"meta":{},"fullName":"Ext.data.JsonP.disableCaching","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.JsonP-property-disableCaching","name":"disableCaching"},{"meta":{},"fullName":"Ext.data.JsonP.disableCachingParam","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.JsonP-property-disableCachingParam","name":"disableCachingParam"},{"meta":{},"fullName":"Ext.data.JsonP.timeout","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.JsonP-property-timeout","name":"timeout"},{"meta":{},"fullName":"Ext.data.JsonP.abort","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.JsonP-method-abort","name":"abort"},{"meta":{"private":true},"fullName":"Ext.data.JsonP.cleanupErrorHandling","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.JsonP-method-cleanupErrorHandling","name":"cleanupErrorHandling"},{"meta":{"private":true},"fullName":"Ext.data.JsonP.createScript","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.JsonP-method-createScript","name":"createScript"},{"meta":{"private":true},"fullName":"Ext.data.JsonP.handleAbort","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.JsonP-method-handleAbort","name":"handleAbort"},{"meta":{"private":true},"fullName":"Ext.data.JsonP.handleError","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.JsonP-method-handleError","name":"handleError"},{"meta":{"private":true},"fullName":"Ext.data.JsonP.handleResponse","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.JsonP-method-handleResponse","name":"handleResponse"},{"meta":{"private":true},"fullName":"Ext.data.JsonP.handleTimeout","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.JsonP-method-handleTimeout","name":"handleTimeout"},{"meta":{"private":true},"fullName":"Ext.data.JsonP.loadScript","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.JsonP-method-loadScript","name":"loadScript"},{"meta":{},"fullName":"Ext.data.JsonP.request","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.JsonP-method-request","name":"request"},{"meta":{"private":true},"fullName":"Ext.data.JsonP.setupErrorHandling","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.JsonP-method-setupErrorHandling","name":"setupErrorHandling"},{"meta":{"author":["Ed Spencer"]},"fullName":"Ext.data.Operation","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.Operation","name":"Operation"},{"meta":{"private":true},"fullName":"Ext.data.Operation.complete","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Operation-property-complete","name":"complete"},{"meta":{"private":true},"fullName":"Ext.data.Operation.error","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Operation-property-error","name":"error"},{"meta":{"private":true},"fullName":"Ext.data.Operation.exception","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Operation-property-exception","name":"exception"},{"meta":{"private":true},"fullName":"Ext.data.Operation.running","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Operation-property-running","name":"running"},{"meta":{"private":true},"fullName":"Ext.data.Operation.started","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Operation-property-started","name":"started"},{"meta":{"private":true},"fullName":"Ext.data.Operation.success","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Operation-property-success","name":"success"},{"meta":{},"fullName":"Ext.data.Operation.action","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Operation-cfg-action","name":"action"},{"meta":{},"fullName":"Ext.data.Operation.batch","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Operation-cfg-batch","name":"batch"},{"meta":{},"fullName":"Ext.data.Operation.callback","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Operation-cfg-callback","name":"callback"},{"meta":{},"fullName":"Ext.data.Operation.filters","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Operation-cfg-filters","name":"filters"},{"meta":{"deprecated":{"text":"Please use {@link #grouper} instead.","version":"2.0.0"}},"fullName":"Ext.data.Operation.group","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Operation-cfg-group","name":"group"},{"meta":{},"fullName":"Ext.data.Operation.grouper","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Operation-cfg-grouper","name":"grouper"},{"meta":{},"fullName":"Ext.data.Operation.limit","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Operation-cfg-limit","name":"limit"},{"meta":{},"fullName":"Ext.data.Operation.model","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Operation-cfg-model","name":"model"},{"meta":{},"fullName":"Ext.data.Operation.params","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Operation-cfg-params","name":"params"},{"meta":{},"fullName":"Ext.data.Operation.records","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Operation-cfg-records","name":"records"},{"meta":{},"fullName":"Ext.data.Operation.request","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Operation-cfg-request","name":"request"},{"meta":{},"fullName":"Ext.data.Operation.response","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Operation-cfg-response","name":"response"},{"meta":{},"fullName":"Ext.data.Operation.resultSet","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Operation-cfg-resultSet","name":"resultSet"},{"meta":{},"fullName":"Ext.data.Operation.scope","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Operation-cfg-scope","name":"scope"},{"meta":{},"fullName":"Ext.data.Operation.sorters","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Operation-cfg-sorters","name":"sorters"},{"meta":{},"fullName":"Ext.data.Operation.start","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Operation-cfg-start","name":"start"},{"meta":{},"fullName":"Ext.data.Operation.synchronous","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Operation-cfg-synchronous","name":"synchronous"},{"meta":{},"fullName":"Ext.data.Operation.withCredentials","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Operation-cfg-withCredentials","name":"withCredentials"},{"meta":{},"fullName":"Ext.data.Operation.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-constructor","name":"constructor"},{"meta":{},"fullName":"Ext.data.Operation.allowWrite","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-allowWrite","name":"allowWrite"},{"meta":{},"fullName":"Ext.data.Operation.getAction","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-getAction","name":"getAction"},{"meta":{},"fullName":"Ext.data.Operation.getBatch","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-getBatch","name":"getBatch"},{"meta":{},"fullName":"Ext.data.Operation.getCallback","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-getCallback","name":"getCallback"},{"meta":{},"fullName":"Ext.data.Operation.getError","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-getError","name":"getError"},{"meta":{},"fullName":"Ext.data.Operation.getFilters","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-getFilters","name":"getFilters"},{"meta":{},"fullName":"Ext.data.Operation.getGrouper","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-getGrouper","name":"getGrouper"},{"meta":{},"fullName":"Ext.data.Operation.getLimit","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-getLimit","name":"getLimit"},{"meta":{},"fullName":"Ext.data.Operation.getModel","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-getModel","name":"getModel"},{"meta":{},"fullName":"Ext.data.Operation.getParams","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-getParams","name":"getParams"},{"meta":{},"fullName":"Ext.data.Operation.getRecords","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-getRecords","name":"getRecords"},{"meta":{},"fullName":"Ext.data.Operation.getRequest","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-getRequest","name":"getRequest"},{"meta":{},"fullName":"Ext.data.Operation.getResponse","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-getResponse","name":"getResponse"},{"meta":{},"fullName":"Ext.data.Operation.getResultSet","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-getResultSet","name":"getResultSet"},{"meta":{},"fullName":"Ext.data.Operation.getScope","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-getScope","name":"getScope"},{"meta":{},"fullName":"Ext.data.Operation.getSorters","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-getSorters","name":"getSorters"},{"meta":{},"fullName":"Ext.data.Operation.getStart","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-getStart","name":"getStart"},{"meta":{},"fullName":"Ext.data.Operation.getSynchronous","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-getSynchronous","name":"getSynchronous"},{"meta":{},"fullName":"Ext.data.Operation.getWithCredentials","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-getWithCredentials","name":"getWithCredentials"},{"meta":{},"fullName":"Ext.data.Operation.hasException","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-hasException","name":"hasException"},{"meta":{},"fullName":"Ext.data.Operation.isComplete","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-isComplete","name":"isComplete"},{"meta":{},"fullName":"Ext.data.Operation.isRunning","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-isRunning","name":"isRunning"},{"meta":{},"fullName":"Ext.data.Operation.isStarted","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-isStarted","name":"isStarted"},{"meta":{},"fullName":"Ext.data.Operation.setAction","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-setAction","name":"setAction"},{"meta":{},"fullName":"Ext.data.Operation.setBatch","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-setBatch","name":"setBatch"},{"meta":{},"fullName":"Ext.data.Operation.setCallback","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-setCallback","name":"setCallback"},{"meta":{},"fullName":"Ext.data.Operation.setCompleted","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-setCompleted","name":"setCompleted"},{"meta":{},"fullName":"Ext.data.Operation.setException","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-setException","name":"setException"},{"meta":{},"fullName":"Ext.data.Operation.setFilters","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-setFilters","name":"setFilters"},{"meta":{},"fullName":"Ext.data.Operation.setGrouper","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-setGrouper","name":"setGrouper"},{"meta":{},"fullName":"Ext.data.Operation.setLimit","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-setLimit","name":"setLimit"},{"meta":{},"fullName":"Ext.data.Operation.setModel","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-setModel","name":"setModel"},{"meta":{},"fullName":"Ext.data.Operation.setParams","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-setParams","name":"setParams"},{"meta":{},"fullName":"Ext.data.Operation.setRecords","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-setRecords","name":"setRecords"},{"meta":{},"fullName":"Ext.data.Operation.setRequest","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-setRequest","name":"setRequest"},{"meta":{},"fullName":"Ext.data.Operation.setResponse","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-setResponse","name":"setResponse"},{"meta":{},"fullName":"Ext.data.Operation.setResultSet","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-setResultSet","name":"setResultSet"},{"meta":{},"fullName":"Ext.data.Operation.setScope","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-setScope","name":"setScope"},{"meta":{},"fullName":"Ext.data.Operation.setSorters","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-setSorters","name":"setSorters"},{"meta":{},"fullName":"Ext.data.Operation.setStart","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-setStart","name":"setStart"},{"meta":{},"fullName":"Ext.data.Operation.setStarted","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-setStarted","name":"setStarted"},{"meta":{},"fullName":"Ext.data.Operation.setSuccessful","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-setSuccessful","name":"setSuccessful"},{"meta":{},"fullName":"Ext.data.Operation.setSynchronous","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-setSynchronous","name":"setSynchronous"},{"meta":{},"fullName":"Ext.data.Operation.setWithCredentials","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-setWithCredentials","name":"setWithCredentials"},{"meta":{},"fullName":"Ext.data.Operation.wasSuccessful","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Operation-method-wasSuccessful","name":"wasSuccessful"},{"meta":{"author":["Ed Spencer"]},"fullName":"Ext.data.Request","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.Request","name":"Request"},{"meta":{},"fullName":"Ext.data.Request.action","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Request-cfg-action","name":"action"},{"meta":{},"fullName":"Ext.data.Request.callbackKey","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Request-cfg-callbackKey","name":"callbackKey"},{"meta":{},"fullName":"Ext.data.Request.disableCaching","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Request-cfg-disableCaching","name":"disableCaching"},{"meta":{},"fullName":"Ext.data.Request.headers","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Request-cfg-headers","name":"headers"},{"meta":{},"fullName":"Ext.data.Request.jsonData","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Request-cfg-jsonData","name":"jsonData"},{"meta":{},"fullName":"Ext.data.Request.jsonp","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Request-cfg-jsonp","name":"jsonp"},{"meta":{},"fullName":"Ext.data.Request.method","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Request-cfg-method","name":"method"},{"meta":{},"fullName":"Ext.data.Request.operation","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Request-cfg-operation","name":"operation"},{"meta":{},"fullName":"Ext.data.Request.params","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Request-cfg-params","name":"params"},{"meta":{},"fullName":"Ext.data.Request.proxy","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Request-cfg-proxy","name":"proxy"},{"meta":{},"fullName":"Ext.data.Request.url","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Request-cfg-url","name":"url"},{"meta":{},"fullName":"Ext.data.Request.withCredentials","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Request-cfg-withCredentials","name":"withCredentials"},{"meta":{},"fullName":"Ext.data.Request.xmlData","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Request-cfg-xmlData","name":"xmlData"},{"meta":{},"fullName":"Ext.data.Request.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Request-method-constructor","name":"constructor"},{"meta":{"author":["Ed Spencer"]},"fullName":"Ext.data.ResultSet","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.ResultSet","name":"ResultSet"},{"meta":{},"fullName":"Ext.data.ResultSet.count","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.ResultSet-cfg-count","name":"count"},{"meta":{},"fullName":"Ext.data.ResultSet.loaded","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.ResultSet-cfg-loaded","name":"loaded"},{"meta":{},"fullName":"Ext.data.ResultSet.message","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.ResultSet-cfg-message","name":"message"},{"meta":{"required":true},"fullName":"Ext.data.ResultSet.records","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.ResultSet-cfg-records","name":"records"},{"meta":{},"fullName":"Ext.data.ResultSet.success","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.ResultSet-cfg-success","name":"success"},{"meta":{},"fullName":"Ext.data.ResultSet.total","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.ResultSet-cfg-total","name":"total"},{"meta":{},"fullName":"Ext.data.ResultSet.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.ResultSet-method-constructor","name":"constructor"},{"meta":{"private":true},"fullName":"Ext.data.ResultSet.updateRecords","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.ResultSet-method-updateRecords","name":"updateRecords"},{"meta":{"docauthor":["Evan Trimboli <evan@sencha.com>"]},"fullName":"Ext.data.SortTypes","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.data.SortTypes","name":"SortTypes"},{"meta":{},"fullName":"Ext.data.SortTypes.stripTagsRE","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.SortTypes-property-stripTagsRE","name":"stripTagsRE"},{"meta":{},"fullName":"Ext.data.SortTypes.asDate","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.SortTypes-method-asDate","name":"asDate"},{"meta":{},"fullName":"Ext.data.SortTypes.asFloat","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.SortTypes-method-asFloat","name":"asFloat"},{"meta":{},"fullName":"Ext.data.SortTypes.asInt","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.SortTypes-method-asInt","name":"asInt"},{"meta":{},"fullName":"Ext.data.SortTypes.asText","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.SortTypes-method-asText","name":"asText"},{"meta":{},"fullName":"Ext.data.SortTypes.asUCString","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.SortTypes-method-asUCString","name":"asUCString"},{"meta":{},"fullName":"Ext.data.SortTypes.asUCText","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.SortTypes-method-asUCText","name":"asUCText"},{"meta":{},"fullName":"Ext.data.SortTypes.none","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.SortTypes-method-none","name":"none"},{"meta":{},"fullName":"Ext.data.Types","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.data.Types","name":"Types"},{"meta":{},"fullName":"Ext.data.Types.AUTO","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Types-property-AUTO","name":"AUTO"},{"meta":{},"fullName":"Ext.data.Types.BOOL","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Types-property-BOOL","name":"BOOL"},{"meta":{},"fullName":"Ext.data.Types.BOOLEAN","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Types-property-BOOLEAN","name":"BOOLEAN"},{"meta":{},"fullName":"Ext.data.Types.DATE","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Types-property-DATE","name":"DATE"},{"meta":{},"fullName":"Ext.data.Types.FLOAT","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Types-property-FLOAT","name":"FLOAT"},{"meta":{},"fullName":"Ext.data.Types.INT","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Types-property-INT","name":"INT"},{"meta":{},"fullName":"Ext.data.Types.INTEGER","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Types-property-INTEGER","name":"INTEGER"},{"meta":{},"fullName":"Ext.data.Types.NUMBER","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Types-property-NUMBER","name":"NUMBER"},{"meta":{},"fullName":"Ext.data.Types.STRING","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Types-property-STRING","name":"STRING"},{"meta":{},"fullName":"Ext.data.Types.stripRe","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Types-property-stripRe","name":"stripRe"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"models"}]},"fullName":"Ext.data.Validations","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.data.Validations","name":"Validations"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"models"}]},"type":"class","fullName":"Ext.data.validations","icon":"icon-singleton-redirect","sort":2,"url":"#!/api/Ext.data.Validations","name":"validations"},{"meta":{},"fullName":"Ext.data.Validations.emailMessage","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Validations-property-emailMessage","name":"emailMessage"},{"meta":{},"fullName":"Ext.data.Validations.emailRe","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Validations-property-emailRe","name":"emailRe"},{"meta":{},"fullName":"Ext.data.Validations.exclusionMessage","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Validations-property-exclusionMessage","name":"exclusionMessage"},{"meta":{},"fullName":"Ext.data.Validations.formatMessage","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Validations-property-formatMessage","name":"formatMessage"},{"meta":{},"fullName":"Ext.data.Validations.inclusionMessage","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Validations-property-inclusionMessage","name":"inclusionMessage"},{"meta":{},"fullName":"Ext.data.Validations.lengthMessage","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Validations-property-lengthMessage","name":"lengthMessage"},{"meta":{},"fullName":"Ext.data.Validations.presenceMessage","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Validations-property-presenceMessage","name":"presenceMessage"},{"meta":{},"fullName":"Ext.data.Validations.email","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Validations-method-email","name":"email"},{"meta":{},"fullName":"Ext.data.Validations.exclusion","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Validations-method-exclusion","name":"exclusion"},{"meta":{},"fullName":"Ext.data.Validations.format","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Validations-method-format","name":"format"},{"meta":{},"fullName":"Ext.data.Validations.getMessage","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Validations-method-getMessage","name":"getMessage"},{"meta":{},"fullName":"Ext.data.Validations.inclusion","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Validations-method-inclusion","name":"inclusion"},{"meta":{},"fullName":"Ext.data.Validations.length","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Validations-method-length","name":"length"},{"meta":{},"fullName":"Ext.data.Validations.presence","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Validations-method-presence","name":"presence"},{"meta":{"author":["Tommy Maintz"]},"fullName":"Ext.data.identifier.Simple","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.identifier.Simple","name":"Simple"},{"meta":{"author":["Tommy Maintz"]},"fullName":"data: identifier.simple","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.identifier.Simple","name":"identifier.simple"},{"meta":{"author":["Tommy Maintz"]},"fullName":"Ext.data.identifier.Uuid","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.identifier.Uuid","name":"Uuid"},{"meta":{"author":["Tommy Maintz"]},"fullName":"data: identifier.uuid","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.identifier.Uuid","name":"identifier.uuid"},{"meta":{},"fullName":"Ext.data.identifier.Uuid.id","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.identifier.Uuid-property-id","name":"id"},{"meta":{},"fullName":"Ext.data.identifier.Uuid.salt","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.identifier.Uuid-property-salt","name":"salt"},{"meta":{},"fullName":"Ext.data.identifier.Uuid.timestamp","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.identifier.Uuid-property-timestamp","name":"timestamp"},{"meta":{"private":true},"fullName":"Ext.data.identifier.Uuid.twoPow14","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.identifier.Uuid-property-twoPow14","name":"twoPow14"},{"meta":{},"fullName":"Ext.data.identifier.Uuid.version","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.identifier.Uuid-cfg-version","name":"version"},{"meta":{"private":true},"fullName":"Ext.data.identifier.Uuid.init","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.identifier.Uuid-method-init","name":"init"},{"meta":{"private":true},"fullName":"Ext.data.identifier.Uuid.rand","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.identifier.Uuid-method-rand","name":"rand"},{"meta":{},"fullName":"Ext.data.identifier.Uuid.reconfigure","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.identifier.Uuid-method-reconfigure","name":"reconfigure"},{"meta":{"private":true},"fullName":"Ext.data.identifier.Uuid.split","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.identifier.Uuid-method-split","name":"split"},{"meta":{"private":true},"fullName":"Ext.data.identifier.Uuid.toHex","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.identifier.Uuid-method-toHex","name":"toHex"},{"meta":{"author":["Ed Spencer"]},"fullName":"Ext.data.writer.Writer","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.writer.Writer","name":"Writer"},{"meta":{"author":["Ed Spencer"]},"type":"class","fullName":"Ext.data.DataWriter","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.writer.Writer","name":"DataWriter"},{"meta":{"author":["Ed Spencer"]},"type":"class","fullName":"Ext.data.Writer","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.writer.Writer","name":"Writer"},{"meta":{"author":["Ed Spencer"]},"fullName":"writer: base","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.writer.Writer","name":"base"},{"meta":{},"fullName":"Ext.data.writer.Writer.nameProperty","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.writer.Writer-cfg-nameProperty","name":"nameProperty"},{"meta":{},"fullName":"Ext.data.writer.Writer.writeAllFields","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.writer.Writer-cfg-writeAllFields","name":"writeAllFields"},{"meta":{},"fullName":"Ext.data.writer.Writer.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.writer.Writer-method-constructor","name":"constructor"},{"meta":{},"fullName":"Ext.data.writer.Writer.getRecordData","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.writer.Writer-method-getRecordData","name":"getRecordData"},{"meta":{},"fullName":"Ext.data.writer.Writer.write","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.writer.Writer-method-write","name":"write"},{"meta":{"author":["Ed Spencer"],"markdown":true},"fullName":"Ext.data.writer.Xml","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.writer.Xml","name":"Xml"},{"meta":{"author":["Ed Spencer"],"markdown":true},"type":"class","fullName":"Ext.data.XmlWriter","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.writer.Xml","name":"XmlWriter"},{"meta":{"author":["Ed Spencer"],"markdown":true},"fullName":"writer: xml","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.writer.Xml","name":"xml"},{"meta":{},"fullName":"Ext.data.writer.Xml.defaultDocumentRoot","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.writer.Xml-cfg-defaultDocumentRoot","name":"defaultDocumentRoot"},{"meta":{},"fullName":"Ext.data.writer.Xml.documentRoot","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.writer.Xml-cfg-documentRoot","name":"documentRoot"},{"meta":{},"fullName":"Ext.data.writer.Xml.header","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.writer.Xml-cfg-header","name":"header"},{"meta":{},"fullName":"Ext.data.writer.Xml.record","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.writer.Xml-cfg-record","name":"record"},{"meta":{"private":true},"fullName":"Ext.direct.RemotingMethod","icon":"icon-class","sort":1,"url":"#!/api/Ext.direct.RemotingMethod","name":"RemotingMethod"},{"meta":{},"fullName":"Ext.direct.RemotingMethod.getCallData","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.RemotingMethod-method-getCallData","name":"getCallData"},{"meta":{},"fullName":"Ext.direct.Transaction","icon":"icon-class","sort":1,"url":"#!/api/Ext.direct.Transaction","name":"Transaction"},{"meta":{},"type":"class","fullName":"Ext.Direct.Transaction","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.direct.Transaction","name":"Direct.Transaction"},{"meta":{},"fullName":"direct: transaction","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.direct.Transaction","name":"transaction"},{"meta":{},"fullName":"Ext.dom.CompositeElement","icon":"icon-class","sort":1,"url":"#!/api/Ext.dom.CompositeElement","name":"CompositeElement"},{"meta":{},"type":"class","fullName":"Ext.CompositeElement","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.dom.CompositeElement","name":"CompositeElement"},{"meta":{"private":true},"fullName":"Ext.event.Controller","icon":"icon-class","sort":1,"url":"#!/api/Ext.event.Controller","name":"Controller"},{"meta":{},"fullName":"Ext.event.Event","icon":"icon-class","sort":1,"url":"#!/api/Ext.event.Event","name":"Event"},{"meta":{},"type":"class","fullName":"Ext.EventObject","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.event.Event","name":"EventObject"},{"meta":{},"fullName":"Ext.event.Event.angle","icon":"icon-property","sort":3,"url":"#!/api/Ext.event.Event-property-angle","name":"angle"},{"meta":{},"fullName":"Ext.event.Event.direction","icon":"icon-property","sort":3,"url":"#!/api/Ext.event.Event-property-direction","name":"direction"},{"meta":{},"fullName":"Ext.event.Event.duration","icon":"icon-property","sort":3,"url":"#!/api/Ext.event.Event-property-duration","name":"duration"},{"meta":{},"fullName":"Ext.event.Event.rotation","icon":"icon-property","sort":3,"url":"#!/api/Ext.event.Event-property-rotation","name":"rotation"},{"meta":{},"fullName":"Ext.event.Event.scale","icon":"icon-property","sort":3,"url":"#!/api/Ext.event.Event-property-scale","name":"scale"},{"meta":{},"fullName":"Ext.event.Event.stopEvent","icon":"icon-method","sort":3,"url":"#!/api/Ext.event.Event-method-stopEvent","name":"stopEvent"},{"meta":{},"fullName":"Ext.event.Event.stopPropagation","icon":"icon-method","sort":3,"url":"#!/api/Ext.event.Event-method-stopPropagation","name":"stopPropagation"},{"meta":{"private":true},"fullName":"Ext.event.ListenerStack","icon":"icon-class","sort":1,"url":"#!/api/Ext.event.ListenerStack","name":"ListenerStack"},{"meta":{"private":true},"fullName":"Ext.event.publisher.Publisher","icon":"icon-class","sort":1,"url":"#!/api/Ext.event.publisher.Publisher","name":"Publisher"},{"meta":{"private":true},"fullName":"Ext.event.recognizer.Recognizer","icon":"icon-class","sort":1,"url":"#!/api/Ext.event.recognizer.Recognizer","name":"Recognizer"},{"meta":{"private":true},"fullName":"Ext.event.recognizer.Touch","icon":"icon-class","sort":1,"url":"#!/api/Ext.event.recognizer.Touch","name":"Touch"},{"meta":{"private":true},"fullName":"Ext.fx.State","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.State","name":"State"},{"meta":{"private":true},"fullName":"Ext.fx.easing.Abstract","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.easing.Abstract","name":"Abstract"},{"meta":{"private":true},"fullName":"Ext.fx.easing.Bounce","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.easing.Bounce","name":"Bounce"},{"meta":{"private":true},"fullName":"Ext.fx.easing.Linear","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.easing.Linear","name":"Linear"},{"meta":{"private":true},"fullName":"easing: linear","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.fx.easing.Linear","name":"linear"},{"meta":{"private":true},"fullName":"Ext.fx.easing.Momentum","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.easing.Momentum","name":"Momentum"},{"meta":{},"fullName":"Ext.Logger","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.Logger","name":"Logger"},{"meta":{},"fullName":"Ext.Logger.deprecate","icon":"icon-method","sort":3,"url":"#!/api/Ext.Logger-method-deprecate","name":"deprecate"},{"meta":{},"fullName":"Ext.Logger.error","icon":"icon-method","sort":3,"url":"#!/api/Ext.Logger-method-error","name":"error"},{"meta":{},"fullName":"Ext.Logger.info","icon":"icon-method","sort":3,"url":"#!/api/Ext.Logger-method-info","name":"info"},{"meta":{},"fullName":"Ext.Logger.log","icon":"icon-method","sort":3,"url":"#!/api/Ext.Logger-method-log","name":"log"},{"meta":{},"fullName":"Ext.Logger.verbose","icon":"icon-method","sort":3,"url":"#!/api/Ext.Logger-method-verbose","name":"verbose"},{"meta":{},"fullName":"Ext.Logger.warn","icon":"icon-method","sort":3,"url":"#!/api/Ext.Logger-method-warn","name":"warn"},{"meta":{"private":true},"fullName":"Ext.mixin.Mixin","icon":"icon-class","sort":1,"url":"#!/api/Ext.mixin.Mixin","name":"Mixin"},{"meta":{"private":true},"fullName":"Ext.mixin.Selectable","icon":"icon-class","sort":1,"url":"#!/api/Ext.mixin.Selectable","name":"Selectable"},{"meta":{"preventable":true,"deprecated":{"text":"Please listen to the {@link #selectionchange} event with an order of `before` instead.","version":"2.0.0"}},"fullName":"Ext.mixin.Selectable.beforeselectionchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.mixin.Selectable-event-beforeselectionchange","name":"beforeselectionchange"},{"meta":{},"fullName":"Ext.mixin.Selectable.selectionchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.mixin.Selectable-event-selectionchange","name":"selectionchange"},{"meta":{},"fullName":"Ext.mixin.Selectable.allowDeselect","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.mixin.Selectable-cfg-allowDeselect","name":"allowDeselect"},{"meta":{},"fullName":"Ext.mixin.Selectable.deselectOnContainerClick","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.mixin.Selectable-cfg-deselectOnContainerClick","name":"deselectOnContainerClick"},{"meta":{},"fullName":"Ext.mixin.Selectable.disableSelection","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.mixin.Selectable-cfg-disableSelection","name":"disableSelection"},{"meta":{"private":true},"fullName":"Ext.mixin.Selectable.lastFocused","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.mixin.Selectable-cfg-lastFocused","name":"lastFocused"},{"meta":{"private":true},"fullName":"Ext.mixin.Selectable.lastSelected","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.mixin.Selectable-cfg-lastSelected","name":"lastSelected"},{"meta":{"deprecated":{"text":"Please use {@link #disableSelection} instead.","version":"2.0.0"}},"fullName":"Ext.mixin.Selectable.locked","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.mixin.Selectable-cfg-locked","name":"locked"},{"meta":{},"fullName":"Ext.mixin.Selectable.mode","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.mixin.Selectable-cfg-mode","name":"mode"},{"meta":{"private":true},"fullName":"Ext.mixin.Selectable.applyMode","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-applyMode","name":"applyMode"},{"meta":{"deprecated":{"text":"Please use {@link #deselectAll} instead.","version":"2.0.0"}},"fullName":"Ext.mixin.Selectable.clearSelections","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-clearSelections","name":"clearSelections"},{"meta":{},"fullName":"Ext.mixin.Selectable.deselect","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-deselect","name":"deselect"},{"meta":{},"fullName":"Ext.mixin.Selectable.deselectAll","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-deselectAll","name":"deselectAll"},{"meta":{"deprecated":{"text":"Please use {@link #deselect} instead.","version":"2.0.0"}},"fullName":"Ext.mixin.Selectable.doDeselect","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-doDeselect","name":"doDeselect"},{"meta":{"private":true},"fullName":"Ext.mixin.Selectable.doMultiSelect","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-doMultiSelect","name":"doMultiSelect"},{"meta":{"deprecated":{"text":"Please use {@link #select} instead.","version":"2.0.0"}},"fullName":"Ext.mixin.Selectable.doSelect","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-doSelect","name":"doSelect"},{"meta":{"private":true},"fullName":"Ext.mixin.Selectable.doSingleSelect","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-doSingleSelect","name":"doSingleSelect"},{"meta":{},"fullName":"Ext.mixin.Selectable.getAllowDeselect","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-getAllowDeselect","name":"getAllowDeselect"},{"meta":{"deprecated":{"text":"Please use {@link #getSelectionCount} instead.","version":"2.0.0"}},"fullName":"Ext.mixin.Selectable.getCount","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-getCount","name":"getCount"},{"meta":{},"fullName":"Ext.mixin.Selectable.getDeselectOnContainerClick","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-getDeselectOnContainerClick","name":"getDeselectOnContainerClick"},{"meta":{},"fullName":"Ext.mixin.Selectable.getDisableSelection","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-getDisableSelection","name":"getDisableSelection"},{"meta":{"private":true},"fullName":"Ext.mixin.Selectable.getLastFocused","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-getLastFocused","name":"getLastFocused"},{"meta":{"deprecated":{"text":"","version":"2.0.0"}},"fullName":"Ext.mixin.Selectable.getLastSelected","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-getLastSelected","name":"getLastSelected"},{"meta":{},"fullName":"Ext.mixin.Selectable.getMode","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-getMode","name":"getMode"},{"meta":{},"fullName":"Ext.mixin.Selectable.getSelection","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-getSelection","name":"getSelection"},{"meta":{},"fullName":"Ext.mixin.Selectable.getSelectionCount","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-getSelectionCount","name":"getSelectionCount"},{"meta":{"deprecated":{"text":"Please use {@link #getMode} instead.","version":"2.0.0"}},"fullName":"Ext.mixin.Selectable.getSelectionMode","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-getSelectionMode","name":"getSelectionMode"},{"meta":{},"fullName":"Ext.mixin.Selectable.hasSelection","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-hasSelection","name":"hasSelection"},{"meta":{"deprecated":{"text":"Please use {@link #getDisableSelection} instead.","version":"2.0.0"}},"fullName":"Ext.mixin.Selectable.isLocked","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-isLocked","name":"isLocked"},{"meta":{},"fullName":"Ext.mixin.Selectable.isSelected","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-isSelected","name":"isSelected"},{"meta":{"private":true},"fullName":"Ext.mixin.Selectable.refreshSelection","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-refreshSelection","name":"refreshSelection"},{"meta":{},"fullName":"Ext.mixin.Selectable.select","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-select","name":"select"},{"meta":{},"fullName":"Ext.mixin.Selectable.selectAll","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-selectAll","name":"selectAll"},{"meta":{},"fullName":"Ext.mixin.Selectable.selectRange","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-selectRange","name":"selectRange"},{"meta":{},"fullName":"Ext.mixin.Selectable.setAllowDeselect","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-setAllowDeselect","name":"setAllowDeselect"},{"meta":{},"fullName":"Ext.mixin.Selectable.setDeselectOnContainerClick","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-setDeselectOnContainerClick","name":"setDeselectOnContainerClick"},{"meta":{},"fullName":"Ext.mixin.Selectable.setDisableSelection","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-setDisableSelection","name":"setDisableSelection"},{"meta":{"deprecated":{"text":"","version":"2.0.0"}},"fullName":"Ext.mixin.Selectable.setLastFocused","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-setLastFocused","name":"setLastFocused"},{"meta":{"private":true},"fullName":"Ext.mixin.Selectable.setLastSelected","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-setLastSelected","name":"setLastSelected"},{"meta":{},"fullName":"Ext.mixin.Selectable.setMode","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-setMode","name":"setMode"},{"meta":{},"fullName":"Ext.mixin.Selectable.updateLastFocused","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-updateLastFocused","name":"updateLastFocused"},{"meta":{"private":true},"fullName":"Ext.mixin.Selectable.updateStore","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Selectable-method-updateStore","name":"updateStore"},{"meta":{"private":true},"fullName":"Ext.mixin.Traversable","icon":"icon-class","sort":1,"url":"#!/api/Ext.mixin.Traversable","name":"Traversable"},{"meta":{},"fullName":"Ext.util.DelayedTask","icon":"icon-class","sort":1,"url":"#!/api/Ext.util.DelayedTask","name":"DelayedTask"},{"meta":{},"fullName":"Ext.util.DelayedTask.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.DelayedTask-method-constructor","name":"constructor"},{"meta":{"private":true},"fullName":"Ext.util.DelayedTask.applyArgs","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.DelayedTask-method-applyArgs","name":"applyArgs"},{"meta":{},"fullName":"Ext.util.DelayedTask.cancel","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.DelayedTask-method-cancel","name":"cancel"},{"meta":{},"fullName":"Ext.util.DelayedTask.delay","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.DelayedTask-method-delay","name":"delay"},{"meta":{"private":true},"fullName":"Ext.util.DelayedTask.updateInterval","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.DelayedTask-method-updateInterval","name":"updateInterval"},{"meta":{},"fullName":"Ext.util.Filter","icon":"icon-class","sort":1,"url":"#!/api/Ext.util.Filter","name":"Filter"},{"meta":{},"fullName":"Ext.util.Filter.anyMatch","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.Filter-cfg-anyMatch","name":"anyMatch"},{"meta":{},"fullName":"Ext.util.Filter.caseSensitive","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.Filter-cfg-caseSensitive","name":"caseSensitive"},{"meta":{},"fullName":"Ext.util.Filter.exactMatch","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.Filter-cfg-exactMatch","name":"exactMatch"},{"meta":{},"fullName":"Ext.util.Filter.filterFn","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.Filter-cfg-filterFn","name":"filterFn"},{"meta":{},"fullName":"Ext.util.Filter.id","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.Filter-cfg-id","name":"id"},{"meta":{},"fullName":"Ext.util.Filter.property","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.Filter-cfg-property","name":"property"},{"meta":{},"fullName":"Ext.util.Filter.root","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.Filter-cfg-root","name":"root"},{"meta":{},"fullName":"Ext.util.Filter.scope","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.Filter-cfg-scope","name":"scope"},{"meta":{},"fullName":"Ext.util.Filter.value","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.Filter-cfg-value","name":"value"},{"meta":{},"fullName":"Ext.util.Filter.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Filter-method-constructor","name":"constructor"},{"meta":{"private":true},"fullName":"Ext.util.Filter.createFilterFn","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Filter-method-createFilterFn","name":"createFilterFn"},{"meta":{"private":true},"fullName":"Ext.util.Filter.createValueMatcher","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Filter-method-createValueMatcher","name":"createValueMatcher"},{"meta":{},"fullName":"Ext.util.Point","icon":"icon-class","sort":1,"url":"#!/api/Ext.util.Point","name":"Point"},{"meta":{},"fullName":"Ext.util.Point.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Point-method-constructor","name":"constructor"},{"meta":{},"fullName":"Ext.util.Point.clone","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Point-method-clone","name":"clone"},{"meta":{"deprecated":{"text":"Please use {@link #clone} instead","version":"2.0.0"}},"fullName":"Ext.util.Point.copy","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Point-method-copy","name":"copy"},{"meta":{},"fullName":"Ext.util.Point.copyFrom","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Point-method-copyFrom","name":"copyFrom"},{"meta":{},"fullName":"Ext.util.Point.equals","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Point-method-equals","name":"equals"},{"meta":{},"fullName":"Ext.util.Point.from","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Point-method-from","name":"from"},{"meta":{},"fullName":"Ext.util.Point.isCloseTo","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Point-method-isCloseTo","name":"isCloseTo"},{"meta":{"deprecated":{"text":"Please use {@link #isCloseTo} instead","version":"2.0.0"}},"fullName":"Ext.util.Point.isWithin","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Point-method-isWithin","name":"isWithin"},{"meta":{},"fullName":"Ext.util.Point.roundedEquals","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Point-method-roundedEquals","name":"roundedEquals"},{"meta":{},"fullName":"Ext.util.Point.toString","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Point-method-toString","name":"toString"},{"meta":{},"fullName":"Ext.util.Point.translate","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Point-method-translate","name":"translate"},{"meta":{"static":true},"fullName":"Ext.util.Point.fromEvent","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Point-static-method-fromEvent","name":"fromEvent"},{"meta":{"static":true},"fullName":"Ext.util.Point.fromTouch","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Point-static-method-fromTouch","name":"fromTouch"},{"meta":{},"fullName":"Ext.util.Region","icon":"icon-class","sort":1,"url":"#!/api/Ext.util.Region","name":"Region"},{"meta":{},"fullName":"Ext.util.Region.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Region-method-constructor","name":"constructor"},{"meta":{},"fullName":"Ext.util.Region.adjust","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Region-method-adjust","name":"adjust"},{"meta":{},"fullName":"Ext.util.Region.constrainTo","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Region-method-constrainTo","name":"constrainTo"},{"meta":{},"fullName":"Ext.util.Region.contains","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Region-method-contains","name":"contains"},{"meta":{},"fullName":"Ext.util.Region.copy","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Region-method-copy","name":"copy"},{"meta":{},"fullName":"Ext.util.Region.equals","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Region-method-equals","name":"equals"},{"meta":{},"fullName":"Ext.util.Region.getOutOfBoundOffset","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Region-method-getOutOfBoundOffset","name":"getOutOfBoundOffset"},{"meta":{},"fullName":"Ext.util.Region.getOutOfBoundOffsetX","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Region-method-getOutOfBoundOffsetX","name":"getOutOfBoundOffsetX"},{"meta":{},"fullName":"Ext.util.Region.getOutOfBoundOffsetY","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Region-method-getOutOfBoundOffsetY","name":"getOutOfBoundOffsetY"},{"meta":{},"fullName":"Ext.util.Region.intersect","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Region-method-intersect","name":"intersect"},{"meta":{},"fullName":"Ext.util.Region.isOutOfBound","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Region-method-isOutOfBound","name":"isOutOfBound"},{"meta":{},"fullName":"Ext.util.Region.isOutOfBoundX","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Region-method-isOutOfBoundX","name":"isOutOfBoundX"},{"meta":{},"fullName":"Ext.util.Region.isOutOfBoundY","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Region-method-isOutOfBoundY","name":"isOutOfBoundY"},{"meta":{},"fullName":"Ext.util.Region.round","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Region-method-round","name":"round"},{"meta":{},"fullName":"Ext.util.Region.toString","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Region-method-toString","name":"toString"},{"meta":{},"fullName":"Ext.util.Region.translateBy","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Region-method-translateBy","name":"translateBy"},{"meta":{},"fullName":"Ext.util.Region.union","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Region-method-union","name":"union"},{"meta":{"static":true},"fullName":"Ext.util.Region.from","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Region-static-method-from","name":"from"},{"meta":{"static":true},"fullName":"Ext.util.Region.getRegion","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Region-static-method-getRegion","name":"getRegion"},{"meta":{},"fullName":"Ext.util.Sorter","icon":"icon-class","sort":1,"url":"#!/api/Ext.util.Sorter","name":"Sorter"},{"meta":{},"fullName":"Ext.util.Sorter.direction","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.Sorter-cfg-direction","name":"direction"},{"meta":{},"fullName":"Ext.util.Sorter.id","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.Sorter-cfg-id","name":"id"},{"meta":{},"fullName":"Ext.util.Sorter.property","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.Sorter-cfg-property","name":"property"},{"meta":{},"fullName":"Ext.util.Sorter.root","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.Sorter-cfg-root","name":"root"},{"meta":{},"fullName":"Ext.util.Sorter.sorterFn","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.Sorter-cfg-sorterFn","name":"sorterFn"},{"meta":{},"fullName":"Ext.util.Sorter.transform","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.Sorter-cfg-transform","name":"transform"},{"meta":{"private":true},"fullName":"Ext.util.Sorter.createSortFunction","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Sorter-method-createSortFunction","name":"createSortFunction"},{"meta":{"private":true},"fullName":"Ext.util.Sorter.defaultSortFn","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Sorter-method-defaultSortFn","name":"defaultSortFn"},{"meta":{},"fullName":"Ext.util.Sorter.toggle","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Sorter-method-toggle","name":"toggle"},{"meta":{},"fullName":"Ext.util.Inflector","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.util.Inflector","name":"Inflector"},{"meta":{"private":true},"fullName":"Ext.util.Inflector.plurals","icon":"icon-property","sort":3,"url":"#!/api/Ext.util.Inflector-property-plurals","name":"plurals"},{"meta":{"private":true},"fullName":"Ext.util.Inflector.singulars","icon":"icon-property","sort":3,"url":"#!/api/Ext.util.Inflector-property-singulars","name":"singulars"},{"meta":{"private":true},"fullName":"Ext.util.Inflector.uncountable","icon":"icon-property","sort":3,"url":"#!/api/Ext.util.Inflector-property-uncountable","name":"uncountable"},{"meta":{},"fullName":"Ext.util.Inflector.classify","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Inflector-method-classify","name":"classify"},{"meta":{},"fullName":"Ext.util.Inflector.clearPlurals","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Inflector-method-clearPlurals","name":"clearPlurals"},{"meta":{},"fullName":"Ext.util.Inflector.clearSingulars","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Inflector-method-clearSingulars","name":"clearSingulars"},{"meta":{},"fullName":"Ext.util.Inflector.isTransnumeral","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Inflector-method-isTransnumeral","name":"isTransnumeral"},{"meta":{},"fullName":"Ext.util.Inflector.ordinalize","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Inflector-method-ordinalize","name":"ordinalize"},{"meta":{},"fullName":"Ext.util.Inflector.plural","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Inflector-method-plural","name":"plural"},{"meta":{},"fullName":"Ext.util.Inflector.pluralize","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Inflector-method-pluralize","name":"pluralize"},{"meta":{},"fullName":"Ext.util.Inflector.singular","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Inflector-method-singular","name":"singular"},{"meta":{},"fullName":"Ext.util.Inflector.singularize","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Inflector-method-singularize","name":"singularize"},{"meta":{},"fullName":"Ext.Anim","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.Anim","name":"Anim"},{"meta":{},"fullName":"Ext.Anim.after","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Anim-cfg-after","name":"after"},{"meta":{},"fullName":"Ext.Anim.autoClear","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Anim-cfg-autoClear","name":"autoClear"},{"meta":{},"fullName":"Ext.Anim.before","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Anim-cfg-before","name":"before"},{"meta":{},"fullName":"Ext.Anim.delay","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Anim-cfg-delay","name":"delay"},{"meta":{},"fullName":"Ext.Anim.direction","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Anim-cfg-direction","name":"direction"},{"meta":{},"fullName":"Ext.Anim.disableAnimations","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Anim-cfg-disableAnimations","name":"disableAnimations"},{"meta":{},"fullName":"Ext.Anim.duration","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Anim-cfg-duration","name":"duration"},{"meta":{},"fullName":"Ext.Anim.easing","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Anim-cfg-easing","name":"easing"},{"meta":{},"fullName":"Ext.Anim.from","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Anim-cfg-from","name":"from"},{"meta":{},"fullName":"Ext.Anim.out","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Anim-cfg-out","name":"out"},{"meta":{},"fullName":"Ext.Anim.reverse","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Anim-cfg-reverse","name":"reverse"},{"meta":{},"fullName":"Ext.Anim.scope","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Anim-cfg-scope","name":"scope"},{"meta":{},"fullName":"Ext.Anim.to","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Anim-cfg-to","name":"to"},{"meta":{},"fullName":"Ext.Anim.run","icon":"icon-method","sort":3,"url":"#!/api/Ext.Anim-method-run","name":"run"},{"meta":{},"fullName":"Ext.anims","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.anims","name":"anims"},{"meta":{},"fullName":"Ext.anims.cube","icon":"icon-property","sort":3,"url":"#!/api/Ext.anims-property-cube","name":"cube"},{"meta":{},"fullName":"Ext.anims.fade","icon":"icon-property","sort":3,"url":"#!/api/Ext.anims-property-fade","name":"fade"},{"meta":{},"fullName":"Ext.anims.flip","icon":"icon-property","sort":3,"url":"#!/api/Ext.anims-property-flip","name":"flip"},{"meta":{},"fullName":"Ext.anims.pop","icon":"icon-property","sort":3,"url":"#!/api/Ext.anims-property-pop","name":"pop"},{"meta":{},"fullName":"Ext.anims.slide","icon":"icon-property","sort":3,"url":"#!/api/Ext.anims-property-slide","name":"slide"},{"meta":{},"fullName":"Ext.anims.wipe","icon":"icon-property","sort":3,"url":"#!/api/Ext.anims-property-wipe","name":"wipe"},{"meta":{"private":true,"markdown":true},"fullName":"Ext.XTemplateCompiler","icon":"icon-class","sort":1,"url":"#!/api/Ext.XTemplateCompiler","name":"XTemplateCompiler"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"models"}]},"fullName":"Ext.data.Field","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.Field","name":"Field"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"models"}]},"fullName":"data: field","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.Field","name":"field"},{"meta":{"private":true},"fullName":"Ext.data.Field.allowBlank","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Field-cfg-allowBlank","name":"allowBlank"},{"meta":{},"fullName":"Ext.data.Field.allowNull","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Field-cfg-allowNull","name":"allowNull"},{"meta":{},"fullName":"Ext.data.Field.convert","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Field-cfg-convert","name":"convert"},{"meta":{},"fullName":"Ext.data.Field.dateFormat","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Field-cfg-dateFormat","name":"dateFormat"},{"meta":{},"fullName":"Ext.data.Field.defaultValue","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Field-cfg-defaultValue","name":"defaultValue"},{"meta":{},"fullName":"Ext.data.Field.mapping","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Field-cfg-mapping","name":"mapping"},{"meta":{},"fullName":"Ext.data.Field.name","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Field-cfg-name","name":"name"},{"meta":{},"fullName":"Ext.data.Field.persist","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Field-cfg-persist","name":"persist"},{"meta":{},"fullName":"Ext.data.Field.sortDir","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Field-cfg-sortDir","name":"sortDir"},{"meta":{},"fullName":"Ext.data.Field.sortType","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Field-cfg-sortType","name":"sortType"},{"meta":{},"fullName":"Ext.data.Field.type","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Field-cfg-type","name":"type"},{"meta":{"deprecated":{"text":"Please use {@link #allowNull} instead.","version":"2.0.0"}},"fullName":"Ext.data.Field.useNull","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Field-cfg-useNull","name":"useNull"},{"meta":{"author":["Tommy Maintz"]},"fullName":"Ext.data.identifier.Sequential","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.identifier.Sequential","name":"Sequential"},{"meta":{"author":["Tommy Maintz"]},"fullName":"data: identifier.sequential","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.identifier.Sequential","name":"identifier.sequential"},{"meta":{},"fullName":"Ext.data.identifier.Sequential.prefix","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.identifier.Sequential-cfg-prefix","name":"prefix"},{"meta":{},"fullName":"Ext.data.identifier.Sequential.seed","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.identifier.Sequential-cfg-seed","name":"seed"},{"meta":{},"fullName":"Ext.data.writer.Json","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.writer.Json","name":"Json"},{"meta":{},"type":"class","fullName":"Ext.data.JsonWriter","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.writer.Json","name":"JsonWriter"},{"meta":{},"fullName":"writer: json","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.writer.Json","name":"json"},{"meta":{},"fullName":"Ext.data.writer.Json.allowSingle","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.writer.Json-cfg-allowSingle","name":"allowSingle"},{"meta":{},"fullName":"Ext.data.writer.Json.encode","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.writer.Json-cfg-encode","name":"encode"},{"meta":{"deprecated":{"text":"Please use the {@link #rootProperty} configuration instead.","version":"2.0.1"}},"fullName":"Ext.data.writer.Json.root","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.writer.Json-cfg-root","name":"root"},{"meta":{},"fullName":"Ext.data.writer.Json.rootProperty","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.writer.Json-cfg-rootProperty","name":"rootProperty"},{"meta":{"private":true},"fullName":"Ext.event.Dispatcher","icon":"icon-class","sort":1,"url":"#!/api/Ext.event.Dispatcher","name":"Dispatcher"},{"meta":{"private":true},"fullName":"Ext.event.Dom","icon":"icon-class","sort":1,"url":"#!/api/Ext.event.Dom","name":"Dom"},{"meta":{},"fullName":"Ext.event.Dom.distance","icon":"icon-property","sort":3,"url":"#!/api/Ext.event.Dom-property-distance","name":"distance"},{"meta":{},"fullName":"Ext.event.Dom.pageX","icon":"icon-property","sort":3,"url":"#!/api/Ext.event.Dom-property-pageX","name":"pageX"},{"meta":{},"fullName":"Ext.event.Dom.pageY","icon":"icon-property","sort":3,"url":"#!/api/Ext.event.Dom-property-pageY","name":"pageY"},{"meta":{},"fullName":"Ext.event.Dom.target","icon":"icon-property","sort":3,"url":"#!/api/Ext.event.Dom-property-target","name":"target"},{"meta":{"deprecated":{"text":"Please use {@link #pageX} property directly.","version":"2.0"}},"fullName":"Ext.event.Dom.getPageX","icon":"icon-method","sort":3,"url":"#!/api/Ext.event.Dom-method-getPageX","name":"getPageX"},{"meta":{"deprecated":{"text":"Please use {@link #pageX} property directly.","version":"2.0"}},"fullName":"Ext.event.Dom.getPageY","icon":"icon-method","sort":3,"url":"#!/api/Ext.event.Dom-method-getPageY","name":"getPageY"},{"meta":{},"fullName":"Ext.event.Dom.getTarget","icon":"icon-method","sort":3,"url":"#!/api/Ext.event.Dom-method-getTarget","name":"getTarget"},{"meta":{},"fullName":"Ext.event.Dom.getTime","icon":"icon-method","sort":3,"url":"#!/api/Ext.event.Dom-method-getTime","name":"getTime"},{"meta":{"deprecated":{"text":"Please use the {@link #pageX} and {@link #pageY} properties directly.","version":"2.0"}},"fullName":"Ext.event.Dom.getXY","icon":"icon-method","sort":3,"url":"#!/api/Ext.event.Dom-method-getXY","name":"getXY"},{"meta":{},"fullName":"Ext.event.Dom.preventDefault","icon":"icon-method","sort":3,"url":"#!/api/Ext.event.Dom-method-preventDefault","name":"preventDefault"},{"meta":{"private":true},"fullName":"Ext.event.Touch","icon":"icon-class","sort":1,"url":"#!/api/Ext.event.Touch","name":"Touch"},{"meta":{"private":true},"fullName":"Ext.event.publisher.ComponentPaint","icon":"icon-class","sort":1,"url":"#!/api/Ext.event.publisher.ComponentPaint","name":"ComponentPaint"},{"meta":{"private":true},"fullName":"Ext.event.publisher.Dom","icon":"icon-class","sort":1,"url":"#!/api/Ext.event.publisher.Dom","name":"Dom"},{"meta":{"private":true},"fullName":"Ext.event.publisher.TouchGesture","icon":"icon-class","sort":1,"url":"#!/api/Ext.event.publisher.TouchGesture","name":"TouchGesture"},{"meta":{"private":true},"fullName":"Ext.event.recognizer.MultiTouch","icon":"icon-class","sort":1,"url":"#!/api/Ext.event.recognizer.MultiTouch","name":"MultiTouch"},{"meta":{"private":true},"fullName":"Ext.event.recognizer.Pinch","icon":"icon-class","sort":1,"url":"#!/api/Ext.event.recognizer.Pinch","name":"Pinch"},{"meta":{"private":true},"fullName":"Ext.event.recognizer.Rotate","icon":"icon-class","sort":1,"url":"#!/api/Ext.event.recognizer.Rotate","name":"Rotate"},{"meta":{"private":true},"fullName":"Ext.event.recognizer.SingleTouch","icon":"icon-class","sort":1,"url":"#!/api/Ext.event.recognizer.SingleTouch","name":"SingleTouch"},{"meta":{"private":true},"fullName":"Ext.event.recognizer.DoubleTap","icon":"icon-class","sort":1,"url":"#!/api/Ext.event.recognizer.DoubleTap","name":"DoubleTap"},{"meta":{"private":true},"fullName":"Ext.event.recognizer.Drag","icon":"icon-class","sort":1,"url":"#!/api/Ext.event.recognizer.Drag","name":"Drag"},{"meta":{"private":true},"fullName":"Ext.event.recognizer.LongPress","icon":"icon-class","sort":1,"url":"#!/api/Ext.event.recognizer.LongPress","name":"LongPress"},{"meta":{"private":true},"fullName":"Ext.event.recognizer.Tap","icon":"icon-class","sort":1,"url":"#!/api/Ext.event.recognizer.Tap","name":"Tap"},{"meta":{},"fullName":"Ext.DateExtras","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.DateExtras","name":"DateExtras"},{"meta":{},"fullName":"Ext.DateExtras.DAY","icon":"icon-property","sort":3,"url":"#!/api/Ext.DateExtras-property-DAY","name":"DAY"},{"meta":{},"fullName":"Ext.DateExtras.HOUR","icon":"icon-property","sort":3,"url":"#!/api/Ext.DateExtras-property-HOUR","name":"HOUR"},{"meta":{},"fullName":"Ext.DateExtras.MILLI","icon":"icon-property","sort":3,"url":"#!/api/Ext.DateExtras-property-MILLI","name":"MILLI"},{"meta":{},"fullName":"Ext.DateExtras.MINUTE","icon":"icon-property","sort":3,"url":"#!/api/Ext.DateExtras-property-MINUTE","name":"MINUTE"},{"meta":{},"fullName":"Ext.DateExtras.MONTH","icon":"icon-property","sort":3,"url":"#!/api/Ext.DateExtras-property-MONTH","name":"MONTH"},{"meta":{},"fullName":"Ext.DateExtras.SECOND","icon":"icon-property","sort":3,"url":"#!/api/Ext.DateExtras-property-SECOND","name":"SECOND"},{"meta":{},"fullName":"Ext.DateExtras.YEAR","icon":"icon-property","sort":3,"url":"#!/api/Ext.DateExtras-property-YEAR","name":"YEAR"},{"meta":{},"fullName":"Ext.DateExtras.dayNames","icon":"icon-property","sort":3,"url":"#!/api/Ext.DateExtras-property-dayNames","name":"dayNames"},{"meta":{},"fullName":"Ext.DateExtras.defaultFormat","icon":"icon-property","sort":3,"url":"#!/api/Ext.DateExtras-property-defaultFormat","name":"defaultFormat"},{"meta":{},"fullName":"Ext.DateExtras.defaults","icon":"icon-property","sort":3,"url":"#!/api/Ext.DateExtras-property-defaults","name":"defaults"},{"meta":{},"fullName":"Ext.DateExtras.formatCodes","icon":"icon-property","sort":3,"url":"#!/api/Ext.DateExtras-property-formatCodes","name":"formatCodes"},{"meta":{},"fullName":"Ext.DateExtras.formatFunctions","icon":"icon-property","sort":3,"url":"#!/api/Ext.DateExtras-property-formatFunctions","name":"formatFunctions"},{"meta":{},"fullName":"Ext.DateExtras.monthNames","icon":"icon-property","sort":3,"url":"#!/api/Ext.DateExtras-property-monthNames","name":"monthNames"},{"meta":{},"fullName":"Ext.DateExtras.monthNumbers","icon":"icon-property","sort":3,"url":"#!/api/Ext.DateExtras-property-monthNumbers","name":"monthNumbers"},{"meta":{},"fullName":"Ext.DateExtras.parseFunctions","icon":"icon-property","sort":3,"url":"#!/api/Ext.DateExtras-property-parseFunctions","name":"parseFunctions"},{"meta":{},"fullName":"Ext.DateExtras.useStrict","icon":"icon-property","sort":3,"url":"#!/api/Ext.DateExtras-property-useStrict","name":"useStrict"},{"meta":{},"fullName":"Ext.DateExtras.add","icon":"icon-method","sort":3,"url":"#!/api/Ext.DateExtras-method-add","name":"add"},{"meta":{},"fullName":"Ext.DateExtras.between","icon":"icon-method","sort":3,"url":"#!/api/Ext.DateExtras-method-between","name":"between"},{"meta":{},"fullName":"Ext.DateExtras.clearTime","icon":"icon-method","sort":3,"url":"#!/api/Ext.DateExtras-method-clearTime","name":"clearTime"},{"meta":{},"fullName":"Ext.DateExtras.clone","icon":"icon-method","sort":3,"url":"#!/api/Ext.DateExtras-method-clone","name":"clone"},{"meta":{},"fullName":"Ext.DateExtras.format","icon":"icon-method","sort":3,"url":"#!/api/Ext.DateExtras-method-format","name":"format"},{"meta":{},"fullName":"Ext.DateExtras.getDayOfYear","icon":"icon-method","sort":3,"url":"#!/api/Ext.DateExtras-method-getDayOfYear","name":"getDayOfYear"},{"meta":{},"fullName":"Ext.DateExtras.getDaysInMonth","icon":"icon-method","sort":3,"url":"#!/api/Ext.DateExtras-method-getDaysInMonth","name":"getDaysInMonth"},{"meta":{},"fullName":"Ext.DateExtras.getElapsed","icon":"icon-method","sort":3,"url":"#!/api/Ext.DateExtras-method-getElapsed","name":"getElapsed"},{"meta":{},"fullName":"Ext.DateExtras.getFirstDateOfMonth","icon":"icon-method","sort":3,"url":"#!/api/Ext.DateExtras-method-getFirstDateOfMonth","name":"getFirstDateOfMonth"},{"meta":{},"fullName":"Ext.DateExtras.getFirstDayOfMonth","icon":"icon-method","sort":3,"url":"#!/api/Ext.DateExtras-method-getFirstDayOfMonth","name":"getFirstDayOfMonth"},{"meta":{},"fullName":"Ext.DateExtras.getGMTOffset","icon":"icon-method","sort":3,"url":"#!/api/Ext.DateExtras-method-getGMTOffset","name":"getGMTOffset"},{"meta":{},"fullName":"Ext.DateExtras.getLastDateOfMonth","icon":"icon-method","sort":3,"url":"#!/api/Ext.DateExtras-method-getLastDateOfMonth","name":"getLastDateOfMonth"},{"meta":{},"fullName":"Ext.DateExtras.getLastDayOfMonth","icon":"icon-method","sort":3,"url":"#!/api/Ext.DateExtras-method-getLastDayOfMonth","name":"getLastDayOfMonth"},{"meta":{},"fullName":"Ext.DateExtras.getMonthNumber","icon":"icon-method","sort":3,"url":"#!/api/Ext.DateExtras-method-getMonthNumber","name":"getMonthNumber"},{"meta":{},"fullName":"Ext.DateExtras.getShortDayName","icon":"icon-method","sort":3,"url":"#!/api/Ext.DateExtras-method-getShortDayName","name":"getShortDayName"},{"meta":{},"fullName":"Ext.DateExtras.getShortMonthName","icon":"icon-method","sort":3,"url":"#!/api/Ext.DateExtras-method-getShortMonthName","name":"getShortMonthName"},{"meta":{},"fullName":"Ext.DateExtras.getSuffix","icon":"icon-method","sort":3,"url":"#!/api/Ext.DateExtras-method-getSuffix","name":"getSuffix"},{"meta":{},"fullName":"Ext.DateExtras.getTimezone","icon":"icon-method","sort":3,"url":"#!/api/Ext.DateExtras-method-getTimezone","name":"getTimezone"},{"meta":{},"fullName":"Ext.DateExtras.getWeekOfYear","icon":"icon-method","sort":3,"url":"#!/api/Ext.DateExtras-method-getWeekOfYear","name":"getWeekOfYear"},{"meta":{},"fullName":"Ext.DateExtras.isDST","icon":"icon-method","sort":3,"url":"#!/api/Ext.DateExtras-method-isDST","name":"isDST"},{"meta":{},"fullName":"Ext.DateExtras.isLeapYear","icon":"icon-method","sort":3,"url":"#!/api/Ext.DateExtras-method-isLeapYear","name":"isLeapYear"},{"meta":{},"fullName":"Ext.DateExtras.isValid","icon":"icon-method","sort":3,"url":"#!/api/Ext.DateExtras-method-isValid","name":"isValid"},{"meta":{},"fullName":"Ext.DateExtras.now","icon":"icon-method","sort":3,"url":"#!/api/Ext.DateExtras-method-now","name":"now"},{"meta":{},"fullName":"Ext.DateExtras.parse","icon":"icon-method","sort":3,"url":"#!/api/Ext.DateExtras-method-parse","name":"parse"},{"meta":{"private":true},"fullName":"Ext.fx.Easing","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.Easing","name":"Easing"},{"meta":{"private":true},"fullName":"Ext.fx.easing.BoundMomentum","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.easing.BoundMomentum","name":"BoundMomentum"},{"meta":{},"fullName":"Ext.fx.easing.BoundMomentum.bounce","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.fx.easing.BoundMomentum-cfg-bounce","name":"bounce"},{"meta":{},"fullName":"Ext.fx.easing.BoundMomentum.minVelocity","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.fx.easing.BoundMomentum-cfg-minVelocity","name":"minVelocity"},{"meta":{},"fullName":"Ext.fx.easing.BoundMomentum.momentum","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.fx.easing.BoundMomentum-cfg-momentum","name":"momentum"},{"meta":{},"fullName":"Ext.fx.easing.BoundMomentum.startVelocity","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.fx.easing.BoundMomentum-cfg-startVelocity","name":"startVelocity"},{"meta":{},"fullName":"Ext.fx.easing.BoundMomentum.getBounce","icon":"icon-method","sort":3,"url":"#!/api/Ext.fx.easing.BoundMomentum-method-getBounce","name":"getBounce"},{"meta":{},"fullName":"Ext.fx.easing.BoundMomentum.getMinVelocity","icon":"icon-method","sort":3,"url":"#!/api/Ext.fx.easing.BoundMomentum-method-getMinVelocity","name":"getMinVelocity"},{"meta":{},"fullName":"Ext.fx.easing.BoundMomentum.getMomentum","icon":"icon-method","sort":3,"url":"#!/api/Ext.fx.easing.BoundMomentum-method-getMomentum","name":"getMomentum"},{"meta":{},"fullName":"Ext.fx.easing.BoundMomentum.getStartVelocity","icon":"icon-method","sort":3,"url":"#!/api/Ext.fx.easing.BoundMomentum-method-getStartVelocity","name":"getStartVelocity"},{"meta":{},"fullName":"Ext.fx.easing.BoundMomentum.setBounce","icon":"icon-method","sort":3,"url":"#!/api/Ext.fx.easing.BoundMomentum-method-setBounce","name":"setBounce"},{"meta":{},"fullName":"Ext.fx.easing.BoundMomentum.setMinVelocity","icon":"icon-method","sort":3,"url":"#!/api/Ext.fx.easing.BoundMomentum-method-setMinVelocity","name":"setMinVelocity"},{"meta":{},"fullName":"Ext.fx.easing.BoundMomentum.setMomentum","icon":"icon-method","sort":3,"url":"#!/api/Ext.fx.easing.BoundMomentum-method-setMomentum","name":"setMomentum"},{"meta":{},"fullName":"Ext.fx.easing.BoundMomentum.setStartVelocity","icon":"icon-method","sort":3,"url":"#!/api/Ext.fx.easing.BoundMomentum-method-setStartVelocity","name":"setStartVelocity"},{"meta":{"private":true},"fullName":"Ext.fx.easing.EaseIn","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.easing.EaseIn","name":"EaseIn"},{"meta":{"private":true},"fullName":"easing: ease-in","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.fx.easing.EaseIn","name":"ease-in"},{"meta":{"private":true},"fullName":"Ext.fx.easing.EaseOut","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.easing.EaseOut","name":"EaseOut"},{"meta":{"private":true},"fullName":"easing: ease-out","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.fx.easing.EaseOut","name":"ease-out"},{"meta":{"private":true},"fullName":"Ext.mixin.Filterable","icon":"icon-class","sort":1,"url":"#!/api/Ext.mixin.Filterable","name":"Filterable"},{"meta":{},"fullName":"Ext.mixin.Filterable.currentSortFn","icon":"icon-property","sort":3,"url":"#!/api/Ext.mixin.Filterable-property-currentSortFn","name":"currentSortFn"},{"meta":{},"fullName":"Ext.mixin.Filterable.dirtyFilterFn","icon":"icon-property","sort":3,"url":"#!/api/Ext.mixin.Filterable-property-dirtyFilterFn","name":"dirtyFilterFn"},{"meta":{},"fullName":"Ext.mixin.Filterable.filtered","icon":"icon-property","sort":3,"url":"#!/api/Ext.mixin.Filterable-property-filtered","name":"filtered"},{"meta":{},"fullName":"Ext.mixin.Filterable.filterRoot","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.mixin.Filterable-cfg-filterRoot","name":"filterRoot"},{"meta":{},"fullName":"Ext.mixin.Filterable.filters","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.mixin.Filterable-cfg-filters","name":"filters"},{"meta":{},"fullName":"Ext.mixin.Filterable.addFilter","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Filterable-method-addFilter","name":"addFilter"},{"meta":{},"fullName":"Ext.mixin.Filterable.addFilters","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Filterable-method-addFilters","name":"addFilters"},{"meta":{},"fullName":"Ext.mixin.Filterable.filter","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Filterable-method-filter","name":"filter"},{"meta":{},"fullName":"Ext.mixin.Filterable.getFilterFn","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Filterable-method-getFilterFn","name":"getFilterFn"},{"meta":{},"fullName":"Ext.mixin.Filterable.insertFilter","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Filterable-method-insertFilter","name":"insertFilter"},{"meta":{},"fullName":"Ext.mixin.Filterable.insertFilters","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Filterable-method-insertFilters","name":"insertFilters"},{"meta":{},"fullName":"Ext.mixin.Filterable.removeFilters","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Filterable-method-removeFilters","name":"removeFilters"},{"meta":{"private":true},"fullName":"Ext.mixin.Filterable.updateFilterFn","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Filterable-method-updateFilterFn","name":"updateFilterFn"},{"meta":{"aside":[{"type":"guide","name":"events"}]},"fullName":"Ext.mixin.Observable","icon":"icon-class","sort":1,"url":"#!/api/Ext.mixin.Observable","name":"Observable"},{"meta":{"aside":[{"type":"guide","name":"events"}]},"type":"class","fullName":"Ext.util.Observable","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.mixin.Observable","name":"Observable"},{"meta":{},"fullName":"Ext.mixin.Observable.bubbleEvents","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.mixin.Observable-cfg-bubbleEvents","name":"bubbleEvents"},{"meta":{},"fullName":"Ext.mixin.Observable.listeners","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.mixin.Observable-cfg-listeners","name":"listeners"},{"meta":{},"fullName":"Ext.mixin.Observable.addAfterListener","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-addAfterListener","name":"addAfterListener"},{"meta":{},"fullName":"Ext.mixin.Observable.addBeforeListener","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-addBeforeListener","name":"addBeforeListener"},{"meta":{"deprecated":{"text":"It's no longer needed to add events before firing.","version":"2.0"}},"fullName":"Ext.mixin.Observable.addEvents","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-addEvents","name":"addEvents"},{"meta":{},"fullName":"Ext.mixin.Observable.addListener","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-addListener","name":"addListener"},{"meta":{"deprecated":{"text":"All listeners are now automatically managed where necessary. Simply use {@link #addListener}.","version":"2.0"}},"fullName":"Ext.mixin.Observable.addManagedListener","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-addManagedListener","name":"addManagedListener"},{"meta":{"private":true},"fullName":"Ext.mixin.Observable.changeListener","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-changeListener","name":"changeListener"},{"meta":{},"fullName":"Ext.mixin.Observable.clearListeners","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-clearListeners","name":"clearListeners"},{"meta":{"private":true},"fullName":"Ext.mixin.Observable.createEventRelayer","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-createEventRelayer","name":"createEventRelayer"},{"meta":{"private":true},"fullName":"Ext.mixin.Observable.doAddListener","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-doAddListener","name":"doAddListener"},{"meta":{},"fullName":"Ext.mixin.Observable.enableBubble","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-enableBubble","name":"enableBubble"},{"meta":{},"fullName":"Ext.mixin.Observable.fireAction","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-fireAction","name":"fireAction"},{"meta":{},"fullName":"Ext.mixin.Observable.fireEvent","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-fireEvent","name":"fireEvent"},{"meta":{},"fullName":"Ext.mixin.Observable.getBubbleEvents","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-getBubbleEvents","name":"getBubbleEvents"},{"meta":{},"fullName":"Ext.mixin.Observable.getListeners","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-getListeners","name":"getListeners"},{"meta":{},"fullName":"Ext.mixin.Observable.hasListener","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-hasListener","name":"hasListener"},{"meta":{"deprecated":{"text":"This is now done automatically","version":"2.0.0"}},"fullName":"Ext.mixin.Observable.mon","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-mon","name":"mon"},{"meta":{"deprecated":{"text":"This is now done automatically","version":"2.0.0"}},"fullName":"Ext.mixin.Observable.mun","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-mun","name":"mun"},{"meta":{},"fullName":"Ext.mixin.Observable.on","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-on","name":"on"},{"meta":{},"fullName":"Ext.mixin.Observable.onAfter","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-onAfter","name":"onAfter"},{"meta":{},"fullName":"Ext.mixin.Observable.onBefore","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-onBefore","name":"onBefore"},{"meta":{"private":true},"fullName":"Ext.mixin.Observable.relayEvent","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-relayEvent","name":"relayEvent"},{"meta":{},"fullName":"Ext.mixin.Observable.relayEvents","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-relayEvents","name":"relayEvents"},{"meta":{},"fullName":"Ext.mixin.Observable.removeAfterListener","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-removeAfterListener","name":"removeAfterListener"},{"meta":{},"fullName":"Ext.mixin.Observable.removeBeforeListener","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-removeBeforeListener","name":"removeBeforeListener"},{"meta":{},"fullName":"Ext.mixin.Observable.removeListener","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-removeListener","name":"removeListener"},{"meta":{"deprecated":{"text":"All listeners are now automatically managed where necessary. Simply use {@link #removeListener}.","version":"2.0"}},"fullName":"Ext.mixin.Observable.removeManagedListener","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-removeManagedListener","name":"removeManagedListener"},{"meta":{},"fullName":"Ext.mixin.Observable.resumeEvents","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-resumeEvents","name":"resumeEvents"},{"meta":{},"fullName":"Ext.mixin.Observable.setBubbleEvents","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-setBubbleEvents","name":"setBubbleEvents"},{"meta":{},"fullName":"Ext.mixin.Observable.setListeners","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-setListeners","name":"setListeners"},{"meta":{},"fullName":"Ext.mixin.Observable.suspendEvents","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-suspendEvents","name":"suspendEvents"},{"meta":{},"fullName":"Ext.mixin.Observable.un","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-un","name":"un"},{"meta":{},"fullName":"Ext.mixin.Observable.unAfter","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-unAfter","name":"unAfter"},{"meta":{},"fullName":"Ext.mixin.Observable.unBefore","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Observable-method-unBefore","name":"unBefore"},{"meta":{"private":true},"fullName":"Ext.Evented","icon":"icon-class","sort":1,"url":"#!/api/Ext.Evented","name":"Evented"},{"meta":{"private":true},"type":"class","fullName":"Ext.EventedBase","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.Evented","name":"EventedBase"},{"meta":{"private":true},"fullName":"Ext.AbstractComponent","icon":"icon-class","sort":1,"url":"#!/api/Ext.AbstractComponent","name":"AbstractComponent"},{"meta":{"private":true},"fullName":"Ext.AbstractComponent.addReferenceNode","icon":"icon-method","sort":3,"url":"#!/api/Ext.AbstractComponent-method-addReferenceNode","name":"addReferenceNode"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"controllers"},{"type":"guide","name":"apps_intro"},{"type":"guide","name":"history_support"},{"type":"video","name":"mvc-part-1"},{"type":"video","name":"mvc-part-2"}]},"fullName":"Ext.app.Controller","icon":"icon-class","sort":1,"url":"#!/api/Ext.app.Controller","name":"Controller"},{"meta":{},"fullName":"Ext.app.Controller.application","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Controller-cfg-application","name":"application"},{"meta":{},"fullName":"Ext.app.Controller.before","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Controller-cfg-before","name":"before"},{"meta":{},"fullName":"Ext.app.Controller.control","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Controller-cfg-control","name":"control"},{"meta":{},"fullName":"Ext.app.Controller.init","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Controller-cfg-init","name":"init"},{"meta":{},"fullName":"Ext.app.Controller.launch","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Controller-cfg-launch","name":"launch"},{"meta":{},"fullName":"Ext.app.Controller.models","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Controller-cfg-models","name":"models"},{"meta":{},"fullName":"Ext.app.Controller.refs","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Controller-cfg-refs","name":"refs"},{"meta":{},"fullName":"Ext.app.Controller.routes","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Controller-cfg-routes","name":"routes"},{"meta":{},"fullName":"Ext.app.Controller.stores","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Controller-cfg-stores","name":"stores"},{"meta":{},"fullName":"Ext.app.Controller.views","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Controller-cfg-views","name":"views"},{"meta":{},"fullName":"Ext.app.Controller.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-constructor","name":"constructor"},{"meta":{"private":true},"fullName":"Ext.app.Controller.applyBefore","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-applyBefore","name":"applyBefore"},{"meta":{"private":true},"fullName":"Ext.app.Controller.applyControl","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-applyControl","name":"applyControl"},{"meta":{"private":true},"fullName":"Ext.app.Controller.applyModels","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-applyModels","name":"applyModels"},{"meta":{"private":true},"fullName":"Ext.app.Controller.applyRefs","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-applyRefs","name":"applyRefs"},{"meta":{"private":true},"fullName":"Ext.app.Controller.applyRoutes","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-applyRoutes","name":"applyRoutes"},{"meta":{"private":true},"fullName":"Ext.app.Controller.applyStores","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-applyStores","name":"applyStores"},{"meta":{"private":true},"fullName":"Ext.app.Controller.applyViews","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-applyViews","name":"applyViews"},{"meta":{"private":true},"fullName":"Ext.app.Controller.control","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-control","name":"control"},{"meta":{"private":true},"fullName":"Ext.app.Controller.execute","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-execute","name":"execute"},{"meta":{},"fullName":"Ext.app.Controller.getApplication","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-getApplication","name":"getApplication"},{"meta":{},"fullName":"Ext.app.Controller.getBefore","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-getBefore","name":"getBefore"},{"meta":{},"fullName":"Ext.app.Controller.getControl","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-getControl","name":"getControl"},{"meta":{"deprecated":{"text":"2.0.0 Considered bad practice - if you need to do this\nplease use this.getApplication().getController() instead"}},"fullName":"Ext.app.Controller.getController","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-getController","name":"getController"},{"meta":{"private":true},"fullName":"Ext.app.Controller.getFullyQualified","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-getFullyQualified","name":"getFullyQualified"},{"meta":{"deprecated":{"text":"2.0.0 Considered bad practice - please just use the Model name instead\n(e.g. MyApp.model.User vs this.getModel('User'))."}},"fullName":"Ext.app.Controller.getModel","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-getModel","name":"getModel"},{"meta":{},"fullName":"Ext.app.Controller.getModels","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-getModels","name":"getModels"},{"meta":{"private":true},"fullName":"Ext.app.Controller.getRef","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-getRef","name":"getRef"},{"meta":{},"fullName":"Ext.app.Controller.getRefs","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-getRefs","name":"getRefs"},{"meta":{},"fullName":"Ext.app.Controller.getRoutes","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-getRoutes","name":"getRoutes"},{"meta":{},"fullName":"Ext.app.Controller.getStores","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-getStores","name":"getStores"},{"meta":{},"fullName":"Ext.app.Controller.getViews","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-getViews","name":"getViews"},{"meta":{"private":true},"fullName":"Ext.app.Controller.hasRef","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-hasRef","name":"hasRef"},{"meta":{},"fullName":"Ext.app.Controller.redirectTo","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-redirectTo","name":"redirectTo"},{"meta":{"private":true},"fullName":"Ext.app.Controller.ref","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-ref","name":"ref"},{"meta":{},"fullName":"Ext.app.Controller.setApplication","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-setApplication","name":"setApplication"},{"meta":{},"fullName":"Ext.app.Controller.setBefore","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-setBefore","name":"setBefore"},{"meta":{},"fullName":"Ext.app.Controller.setControl","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-setControl","name":"setControl"},{"meta":{},"fullName":"Ext.app.Controller.setModels","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-setModels","name":"setModels"},{"meta":{},"fullName":"Ext.app.Controller.setRefs","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-setRefs","name":"setRefs"},{"meta":{},"fullName":"Ext.app.Controller.setRoutes","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-setRoutes","name":"setRoutes"},{"meta":{},"fullName":"Ext.app.Controller.setStores","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-setStores","name":"setStores"},{"meta":{},"fullName":"Ext.app.Controller.setViews","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Controller-method-setViews","name":"setViews"},{"meta":{"author":["Ed Spencer"],"private":true},"fullName":"Ext.app.History","icon":"icon-class","sort":1,"url":"#!/api/Ext.app.History","name":"History"},{"meta":{},"fullName":"Ext.app.History.change","icon":"icon-event","sort":3,"url":"#!/api/Ext.app.History-event-change","name":"change"},{"meta":{},"fullName":"Ext.app.History.actions","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.History-cfg-actions","name":"actions"},{"meta":{},"fullName":"Ext.app.History.token","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.History-cfg-token","name":"token"},{"meta":{},"fullName":"Ext.app.History.updateUrl","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.History-cfg-updateUrl","name":"updateUrl"},{"meta":{},"fullName":"Ext.app.History.add","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.History-method-add","name":"add"},{"meta":{"private":true},"fullName":"Ext.app.History.applyToken","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.History-method-applyToken","name":"applyToken"},{"meta":{"private":true},"fullName":"Ext.app.History.back","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.History-method-back","name":"back"},{"meta":{"private":true},"fullName":"Ext.app.History.detectStateChange","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.History-method-detectStateChange","name":"detectStateChange"},{"meta":{"private":true},"fullName":"Ext.app.History.onStateChange","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.History-method-onStateChange","name":"onStateChange"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"profiles"}]},"fullName":"Ext.app.Profile","icon":"icon-class","sort":1,"url":"#!/api/Ext.app.Profile","name":"Profile"},{"meta":{},"fullName":"Ext.app.Profile.application","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Profile-cfg-application","name":"application"},{"meta":{},"fullName":"Ext.app.Profile.controllers","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Profile-cfg-controllers","name":"controllers"},{"meta":{},"fullName":"Ext.app.Profile.models","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Profile-cfg-models","name":"models"},{"meta":{},"fullName":"Ext.app.Profile.name","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Profile-cfg-name","name":"name"},{"meta":{},"fullName":"Ext.app.Profile.namespace","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Profile-cfg-namespace","name":"namespace"},{"meta":{},"fullName":"Ext.app.Profile.stores","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Profile-cfg-stores","name":"stores"},{"meta":{},"fullName":"Ext.app.Profile.views","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Profile-cfg-views","name":"views"},{"meta":{},"fullName":"Ext.app.Profile.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Profile-method-constructor","name":"constructor"},{"meta":{"private":true},"fullName":"Ext.app.Profile.applyName","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Profile-method-applyName","name":"applyName"},{"meta":{"private":true},"fullName":"Ext.app.Profile.applyNamespace","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Profile-method-applyNamespace","name":"applyNamespace"},{"meta":{},"fullName":"Ext.app.Profile.getApplication","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Profile-method-getApplication","name":"getApplication"},{"meta":{},"fullName":"Ext.app.Profile.getControllers","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Profile-method-getControllers","name":"getControllers"},{"meta":{"private":true},"fullName":"Ext.app.Profile.getDependencies","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Profile-method-getDependencies","name":"getDependencies"},{"meta":{},"fullName":"Ext.app.Profile.getModels","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Profile-method-getModels","name":"getModels"},{"meta":{},"fullName":"Ext.app.Profile.getName","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Profile-method-getName","name":"getName"},{"meta":{},"fullName":"Ext.app.Profile.getNamespace","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Profile-method-getNamespace","name":"getNamespace"},{"meta":{},"fullName":"Ext.app.Profile.getStores","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Profile-method-getStores","name":"getStores"},{"meta":{},"fullName":"Ext.app.Profile.getViews","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Profile-method-getViews","name":"getViews"},{"meta":{},"fullName":"Ext.app.Profile.isActive","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Profile-method-isActive","name":"isActive"},{"meta":{},"fullName":"Ext.app.Profile.launch","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Profile-method-launch","name":"launch"},{"meta":{},"fullName":"Ext.app.Profile.setApplication","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Profile-method-setApplication","name":"setApplication"},{"meta":{},"fullName":"Ext.app.Profile.setControllers","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Profile-method-setControllers","name":"setControllers"},{"meta":{},"fullName":"Ext.app.Profile.setModels","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Profile-method-setModels","name":"setModels"},{"meta":{},"fullName":"Ext.app.Profile.setName","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Profile-method-setName","name":"setName"},{"meta":{},"fullName":"Ext.app.Profile.setNamespace","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Profile-method-setNamespace","name":"setNamespace"},{"meta":{},"fullName":"Ext.app.Profile.setStores","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Profile-method-setStores","name":"setStores"},{"meta":{},"fullName":"Ext.app.Profile.setViews","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Profile-method-setViews","name":"setViews"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"apps_intro"},{"type":"guide","name":"first_app"},{"type":"video","name":"mvc-part-1"},{"type":"video","name":"mvc-part-2"}]},"fullName":"Ext.app.Application","icon":"icon-class","sort":1,"url":"#!/api/Ext.app.Application","name":"Application"},{"meta":{},"fullName":"Ext.app.Application.appFolder","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Application-cfg-appFolder","name":"appFolder"},{"meta":{"private":true},"fullName":"Ext.app.Application.controllerInstances","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Application-cfg-controllerInstances","name":"controllerInstances"},{"meta":{},"fullName":"Ext.app.Application.controllers","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Application-cfg-controllers","name":"controllers"},{"meta":{},"fullName":"Ext.app.Application.currentProfile","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Application-cfg-currentProfile","name":"currentProfile"},{"meta":{"private":true},"fullName":"Ext.app.Application.enableLoader","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Application-cfg-enableLoader","name":"enableLoader"},{"meta":{},"fullName":"Ext.app.Application.glossOnIcon","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Application-cfg-glossOnIcon","name":"glossOnIcon"},{"meta":{},"fullName":"Ext.app.Application.history","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Application-cfg-history","name":"history"},{"meta":{},"fullName":"Ext.app.Application.icon","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Application-cfg-icon","name":"icon"},{"meta":{},"fullName":"Ext.app.Application.launch","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Application-cfg-launch","name":"launch"},{"meta":{},"fullName":"Ext.app.Application.name","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Application-cfg-name","name":"name"},{"meta":{},"fullName":"Ext.app.Application.phoneIcon","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Application-cfg-phoneIcon","name":"phoneIcon"},{"meta":{},"fullName":"Ext.app.Application.phoneStartupScreen","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Application-cfg-phoneStartupScreen","name":"phoneStartupScreen"},{"meta":{"private":true},"fullName":"Ext.app.Application.profileInstances","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Application-cfg-profileInstances","name":"profileInstances"},{"meta":{},"fullName":"Ext.app.Application.profiles","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Application-cfg-profiles","name":"profiles"},{"meta":{"private":true},"fullName":"Ext.app.Application.requires","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Application-cfg-requires","name":"requires"},{"meta":{},"fullName":"Ext.app.Application.router","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Application-cfg-router","name":"router"},{"meta":{},"fullName":"Ext.app.Application.statusBarStyle","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Application-cfg-statusBarStyle","name":"statusBarStyle"},{"meta":{},"fullName":"Ext.app.Application.tabletIcon","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Application-cfg-tabletIcon","name":"tabletIcon"},{"meta":{},"fullName":"Ext.app.Application.tabletStartupScreen","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.app.Application-cfg-tabletStartupScreen","name":"tabletStartupScreen"},{"meta":{},"fullName":"Ext.app.Application.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-constructor","name":"constructor"},{"meta":{"private":true},"fullName":"Ext.app.Application.applyControllers","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-applyControllers","name":"applyControllers"},{"meta":{"private":true},"fullName":"Ext.app.Application.applyHistory","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-applyHistory","name":"applyHistory"},{"meta":{"private":true},"fullName":"Ext.app.Application.applyName","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-applyName","name":"applyName"},{"meta":{"private":true},"fullName":"Ext.app.Application.applyProfiles","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-applyProfiles","name":"applyProfiles"},{"meta":{"private":true},"fullName":"Ext.app.Application.applyRouter","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-applyRouter","name":"applyRouter"},{"meta":{"private":true},"fullName":"Ext.app.Application.control","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-control","name":"control"},{"meta":{},"fullName":"Ext.app.Application.dispatch","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-dispatch","name":"dispatch"},{"meta":{"private":true},"fullName":"Ext.app.Application.gatherDependencies","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-gatherDependencies","name":"gatherDependencies"},{"meta":{},"fullName":"Ext.app.Application.getAppFolder","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-getAppFolder","name":"getAppFolder"},{"meta":{"private":true},"fullName":"Ext.app.Application.getController","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-getController","name":"getController"},{"meta":{"private":true},"fullName":"Ext.app.Application.getControllerInstances","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-getControllerInstances","name":"getControllerInstances"},{"meta":{},"fullName":"Ext.app.Application.getControllers","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-getControllers","name":"getControllers"},{"meta":{},"fullName":"Ext.app.Application.getCurrentProfile","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-getCurrentProfile","name":"getCurrentProfile"},{"meta":{"private":true},"fullName":"Ext.app.Application.getEnableLoader","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-getEnableLoader","name":"getEnableLoader"},{"meta":{},"fullName":"Ext.app.Application.getHistory","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-getHistory","name":"getHistory"},{"meta":{},"fullName":"Ext.app.Application.getLaunch","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-getLaunch","name":"getLaunch"},{"meta":{},"fullName":"Ext.app.Application.getName","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-getName","name":"getName"},{"meta":{"private":true},"fullName":"Ext.app.Application.getProfileInstances","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-getProfileInstances","name":"getProfileInstances"},{"meta":{},"fullName":"Ext.app.Application.getProfiles","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-getProfiles","name":"getProfiles"},{"meta":{"private":true},"fullName":"Ext.app.Application.getRequires","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-getRequires","name":"getRequires"},{"meta":{},"fullName":"Ext.app.Application.getRouter","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-getRouter","name":"getRouter"},{"meta":{"private":true},"fullName":"Ext.app.Application.instantiateControllers","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-instantiateControllers","name":"instantiateControllers"},{"meta":{"private":true},"fullName":"Ext.app.Application.instantiateStores","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-instantiateStores","name":"instantiateStores"},{"meta":{"private":true},"fullName":"Ext.app.Application.loadControllerDependencies","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-loadControllerDependencies","name":"loadControllerDependencies"},{"meta":{"private":true},"fullName":"Ext.app.Application.onDependenciesLoaded","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-onDependenciesLoaded","name":"onDependenciesLoaded"},{"meta":{"private":true},"fullName":"Ext.app.Application.onHistoryChange","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-onHistoryChange","name":"onHistoryChange"},{"meta":{"private":true},"fullName":"Ext.app.Application.onProfilesLoaded","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-onProfilesLoaded","name":"onProfilesLoaded"},{"meta":{},"fullName":"Ext.app.Application.redirectTo","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-redirectTo","name":"redirectTo"},{"meta":{},"fullName":"Ext.app.Application.setAppFolder","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-setAppFolder","name":"setAppFolder"},{"meta":{"private":true},"fullName":"Ext.app.Application.setControllerInstances","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-setControllerInstances","name":"setControllerInstances"},{"meta":{},"fullName":"Ext.app.Application.setControllers","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-setControllers","name":"setControllers"},{"meta":{},"fullName":"Ext.app.Application.setCurrentProfile","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-setCurrentProfile","name":"setCurrentProfile"},{"meta":{"private":true},"fullName":"Ext.app.Application.setEnableLoader","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-setEnableLoader","name":"setEnableLoader"},{"meta":{},"fullName":"Ext.app.Application.setHistory","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-setHistory","name":"setHistory"},{"meta":{},"fullName":"Ext.app.Application.setLaunch","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-setLaunch","name":"setLaunch"},{"meta":{},"fullName":"Ext.app.Application.setName","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-setName","name":"setName"},{"meta":{"private":true},"fullName":"Ext.app.Application.setProfileInstances","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-setProfileInstances","name":"setProfileInstances"},{"meta":{},"fullName":"Ext.app.Application.setProfiles","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-setProfiles","name":"setProfiles"},{"meta":{"private":true},"fullName":"Ext.app.Application.setRequires","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-setRequires","name":"setRequires"},{"meta":{},"fullName":"Ext.app.Application.setRouter","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-setRouter","name":"setRouter"},{"meta":{"private":true},"fullName":"Ext.app.Application.updateName","icon":"icon-method","sort":3,"url":"#!/api/Ext.app.Application-method-updateName","name":"updateName"},{"meta":{"author":["Ed Spencer"]},"fullName":"Ext.data.Batch","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.Batch","name":"Batch"},{"meta":{},"fullName":"Ext.data.Batch.current","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Batch-property-current","name":"current"},{"meta":{},"fullName":"Ext.data.Batch.hasException","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Batch-property-hasException","name":"hasException"},{"meta":{},"fullName":"Ext.data.Batch.isComplete","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Batch-property-isComplete","name":"isComplete"},{"meta":{},"fullName":"Ext.data.Batch.isRunning","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Batch-property-isRunning","name":"isRunning"},{"meta":{},"fullName":"Ext.data.Batch.operations","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Batch-property-operations","name":"operations"},{"meta":{},"fullName":"Ext.data.Batch.total","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Batch-property-total","name":"total"},{"meta":{},"fullName":"Ext.data.Batch.complete","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.Batch-event-complete","name":"complete"},{"meta":{},"fullName":"Ext.data.Batch.exception","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.Batch-event-exception","name":"exception"},{"meta":{},"fullName":"Ext.data.Batch.operationcomplete","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.Batch-event-operationcomplete","name":"operationcomplete"},{"meta":{},"fullName":"Ext.data.Batch.autoStart","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Batch-cfg-autoStart","name":"autoStart"},{"meta":{},"fullName":"Ext.data.Batch.pauseOnException","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Batch-cfg-pauseOnException","name":"pauseOnException"},{"meta":{},"fullName":"Ext.data.Batch.proxy","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Batch-cfg-proxy","name":"proxy"},{"meta":{},"fullName":"Ext.data.Batch.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Batch-method-constructor","name":"constructor"},{"meta":{},"fullName":"Ext.data.Batch.add","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Batch-method-add","name":"add"},{"meta":{},"fullName":"Ext.data.Batch.pause","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Batch-method-pause","name":"pause"},{"meta":{"private":true},"fullName":"Ext.data.Batch.runNextOperation","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Batch-method-runNextOperation","name":"runNextOperation"},{"meta":{},"fullName":"Ext.data.Batch.runOperation","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Batch-method-runOperation","name":"runOperation"},{"meta":{},"fullName":"Ext.data.Batch.start","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Batch-method-start","name":"start"},{"meta":{},"fullName":"Ext.data.Connection","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.Connection","name":"Connection"},{"meta":{"private":true},"fullName":"Ext.data.Connection.getXhrInstance","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Connection-property-getXhrInstance","name":"getXhrInstance"},{"meta":{},"fullName":"Ext.data.Connection.beforerequest","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.Connection-event-beforerequest","name":"beforerequest"},{"meta":{},"fullName":"Ext.data.Connection.requestcomplete","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.Connection-event-requestcomplete","name":"requestcomplete"},{"meta":{},"fullName":"Ext.data.Connection.requestexception","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.Connection-event-requestexception","name":"requestexception"},{"meta":{},"fullName":"Ext.data.Connection.defaultHeaders","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Connection-cfg-defaultHeaders","name":"defaultHeaders"},{"meta":{},"fullName":"Ext.data.Connection.defaultXhrHeader","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Connection-cfg-defaultXhrHeader","name":"defaultXhrHeader"},{"meta":{},"fullName":"Ext.data.Connection.disableCaching","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Connection-cfg-disableCaching","name":"disableCaching"},{"meta":{},"fullName":"Ext.data.Connection.disableCachingParam","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Connection-cfg-disableCachingParam","name":"disableCachingParam"},{"meta":{},"fullName":"Ext.data.Connection.extraParams","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Connection-cfg-extraParams","name":"extraParams"},{"meta":{},"fullName":"Ext.data.Connection.method","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Connection-cfg-method","name":"method"},{"meta":{},"fullName":"Ext.data.Connection.timeout","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Connection-cfg-timeout","name":"timeout"},{"meta":{},"fullName":"Ext.data.Connection.url","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Connection-cfg-url","name":"url"},{"meta":{},"fullName":"Ext.data.Connection.useDefaultXhrHeader","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Connection-cfg-useDefaultXhrHeader","name":"useDefaultXhrHeader"},{"meta":{},"fullName":"Ext.data.Connection.abort","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-abort","name":"abort"},{"meta":{},"fullName":"Ext.data.Connection.abortAll","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-abortAll","name":"abortAll"},{"meta":{"private":true},"fullName":"Ext.data.Connection.cleanup","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-cleanup","name":"cleanup"},{"meta":{"private":true},"fullName":"Ext.data.Connection.clearTimeout","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-clearTimeout","name":"clearTimeout"},{"meta":{"private":true},"fullName":"Ext.data.Connection.createException","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-createException","name":"createException"},{"meta":{"private":true},"fullName":"Ext.data.Connection.createResponse","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-createResponse","name":"createResponse"},{"meta":{},"fullName":"Ext.data.Connection.getDefaultHeaders","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-getDefaultHeaders","name":"getDefaultHeaders"},{"meta":{},"fullName":"Ext.data.Connection.getDisableCaching","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-getDisableCaching","name":"getDisableCaching"},{"meta":{},"fullName":"Ext.data.Connection.getDisableCachingParam","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-getDisableCachingParam","name":"getDisableCachingParam"},{"meta":{},"fullName":"Ext.data.Connection.getExtraParams","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-getExtraParams","name":"getExtraParams"},{"meta":{"private":true},"fullName":"Ext.data.Connection.getForm","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-getForm","name":"getForm"},{"meta":{},"fullName":"Ext.data.Connection.getTimeout","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-getTimeout","name":"getTimeout"},{"meta":{},"fullName":"Ext.data.Connection.getUrl","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-getUrl","name":"getUrl"},{"meta":{},"fullName":"Ext.data.Connection.getUseDefaultXhrHeader","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-getUseDefaultXhrHeader","name":"getUseDefaultXhrHeader"},{"meta":{"private":true},"fullName":"Ext.data.Connection.isFormUpload","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-isFormUpload","name":"isFormUpload"},{"meta":{},"fullName":"Ext.data.Connection.isLoading","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-isLoading","name":"isLoading"},{"meta":{"private":true},"fullName":"Ext.data.Connection.onComplete","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-onComplete","name":"onComplete"},{"meta":{"private":true},"fullName":"Ext.data.Connection.onStateChange","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-onStateChange","name":"onStateChange"},{"meta":{},"fullName":"Ext.data.Connection.parseStatus","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-parseStatus","name":"parseStatus"},{"meta":{},"fullName":"Ext.data.Connection.request","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-request","name":"request"},{"meta":{},"fullName":"Ext.data.Connection.setDefaultHeaders","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-setDefaultHeaders","name":"setDefaultHeaders"},{"meta":{},"fullName":"Ext.data.Connection.setDisableCaching","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-setDisableCaching","name":"setDisableCaching"},{"meta":{},"fullName":"Ext.data.Connection.setDisableCachingParam","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-setDisableCachingParam","name":"setDisableCachingParam"},{"meta":{},"fullName":"Ext.data.Connection.setExtraParams","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-setExtraParams","name":"setExtraParams"},{"meta":{},"fullName":"Ext.data.Connection.setOptions","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-setOptions","name":"setOptions"},{"meta":{},"fullName":"Ext.data.Connection.setTimeout","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-setTimeout","name":"setTimeout"},{"meta":{},"fullName":"Ext.data.Connection.setUrl","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-setUrl","name":"setUrl"},{"meta":{},"fullName":"Ext.data.Connection.setUseDefaultXhrHeader","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-setUseDefaultXhrHeader","name":"setUseDefaultXhrHeader"},{"meta":{"private":true},"fullName":"Ext.data.Connection.setupHeaders","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-setupHeaders","name":"setupHeaders"},{"meta":{"private":true},"fullName":"Ext.data.Connection.setupMethod","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-setupMethod","name":"setupMethod"},{"meta":{"private":true},"fullName":"Ext.data.Connection.setupParams","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-setupParams","name":"setupParams"},{"meta":{"private":true},"fullName":"Ext.data.Connection.setupUrl","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-setupUrl","name":"setupUrl"},{"meta":{},"fullName":"Ext.data.Connection.upload","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Connection-method-upload","name":"upload"},{"meta":{"aside":[{"type":"guide","name":"ajax"}]},"fullName":"Ext.Ajax","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.Ajax","name":"Ajax"},{"meta":{},"fullName":"Ext.Ajax.autoAbort","icon":"icon-property","sort":3,"url":"#!/api/Ext.Ajax-property-autoAbort","name":"autoAbort"},{"meta":{"author":["Ed Spencer"]},"fullName":"Ext.data.reader.Reader","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.reader.Reader","name":"Reader"},{"meta":{"author":["Ed Spencer"]},"type":"class","fullName":"Ext.data.Reader","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.reader.Reader","name":"Reader"},{"meta":{"author":["Ed Spencer"]},"type":"class","fullName":"Ext.data.DataReader","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.reader.Reader","name":"DataReader"},{"meta":{},"fullName":"Ext.data.reader.Reader.metaData","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.reader.Reader-property-metaData","name":"metaData"},{"meta":{},"fullName":"Ext.data.reader.Reader.rawData","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.reader.Reader-property-rawData","name":"rawData"},{"meta":{},"fullName":"Ext.data.reader.Reader.clientIdProperty","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.reader.Reader-cfg-clientIdProperty","name":"clientIdProperty"},{"meta":{},"fullName":"Ext.data.reader.Reader.idProperty","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.reader.Reader-cfg-idProperty","name":"idProperty"},{"meta":{},"fullName":"Ext.data.reader.Reader.implicitIncludes","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.reader.Reader-cfg-implicitIncludes","name":"implicitIncludes"},{"meta":{},"fullName":"Ext.data.reader.Reader.messageProperty","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.reader.Reader-cfg-messageProperty","name":"messageProperty"},{"meta":{"deprecated":{"text":"Please use the {@link #rootProperty} configuration instead.","version":"2.0.0"}},"fullName":"Ext.data.reader.Reader.root","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.reader.Reader-cfg-root","name":"root"},{"meta":{},"fullName":"Ext.data.reader.Reader.rootProperty","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.reader.Reader-cfg-rootProperty","name":"rootProperty"},{"meta":{},"fullName":"Ext.data.reader.Reader.successProperty","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.reader.Reader-cfg-successProperty","name":"successProperty"},{"meta":{},"fullName":"Ext.data.reader.Reader.totalProperty","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.reader.Reader-cfg-totalProperty","name":"totalProperty"},{"meta":{"private":true},"fullName":"Ext.data.reader.Reader.buildExtractors","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.reader.Reader-method-buildExtractors","name":"buildExtractors"},{"meta":{"private":true},"fullName":"Ext.data.reader.Reader.buildRecordDataExtractor","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.reader.Reader-method-buildRecordDataExtractor","name":"buildRecordDataExtractor"},{"meta":{"private":true},"fullName":"Ext.data.reader.Reader.extractData","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.reader.Reader-method-extractData","name":"extractData"},{"meta":{"private":true},"fullName":"Ext.data.reader.Reader.getAssociatedDataRoot","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.reader.Reader-method-getAssociatedDataRoot","name":"getAssociatedDataRoot"},{"meta":{"private":true},"fullName":"Ext.data.reader.Reader.getData","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.reader.Reader-method-getData","name":"getData"},{"meta":{},"fullName":"Ext.data.reader.Reader.getResponseData","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.reader.Reader-method-getResponseData","name":"getResponseData"},{"meta":{"private":true},"fullName":"Ext.data.reader.Reader.getRoot","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.reader.Reader-method-getRoot","name":"getRoot"},{"meta":{"private":true},"fullName":"Ext.data.reader.Reader.onMetaChange","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.reader.Reader-method-onMetaChange","name":"onMetaChange"},{"meta":{},"fullName":"Ext.data.reader.Reader.read","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.reader.Reader-method-read","name":"read"},{"meta":{"private":true},"fullName":"Ext.data.reader.Reader.readAssociated","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.reader.Reader-method-readAssociated","name":"readAssociated"},{"meta":{},"fullName":"Ext.data.reader.Reader.readRecords","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.reader.Reader-method-readRecords","name":"readRecords"},{"meta":{},"fullName":"Ext.data.reader.Json","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.reader.Json","name":"Json"},{"meta":{},"type":"class","fullName":"Ext.data.JsonReader","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.reader.Json","name":"JsonReader"},{"meta":{},"fullName":"reader: json","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.reader.Json","name":"json"},{"meta":{},"fullName":"Ext.data.reader.Json.exception","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.reader.Json-event-exception","name":"exception"},{"meta":{},"fullName":"Ext.data.reader.Json.record","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.reader.Json-cfg-record","name":"record"},{"meta":{},"fullName":"Ext.data.reader.Json.useSimpleAccessors","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.reader.Json-cfg-useSimpleAccessors","name":"useSimpleAccessors"},{"meta":{"private":true},"fullName":"Ext.data.reader.Json.createAccessor","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.reader.Json-method-createAccessor","name":"createAccessor"},{"meta":{"private":true},"fullName":"Ext.data.reader.Json.createFieldAccessExpression","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.reader.Json-method-createFieldAccessExpression","name":"createFieldAccessExpression"},{"meta":{"private":true},"fullName":"Ext.data.reader.Json.extractData","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.reader.Json-method-extractData","name":"extractData"},{"meta":{"private":true},"fullName":"Ext.data.reader.Json.getRoot","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.reader.Json-method-getRoot","name":"getRoot"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"proxies"}]},"fullName":"Ext.data.proxy.Proxy","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.proxy.Proxy","name":"Proxy"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"proxies"}]},"type":"class","fullName":"Ext.data.DataProxy","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.proxy.Proxy","name":"DataProxy"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"proxies"}]},"type":"class","fullName":"Ext.data.Proxy","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.proxy.Proxy","name":"Proxy"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"proxies"}]},"fullName":"proxy: proxy","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.proxy.Proxy","name":"proxy"},{"meta":{},"fullName":"Ext.data.proxy.Proxy.metachange","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.proxy.Proxy-event-metachange","name":"metachange"},{"meta":{},"fullName":"Ext.data.proxy.Proxy.batchActions","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Proxy-cfg-batchActions","name":"batchActions"},{"meta":{},"fullName":"Ext.data.proxy.Proxy.batchOrder","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Proxy-cfg-batchOrder","name":"batchOrder"},{"meta":{},"fullName":"Ext.data.proxy.Proxy.model","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Proxy-cfg-model","name":"model"},{"meta":{},"fullName":"Ext.data.proxy.Proxy.reader","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Proxy-cfg-reader","name":"reader"},{"meta":{},"fullName":"Ext.data.proxy.Proxy.writer","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Proxy-cfg-writer","name":"writer"},{"meta":{},"fullName":"Ext.data.proxy.Proxy.batch","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Proxy-method-batch","name":"batch"},{"meta":{},"fullName":"Ext.data.proxy.Proxy.create","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Proxy-method-create","name":"create"},{"meta":{},"fullName":"Ext.data.proxy.Proxy.destroy","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Proxy-method-destroy","name":"destroy"},{"meta":{},"fullName":"Ext.data.proxy.Proxy.getBatchActions","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Proxy-method-getBatchActions","name":"getBatchActions"},{"meta":{},"fullName":"Ext.data.proxy.Proxy.getBatchOrder","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Proxy-method-getBatchOrder","name":"getBatchOrder"},{"meta":{},"fullName":"Ext.data.proxy.Proxy.getModel","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Proxy-method-getModel","name":"getModel"},{"meta":{},"fullName":"Ext.data.proxy.Proxy.getReader","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Proxy-method-getReader","name":"getReader"},{"meta":{},"fullName":"Ext.data.proxy.Proxy.getWriter","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Proxy-method-getWriter","name":"getWriter"},{"meta":{"private":true},"fullName":"Ext.data.proxy.Proxy.onBatchComplete","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Proxy-method-onBatchComplete","name":"onBatchComplete"},{"meta":{},"fullName":"Ext.data.proxy.Proxy.read","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Proxy-method-read","name":"read"},{"meta":{},"fullName":"Ext.data.proxy.Proxy.setBatchActions","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Proxy-method-setBatchActions","name":"setBatchActions"},{"meta":{},"fullName":"Ext.data.proxy.Proxy.setBatchOrder","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Proxy-method-setBatchOrder","name":"setBatchOrder"},{"meta":{},"fullName":"Ext.data.proxy.Proxy.setModel","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Proxy-method-setModel","name":"setModel"},{"meta":{},"fullName":"Ext.data.proxy.Proxy.setReader","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Proxy-method-setReader","name":"setReader"},{"meta":{},"fullName":"Ext.data.proxy.Proxy.setWriter","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Proxy-method-setWriter","name":"setWriter"},{"meta":{},"fullName":"Ext.data.proxy.Proxy.update","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Proxy-method-update","name":"update"},{"meta":{"author":["Ed Spencer"],"private":true},"fullName":"Ext.data.proxy.Client","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.proxy.Client","name":"Client"},{"meta":{"author":["Ed Spencer"],"private":true},"type":"class","fullName":"Ext.proxy.ClientProxy","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.proxy.Client","name":"ClientProxy"},{"meta":{},"fullName":"Ext.data.proxy.Client.clear","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Client-method-clear","name":"clear"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"proxies"}]},"fullName":"Ext.data.proxy.Memory","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.proxy.Memory","name":"Memory"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"proxies"}]},"type":"class","fullName":"Ext.data.MemoryProxy","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.proxy.Memory","name":"MemoryProxy"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"proxies"}]},"fullName":"proxy: memory","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.proxy.Memory","name":"memory"},{"meta":{},"fullName":"Ext.data.proxy.Memory.data","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Memory-cfg-data","name":"data"},{"meta":{},"fullName":"Ext.data.proxy.Memory.create","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Memory-method-create","name":"create"},{"meta":{},"fullName":"Ext.data.proxy.Memory.destroy","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Memory-method-destroy","name":"destroy"},{"meta":{"private":true},"fullName":"Ext.data.proxy.Memory.finishOperation","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Memory-method-finishOperation","name":"finishOperation"},{"meta":{},"fullName":"Ext.data.proxy.Memory.read","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Memory-method-read","name":"read"},{"meta":{},"fullName":"Ext.data.proxy.Memory.update","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Memory-method-update","name":"update"},{"meta":{"author":["Ed Spencer"],"private":true},"fullName":"Ext.data.proxy.Server","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.proxy.Server","name":"Server"},{"meta":{"author":["Ed Spencer"],"private":true},"type":"class","fullName":"Ext.data.ServerProxy","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.proxy.Server","name":"ServerProxy"},{"meta":{"author":["Ed Spencer"],"private":true},"fullName":"proxy: server","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.proxy.Server","name":"server"},{"meta":{},"fullName":"Ext.data.proxy.Server.exception","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.proxy.Server-event-exception","name":"exception"},{"meta":{},"fullName":"Ext.data.proxy.Server.api","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Server-cfg-api","name":"api"},{"meta":{},"fullName":"Ext.data.proxy.Server.cacheString","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Server-cfg-cacheString","name":"cacheString"},{"meta":{},"fullName":"Ext.data.proxy.Server.directionParam","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Server-cfg-directionParam","name":"directionParam"},{"meta":{},"fullName":"Ext.data.proxy.Server.enablePagingParams","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Server-cfg-enablePagingParams","name":"enablePagingParams"},{"meta":{},"fullName":"Ext.data.proxy.Server.extraParams","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Server-cfg-extraParams","name":"extraParams"},{"meta":{},"fullName":"Ext.data.proxy.Server.filterParam","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Server-cfg-filterParam","name":"filterParam"},{"meta":{},"fullName":"Ext.data.proxy.Server.groupParam","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Server-cfg-groupParam","name":"groupParam"},{"meta":{},"fullName":"Ext.data.proxy.Server.limitParam","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Server-cfg-limitParam","name":"limitParam"},{"meta":{},"fullName":"Ext.data.proxy.Server.noCache","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Server-cfg-noCache","name":"noCache"},{"meta":{},"fullName":"Ext.data.proxy.Server.pageParam","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Server-cfg-pageParam","name":"pageParam"},{"meta":{},"fullName":"Ext.data.proxy.Server.simpleSortMode","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Server-cfg-simpleSortMode","name":"simpleSortMode"},{"meta":{},"fullName":"Ext.data.proxy.Server.sortParam","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Server-cfg-sortParam","name":"sortParam"},{"meta":{},"fullName":"Ext.data.proxy.Server.startParam","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Server-cfg-startParam","name":"startParam"},{"meta":{},"fullName":"Ext.data.proxy.Server.timeout","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Server-cfg-timeout","name":"timeout"},{"meta":{},"fullName":"Ext.data.proxy.Server.url","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Server-cfg-url","name":"url"},{"meta":{},"fullName":"Ext.data.proxy.Server.afterRequest","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Server-method-afterRequest","name":"afterRequest"},{"meta":{"private":true},"fullName":"Ext.data.proxy.Server.applyEncoding","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Server-method-applyEncoding","name":"applyEncoding"},{"meta":{},"fullName":"Ext.data.proxy.Server.buildRequest","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Server-method-buildRequest","name":"buildRequest"},{"meta":{},"fullName":"Ext.data.proxy.Server.buildUrl","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Server-method-buildUrl","name":"buildUrl"},{"meta":{"protected":true,"template":true},"fullName":"Ext.data.proxy.Server.doRequest","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Server-method-doRequest","name":"doRequest"},{"meta":{},"fullName":"Ext.data.proxy.Server.encodeFilters","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Server-method-encodeFilters","name":"encodeFilters"},{"meta":{},"fullName":"Ext.data.proxy.Server.encodeSorters","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Server-method-encodeSorters","name":"encodeSorters"},{"meta":{"private":true},"fullName":"Ext.data.proxy.Server.getParams","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Server-method-getParams","name":"getParams"},{"meta":{"private":true},"fullName":"Ext.data.proxy.Server.getUrl","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Server-method-getUrl","name":"getUrl"},{"meta":{"protected":true},"fullName":"Ext.data.proxy.Server.processResponse","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Server-method-processResponse","name":"processResponse"},{"meta":{"private":true},"fullName":"Ext.data.proxy.Server.setException","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Server-method-setException","name":"setException"},{"meta":{},"fullName":"Ext.data.proxy.Server.setExtraParam","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Server-method-setExtraParam","name":"setExtraParam"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"proxies"}]},"fullName":"Ext.data.proxy.JsonP","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.proxy.JsonP","name":"JsonP"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"proxies"}]},"type":"class","fullName":"Ext.data.ScriptTagProxy","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.proxy.JsonP","name":"ScriptTagProxy"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"proxies"}]},"fullName":"proxy: jsonp","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.proxy.JsonP","name":"jsonp"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"proxies"}]},"fullName":"proxy: scripttag","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.proxy.JsonP","name":"scripttag"},{"meta":{},"fullName":"Ext.data.proxy.JsonP.autoAppendParams","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.JsonP-cfg-autoAppendParams","name":"autoAppendParams"},{"meta":{},"fullName":"Ext.data.proxy.JsonP.callbackKey","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.JsonP-cfg-callbackKey","name":"callbackKey"},{"meta":{},"fullName":"Ext.data.proxy.JsonP.recordParam","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.JsonP-cfg-recordParam","name":"recordParam"},{"meta":{},"fullName":"Ext.data.proxy.JsonP.abort","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.JsonP-method-abort","name":"abort"},{"meta":{},"fullName":"Ext.data.proxy.JsonP.buildUrl","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.JsonP-method-buildUrl","name":"buildUrl"},{"meta":{"private":true},"fullName":"Ext.data.proxy.JsonP.createRequestCallback","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.JsonP-method-createRequestCallback","name":"createRequestCallback"},{"meta":{"protected":true},"fullName":"Ext.data.proxy.JsonP.doRequest","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.JsonP-method-doRequest","name":"doRequest"},{"meta":{},"fullName":"Ext.data.proxy.JsonP.getAutoAppendParams","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.JsonP-method-getAutoAppendParams","name":"getAutoAppendParams"},{"meta":{},"fullName":"Ext.data.proxy.JsonP.getCallbackKey","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.JsonP-method-getCallbackKey","name":"getCallbackKey"},{"meta":{},"fullName":"Ext.data.proxy.JsonP.getRecordParam","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.JsonP-method-getRecordParam","name":"getRecordParam"},{"meta":{},"fullName":"Ext.data.proxy.JsonP.setAutoAppendParams","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.JsonP-method-setAutoAppendParams","name":"setAutoAppendParams"},{"meta":{},"fullName":"Ext.data.proxy.JsonP.setCallbackKey","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.JsonP-method-setCallbackKey","name":"setCallbackKey"},{"meta":{},"fullName":"Ext.data.proxy.JsonP.setRecordParam","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.JsonP-method-setRecordParam","name":"setRecordParam"},{"meta":{"author":["Ed Spencer"],"private":true},"fullName":"Ext.data.proxy.WebStorage","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.proxy.WebStorage","name":"WebStorage"},{"meta":{"author":["Ed Spencer"],"private":true},"type":"class","fullName":"Ext.data.WebStorageProxy","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.proxy.WebStorage","name":"WebStorageProxy"},{"meta":{},"fullName":"Ext.data.proxy.WebStorage.cache","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.proxy.WebStorage-property-cache","name":"cache"},{"meta":{},"fullName":"Ext.data.proxy.WebStorage.id","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.WebStorage-cfg-id","name":"id"},{"meta":{},"fullName":"Ext.data.proxy.WebStorage.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.WebStorage-method-constructor","name":"constructor"},{"meta":{},"fullName":"Ext.data.proxy.WebStorage.clear","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.WebStorage-method-clear","name":"clear"},{"meta":{"private":true},"fullName":"Ext.data.proxy.WebStorage.getIds","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.WebStorage-method-getIds","name":"getIds"},{"meta":{"private":true},"fullName":"Ext.data.proxy.WebStorage.getRecord","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.WebStorage-method-getRecord","name":"getRecord"},{"meta":{"private":true},"fullName":"Ext.data.proxy.WebStorage.getRecordCounterKey","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.WebStorage-method-getRecordCounterKey","name":"getRecordCounterKey"},{"meta":{"private":true},"fullName":"Ext.data.proxy.WebStorage.getRecordKey","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.WebStorage-method-getRecordKey","name":"getRecordKey"},{"meta":{"private":true},"fullName":"Ext.data.proxy.WebStorage.getStorageObject","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.WebStorage-method-getStorageObject","name":"getStorageObject"},{"meta":{"private":true},"fullName":"Ext.data.proxy.WebStorage.initialize","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.WebStorage-method-initialize","name":"initialize"},{"meta":{"private":true},"fullName":"Ext.data.proxy.WebStorage.removeRecord","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.WebStorage-method-removeRecord","name":"removeRecord"},{"meta":{"private":true},"fullName":"Ext.data.proxy.WebStorage.setIds","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.WebStorage-method-setIds","name":"setIds"},{"meta":{},"fullName":"Ext.data.proxy.WebStorage.setRecord","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.WebStorage-method-setRecord","name":"setRecord"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"proxies"}]},"fullName":"Ext.data.proxy.LocalStorage","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.proxy.LocalStorage","name":"LocalStorage"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"proxies"}]},"type":"class","fullName":"Ext.data.LocalStorageProxy","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.proxy.LocalStorage","name":"LocalStorageProxy"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"proxies"}]},"fullName":"proxy: localstorage","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.proxy.LocalStorage","name":"localstorage"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"proxies"}]},"fullName":"Ext.data.proxy.SessionStorage","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.proxy.SessionStorage","name":"SessionStorage"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"proxies"}]},"type":"class","fullName":"Ext.data.SessionStorageProxy","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.proxy.SessionStorage","name":"SessionStorageProxy"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"proxies"}]},"fullName":"proxy: sessionstorage","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.proxy.SessionStorage","name":"sessionstorage"},{"meta":{"author":["Ed Spencer"]},"fullName":"Ext.data.reader.Array","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.reader.Array","name":"Array"},{"meta":{"author":["Ed Spencer"]},"type":"class","fullName":"Ext.data.ArrayReader","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.reader.Array","name":"ArrayReader"},{"meta":{"author":["Ed Spencer"]},"fullName":"reader: array","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.reader.Array","name":"array"},{"meta":{},"fullName":"Ext.data.reader.Array.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.reader.Array-method-constructor","name":"constructor"},{"meta":{"private":true},"fullName":"Ext.data.reader.Array.createFieldAccessExpression","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.reader.Array-method-createFieldAccessExpression","name":"createFieldAccessExpression"},{"meta":{"author":["Ed Spencer"]},"fullName":"Ext.data.reader.Xml","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.reader.Xml","name":"Xml"},{"meta":{"author":["Ed Spencer"]},"type":"class","fullName":"Ext.data.XmlReader","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.reader.Xml","name":"XmlReader"},{"meta":{"author":["Ed Spencer"]},"fullName":"reader: xml","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.reader.Xml","name":"xml"},{"meta":{},"fullName":"Ext.data.reader.Xml.exception","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.reader.Xml-event-exception","name":"exception"},{"meta":{},"fullName":"Ext.data.reader.Xml.record","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.reader.Xml-cfg-record","name":"record"},{"meta":{"private":true},"fullName":"Ext.data.reader.Xml.createAccessor","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.reader.Xml-method-createAccessor","name":"createAccessor"},{"meta":{"private":true},"fullName":"Ext.data.reader.Xml.createFieldAccessExpression","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.reader.Xml-method-createFieldAccessExpression","name":"createFieldAccessExpression"},{"meta":{"private":true},"fullName":"Ext.data.reader.Xml.extractData","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.reader.Xml-method-extractData","name":"extractData"},{"meta":{"private":true},"fullName":"Ext.data.reader.Xml.getAssociatedDataRoot","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.reader.Xml-method-getAssociatedDataRoot","name":"getAssociatedDataRoot"},{"meta":{},"fullName":"Ext.data.reader.Xml.getData","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.reader.Xml-method-getData","name":"getData"},{"meta":{"private":true},"fullName":"Ext.data.reader.Xml.getRoot","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.reader.Xml-method-getRoot","name":"getRoot"},{"meta":{},"fullName":"Ext.data.reader.Xml.readRecords","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.reader.Xml-method-readRecords","name":"readRecords"},{"meta":{"abstract":true},"fullName":"Ext.direct.Provider","icon":"icon-class","sort":1,"url":"#!/api/Ext.direct.Provider","name":"Provider"},{"meta":{"abstract":true},"fullName":"direct: provider","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.direct.Provider","name":"provider"},{"meta":{},"fullName":"Ext.direct.Provider.connect","icon":"icon-event","sort":3,"url":"#!/api/Ext.direct.Provider-event-connect","name":"connect"},{"meta":{},"fullName":"Ext.direct.Provider.data","icon":"icon-event","sort":3,"url":"#!/api/Ext.direct.Provider-event-data","name":"data"},{"meta":{},"fullName":"Ext.direct.Provider.disconnect","icon":"icon-event","sort":3,"url":"#!/api/Ext.direct.Provider-event-disconnect","name":"disconnect"},{"meta":{},"fullName":"Ext.direct.Provider.exception","icon":"icon-event","sort":3,"url":"#!/api/Ext.direct.Provider-event-exception","name":"exception"},{"meta":{},"fullName":"Ext.direct.Provider.id","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.direct.Provider-cfg-id","name":"id"},{"meta":{},"fullName":"Ext.direct.Provider.connect","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.Provider-method-connect","name":"connect"},{"meta":{},"fullName":"Ext.direct.Provider.disconnect","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.Provider-method-disconnect","name":"disconnect"},{"meta":{},"fullName":"Ext.direct.Provider.isConnected","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.Provider-method-isConnected","name":"isConnected"},{"meta":{"abstract":true,"markdown":true},"fullName":"Ext.direct.JsonProvider","icon":"icon-class","sort":1,"url":"#!/api/Ext.direct.JsonProvider","name":"JsonProvider"},{"meta":{"abstract":true,"markdown":true},"fullName":"direct: jsonprovider","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.direct.JsonProvider","name":"jsonprovider"},{"meta":{},"fullName":"Ext.direct.JsonProvider.createEvent","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.JsonProvider-method-createEvent","name":"createEvent"},{"meta":{"private":true},"fullName":"Ext.direct.JsonProvider.createEvents","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.JsonProvider-method-createEvents","name":"createEvents"},{"meta":{"private":true},"fullName":"Ext.direct.JsonProvider.parseResponse","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.JsonProvider-method-parseResponse","name":"parseResponse"},{"meta":{},"fullName":"Ext.direct.PollingProvider","icon":"icon-class","sort":1,"url":"#!/api/Ext.direct.PollingProvider","name":"PollingProvider"},{"meta":{},"fullName":"direct: pollingprovider","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.direct.PollingProvider","name":"pollingprovider"},{"meta":{},"fullName":"Ext.direct.PollingProvider.beforepoll","icon":"icon-event","sort":3,"url":"#!/api/Ext.direct.PollingProvider-event-beforepoll","name":"beforepoll"},{"meta":{},"fullName":"Ext.direct.PollingProvider.poll","icon":"icon-event","sort":3,"url":"#!/api/Ext.direct.PollingProvider-event-poll","name":"poll"},{"meta":{},"fullName":"Ext.direct.PollingProvider.baseParams","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.direct.PollingProvider-cfg-baseParams","name":"baseParams"},{"meta":{},"fullName":"Ext.direct.PollingProvider.interval","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.direct.PollingProvider-cfg-interval","name":"interval"},{"meta":{},"fullName":"Ext.direct.PollingProvider.url","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.direct.PollingProvider-cfg-url","name":"url"},{"meta":{},"fullName":"Ext.direct.PollingProvider.connect","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.PollingProvider-method-connect","name":"connect"},{"meta":{},"fullName":"Ext.direct.PollingProvider.disconnect","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.PollingProvider-method-disconnect","name":"disconnect"},{"meta":{"private":true},"fullName":"Ext.fx.animation.Abstract","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.animation.Abstract","name":"Abstract"},{"meta":{},"fullName":"Ext.fx.animation.Abstract.before","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.fx.animation.Abstract-cfg-before","name":"before"},{"meta":{},"fullName":"Ext.fx.animation.Abstract.easing","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.fx.animation.Abstract-cfg-easing","name":"easing"},{"meta":{"private":true},"fullName":"Ext.fx.animation.Cube","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.animation.Cube","name":"Cube"},{"meta":{"private":true},"fullName":"animation: cube","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.fx.animation.Cube","name":"cube"},{"meta":{},"fullName":"Ext.fx.animation.Cube.before","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.fx.animation.Cube-cfg-before","name":"before"},{"meta":{},"fullName":"Ext.fx.animation.Cube.direction","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.fx.animation.Cube-cfg-direction","name":"direction"},{"meta":{},"fullName":"Ext.fx.animation.Cube.getDirection","icon":"icon-method","sort":3,"url":"#!/api/Ext.fx.animation.Cube-method-getDirection","name":"getDirection"},{"meta":{},"fullName":"Ext.fx.animation.Cube.setDirection","icon":"icon-method","sort":3,"url":"#!/api/Ext.fx.animation.Cube-method-setDirection","name":"setDirection"},{"meta":{"private":true},"fullName":"Ext.fx.animation.Fade","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.animation.Fade","name":"Fade"},{"meta":{"private":true},"type":"class","fullName":"Ext.fx.animation.FadeIn","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.fx.animation.Fade","name":"FadeIn"},{"meta":{"private":true},"fullName":"animation: fade","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.fx.animation.Fade","name":"fade"},{"meta":{"private":true},"fullName":"animation: fadeIn","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.fx.animation.Fade","name":"fadeIn"},{"meta":{},"fullName":"Ext.fx.animation.Fade.out","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.fx.animation.Fade-cfg-out","name":"out"},{"meta":{},"fullName":"Ext.fx.animation.Fade.getOut","icon":"icon-method","sort":3,"url":"#!/api/Ext.fx.animation.Fade-method-getOut","name":"getOut"},{"meta":{},"fullName":"Ext.fx.animation.Fade.setOut","icon":"icon-method","sort":3,"url":"#!/api/Ext.fx.animation.Fade-method-setOut","name":"setOut"},{"meta":{"private":true},"fullName":"Ext.fx.animation.FadeOut","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.animation.FadeOut","name":"FadeOut"},{"meta":{"private":true},"fullName":"animation: fadeOut","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.fx.animation.FadeOut","name":"fadeOut"},{"meta":{"private":true},"fullName":"Ext.fx.animation.Flip","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.animation.Flip","name":"Flip"},{"meta":{"private":true},"fullName":"animation: flip","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.fx.animation.Flip","name":"flip"},{"meta":{},"fullName":"Ext.fx.animation.Flip.direction","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.fx.animation.Flip-cfg-direction","name":"direction"},{"meta":{},"fullName":"Ext.fx.animation.Flip.getDirection","icon":"icon-method","sort":3,"url":"#!/api/Ext.fx.animation.Flip-method-getDirection","name":"getDirection"},{"meta":{},"fullName":"Ext.fx.animation.Flip.setDirection","icon":"icon-method","sort":3,"url":"#!/api/Ext.fx.animation.Flip-method-setDirection","name":"setDirection"},{"meta":{"private":true},"fullName":"Ext.fx.animation.Pop","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.animation.Pop","name":"Pop"},{"meta":{"private":true},"type":"class","fullName":"Ext.fx.animation.PopIn","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.fx.animation.Pop","name":"PopIn"},{"meta":{"private":true},"fullName":"animation: pop","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.fx.animation.Pop","name":"pop"},{"meta":{"private":true},"fullName":"animation: popIn","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.fx.animation.Pop","name":"popIn"},{"meta":{},"fullName":"Ext.fx.animation.Pop.out","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.fx.animation.Pop-cfg-out","name":"out"},{"meta":{},"fullName":"Ext.fx.animation.Pop.getOut","icon":"icon-method","sort":3,"url":"#!/api/Ext.fx.animation.Pop-method-getOut","name":"getOut"},{"meta":{},"fullName":"Ext.fx.animation.Pop.setOut","icon":"icon-method","sort":3,"url":"#!/api/Ext.fx.animation.Pop-method-setOut","name":"setOut"},{"meta":{"private":true},"fullName":"Ext.fx.animation.PopOut","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.animation.PopOut","name":"PopOut"},{"meta":{"private":true},"fullName":"animation: popOut","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.fx.animation.PopOut","name":"popOut"},{"meta":{"private":true},"fullName":"Ext.fx.animation.Slide","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.animation.Slide","name":"Slide"},{"meta":{"private":true},"type":"class","fullName":"Ext.fx.animation.SlideIn","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.fx.animation.Slide","name":"SlideIn"},{"meta":{"private":true},"fullName":"animation: slide","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.fx.animation.Slide","name":"slide"},{"meta":{"private":true},"fullName":"animation: slideIn","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.fx.animation.Slide","name":"slideIn"},{"meta":{},"fullName":"Ext.fx.animation.Slide.direction","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.fx.animation.Slide-cfg-direction","name":"direction"},{"meta":{},"fullName":"Ext.fx.animation.Slide.easing","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.fx.animation.Slide-cfg-easing","name":"easing"},{"meta":{},"fullName":"Ext.fx.animation.Slide.offset","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.fx.animation.Slide-cfg-offset","name":"offset"},{"meta":{},"fullName":"Ext.fx.animation.Slide.out","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.fx.animation.Slide-cfg-out","name":"out"},{"meta":{},"fullName":"Ext.fx.animation.Slide.getDirection","icon":"icon-method","sort":3,"url":"#!/api/Ext.fx.animation.Slide-method-getDirection","name":"getDirection"},{"meta":{},"fullName":"Ext.fx.animation.Slide.getOffset","icon":"icon-method","sort":3,"url":"#!/api/Ext.fx.animation.Slide-method-getOffset","name":"getOffset"},{"meta":{},"fullName":"Ext.fx.animation.Slide.getOut","icon":"icon-method","sort":3,"url":"#!/api/Ext.fx.animation.Slide-method-getOut","name":"getOut"},{"meta":{},"fullName":"Ext.fx.animation.Slide.setDirection","icon":"icon-method","sort":3,"url":"#!/api/Ext.fx.animation.Slide-method-setDirection","name":"setDirection"},{"meta":{},"fullName":"Ext.fx.animation.Slide.setOffset","icon":"icon-method","sort":3,"url":"#!/api/Ext.fx.animation.Slide-method-setOffset","name":"setOffset"},{"meta":{},"fullName":"Ext.fx.animation.Slide.setOut","icon":"icon-method","sort":3,"url":"#!/api/Ext.fx.animation.Slide-method-setOut","name":"setOut"},{"meta":{"private":true},"fullName":"Ext.fx.animation.SlideOut","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.animation.SlideOut","name":"SlideOut"},{"meta":{"private":true},"fullName":"animation: slideOut","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.fx.animation.SlideOut","name":"slideOut"},{"meta":{"author":["Jacky Nguyen <jacky@sencha.com>"],"private":true},"fullName":"Ext.fx.Animation","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.Animation","name":"Animation"},{"meta":{"private":true},"fullName":"Ext.fx.layout.card.Abstract","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.layout.card.Abstract","name":"Abstract"},{"meta":{"private":true},"fullName":"Ext.fx.layout.card.Scroll","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.layout.card.Scroll","name":"Scroll"},{"meta":{"private":true},"fullName":"fx: layout.card.scroll","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.fx.layout.card.Scroll","name":"layout.card.scroll"},{"meta":{"private":true},"fullName":"Ext.fx.layout.card.Style","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.layout.card.Style","name":"Style"},{"meta":{"private":true},"fullName":"Ext.fx.layout.card.Cover","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.layout.card.Cover","name":"Cover"},{"meta":{"private":true},"fullName":"fx: layout.card.cover","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.fx.layout.card.Cover","name":"layout.card.cover"},{"meta":{"private":true},"fullName":"Ext.fx.layout.card.Cube","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.layout.card.Cube","name":"Cube"},{"meta":{"private":true},"fullName":"fx: layout.card.cube","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.fx.layout.card.Cube","name":"layout.card.cube"},{"meta":{"private":true},"fullName":"Ext.fx.layout.card.Fade","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.layout.card.Fade","name":"Fade"},{"meta":{"private":true},"fullName":"fx: layout.card.fade","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.fx.layout.card.Fade","name":"layout.card.fade"},{"meta":{"private":true},"fullName":"Ext.fx.layout.card.Flip","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.layout.card.Flip","name":"Flip"},{"meta":{"private":true},"fullName":"fx: layout.card.flip","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.fx.layout.card.Flip","name":"layout.card.flip"},{"meta":{"private":true},"fullName":"Ext.fx.layout.card.Pop","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.layout.card.Pop","name":"Pop"},{"meta":{"private":true},"fullName":"fx: layout.card.pop","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.fx.layout.card.Pop","name":"layout.card.pop"},{"meta":{"private":true},"fullName":"Ext.fx.layout.card.Reveal","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.layout.card.Reveal","name":"Reveal"},{"meta":{"private":true},"fullName":"fx: layout.card.reveal","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.fx.layout.card.Reveal","name":"layout.card.reveal"},{"meta":{"private":true},"fullName":"Ext.fx.layout.card.Slide","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.layout.card.Slide","name":"Slide"},{"meta":{"private":true},"fullName":"fx: layout.card.slide","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.fx.layout.card.Slide","name":"layout.card.slide"},{"meta":{"private":true},"fullName":"Ext.fx.layout.Card","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.layout.Card","name":"Card"},{"meta":{"private":true},"fullName":"Ext.fx.runner.Css","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.runner.Css","name":"Css"},{"meta":{"author":["Jacky Nguyen <jacky@sencha.com>"],"private":true},"fullName":"Ext.fx.runner.CssTransition","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.runner.CssTransition","name":"CssTransition"},{"meta":{"private":true},"fullName":"Ext.fx.Runner","icon":"icon-class","sort":1,"url":"#!/api/Ext.fx.Runner","name":"Runner"},{"meta":{"aside":[{"type":"guide","name":"layouts"},{"type":"video","name":"layouts"}]},"fullName":"Ext.layout.Default","icon":"icon-class","sort":1,"url":"#!/api/Ext.layout.Default","name":"Default"},{"meta":{"aside":[{"type":"guide","name":"layouts"},{"type":"video","name":"layouts"}]},"type":"class","fullName":"Ext.layout.AutoContainerLayout","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.layout.Default","name":"AutoContainerLayout"},{"meta":{"aside":[{"type":"guide","name":"layouts"},{"type":"video","name":"layouts"}]},"type":"class","fullName":"Ext.layout.ContainerLayout","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.layout.Default","name":"ContainerLayout"},{"meta":{"aside":[{"type":"guide","name":"layouts"},{"type":"video","name":"layouts"}]},"fullName":"layout: auto","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.layout.Default","name":"auto"},{"meta":{"aside":[{"type":"guide","name":"layouts"},{"type":"video","name":"layouts"}]},"fullName":"layout: default","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.layout.Default","name":"default"},{"meta":{},"fullName":"Ext.layout.Default.animation","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.layout.Default-cfg-animation","name":"animation"},{"meta":{"private":true},"fullName":"Ext.layout.Default.doItemAdd","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.Default-method-doItemAdd","name":"doItemAdd"},{"meta":{"private":true},"fullName":"Ext.layout.Default.doItemCenteredChange","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.Default-method-doItemCenteredChange","name":"doItemCenteredChange"},{"meta":{"private":true},"fullName":"Ext.layout.Default.doItemDockedChange","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.Default-method-doItemDockedChange","name":"doItemDockedChange"},{"meta":{"private":true},"fullName":"Ext.layout.Default.doItemFloatingChange","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.Default-method-doItemFloatingChange","name":"doItemFloatingChange"},{"meta":{"private":true},"fullName":"Ext.layout.Default.doItemMove","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.Default-method-doItemMove","name":"doItemMove"},{"meta":{"private":true},"fullName":"Ext.layout.Default.doItemRemove","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.Default-method-doItemRemove","name":"doItemRemove"},{"meta":{},"fullName":"Ext.layout.Default.getAnimation","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.Default-method-getAnimation","name":"getAnimation"},{"meta":{},"fullName":"Ext.layout.Default.setAnimation","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.Default-method-setAnimation","name":"setAnimation"},{"meta":{"aside":[{"type":"guide","name":"layouts"},{"type":"video","name":"layouts"}]},"fullName":"Ext.layout.AbstractBox","icon":"icon-class","sort":1,"url":"#!/api/Ext.layout.AbstractBox","name":"AbstractBox"},{"meta":{},"fullName":"Ext.layout.AbstractBox.align","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.layout.AbstractBox-cfg-align","name":"align"},{"meta":{},"fullName":"Ext.layout.AbstractBox.pack","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.layout.AbstractBox-cfg-pack","name":"pack"},{"meta":{"private":true},"fullName":"Ext.layout.AbstractBox.doItemAdd","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.AbstractBox-method-doItemAdd","name":"doItemAdd"},{"meta":{"private":true},"fullName":"Ext.layout.AbstractBox.doItemCenteredChange","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.AbstractBox-method-doItemCenteredChange","name":"doItemCenteredChange"},{"meta":{"private":true},"fullName":"Ext.layout.AbstractBox.doItemDockedChange","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.AbstractBox-method-doItemDockedChange","name":"doItemDockedChange"},{"meta":{"private":true},"fullName":"Ext.layout.AbstractBox.doItemFloatingChange","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.AbstractBox-method-doItemFloatingChange","name":"doItemFloatingChange"},{"meta":{"private":true},"fullName":"Ext.layout.AbstractBox.doItemRemove","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.AbstractBox-method-doItemRemove","name":"doItemRemove"},{"meta":{},"fullName":"Ext.layout.AbstractBox.getAlign","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.AbstractBox-method-getAlign","name":"getAlign"},{"meta":{},"fullName":"Ext.layout.AbstractBox.getPack","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.AbstractBox-method-getPack","name":"getPack"},{"meta":{},"fullName":"Ext.layout.AbstractBox.setAlign","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.AbstractBox-method-setAlign","name":"setAlign"},{"meta":{},"fullName":"Ext.layout.AbstractBox.setItemFlex","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.AbstractBox-method-setItemFlex","name":"setItemFlex"},{"meta":{},"fullName":"Ext.layout.AbstractBox.setPack","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.AbstractBox-method-setPack","name":"setPack"},{"meta":{"aside":[{"type":"guide","name":"layouts"},{"type":"video","name":"layouts"}]},"fullName":"Ext.layout.Fit","icon":"icon-class","sort":1,"url":"#!/api/Ext.layout.Fit","name":"Fit"},{"meta":{"aside":[{"type":"guide","name":"layouts"},{"type":"video","name":"layouts"}]},"type":"class","fullName":"Ext.layout.FitLayout","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.layout.Fit","name":"FitLayout"},{"meta":{"aside":[{"type":"guide","name":"layouts"},{"type":"video","name":"layouts"}]},"fullName":"layout: fit","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.layout.Fit","name":"fit"},{"meta":{"private":true},"fullName":"Ext.layout.Fit.doItemRemove","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.Fit-method-doItemRemove","name":"doItemRemove"},{"meta":{"aside":[{"type":"guide","name":"layouts"},{"type":"video","name":"layouts"}]},"fullName":"Ext.layout.Card","icon":"icon-class","sort":1,"url":"#!/api/Ext.layout.Card","name":"Card"},{"meta":{"aside":[{"type":"guide","name":"layouts"},{"type":"video","name":"layouts"}]},"type":"class","fullName":"Ext.layout.CardLayout","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.layout.Card","name":"CardLayout"},{"meta":{"preventable":true},"fullName":"Ext.layout.Card.activeitemchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.layout.Card-event-activeitemchange","name":"activeitemchange"},{"meta":{"private":true},"fullName":"Ext.layout.Card.applyAnimation","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.Card-method-applyAnimation","name":"applyAnimation"},{"meta":{"private":true},"fullName":"Ext.layout.Card.doActiveItemChange","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.Card-method-doActiveItemChange","name":"doActiveItemChange"},{"meta":{"private":true},"fullName":"Ext.layout.Card.doItemAdd","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.Card-method-doItemAdd","name":"doItemAdd"},{"meta":{"private":true},"fullName":"Ext.layout.Card.doItemRemove","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.Card-method-doItemRemove","name":"doItemRemove"},{"meta":{"private":true},"fullName":"Ext.layout.Card.onContainerActiveItemChange","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.Card-method-onContainerActiveItemChange","name":"onContainerActiveItemChange"},{"meta":{"private":true},"fullName":"Ext.layout.Card.updateAnimation","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.Card-method-updateAnimation","name":"updateAnimation"},{"meta":{"aside":[{"type":"guide","name":"layouts"},{"type":"video","name":"layouts"}]},"fullName":"Ext.layout.HBox","icon":"icon-class","sort":1,"url":"#!/api/Ext.layout.HBox","name":"HBox"},{"meta":{"aside":[{"type":"guide","name":"layouts"},{"type":"video","name":"layouts"}]},"type":"class","fullName":"Ext.layout.HBoxLayout","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.layout.HBox","name":"HBoxLayout"},{"meta":{"aside":[{"type":"guide","name":"layouts"},{"type":"video","name":"layouts"}]},"fullName":"layout: hbox","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.layout.HBox","name":"hbox"},{"meta":{"aside":[{"type":"guide","name":"layouts"},{"type":"video","name":"layouts"}]},"fullName":"Ext.layout.VBox","icon":"icon-class","sort":1,"url":"#!/api/Ext.layout.VBox","name":"VBox"},{"meta":{"aside":[{"type":"guide","name":"layouts"},{"type":"video","name":"layouts"}]},"type":"class","fullName":"Ext.layout.VBoxLayout","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.layout.VBox","name":"VBoxLayout"},{"meta":{"aside":[{"type":"guide","name":"layouts"},{"type":"video","name":"layouts"}]},"fullName":"layout: vbox","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.layout.VBox","name":"vbox"},{"meta":{"aside":[{"type":"guide","name":"layouts"},{"type":"video","name":"layouts"}]},"fullName":"Ext.layout.Layout","icon":"icon-class","sort":1,"url":"#!/api/Ext.layout.Layout","name":"Layout"},{"meta":{},"fullName":"Ext.layout.Layout.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.layout.Layout-method-constructor","name":"constructor"},{"meta":{"private":true},"fullName":"Ext.mixin.Sortable","icon":"icon-class","sort":1,"url":"#!/api/Ext.mixin.Sortable","name":"Sortable"},{"meta":{},"fullName":"Ext.mixin.Sortable.currentSortFn","icon":"icon-property","sort":3,"url":"#!/api/Ext.mixin.Sortable-property-currentSortFn","name":"currentSortFn"},{"meta":{},"fullName":"Ext.mixin.Sortable.dirtySortFn","icon":"icon-property","sort":3,"url":"#!/api/Ext.mixin.Sortable-property-dirtySortFn","name":"dirtySortFn"},{"meta":{},"fullName":"Ext.mixin.Sortable.sorted","icon":"icon-property","sort":3,"url":"#!/api/Ext.mixin.Sortable-property-sorted","name":"sorted"},{"meta":{},"fullName":"Ext.mixin.Sortable.defaultSortDirection","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.mixin.Sortable-cfg-defaultSortDirection","name":"defaultSortDirection"},{"meta":{},"fullName":"Ext.mixin.Sortable.sortRoot","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.mixin.Sortable-cfg-sortRoot","name":"sortRoot"},{"meta":{},"fullName":"Ext.mixin.Sortable.sorters","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.mixin.Sortable-cfg-sorters","name":"sorters"},{"meta":{},"fullName":"Ext.mixin.Sortable.addSorter","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Sortable-method-addSorter","name":"addSorter"},{"meta":{},"fullName":"Ext.mixin.Sortable.addSorters","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Sortable-method-addSorters","name":"addSorters"},{"meta":{},"fullName":"Ext.mixin.Sortable.findInsertionIndex","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Sortable-method-findInsertionIndex","name":"findInsertionIndex"},{"meta":{},"fullName":"Ext.mixin.Sortable.getSortFn","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Sortable-method-getSortFn","name":"getSortFn"},{"meta":{},"fullName":"Ext.mixin.Sortable.insertSorter","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Sortable-method-insertSorter","name":"insertSorter"},{"meta":{},"fullName":"Ext.mixin.Sortable.insertSorters","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Sortable-method-insertSorters","name":"insertSorters"},{"meta":{},"fullName":"Ext.mixin.Sortable.removeSorter","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Sortable-method-removeSorter","name":"removeSorter"},{"meta":{},"fullName":"Ext.mixin.Sortable.removeSorters","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Sortable-method-removeSorters","name":"removeSorters"},{"meta":{},"fullName":"Ext.mixin.Sortable.sort","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Sortable-method-sort","name":"sort"},{"meta":{"private":true},"fullName":"Ext.mixin.Sortable.updateSortFn","icon":"icon-method","sort":3,"url":"#!/api/Ext.mixin.Sortable-method-updateSortFn","name":"updateSortFn"},{"meta":{"private":true},"fullName":"Ext.util.AbstractMixedCollection","icon":"icon-class","sort":1,"url":"#!/api/Ext.util.AbstractMixedCollection","name":"AbstractMixedCollection"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.add","icon":"icon-event","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-event-add","name":"add"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.clear","icon":"icon-event","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-event-clear","name":"clear"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.remove","icon":"icon-event","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-event-remove","name":"remove"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.replace","icon":"icon-event","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-event-replace","name":"replace"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.allowFunctions","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-cfg-allowFunctions","name":"allowFunctions"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-constructor","name":"constructor"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.add","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-add","name":"add"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.addAll","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-addAll","name":"addAll"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.clear","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-clear","name":"clear"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.clone","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-clone","name":"clone"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.collect","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-collect","name":"collect"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.contains","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-contains","name":"contains"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.containsKey","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-containsKey","name":"containsKey"},{"meta":{"private":true},"fullName":"Ext.util.AbstractMixedCollection.createValueMatcher","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-createValueMatcher","name":"createValueMatcher"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.each","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-each","name":"each"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.eachKey","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-eachKey","name":"eachKey"},{"meta":{"private":true},"fullName":"Ext.util.AbstractMixedCollection.extractValues","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-extractValues","name":"extractValues"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.filter","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-filter","name":"filter"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.filterBy","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-filterBy","name":"filterBy"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.findBy","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-findBy","name":"findBy"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.findIndex","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-findIndex","name":"findIndex"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.findIndexBy","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-findIndexBy","name":"findIndexBy"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.first","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-first","name":"first"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.get","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-get","name":"get"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.getAt","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-getAt","name":"getAt"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.getByKey","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-getByKey","name":"getByKey"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.getCount","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-getCount","name":"getCount"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.getKey","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-getKey","name":"getKey"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.getRange","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-getRange","name":"getRange"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.indexOf","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-indexOf","name":"indexOf"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.indexOfKey","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-indexOfKey","name":"indexOfKey"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.insert","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-insert","name":"insert"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.last","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-last","name":"last"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.remove","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-remove","name":"remove"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.removeAll","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-removeAll","name":"removeAll"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.removeAt","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-removeAt","name":"removeAt"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.removeAtKey","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-removeAtKey","name":"removeAtKey"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.replace","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-replace","name":"replace"},{"meta":{},"fullName":"Ext.util.AbstractMixedCollection.sum","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.AbstractMixedCollection-method-sum","name":"sum"},{"meta":{"private":true},"fullName":"Ext.util.Collection","icon":"icon-class","sort":1,"url":"#!/api/Ext.util.Collection","name":"Collection"},{"meta":{},"fullName":"Ext.util.Collection.all","icon":"icon-property","sort":3,"url":"#!/api/Ext.util.Collection-property-all","name":"all"},{"meta":{},"fullName":"Ext.util.Collection.indices","icon":"icon-property","sort":3,"url":"#!/api/Ext.util.Collection-property-indices","name":"indices"},{"meta":{},"fullName":"Ext.util.Collection.items","icon":"icon-property","sort":3,"url":"#!/api/Ext.util.Collection-property-items","name":"items"},{"meta":{},"fullName":"Ext.util.Collection.keys","icon":"icon-property","sort":3,"url":"#!/api/Ext.util.Collection-property-keys","name":"keys"},{"meta":{},"fullName":"Ext.util.Collection.length","icon":"icon-property","sort":3,"url":"#!/api/Ext.util.Collection-property-length","name":"length"},{"meta":{},"fullName":"Ext.util.Collection.map","icon":"icon-property","sort":3,"url":"#!/api/Ext.util.Collection-property-map","name":"map"},{"meta":{},"fullName":"Ext.util.Collection.filters","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.Collection-cfg-filters","name":"filters"},{"meta":{},"fullName":"Ext.util.Collection.sorters","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.Collection-cfg-sorters","name":"sorters"},{"meta":{},"fullName":"Ext.util.Collection.add","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-add","name":"add"},{"meta":{},"fullName":"Ext.util.Collection.addAll","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-addAll","name":"addAll"},{"meta":{},"fullName":"Ext.util.Collection.clear","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-clear","name":"clear"},{"meta":{},"fullName":"Ext.util.Collection.clone","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-clone","name":"clone"},{"meta":{},"fullName":"Ext.util.Collection.contains","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-contains","name":"contains"},{"meta":{},"fullName":"Ext.util.Collection.containsKey","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-containsKey","name":"containsKey"},{"meta":{},"fullName":"Ext.util.Collection.each","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-each","name":"each"},{"meta":{},"fullName":"Ext.util.Collection.eachKey","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-eachKey","name":"eachKey"},{"meta":{},"fullName":"Ext.util.Collection.filterBy","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-filterBy","name":"filterBy"},{"meta":{},"fullName":"Ext.util.Collection.findBy","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-findBy","name":"findBy"},{"meta":{},"fullName":"Ext.util.Collection.findIndexBy","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-findIndexBy","name":"findIndexBy"},{"meta":{},"fullName":"Ext.util.Collection.first","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-first","name":"first"},{"meta":{},"fullName":"Ext.util.Collection.get","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-get","name":"get"},{"meta":{},"fullName":"Ext.util.Collection.getAt","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-getAt","name":"getAt"},{"meta":{},"fullName":"Ext.util.Collection.getByKey","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-getByKey","name":"getByKey"},{"meta":{},"fullName":"Ext.util.Collection.getCount","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-getCount","name":"getCount"},{"meta":{},"fullName":"Ext.util.Collection.getKey","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-getKey","name":"getKey"},{"meta":{},"fullName":"Ext.util.Collection.getRange","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-getRange","name":"getRange"},{"meta":{},"fullName":"Ext.util.Collection.indexOf","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-indexOf","name":"indexOf"},{"meta":{},"fullName":"Ext.util.Collection.indexOfKey","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-indexOfKey","name":"indexOfKey"},{"meta":{},"fullName":"Ext.util.Collection.insert","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-insert","name":"insert"},{"meta":{},"fullName":"Ext.util.Collection.last","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-last","name":"last"},{"meta":{},"fullName":"Ext.util.Collection.remove","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-remove","name":"remove"},{"meta":{},"fullName":"Ext.util.Collection.removeAll","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-removeAll","name":"removeAll"},{"meta":{},"fullName":"Ext.util.Collection.removeAt","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-removeAt","name":"removeAt"},{"meta":{},"fullName":"Ext.util.Collection.removeAtKey","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-removeAtKey","name":"removeAtKey"},{"meta":{},"fullName":"Ext.util.Collection.replace","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Collection-method-replace","name":"replace"},{"meta":{"author":["Ed Spencer"]},"fullName":"Ext.data.Errors","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.Errors","name":"Errors"},{"meta":{},"fullName":"Ext.data.Errors.getByField","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Errors-method-getByField","name":"getByField"},{"meta":{},"fullName":"Ext.data.Errors.isValid","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Errors-method-isValid","name":"isValid"},{"meta":{"docauthor":["Evan Trimboli <evan@sencha.com>"],"aside":[{"type":"guide","name":"stores"}]},"fullName":"Ext.data.StoreManager","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.data.StoreManager","name":"StoreManager"},{"meta":{"docauthor":["Evan Trimboli <evan@sencha.com>"],"aside":[{"type":"guide","name":"stores"}]},"type":"class","fullName":"Ext.StoreMgr","icon":"icon-singleton-redirect","sort":2,"url":"#!/api/Ext.data.StoreManager","name":"StoreMgr"},{"meta":{"docauthor":["Evan Trimboli <evan@sencha.com>"],"aside":[{"type":"guide","name":"stores"}]},"type":"class","fullName":"Ext.data.StoreMgr","icon":"icon-singleton-redirect","sort":2,"url":"#!/api/Ext.data.StoreManager","name":"StoreMgr"},{"meta":{"docauthor":["Evan Trimboli <evan@sencha.com>"],"aside":[{"type":"guide","name":"stores"}]},"type":"class","fullName":"Ext.StoreManager","icon":"icon-singleton-redirect","sort":2,"url":"#!/api/Ext.data.StoreManager","name":"StoreManager"},{"meta":{},"fullName":"Ext.data.StoreManager.lookup","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.StoreManager-method-lookup","name":"lookup"},{"meta":{},"fullName":"Ext.data.StoreManager.register","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.StoreManager-method-register","name":"register"},{"meta":{},"fullName":"Ext.data.StoreManager.unregister","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.StoreManager-method-unregister","name":"unregister"},{"meta":{},"fullName":"Ext.direct.Manager","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.direct.Manager","name":"Manager"},{"meta":{},"type":"class","fullName":"Ext.Direct","icon":"icon-singleton-redirect","sort":2,"url":"#!/api/Ext.direct.Manager","name":"Direct"},{"meta":{},"fullName":"Ext.direct.Manager.event","icon":"icon-event","sort":3,"url":"#!/api/Ext.direct.Manager-event-event","name":"event"},{"meta":{},"fullName":"Ext.direct.Manager.exception","icon":"icon-event","sort":3,"url":"#!/api/Ext.direct.Manager-event-exception","name":"exception"},{"meta":{},"fullName":"Ext.direct.Manager.addProvider","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.Manager-method-addProvider","name":"addProvider"},{"meta":{"private":true},"fullName":"Ext.direct.Manager.addTransaction","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.Manager-method-addTransaction","name":"addTransaction"},{"meta":{},"fullName":"Ext.direct.Manager.getProvider","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.Manager-method-getProvider","name":"getProvider"},{"meta":{"private":true},"fullName":"Ext.direct.Manager.getTransaction","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.Manager-method-getTransaction","name":"getTransaction"},{"meta":{"protected":true},"fullName":"Ext.direct.Manager.parseMethod","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.Manager-method-parseMethod","name":"parseMethod"},{"meta":{},"fullName":"Ext.direct.Manager.removeProvider","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.Manager-method-removeProvider","name":"removeProvider"},{"meta":{"private":true},"fullName":"Ext.direct.Manager.removeTransaction","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.Manager-method-removeTransaction","name":"removeTransaction"},{"meta":{"aside":[{"type":"guide","name":"proxies"}]},"fullName":"Ext.data.proxy.Direct","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.proxy.Direct","name":"Direct"},{"meta":{"aside":[{"type":"guide","name":"proxies"}]},"type":"class","fullName":"Ext.data.DirectProxy","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.proxy.Direct","name":"DirectProxy"},{"meta":{"aside":[{"type":"guide","name":"proxies"}]},"fullName":"proxy: direct","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.proxy.Direct","name":"direct"},{"meta":{},"fullName":"Ext.data.proxy.Direct.api","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Direct-cfg-api","name":"api"},{"meta":{},"fullName":"Ext.data.proxy.Direct.directFn","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Direct-cfg-directFn","name":"directFn"},{"meta":{},"fullName":"Ext.data.proxy.Direct.extraParams","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Direct-cfg-extraParams","name":"extraParams"},{"meta":{},"fullName":"Ext.data.proxy.Direct.paramOrder","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Direct-cfg-paramOrder","name":"paramOrder"},{"meta":{},"fullName":"Ext.data.proxy.Direct.paramsAsHash","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Direct-cfg-paramsAsHash","name":"paramsAsHash"},{"meta":{},"fullName":"Ext.direct.Event","icon":"icon-class","sort":1,"url":"#!/api/Ext.direct.Event","name":"Event"},{"meta":{},"fullName":"direct: event","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.direct.Event","name":"event"},{"meta":{},"fullName":"Ext.direct.Event.data","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.direct.Event-cfg-data","name":"data"},{"meta":{},"fullName":"Ext.direct.Event.name","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.direct.Event-cfg-name","name":"name"},{"meta":{},"fullName":"Ext.direct.Event.getData","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.Event-method-getData","name":"getData"},{"meta":{},"fullName":"Ext.direct.Event.setData","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.Event-method-setData","name":"setData"},{"meta":{},"fullName":"Ext.direct.RemotingEvent","icon":"icon-class","sort":1,"url":"#!/api/Ext.direct.RemotingEvent","name":"RemotingEvent"},{"meta":{},"fullName":"direct: rpc","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.direct.RemotingEvent","name":"rpc"},{"meta":{},"fullName":"Ext.direct.RemotingEvent.getTransaction","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.RemotingEvent-method-getTransaction","name":"getTransaction"},{"meta":{},"fullName":"Ext.direct.ExceptionEvent","icon":"icon-class","sort":1,"url":"#!/api/Ext.direct.ExceptionEvent","name":"ExceptionEvent"},{"meta":{},"fullName":"direct: exception","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.direct.ExceptionEvent","name":"exception"},{"meta":{},"fullName":"Ext.util.Format","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.util.Format","name":"Format"},{"meta":{},"fullName":"Ext.util.Format.defaultDateFormat","icon":"icon-property","sort":3,"url":"#!/api/Ext.util.Format-property-defaultDateFormat","name":"defaultDateFormat"},{"meta":{},"fullName":"Ext.util.Format.date","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Format-method-date","name":"date"},{"meta":{},"fullName":"Ext.util.Format.ellipsis","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Format-method-ellipsis","name":"ellipsis"},{"meta":{},"fullName":"Ext.util.Format.escape","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Format-method-escape","name":"escape"},{"meta":{},"fullName":"Ext.util.Format.escapeRegex","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Format-method-escapeRegex","name":"escapeRegex"},{"meta":{},"fullName":"Ext.util.Format.format","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Format-method-format","name":"format"},{"meta":{},"fullName":"Ext.util.Format.htmlDecode","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Format-method-htmlDecode","name":"htmlDecode"},{"meta":{},"fullName":"Ext.util.Format.htmlEncode","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Format-method-htmlEncode","name":"htmlEncode"},{"meta":{},"fullName":"Ext.util.Format.leftPad","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Format-method-leftPad","name":"leftPad"},{"meta":{},"fullName":"Ext.util.Format.toggle","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Format-method-toggle","name":"toggle"},{"meta":{},"fullName":"Ext.util.Format.trim","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Format-method-trim","name":"trim"},{"meta":{},"fullName":"Ext.Template","icon":"icon-class","sort":1,"url":"#!/api/Ext.Template","name":"Template"},{"meta":{},"fullName":"Ext.Template.isTemplate","icon":"icon-property","sort":3,"url":"#!/api/Ext.Template-property-isTemplate","name":"isTemplate"},{"meta":{},"fullName":"Ext.Template.compiled","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Template-cfg-compiled","name":"compiled"},{"meta":{},"fullName":"Ext.Template.disableFormats","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Template-cfg-disableFormats","name":"disableFormats"},{"meta":{},"fullName":"Ext.Template.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.Template-method-constructor","name":"constructor"},{"meta":{},"fullName":"Ext.Template.append","icon":"icon-method","sort":3,"url":"#!/api/Ext.Template-method-append","name":"append"},{"meta":{},"fullName":"Ext.Template.apply","icon":"icon-method","sort":3,"url":"#!/api/Ext.Template-method-apply","name":"apply"},{"meta":{},"fullName":"Ext.Template.applyOut","icon":"icon-method","sort":3,"url":"#!/api/Ext.Template-method-applyOut","name":"applyOut"},{"meta":{},"fullName":"Ext.Template.applyTemplate","icon":"icon-method","sort":3,"url":"#!/api/Ext.Template-method-applyTemplate","name":"applyTemplate"},{"meta":{},"fullName":"Ext.Template.compile","icon":"icon-method","sort":3,"url":"#!/api/Ext.Template-method-compile","name":"compile"},{"meta":{},"fullName":"Ext.Template.insertAfter","icon":"icon-method","sort":3,"url":"#!/api/Ext.Template-method-insertAfter","name":"insertAfter"},{"meta":{},"fullName":"Ext.Template.insertBefore","icon":"icon-method","sort":3,"url":"#!/api/Ext.Template-method-insertBefore","name":"insertBefore"},{"meta":{},"fullName":"Ext.Template.insertFirst","icon":"icon-method","sort":3,"url":"#!/api/Ext.Template-method-insertFirst","name":"insertFirst"},{"meta":{},"fullName":"Ext.Template.overwrite","icon":"icon-method","sort":3,"url":"#!/api/Ext.Template-method-overwrite","name":"overwrite"},{"meta":{},"fullName":"Ext.Template.set","icon":"icon-method","sort":3,"url":"#!/api/Ext.Template-method-set","name":"set"},{"meta":{"static":true},"fullName":"Ext.Template.from","icon":"icon-method","sort":3,"url":"#!/api/Ext.Template-static-method-from","name":"from"},{"meta":{},"fullName":"Ext.XTemplate","icon":"icon-class","sort":1,"url":"#!/api/Ext.XTemplate","name":"XTemplate"},{"meta":{},"fullName":"Ext.XTemplate.compiled","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.XTemplate-cfg-compiled","name":"compiled"},{"meta":{},"fullName":"Ext.XTemplate.compile","icon":"icon-method","sort":3,"url":"#!/api/Ext.XTemplate-method-compile","name":"compile"},{"meta":{"protected":true},"fullName":"Ext.XTemplate.getTpl","icon":"icon-method","sort":3,"url":"#!/api/Ext.XTemplate-method-getTpl","name":"getTpl"},{"meta":{},"fullName":"Ext.util.Geolocation","icon":"icon-class","sort":1,"url":"#!/api/Ext.util.Geolocation","name":"Geolocation"},{"meta":{},"type":"class","fullName":"Ext.util.GeoLocation","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.util.Geolocation","name":"GeoLocation"},{"meta":{},"fullName":"Ext.util.Geolocation.accuracy","icon":"icon-property","sort":3,"url":"#!/api/Ext.util.Geolocation-property-accuracy","name":"accuracy"},{"meta":{},"fullName":"Ext.util.Geolocation.altitude","icon":"icon-property","sort":3,"url":"#!/api/Ext.util.Geolocation-property-altitude","name":"altitude"},{"meta":{},"fullName":"Ext.util.Geolocation.altitudeAccuracy","icon":"icon-property","sort":3,"url":"#!/api/Ext.util.Geolocation-property-altitudeAccuracy","name":"altitudeAccuracy"},{"meta":{},"fullName":"Ext.util.Geolocation.heading","icon":"icon-property","sort":3,"url":"#!/api/Ext.util.Geolocation-property-heading","name":"heading"},{"meta":{},"fullName":"Ext.util.Geolocation.latitude","icon":"icon-property","sort":3,"url":"#!/api/Ext.util.Geolocation-property-latitude","name":"latitude"},{"meta":{},"fullName":"Ext.util.Geolocation.longitude","icon":"icon-property","sort":3,"url":"#!/api/Ext.util.Geolocation-property-longitude","name":"longitude"},{"meta":{},"fullName":"Ext.util.Geolocation.speed","icon":"icon-property","sort":3,"url":"#!/api/Ext.util.Geolocation-property-speed","name":"speed"},{"meta":{},"fullName":"Ext.util.Geolocation.timestamp","icon":"icon-property","sort":3,"url":"#!/api/Ext.util.Geolocation-property-timestamp","name":"timestamp"},{"meta":{},"fullName":"Ext.util.Geolocation.locationerror","icon":"icon-event","sort":3,"url":"#!/api/Ext.util.Geolocation-event-locationerror","name":"locationerror"},{"meta":{},"fullName":"Ext.util.Geolocation.locationupdate","icon":"icon-event","sort":3,"url":"#!/api/Ext.util.Geolocation-event-locationupdate","name":"locationupdate"},{"meta":{},"fullName":"Ext.util.Geolocation.allowHighAccuracy","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.Geolocation-cfg-allowHighAccuracy","name":"allowHighAccuracy"},{"meta":{},"fullName":"Ext.util.Geolocation.autoUpdate","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.Geolocation-cfg-autoUpdate","name":"autoUpdate"},{"meta":{},"fullName":"Ext.util.Geolocation.frequency","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.Geolocation-cfg-frequency","name":"frequency"},{"meta":{},"fullName":"Ext.util.Geolocation.maximumAge","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.Geolocation-cfg-maximumAge","name":"maximumAge"},{"meta":{},"fullName":"Ext.util.Geolocation.timeout","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.Geolocation-cfg-timeout","name":"timeout"},{"meta":{},"fullName":"Ext.util.Geolocation.updateLocation","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Geolocation-method-updateLocation","name":"updateLocation"},{"meta":{"private":true},"fullName":"Ext.util.Grouper","icon":"icon-class","sort":1,"url":"#!/api/Ext.util.Grouper","name":"Grouper"},{"meta":{},"fullName":"Ext.util.Grouper.sortProperty","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.Grouper-cfg-sortProperty","name":"sortProperty"},{"meta":{"private":true},"fullName":"Ext.util.Grouper.defaultSortFn","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Grouper-method-defaultSortFn","name":"defaultSortFn"},{"meta":{},"fullName":"Ext.util.HashMap","icon":"icon-class","sort":1,"url":"#!/api/Ext.util.HashMap","name":"HashMap"},{"meta":{},"fullName":"Ext.util.HashMap.add","icon":"icon-event","sort":3,"url":"#!/api/Ext.util.HashMap-event-add","name":"add"},{"meta":{},"fullName":"Ext.util.HashMap.clear","icon":"icon-event","sort":3,"url":"#!/api/Ext.util.HashMap-event-clear","name":"clear"},{"meta":{},"fullName":"Ext.util.HashMap.remove","icon":"icon-event","sort":3,"url":"#!/api/Ext.util.HashMap-event-remove","name":"remove"},{"meta":{},"fullName":"Ext.util.HashMap.replace","icon":"icon-event","sort":3,"url":"#!/api/Ext.util.HashMap-event-replace","name":"replace"},{"meta":{},"fullName":"Ext.util.HashMap.keyFn","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.HashMap-cfg-keyFn","name":"keyFn"},{"meta":{},"fullName":"Ext.util.HashMap.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.HashMap-method-constructor","name":"constructor"},{"meta":{},"fullName":"Ext.util.HashMap.add","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.HashMap-method-add","name":"add"},{"meta":{},"fullName":"Ext.util.HashMap.clear","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.HashMap-method-clear","name":"clear"},{"meta":{},"fullName":"Ext.util.HashMap.clone","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.HashMap-method-clone","name":"clone"},{"meta":{},"fullName":"Ext.util.HashMap.contains","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.HashMap-method-contains","name":"contains"},{"meta":{},"fullName":"Ext.util.HashMap.containsKey","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.HashMap-method-containsKey","name":"containsKey"},{"meta":{},"fullName":"Ext.util.HashMap.each","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.HashMap-method-each","name":"each"},{"meta":{"private":true},"fullName":"Ext.util.HashMap.findKey","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.HashMap-method-findKey","name":"findKey"},{"meta":{},"fullName":"Ext.util.HashMap.get","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.HashMap-method-get","name":"get"},{"meta":{"private":true},"fullName":"Ext.util.HashMap.getArray","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.HashMap-method-getArray","name":"getArray"},{"meta":{},"fullName":"Ext.util.HashMap.getCount","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.HashMap-method-getCount","name":"getCount"},{"meta":{"private":true},"fullName":"Ext.util.HashMap.getData","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.HashMap-method-getData","name":"getData"},{"meta":{"private":true},"fullName":"Ext.util.HashMap.getKey","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.HashMap-method-getKey","name":"getKey"},{"meta":{},"fullName":"Ext.util.HashMap.getKeys","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.HashMap-method-getKeys","name":"getKeys"},{"meta":{},"fullName":"Ext.util.HashMap.getValues","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.HashMap-method-getValues","name":"getValues"},{"meta":{},"fullName":"Ext.util.HashMap.remove","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.HashMap-method-remove","name":"remove"},{"meta":{},"fullName":"Ext.util.HashMap.removeByKey","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.HashMap-method-removeByKey","name":"removeByKey"},{"meta":{},"fullName":"Ext.util.HashMap.replace","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.HashMap-method-replace","name":"replace"},{"meta":{"private":true},"fullName":"Ext.AbstractManager","icon":"icon-class","sort":1,"url":"#!/api/Ext.AbstractManager","name":"AbstractManager"},{"meta":{},"fullName":"Ext.AbstractManager.all","icon":"icon-property","sort":3,"url":"#!/api/Ext.AbstractManager-property-all","name":"all"},{"meta":{},"fullName":"Ext.AbstractManager.create","icon":"icon-method","sort":3,"url":"#!/api/Ext.AbstractManager-method-create","name":"create"},{"meta":{},"fullName":"Ext.AbstractManager.each","icon":"icon-method","sort":3,"url":"#!/api/Ext.AbstractManager-method-each","name":"each"},{"meta":{},"fullName":"Ext.AbstractManager.get","icon":"icon-method","sort":3,"url":"#!/api/Ext.AbstractManager-method-get","name":"get"},{"meta":{},"fullName":"Ext.AbstractManager.getCount","icon":"icon-method","sort":3,"url":"#!/api/Ext.AbstractManager-method-getCount","name":"getCount"},{"meta":{},"fullName":"Ext.AbstractManager.isRegistered","icon":"icon-method","sort":3,"url":"#!/api/Ext.AbstractManager-method-isRegistered","name":"isRegistered"},{"meta":{},"fullName":"Ext.AbstractManager.onAvailable","icon":"icon-method","sort":3,"url":"#!/api/Ext.AbstractManager-method-onAvailable","name":"onAvailable"},{"meta":{},"fullName":"Ext.AbstractManager.register","icon":"icon-method","sort":3,"url":"#!/api/Ext.AbstractManager-method-register","name":"register"},{"meta":{},"fullName":"Ext.AbstractManager.registerType","icon":"icon-method","sort":3,"url":"#!/api/Ext.AbstractManager-method-registerType","name":"registerType"},{"meta":{},"fullName":"Ext.AbstractManager.unregister","icon":"icon-method","sort":3,"url":"#!/api/Ext.AbstractManager-method-unregister","name":"unregister"},{"meta":{"author":["Ed Spencer"],"markdown":true},"fullName":"Ext.data.ModelManager","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.data.ModelManager","name":"ModelManager"},{"meta":{"author":["Ed Spencer"],"markdown":true},"type":"class","fullName":"Ext.ModelMgr","icon":"icon-singleton-redirect","sort":2,"url":"#!/api/Ext.data.ModelManager","name":"ModelMgr"},{"meta":{"author":["Ed Spencer"],"markdown":true},"type":"class","fullName":"Ext.ModelManager","icon":"icon-singleton-redirect","sort":2,"url":"#!/api/Ext.data.ModelManager","name":"ModelManager"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.data.ModelManager.associationStack","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.ModelManager-property-associationStack","name":"associationStack"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.data.ModelManager.defaultProxyType","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.ModelManager-property-defaultProxyType","name":"defaultProxyType"},{"meta":{},"fullName":"Ext.data.ModelManager.create","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.ModelManager-method-create","name":"create"},{"meta":{},"fullName":"Ext.data.ModelManager.getModel","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.ModelManager-method-getModel","name":"getModel"},{"meta":{},"fullName":"Ext.data.ModelManager.registerType","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.ModelManager-method-registerType","name":"registerType"},{"meta":{},"fullName":"Ext.data.NodeInterface","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.NodeInterface","name":"NodeInterface"},{"meta":{},"type":"class","fullName":"Ext.data.Node","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.NodeInterface","name":"Node"},{"meta":{},"fullName":"Ext.data.NodeInterface.childNodes","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.NodeInterface-property-childNodes","name":"childNodes"},{"meta":{},"fullName":"Ext.data.NodeInterface.firstChild","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.NodeInterface-property-firstChild","name":"firstChild"},{"meta":{},"fullName":"Ext.data.NodeInterface.lastChild","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.NodeInterface-property-lastChild","name":"lastChild"},{"meta":{},"fullName":"Ext.data.NodeInterface.nextSibling","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.NodeInterface-property-nextSibling","name":"nextSibling"},{"meta":{},"fullName":"Ext.data.NodeInterface.parentNode","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.NodeInterface-property-parentNode","name":"parentNode"},{"meta":{},"fullName":"Ext.data.NodeInterface.previousSibling","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.NodeInterface-property-previousSibling","name":"previousSibling"},{"meta":{},"fullName":"Ext.data.NodeInterface.append","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.NodeInterface-event-append","name":"append"},{"meta":{},"fullName":"Ext.data.NodeInterface.beforeappend","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.NodeInterface-event-beforeappend","name":"beforeappend"},{"meta":{},"fullName":"Ext.data.NodeInterface.beforecollapse","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.NodeInterface-event-beforecollapse","name":"beforecollapse"},{"meta":{},"fullName":"Ext.data.NodeInterface.beforeexpand","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.NodeInterface-event-beforeexpand","name":"beforeexpand"},{"meta":{},"fullName":"Ext.data.NodeInterface.beforeinsert","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.NodeInterface-event-beforeinsert","name":"beforeinsert"},{"meta":{},"fullName":"Ext.data.NodeInterface.beforemove","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.NodeInterface-event-beforemove","name":"beforemove"},{"meta":{},"fullName":"Ext.data.NodeInterface.beforeremove","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.NodeInterface-event-beforeremove","name":"beforeremove"},{"meta":{},"fullName":"Ext.data.NodeInterface.collapse","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.NodeInterface-event-collapse","name":"collapse"},{"meta":{},"fullName":"Ext.data.NodeInterface.expand","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.NodeInterface-event-expand","name":"expand"},{"meta":{},"fullName":"Ext.data.NodeInterface.insert","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.NodeInterface-event-insert","name":"insert"},{"meta":{},"fullName":"Ext.data.NodeInterface.move","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.NodeInterface-event-move","name":"move"},{"meta":{},"fullName":"Ext.data.NodeInterface.remove","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.NodeInterface-event-remove","name":"remove"},{"meta":{},"fullName":"Ext.data.NodeInterface.sort","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.NodeInterface-event-sort","name":"sort"},{"meta":{},"fullName":"Ext.data.NodeInterface.appendChild","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-appendChild","name":"appendChild"},{"meta":{},"fullName":"Ext.data.NodeInterface.bubble","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-bubble","name":"bubble"},{"meta":{},"fullName":"Ext.data.NodeInterface.cascadeBy","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-cascadeBy","name":"cascadeBy"},{"meta":{"private":true},"fullName":"Ext.data.NodeInterface.clear","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-clear","name":"clear"},{"meta":{},"fullName":"Ext.data.NodeInterface.collapse","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-collapse","name":"collapse"},{"meta":{},"fullName":"Ext.data.NodeInterface.contains","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-contains","name":"contains"},{"meta":{},"fullName":"Ext.data.NodeInterface.copy","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-copy","name":"copy"},{"meta":{"private":true},"fullName":"Ext.data.NodeInterface.createNode","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-createNode","name":"createNode"},{"meta":{},"fullName":"Ext.data.NodeInterface.destroy","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-destroy","name":"destroy"},{"meta":{},"fullName":"Ext.data.NodeInterface.eachChild","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-eachChild","name":"eachChild"},{"meta":{},"fullName":"Ext.data.NodeInterface.expand","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-expand","name":"expand"},{"meta":{},"fullName":"Ext.data.NodeInterface.findChild","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-findChild","name":"findChild"},{"meta":{},"fullName":"Ext.data.NodeInterface.findChildBy","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-findChildBy","name":"findChildBy"},{"meta":{"private":true},"fullName":"Ext.data.NodeInterface.getBubbleTarget","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-getBubbleTarget","name":"getBubbleTarget"},{"meta":{},"fullName":"Ext.data.NodeInterface.getChildAt","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-getChildAt","name":"getChildAt"},{"meta":{},"fullName":"Ext.data.NodeInterface.getDepth","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-getDepth","name":"getDepth"},{"meta":{},"fullName":"Ext.data.NodeInterface.getPath","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-getPath","name":"getPath"},{"meta":{},"fullName":"Ext.data.NodeInterface.hasChildNodes","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-hasChildNodes","name":"hasChildNodes"},{"meta":{},"fullName":"Ext.data.NodeInterface.indexOf","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-indexOf","name":"indexOf"},{"meta":{},"fullName":"Ext.data.NodeInterface.insertBefore","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-insertBefore","name":"insertBefore"},{"meta":{},"fullName":"Ext.data.NodeInterface.insertChild","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-insertChild","name":"insertChild"},{"meta":{},"fullName":"Ext.data.NodeInterface.isAncestor","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-isAncestor","name":"isAncestor"},{"meta":{},"fullName":"Ext.data.NodeInterface.isExpandable","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-isExpandable","name":"isExpandable"},{"meta":{},"fullName":"Ext.data.NodeInterface.isExpanded","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-isExpanded","name":"isExpanded"},{"meta":{},"fullName":"Ext.data.NodeInterface.isFirst","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-isFirst","name":"isFirst"},{"meta":{},"fullName":"Ext.data.NodeInterface.isLast","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-isLast","name":"isLast"},{"meta":{},"fullName":"Ext.data.NodeInterface.isLeaf","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-isLeaf","name":"isLeaf"},{"meta":{},"fullName":"Ext.data.NodeInterface.isLoaded","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-isLoaded","name":"isLoaded"},{"meta":{},"fullName":"Ext.data.NodeInterface.isLoading","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-isLoading","name":"isLoading"},{"meta":{},"fullName":"Ext.data.NodeInterface.isRoot","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-isRoot","name":"isRoot"},{"meta":{},"fullName":"Ext.data.NodeInterface.isVisible","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-isVisible","name":"isVisible"},{"meta":{},"fullName":"Ext.data.NodeInterface.remove","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-remove","name":"remove"},{"meta":{},"fullName":"Ext.data.NodeInterface.removeAll","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-removeAll","name":"removeAll"},{"meta":{},"fullName":"Ext.data.NodeInterface.removeChild","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-removeChild","name":"removeChild"},{"meta":{},"fullName":"Ext.data.NodeInterface.replaceChild","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-replaceChild","name":"replaceChild"},{"meta":{"private":true},"fullName":"Ext.data.NodeInterface.setFirstChild","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-setFirstChild","name":"setFirstChild"},{"meta":{"private":true},"fullName":"Ext.data.NodeInterface.setLastChild","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-setLastChild","name":"setLastChild"},{"meta":{},"fullName":"Ext.data.NodeInterface.sort","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-sort","name":"sort"},{"meta":{},"fullName":"Ext.data.NodeInterface.updateInfo","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-method-updateInfo","name":"updateInfo"},{"meta":{"static":true},"fullName":"Ext.data.NodeInterface.decorate","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeInterface-static-method-decorate","name":"decorate"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"models"}]},"fullName":"Ext.data.association.Association","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.association.Association","name":"Association"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"models"}]},"type":"class","fullName":"Ext.data.Association","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.association.Association","name":"Association"},{"meta":{},"fullName":"Ext.data.association.Association.associatedModel","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.association.Association-cfg-associatedModel","name":"associatedModel"},{"meta":{},"fullName":"Ext.data.association.Association.associatedName","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.association.Association-cfg-associatedName","name":"associatedName"},{"meta":{},"fullName":"Ext.data.association.Association.associationKey","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.association.Association-cfg-associationKey","name":"associationKey"},{"meta":{},"fullName":"Ext.data.association.Association.ownerModel","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.association.Association-cfg-ownerModel","name":"ownerModel"},{"meta":{},"fullName":"Ext.data.association.Association.primaryKey","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.association.Association-cfg-primaryKey","name":"primaryKey"},{"meta":{},"fullName":"Ext.data.association.Association.reader","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.association.Association-cfg-reader","name":"reader"},{"meta":{},"fullName":"Ext.data.association.Association.type","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.association.Association-cfg-type","name":"type"},{"meta":{},"fullName":"Ext.data.association.Association.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.association.Association-method-constructor","name":"constructor"},{"meta":{},"fullName":"Ext.data.association.Association.getAssociatedModel","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.association.Association-method-getAssociatedModel","name":"getAssociatedModel"},{"meta":{},"fullName":"Ext.data.association.Association.getAssociatedName","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.association.Association-method-getAssociatedName","name":"getAssociatedName"},{"meta":{},"fullName":"Ext.data.association.Association.getOwnerModel","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.association.Association-method-getOwnerModel","name":"getOwnerModel"},{"meta":{},"fullName":"Ext.data.association.Association.setAssociatedModel","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.association.Association-method-setAssociatedModel","name":"setAssociatedModel"},{"meta":{},"fullName":"Ext.data.association.Association.setAssociatedName","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.association.Association-method-setAssociatedName","name":"setAssociatedName"},{"meta":{},"fullName":"Ext.data.association.Association.setOwnerModel","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.association.Association-method-setOwnerModel","name":"setOwnerModel"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"models"}]},"fullName":"Ext.data.association.BelongsTo","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.association.BelongsTo","name":"BelongsTo"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"models"}]},"type":"class","fullName":"Ext.data.BelongsToAssociation","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.association.BelongsTo","name":"BelongsToAssociation"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"models"}]},"fullName":"association: belongsto","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.association.BelongsTo","name":"belongsto"},{"meta":{},"fullName":"Ext.data.association.BelongsTo.foreignKey","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.association.BelongsTo-cfg-foreignKey","name":"foreignKey"},{"meta":{},"fullName":"Ext.data.association.BelongsTo.getterName","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.association.BelongsTo-cfg-getterName","name":"getterName"},{"meta":{},"fullName":"Ext.data.association.BelongsTo.setterName","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.association.BelongsTo-cfg-setterName","name":"setterName"},{"meta":{"private":true},"fullName":"Ext.data.association.BelongsTo.createGetter","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.association.BelongsTo-method-createGetter","name":"createGetter"},{"meta":{"private":true},"fullName":"Ext.data.association.BelongsTo.createSetter","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.association.BelongsTo-method-createSetter","name":"createSetter"},{"meta":{"private":true},"fullName":"Ext.data.association.BelongsTo.read","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.association.BelongsTo-method-read","name":"read"},{"meta":{"aside":[{"type":"guide","name":"models"}]},"fullName":"Ext.data.association.HasMany","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.association.HasMany","name":"HasMany"},{"meta":{"aside":[{"type":"guide","name":"models"}]},"type":"class","fullName":"Ext.data.HasManyAssociation","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.association.HasMany","name":"HasManyAssociation"},{"meta":{"aside":[{"type":"guide","name":"models"}]},"fullName":"association: hasmany","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.association.HasMany","name":"hasmany"},{"meta":{},"fullName":"Ext.data.association.HasMany.autoLoad","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.association.HasMany-cfg-autoLoad","name":"autoLoad"},{"meta":{},"fullName":"Ext.data.association.HasMany.filterProperty","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.association.HasMany-cfg-filterProperty","name":"filterProperty"},{"meta":{},"fullName":"Ext.data.association.HasMany.foreignKey","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.association.HasMany-cfg-foreignKey","name":"foreignKey"},{"meta":{},"fullName":"Ext.data.association.HasMany.name","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.association.HasMany-cfg-name","name":"name"},{"meta":{},"fullName":"Ext.data.association.HasMany.store","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.association.HasMany-cfg-store","name":"store"},{"meta":{},"fullName":"Ext.data.association.HasMany.storeConfig","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.association.HasMany-cfg-storeConfig","name":"storeConfig"},{"meta":{},"fullName":"Ext.data.association.HasMany.storeName","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.association.HasMany-cfg-storeName","name":"storeName"},{"meta":{"private":true},"fullName":"Ext.data.association.HasMany.applyStore","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.association.HasMany-method-applyStore","name":"applyStore"},{"meta":{"private":true},"fullName":"Ext.data.association.HasMany.read","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.association.HasMany-method-read","name":"read"},{"meta":{"aside":[{"type":"guide","name":"models"}]},"fullName":"Ext.data.association.HasOne","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.association.HasOne","name":"HasOne"},{"meta":{"aside":[{"type":"guide","name":"models"}]},"type":"class","fullName":"Ext.data.HasOneAssociation","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.association.HasOne","name":"HasOneAssociation"},{"meta":{"aside":[{"type":"guide","name":"models"}]},"fullName":"association: hasone","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.association.HasOne","name":"hasone"},{"meta":{},"fullName":"Ext.data.association.HasOne.foreignKey","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.association.HasOne-cfg-foreignKey","name":"foreignKey"},{"meta":{},"fullName":"Ext.data.association.HasOne.getterName","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.association.HasOne-cfg-getterName","name":"getterName"},{"meta":{},"fullName":"Ext.data.association.HasOne.setterName","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.association.HasOne-cfg-setterName","name":"setterName"},{"meta":{"private":true},"fullName":"Ext.data.association.HasOne.createGetter","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.association.HasOne-method-createGetter","name":"createGetter"},{"meta":{"private":true},"fullName":"Ext.data.association.HasOne.createSetter","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.association.HasOne-method-createSetter","name":"createSetter"},{"meta":{"private":true},"fullName":"Ext.data.association.HasOne.read","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.association.HasOne-method-read","name":"read"},{"meta":{},"fullName":"Ext.util.LineSegment","icon":"icon-class","sort":1,"url":"#!/api/Ext.util.LineSegment","name":"LineSegment"},{"meta":{},"fullName":"Ext.util.LineSegment.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.LineSegment-method-constructor","name":"constructor"},{"meta":{},"fullName":"Ext.util.LineSegment.intersects","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.LineSegment-method-intersects","name":"intersects"},{"meta":{},"fullName":"Ext.util.LineSegment.toString","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.LineSegment-method-toString","name":"toString"},{"meta":{"private":true},"fullName":"Ext.util.SizeMonitor","icon":"icon-class","sort":1,"url":"#!/api/Ext.util.SizeMonitor","name":"SizeMonitor"},{"meta":{"private":true},"fullName":"Ext.event.publisher.ComponentSize","icon":"icon-class","sort":1,"url":"#!/api/Ext.event.publisher.ComponentSize","name":"ComponentSize"},{"meta":{"docauthor":["Tommy Maintz <tommy@sencha.com>"]},"fullName":"Ext.util.Sortable","icon":"icon-class","sort":1,"url":"#!/api/Ext.util.Sortable","name":"Sortable"},{"meta":{},"fullName":"Ext.util.Sortable.defaultSortDirection","icon":"icon-property","sort":3,"url":"#!/api/Ext.util.Sortable-property-defaultSortDirection","name":"defaultSortDirection"},{"meta":{},"fullName":"Ext.util.Sortable.isSortable","icon":"icon-property","sort":3,"url":"#!/api/Ext.util.Sortable-property-isSortable","name":"isSortable"},{"meta":{},"fullName":"Ext.util.Sortable.sortRoot","icon":"icon-property","sort":3,"url":"#!/api/Ext.util.Sortable-property-sortRoot","name":"sortRoot"},{"meta":{},"fullName":"Ext.util.Sortable.sorters","icon":"icon-property","sort":3,"url":"#!/api/Ext.util.Sortable-property-sorters","name":"sorters"},{"meta":{"private":true},"fullName":"Ext.util.Sortable.decodeSorters","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Sortable-method-decodeSorters","name":"decodeSorters"},{"meta":{},"fullName":"Ext.util.Sortable.initSortable","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Sortable-method-initSortable","name":"initSortable"},{"meta":{},"fullName":"Ext.util.Sortable.sort","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Sortable-method-sort","name":"sort"},{"meta":{},"fullName":"Ext.util.MixedCollection","icon":"icon-class","sort":1,"url":"#!/api/Ext.util.MixedCollection","name":"MixedCollection"},{"meta":{},"fullName":"Ext.util.MixedCollection.sort","icon":"icon-event","sort":3,"url":"#!/api/Ext.util.MixedCollection-event-sort","name":"sort"},{"meta":{"private":true},"fullName":"Ext.util.MixedCollection._sort","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.MixedCollection-method-_sort","name":"_sort"},{"meta":{},"fullName":"Ext.util.MixedCollection.reorder","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.MixedCollection-method-reorder","name":"reorder"},{"meta":{},"fullName":"Ext.util.MixedCollection.sortBy","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.MixedCollection-method-sortBy","name":"sortBy"},{"meta":{},"fullName":"Ext.util.MixedCollection.sortByKey","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.MixedCollection-method-sortByKey","name":"sortByKey"},{"meta":{"private":true},"fullName":"Ext.ItemCollection","icon":"icon-class","sort":1,"url":"#!/api/Ext.ItemCollection","name":"ItemCollection"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"proxies"}]},"fullName":"Ext.data.proxy.Ajax","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.proxy.Ajax","name":"Ajax"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"proxies"}]},"type":"class","fullName":"Ext.data.HttpProxy","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.proxy.Ajax","name":"HttpProxy"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"proxies"}]},"type":"class","fullName":"Ext.data.AjaxProxy","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.proxy.Ajax","name":"AjaxProxy"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"proxies"}]},"fullName":"proxy: ajax","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.proxy.Ajax","name":"ajax"},{"meta":{},"fullName":"Ext.data.proxy.Ajax.actionMethods","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.proxy.Ajax-property-actionMethods","name":"actionMethods"},{"meta":{},"fullName":"Ext.data.proxy.Ajax.headers","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Ajax-cfg-headers","name":"headers"},{"meta":{},"fullName":"Ext.data.proxy.Ajax.withCredentials","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Ajax-cfg-withCredentials","name":"withCredentials"},{"meta":{},"fullName":"Ext.data.proxy.Ajax.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Ajax-method-constructor","name":"constructor"},{"meta":{"private":true},"fullName":"Ext.data.proxy.Ajax.createRequestCallback","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Ajax-method-createRequestCallback","name":"createRequestCallback"},{"meta":{"protected":true},"fullName":"Ext.data.proxy.Ajax.doRequest","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Ajax-method-doRequest","name":"doRequest"},{"meta":{},"fullName":"Ext.data.proxy.Ajax.getMethod","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Ajax-method-getMethod","name":"getMethod"},{"meta":{},"fullName":"Ext.data.proxy.Ajax.getWithCredentials","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Ajax-method-getWithCredentials","name":"getWithCredentials"},{"meta":{},"fullName":"Ext.data.proxy.Ajax.setWithCredentials","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Ajax-method-setWithCredentials","name":"setWithCredentials"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"models"}]},"fullName":"Ext.data.Model","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.Model","name":"Model"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"models"}]},"type":"class","fullName":"Ext.data.Record","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.Model","name":"Record"},{"meta":{},"fullName":"Ext.data.Model.associations","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Model-property-associations","name":"associations"},{"meta":{},"fullName":"Ext.data.Model.dirty","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Model-property-dirty","name":"dirty"},{"meta":{},"fullName":"Ext.data.Model.editing","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Model-property-editing","name":"editing"},{"meta":{},"fullName":"Ext.data.Model.fields","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Model-property-fields","name":"fields"},{"meta":{"private":true},"fullName":"Ext.data.Model.isModel","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Model-property-isModel","name":"isModel"},{"meta":{},"fullName":"Ext.data.Model.modified","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Model-property-modified","name":"modified"},{"meta":{},"fullName":"Ext.data.Model.phantom","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Model-property-phantom","name":"phantom"},{"meta":{},"fullName":"Ext.data.Model.raw","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Model-property-raw","name":"raw"},{"meta":{},"fullName":"Ext.data.Model.stores","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Model-property-stores","name":"stores"},{"meta":{},"fullName":"Ext.data.Model.validations","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Model-property-validations","name":"validations"},{"meta":{},"fullName":"Ext.data.Model.associations","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Model-cfg-associations","name":"associations"},{"meta":{},"fullName":"Ext.data.Model.belongsTo","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Model-cfg-belongsTo","name":"belongsTo"},{"meta":{},"fullName":"Ext.data.Model.clientIdProperty","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Model-cfg-clientIdProperty","name":"clientIdProperty"},{"meta":{},"fullName":"Ext.data.Model.fields","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Model-cfg-fields","name":"fields"},{"meta":{},"fullName":"Ext.data.Model.hasMany","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Model-cfg-hasMany","name":"hasMany"},{"meta":{},"fullName":"Ext.data.Model.hasOne","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Model-cfg-hasOne","name":"hasOne"},{"meta":{},"fullName":"Ext.data.Model.idProperty","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Model-cfg-idProperty","name":"idProperty"},{"meta":{},"fullName":"Ext.data.Model.identifier","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Model-cfg-identifier","name":"identifier"},{"meta":{},"fullName":"Ext.data.Model.proxy","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Model-cfg-proxy","name":"proxy"},{"meta":{},"fullName":"Ext.data.Model.validations","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Model-cfg-validations","name":"validations"},{"meta":{},"fullName":"Ext.data.Model.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-constructor","name":"constructor"},{"meta":{"private":true},"fullName":"Ext.data.Model.afterCommit","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-afterCommit","name":"afterCommit"},{"meta":{"private":true},"fullName":"Ext.data.Model.afterEdit","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-afterEdit","name":"afterEdit"},{"meta":{"private":true},"fullName":"Ext.data.Model.afterReject","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-afterReject","name":"afterReject"},{"meta":{},"fullName":"Ext.data.Model.beginEdit","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-beginEdit","name":"beginEdit"},{"meta":{},"fullName":"Ext.data.Model.cancelEdit","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-cancelEdit","name":"cancelEdit"},{"meta":{"private":true},"fullName":"Ext.data.Model.changedWhileEditing","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-changedWhileEditing","name":"changedWhileEditing"},{"meta":{},"fullName":"Ext.data.Model.commit","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-commit","name":"commit"},{"meta":{},"fullName":"Ext.data.Model.copy","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-copy","name":"copy"},{"meta":{},"fullName":"Ext.data.Model.destroy","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-destroy","name":"destroy"},{"meta":{},"fullName":"Ext.data.Model.endEdit","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-endEdit","name":"endEdit"},{"meta":{},"fullName":"Ext.data.Model.erase","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-erase","name":"erase"},{"meta":{},"fullName":"Ext.data.Model.get","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-get","name":"get"},{"meta":{},"fullName":"Ext.data.Model.getAssociatedData","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-getAssociatedData","name":"getAssociatedData"},{"meta":{},"fullName":"Ext.data.Model.getChanges","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-getChanges","name":"getChanges"},{"meta":{},"fullName":"Ext.data.Model.getClientIdProperty","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-getClientIdProperty","name":"getClientIdProperty"},{"meta":{},"fullName":"Ext.data.Model.getData","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-getData","name":"getData"},{"meta":{"private":true},"fullName":"Ext.data.Model.getFieldName","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-getFieldName","name":"getFieldName"},{"meta":{},"fullName":"Ext.data.Model.getFields","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-getFields","name":"getFields"},{"meta":{},"fullName":"Ext.data.Model.getId","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-getId","name":"getId"},{"meta":{},"fullName":"Ext.data.Model.getIsErased","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-getIsErased","name":"getIsErased"},{"meta":{},"fullName":"Ext.data.Model.getProxy","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-getProxy","name":"getProxy"},{"meta":{"private":true},"fullName":"Ext.data.Model.isEqual","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-isEqual","name":"isEqual"},{"meta":{},"fullName":"Ext.data.Model.isModified","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-isModified","name":"isModified"},{"meta":{},"fullName":"Ext.data.Model.isValid","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-isValid","name":"isValid"},{"meta":{},"fullName":"Ext.data.Model.join","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-join","name":"join"},{"meta":{"private":true},"fullName":"Ext.data.Model.mergeData","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-mergeData","name":"mergeData"},{"meta":{"private":true},"fullName":"Ext.data.Model.notifyStores","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-notifyStores","name":"notifyStores"},{"meta":{"private":true},"fullName":"Ext.data.Model.onClassExtended","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-onClassExtended","name":"onClassExtended"},{"meta":{"private":true},"fullName":"Ext.data.Model.prepareAssociatedData","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-prepareAssociatedData","name":"prepareAssociatedData"},{"meta":{},"fullName":"Ext.data.Model.reject","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-reject","name":"reject"},{"meta":{},"fullName":"Ext.data.Model.save","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-save","name":"save"},{"meta":{},"fullName":"Ext.data.Model.set","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-set","name":"set"},{"meta":{},"fullName":"Ext.data.Model.setClientIdProperty","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-setClientIdProperty","name":"setClientIdProperty"},{"meta":{},"fullName":"Ext.data.Model.setConvertedData","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-setConvertedData","name":"setConvertedData"},{"meta":{},"fullName":"Ext.data.Model.setData","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-setData","name":"setData"},{"meta":{},"fullName":"Ext.data.Model.setDirty","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-setDirty","name":"setDirty"},{"meta":{},"fullName":"Ext.data.Model.setFields","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-setFields","name":"setFields"},{"meta":{},"fullName":"Ext.data.Model.setId","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-setId","name":"setId"},{"meta":{},"fullName":"Ext.data.Model.setProxy","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-setProxy","name":"setProxy"},{"meta":{"private":true},"fullName":"Ext.data.Model.sortConvertFields","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-sortConvertFields","name":"sortConvertFields"},{"meta":{},"fullName":"Ext.data.Model.toUrl","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-toUrl","name":"toUrl"},{"meta":{},"fullName":"Ext.data.Model.unjoin","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-unjoin","name":"unjoin"},{"meta":{},"fullName":"Ext.data.Model.validate","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-method-validate","name":"validate"},{"meta":{"static":true},"fullName":"Ext.data.Model.load","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Model-static-method-load","name":"load"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"stores"}]},"fullName":"Ext.data.Store","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.Store","name":"Store"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"stores"}]},"fullName":"store: store","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.Store","name":"store"},{"meta":{},"fullName":"Ext.data.Store.currentPage","icon":"icon-property","sort":3,"url":"#!/api/Ext.data.Store-property-currentPage","name":"currentPage"},{"meta":{},"fullName":"Ext.data.Store.addrecords","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.Store-event-addrecords","name":"addrecords"},{"meta":{},"fullName":"Ext.data.Store.beforeload","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.Store-event-beforeload","name":"beforeload"},{"meta":{},"fullName":"Ext.data.Store.beforesync","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.Store-event-beforesync","name":"beforesync"},{"meta":{},"fullName":"Ext.data.Store.clear","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.Store-event-clear","name":"clear"},{"meta":{},"fullName":"Ext.data.Store.load","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.Store-event-load","name":"load"},{"meta":{},"fullName":"Ext.data.Store.metachange","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.Store-event-metachange","name":"metachange"},{"meta":{},"fullName":"Ext.data.Store.refresh","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.Store-event-refresh","name":"refresh"},{"meta":{},"fullName":"Ext.data.Store.removerecords","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.Store-event-removerecords","name":"removerecords"},{"meta":{"removed":{"text":"Listen to #updaterecord instead.","version":"2.0"}},"fullName":"Ext.data.Store.update","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.Store-event-update","name":"update"},{"meta":{},"fullName":"Ext.data.Store.updaterecord","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.Store-event-updaterecord","name":"updaterecord"},{"meta":{},"fullName":"Ext.data.Store.write","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.Store-event-write","name":"write"},{"meta":{"private":true},"fullName":"Ext.data.Store.autoDestroy","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Store-cfg-autoDestroy","name":"autoDestroy"},{"meta":{},"fullName":"Ext.data.Store.autoLoad","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Store-cfg-autoLoad","name":"autoLoad"},{"meta":{},"fullName":"Ext.data.Store.autoSync","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Store-cfg-autoSync","name":"autoSync"},{"meta":{},"fullName":"Ext.data.Store.clearOnPageLoad","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Store-cfg-clearOnPageLoad","name":"clearOnPageLoad"},{"meta":{},"fullName":"Ext.data.Store.data","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Store-cfg-data","name":"data"},{"meta":{},"fullName":"Ext.data.Store.destroyRemovedRecords","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Store-cfg-destroyRemovedRecords","name":"destroyRemovedRecords"},{"meta":{},"fullName":"Ext.data.Store.fields","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Store-cfg-fields","name":"fields"},{"meta":{},"fullName":"Ext.data.Store.filters","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Store-cfg-filters","name":"filters"},{"meta":{"deprecated":{"text":""}},"fullName":"Ext.data.Store.getGroupString","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Store-cfg-getGroupString","name":"getGroupString"},{"meta":{},"fullName":"Ext.data.Store.groupDir","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Store-cfg-groupDir","name":"groupDir"},{"meta":{},"fullName":"Ext.data.Store.groupField","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Store-cfg-groupField","name":"groupField"},{"meta":{},"fullName":"Ext.data.Store.grouper","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Store-cfg-grouper","name":"grouper"},{"meta":{},"fullName":"Ext.data.Store.model","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Store-cfg-model","name":"model"},{"meta":{},"fullName":"Ext.data.Store.pageSize","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Store-cfg-pageSize","name":"pageSize"},{"meta":{},"fullName":"Ext.data.Store.proxy","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Store-cfg-proxy","name":"proxy"},{"meta":{},"fullName":"Ext.data.Store.remoteFilter","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Store-cfg-remoteFilter","name":"remoteFilter"},{"meta":{},"fullName":"Ext.data.Store.remoteGroup","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Store-cfg-remoteGroup","name":"remoteGroup"},{"meta":{},"fullName":"Ext.data.Store.remoteSort","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Store-cfg-remoteSort","name":"remoteSort"},{"meta":{},"fullName":"Ext.data.Store.sorters","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Store-cfg-sorters","name":"sorters"},{"meta":{},"fullName":"Ext.data.Store.storeId","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Store-cfg-storeId","name":"storeId"},{"meta":{},"fullName":"Ext.data.Store.syncRemovedRecords","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Store-cfg-syncRemovedRecords","name":"syncRemovedRecords"},{"meta":{},"fullName":"Ext.data.Store.totalCount","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.Store-cfg-totalCount","name":"totalCount"},{"meta":{},"fullName":"Ext.data.Store.add","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-add","name":"add"},{"meta":{"private":true},"fullName":"Ext.data.Store.afterCommit","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-afterCommit","name":"afterCommit"},{"meta":{"private":true},"fullName":"Ext.data.Store.afterEdit","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-afterEdit","name":"afterEdit"},{"meta":{"private":true},"fullName":"Ext.data.Store.afterErase","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-afterErase","name":"afterErase"},{"meta":{"private":true},"fullName":"Ext.data.Store.afterReject","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-afterReject","name":"afterReject"},{"meta":{},"fullName":"Ext.data.Store.applyData","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-applyData","name":"applyData"},{"meta":{},"fullName":"Ext.data.Store.average","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-average","name":"average"},{"meta":{},"fullName":"Ext.data.Store.clearFilter","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-clearFilter","name":"clearFilter"},{"meta":{},"fullName":"Ext.data.Store.each","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-each","name":"each"},{"meta":{},"fullName":"Ext.data.Store.filter","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-filter","name":"filter"},{"meta":{},"fullName":"Ext.data.Store.filterBy","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-filterBy","name":"filterBy"},{"meta":{},"fullName":"Ext.data.Store.find","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-find","name":"find"},{"meta":{},"fullName":"Ext.data.Store.findBy","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-findBy","name":"findBy"},{"meta":{},"fullName":"Ext.data.Store.findExact","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-findExact","name":"findExact"},{"meta":{},"fullName":"Ext.data.Store.findRecord","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-findRecord","name":"findRecord"},{"meta":{},"fullName":"Ext.data.Store.first","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-first","name":"first"},{"meta":{},"fullName":"Ext.data.Store.getAllCount","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getAllCount","name":"getAllCount"},{"meta":{},"fullName":"Ext.data.Store.getAt","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getAt","name":"getAt"},{"meta":{},"fullName":"Ext.data.Store.getAutoLoad","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getAutoLoad","name":"getAutoLoad"},{"meta":{},"fullName":"Ext.data.Store.getAutoSync","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getAutoSync","name":"getAutoSync"},{"meta":{"private":true},"fullName":"Ext.data.Store.getBatchListeners","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getBatchListeners","name":"getBatchListeners"},{"meta":{},"fullName":"Ext.data.Store.getById","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getById","name":"getById"},{"meta":{},"fullName":"Ext.data.Store.getClearOnPageLoad","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getClearOnPageLoad","name":"getClearOnPageLoad"},{"meta":{},"fullName":"Ext.data.Store.getCount","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getCount","name":"getCount"},{"meta":{},"fullName":"Ext.data.Store.getData","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getData","name":"getData"},{"meta":{},"fullName":"Ext.data.Store.getFields","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getFields","name":"getFields"},{"meta":{},"fullName":"Ext.data.Store.getFilters","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getFilters","name":"getFilters"},{"meta":{"deprecated":{"text":""}},"fullName":"Ext.data.Store.getGetGroupString","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getGetGroupString","name":"getGetGroupString"},{"meta":{},"fullName":"Ext.data.Store.getGroupDir","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getGroupDir","name":"getGroupDir"},{"meta":{},"fullName":"Ext.data.Store.getGroupField","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getGroupField","name":"getGroupField"},{"meta":{},"fullName":"Ext.data.Store.getGrouper","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getGrouper","name":"getGrouper"},{"meta":{},"fullName":"Ext.data.Store.getGroups","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getGroups","name":"getGroups"},{"meta":{},"fullName":"Ext.data.Store.getModel","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getModel","name":"getModel"},{"meta":{},"fullName":"Ext.data.Store.getNewRecords","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getNewRecords","name":"getNewRecords"},{"meta":{},"fullName":"Ext.data.Store.getPageSize","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getPageSize","name":"getPageSize"},{"meta":{},"fullName":"Ext.data.Store.getProxy","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getProxy","name":"getProxy"},{"meta":{},"fullName":"Ext.data.Store.getRange","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getRange","name":"getRange"},{"meta":{},"fullName":"Ext.data.Store.getRemoteFilter","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getRemoteFilter","name":"getRemoteFilter"},{"meta":{},"fullName":"Ext.data.Store.getRemoteGroup","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getRemoteGroup","name":"getRemoteGroup"},{"meta":{},"fullName":"Ext.data.Store.getRemoteSort","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getRemoteSort","name":"getRemoteSort"},{"meta":{},"fullName":"Ext.data.Store.getRemovedRecords","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getRemovedRecords","name":"getRemovedRecords"},{"meta":{},"fullName":"Ext.data.Store.getSorters","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getSorters","name":"getSorters"},{"meta":{},"fullName":"Ext.data.Store.getStoreId","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getStoreId","name":"getStoreId"},{"meta":{},"fullName":"Ext.data.Store.getUpdatedRecords","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-getUpdatedRecords","name":"getUpdatedRecords"},{"meta":{},"fullName":"Ext.data.Store.indexOf","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-indexOf","name":"indexOf"},{"meta":{},"fullName":"Ext.data.Store.indexOfId","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-indexOfId","name":"indexOfId"},{"meta":{},"fullName":"Ext.data.Store.insert","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-insert","name":"insert"},{"meta":{},"fullName":"Ext.data.Store.isAutoLoading","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-isAutoLoading","name":"isAutoLoading"},{"meta":{},"fullName":"Ext.data.Store.isFiltered","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-isFiltered","name":"isFiltered"},{"meta":{},"fullName":"Ext.data.Store.isGrouped","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-isGrouped","name":"isGrouped"},{"meta":{},"fullName":"Ext.data.Store.isLoaded","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-isLoaded","name":"isLoaded"},{"meta":{},"fullName":"Ext.data.Store.isLoading","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-isLoading","name":"isLoading"},{"meta":{},"fullName":"Ext.data.Store.last","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-last","name":"last"},{"meta":{},"fullName":"Ext.data.Store.load","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-load","name":"load"},{"meta":{"deprecated":{"text":"Please use #add or #setData instead.","version":"2.0"}},"fullName":"Ext.data.Store.loadData","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-loadData","name":"loadData"},{"meta":{},"fullName":"Ext.data.Store.loadPage","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-loadPage","name":"loadPage"},{"meta":{"deprecated":{"text":"Please use {@link #add} instead.","version":"2.0.0"}},"fullName":"Ext.data.Store.loadRecords","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-loadRecords","name":"loadRecords"},{"meta":{},"fullName":"Ext.data.Store.max","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-max","name":"max"},{"meta":{},"fullName":"Ext.data.Store.min","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-min","name":"min"},{"meta":{},"fullName":"Ext.data.Store.nextPage","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-nextPage","name":"nextPage"},{"meta":{"private":true},"fullName":"Ext.data.Store.onBatchComplete","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-onBatchComplete","name":"onBatchComplete"},{"meta":{"private":true},"fullName":"Ext.data.Store.onProxyLoad","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-onProxyLoad","name":"onProxyLoad"},{"meta":{"private":true},"fullName":"Ext.data.Store.onProxyWrite","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-onProxyWrite","name":"onProxyWrite"},{"meta":{},"fullName":"Ext.data.Store.previousPage","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-previousPage","name":"previousPage"},{"meta":{},"fullName":"Ext.data.Store.queryBy","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-queryBy","name":"queryBy"},{"meta":{},"fullName":"Ext.data.Store.remove","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-remove","name":"remove"},{"meta":{},"fullName":"Ext.data.Store.removeAll","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-removeAll","name":"removeAll"},{"meta":{},"fullName":"Ext.data.Store.removeAt","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-removeAt","name":"removeAt"},{"meta":{},"fullName":"Ext.data.Store.setAutoLoad","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-setAutoLoad","name":"setAutoLoad"},{"meta":{},"fullName":"Ext.data.Store.setAutoSync","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-setAutoSync","name":"setAutoSync"},{"meta":{},"fullName":"Ext.data.Store.setClearOnPageLoad","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-setClearOnPageLoad","name":"setClearOnPageLoad"},{"meta":{},"fullName":"Ext.data.Store.setData","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-setData","name":"setData"},{"meta":{},"fullName":"Ext.data.Store.setFields","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-setFields","name":"setFields"},{"meta":{},"fullName":"Ext.data.Store.setFilters","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-setFilters","name":"setFilters"},{"meta":{"deprecated":{"text":""}},"fullName":"Ext.data.Store.setGetGroupString","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-setGetGroupString","name":"setGetGroupString"},{"meta":{},"fullName":"Ext.data.Store.setGroupDir","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-setGroupDir","name":"setGroupDir"},{"meta":{},"fullName":"Ext.data.Store.setGroupField","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-setGroupField","name":"setGroupField"},{"meta":{},"fullName":"Ext.data.Store.setGrouper","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-setGrouper","name":"setGrouper"},{"meta":{},"fullName":"Ext.data.Store.setModel","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-setModel","name":"setModel"},{"meta":{},"fullName":"Ext.data.Store.setPageSize","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-setPageSize","name":"setPageSize"},{"meta":{},"fullName":"Ext.data.Store.setProxy","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-setProxy","name":"setProxy"},{"meta":{},"fullName":"Ext.data.Store.setRemoteFilter","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-setRemoteFilter","name":"setRemoteFilter"},{"meta":{},"fullName":"Ext.data.Store.setRemoteGroup","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-setRemoteGroup","name":"setRemoteGroup"},{"meta":{},"fullName":"Ext.data.Store.setRemoteSort","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-setRemoteSort","name":"setRemoteSort"},{"meta":{},"fullName":"Ext.data.Store.setSorters","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-setSorters","name":"setSorters"},{"meta":{},"fullName":"Ext.data.Store.setStoreId","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-setStoreId","name":"setStoreId"},{"meta":{},"fullName":"Ext.data.Store.sort","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-sort","name":"sort"},{"meta":{},"fullName":"Ext.data.Store.sum","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-sum","name":"sum"},{"meta":{},"fullName":"Ext.data.Store.sync","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.Store-method-sync","name":"sync"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"stores"}]},"fullName":"Ext.data.ArrayStore","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.ArrayStore","name":"ArrayStore"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"stores"}]},"fullName":"store: array","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.ArrayStore","name":"array"},{"meta":{"aside":[{"type":"guide","name":"stores"}]},"fullName":"Ext.data.DirectStore","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.DirectStore","name":"DirectStore"},{"meta":{"aside":[{"type":"guide","name":"stores"}]},"fullName":"store: direct","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.DirectStore","name":"direct"},{"meta":{"author":["Ed Spencer"],"private":true},"fullName":"Ext.data.JsonStore","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.JsonStore","name":"JsonStore"},{"meta":{"author":["Ed Spencer"],"private":true},"fullName":"xtype: jsonstore","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.JsonStore","name":"jsonstore"},{"meta":{"private":true},"fullName":"Ext.data.NodeStore","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.NodeStore","name":"NodeStore"},{"meta":{"private":true},"fullName":"store: node","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.NodeStore","name":"node"},{"meta":{},"fullName":"Ext.data.NodeStore.folderSort","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.NodeStore-cfg-folderSort","name":"folderSort"},{"meta":{},"fullName":"Ext.data.NodeStore.node","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.NodeStore-cfg-node","name":"node"},{"meta":{},"fullName":"Ext.data.NodeStore.recursive","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.NodeStore-cfg-recursive","name":"recursive"},{"meta":{},"fullName":"Ext.data.NodeStore.rootVisible","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.NodeStore-cfg-rootVisible","name":"rootVisible"},{"meta":{},"fullName":"Ext.data.NodeStore.getNode","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeStore-method-getNode","name":"getNode"},{"meta":{},"fullName":"Ext.data.NodeStore.getRecursive","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeStore-method-getRecursive","name":"getRecursive"},{"meta":{},"fullName":"Ext.data.NodeStore.getRootVisible","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeStore-method-getRootVisible","name":"getRootVisible"},{"meta":{"private":true},"fullName":"Ext.data.NodeStore.retrieveChildNodes","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeStore-method-retrieveChildNodes","name":"retrieveChildNodes"},{"meta":{},"fullName":"Ext.data.NodeStore.setNode","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeStore-method-setNode","name":"setNode"},{"meta":{},"fullName":"Ext.data.NodeStore.setRecursive","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeStore-method-setRecursive","name":"setRecursive"},{"meta":{},"fullName":"Ext.data.NodeStore.setRootVisible","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeStore-method-setRootVisible","name":"setRootVisible"},{"meta":{"private":true},"fullName":"Ext.data.NodeStore.treeSortFn","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.NodeStore-method-treeSortFn","name":"treeSortFn"},{"meta":{"aside":[{"type":"guide","name":"stores"}]},"fullName":"Ext.data.TreeStore","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.TreeStore","name":"TreeStore"},{"meta":{"aside":[{"type":"guide","name":"stores"}]},"fullName":"store: tree","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.TreeStore","name":"tree"},{"meta":{},"fullName":"Ext.data.TreeStore.rootchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.data.TreeStore-event-rootchange","name":"rootchange"},{"meta":{},"fullName":"Ext.data.TreeStore.clearOnLoad","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.TreeStore-cfg-clearOnLoad","name":"clearOnLoad"},{"meta":{},"fullName":"Ext.data.TreeStore.defaultRootId","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.TreeStore-cfg-defaultRootId","name":"defaultRootId"},{"meta":{},"fullName":"Ext.data.TreeStore.defaultRootProperty","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.TreeStore-cfg-defaultRootProperty","name":"defaultRootProperty"},{"meta":{},"fullName":"Ext.data.TreeStore.nodeParam","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.TreeStore-cfg-nodeParam","name":"nodeParam"},{"meta":{},"fullName":"Ext.data.TreeStore.root","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.TreeStore-cfg-root","name":"root"},{"meta":{"private":true},"fullName":"Ext.data.TreeStore.fillNode","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.TreeStore-method-fillNode","name":"fillNode"},{"meta":{},"fullName":"Ext.data.TreeStore.getClearOnLoad","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.TreeStore-method-getClearOnLoad","name":"getClearOnLoad"},{"meta":{},"fullName":"Ext.data.TreeStore.getDefaultRootId","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.TreeStore-method-getDefaultRootId","name":"getDefaultRootId"},{"meta":{},"fullName":"Ext.data.TreeStore.getDefaultRootProperty","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.TreeStore-method-getDefaultRootProperty","name":"getDefaultRootProperty"},{"meta":{},"fullName":"Ext.data.TreeStore.getNodeById","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.TreeStore-method-getNodeById","name":"getNodeById"},{"meta":{},"fullName":"Ext.data.TreeStore.getNodeParam","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.TreeStore-method-getNodeParam","name":"getNodeParam"},{"meta":{},"fullName":"Ext.data.TreeStore.getRoot","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.TreeStore-method-getRoot","name":"getRoot"},{"meta":{"deprecated":{"text":"Use {@link #setRoot} instead."}},"fullName":"Ext.data.TreeStore.getRootNode","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.TreeStore-method-getRootNode","name":"getRootNode"},{"meta":{},"fullName":"Ext.data.TreeStore.load","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.TreeStore-method-load","name":"load"},{"meta":{},"fullName":"Ext.data.TreeStore.setClearOnLoad","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.TreeStore-method-setClearOnLoad","name":"setClearOnLoad"},{"meta":{},"fullName":"Ext.data.TreeStore.setDefaultRootId","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.TreeStore-method-setDefaultRootId","name":"setDefaultRootId"},{"meta":{},"fullName":"Ext.data.TreeStore.setDefaultRootProperty","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.TreeStore-method-setDefaultRootProperty","name":"setDefaultRootProperty"},{"meta":{},"fullName":"Ext.data.TreeStore.setNodeParam","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.TreeStore-method-setNodeParam","name":"setNodeParam"},{"meta":{},"fullName":"Ext.data.TreeStore.setRoot","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.TreeStore-method-setRoot","name":"setRoot"},{"meta":{"deprecated":{"text":"Use {@link #setRoot} instead."}},"fullName":"Ext.data.TreeStore.setRootNode","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.TreeStore-method-setRootNode","name":"setRootNode"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"proxies"}]},"fullName":"Ext.data.proxy.Rest","icon":"icon-class","sort":1,"url":"#!/api/Ext.data.proxy.Rest","name":"Rest"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"proxies"}]},"type":"class","fullName":"Ext.data.RestProxy","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.data.proxy.Rest","name":"RestProxy"},{"meta":{"author":["Ed Spencer"],"aside":[{"type":"guide","name":"proxies"}]},"fullName":"proxy: rest","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.data.proxy.Rest","name":"rest"},{"meta":{},"fullName":"Ext.data.proxy.Rest.appendId","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Rest-cfg-appendId","name":"appendId"},{"meta":{},"fullName":"Ext.data.proxy.Rest.batchActions","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Rest-cfg-batchActions","name":"batchActions"},{"meta":{},"fullName":"Ext.data.proxy.Rest.format","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.data.proxy.Rest-cfg-format","name":"format"},{"meta":{},"fullName":"Ext.data.proxy.Rest.buildUrl","icon":"icon-method","sort":3,"url":"#!/api/Ext.data.proxy.Rest-method-buildUrl","name":"buildUrl"},{"meta":{},"fullName":"Ext.direct.RemotingProvider","icon":"icon-class","sort":1,"url":"#!/api/Ext.direct.RemotingProvider","name":"RemotingProvider"},{"meta":{},"fullName":"direct: remotingprovider","icon":"icon-class-redirect","sort":0,"url":"#!/api/Ext.direct.RemotingProvider","name":"remotingprovider"},{"meta":{},"fullName":"Ext.direct.RemotingProvider.beforecall","icon":"icon-event","sort":3,"url":"#!/api/Ext.direct.RemotingProvider-event-beforecall","name":"beforecall"},{"meta":{},"fullName":"Ext.direct.RemotingProvider.call","icon":"icon-event","sort":3,"url":"#!/api/Ext.direct.RemotingProvider-event-call","name":"call"},{"meta":{},"fullName":"Ext.direct.RemotingProvider.actions","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.direct.RemotingProvider-cfg-actions","name":"actions"},{"meta":{},"fullName":"Ext.direct.RemotingProvider.enableBuffer","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.direct.RemotingProvider-cfg-enableBuffer","name":"enableBuffer"},{"meta":{},"fullName":"Ext.direct.RemotingProvider.enableUrlEncode","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.direct.RemotingProvider-cfg-enableUrlEncode","name":"enableUrlEncode"},{"meta":{},"fullName":"Ext.direct.RemotingProvider.maxRetries","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.direct.RemotingProvider-cfg-maxRetries","name":"maxRetries"},{"meta":{},"fullName":"Ext.direct.RemotingProvider.namespace","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.direct.RemotingProvider-cfg-namespace","name":"namespace"},{"meta":{},"fullName":"Ext.direct.RemotingProvider.timeout","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.direct.RemotingProvider-cfg-timeout","name":"timeout"},{"meta":{},"fullName":"Ext.direct.RemotingProvider.url","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.direct.RemotingProvider-cfg-url","name":"url"},{"meta":{"private":true},"fullName":"Ext.direct.RemotingProvider.combineAndSend","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.RemotingProvider-method-combineAndSend","name":"combineAndSend"},{"meta":{"private":true},"fullName":"Ext.direct.RemotingProvider.configureRequest","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.RemotingProvider-method-configureRequest","name":"configureRequest"},{"meta":{"private":true},"fullName":"Ext.direct.RemotingProvider.createHandler","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.RemotingProvider-method-createHandler","name":"createHandler"},{"meta":{"private":true},"fullName":"Ext.direct.RemotingProvider.getCallData","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.RemotingProvider-method-getCallData","name":"getCallData"},{"meta":{"private":true},"fullName":"Ext.direct.RemotingProvider.getTransaction","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.RemotingProvider-method-getTransaction","name":"getTransaction"},{"meta":{"private":true},"fullName":"Ext.direct.RemotingProvider.initAPI","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.RemotingProvider-method-initAPI","name":"initAPI"},{"meta":{"private":true},"fullName":"Ext.direct.RemotingProvider.onData","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.RemotingProvider-method-onData","name":"onData"},{"meta":{"private":true},"fullName":"Ext.direct.RemotingProvider.queueTransaction","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.RemotingProvider-method-queueTransaction","name":"queueTransaction"},{"meta":{"private":true},"fullName":"Ext.direct.RemotingProvider.runCallback","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.RemotingProvider-method-runCallback","name":"runCallback"},{"meta":{"private":true},"fullName":"Ext.direct.RemotingProvider.sendRequest","icon":"icon-method","sort":3,"url":"#!/api/Ext.direct.RemotingProvider-method-sendRequest","name":"sendRequest"},{"meta":{},"fullName":"Ext.util.TapRepeater","icon":"icon-class","sort":1,"url":"#!/api/Ext.util.TapRepeater","name":"TapRepeater"},{"meta":{},"fullName":"Ext.util.TapRepeater.tap","icon":"icon-event","sort":3,"url":"#!/api/Ext.util.TapRepeater-event-tap","name":"tap"},{"meta":{},"fullName":"Ext.util.TapRepeater.touchend","icon":"icon-event","sort":3,"url":"#!/api/Ext.util.TapRepeater-event-touchend","name":"touchend"},{"meta":{},"fullName":"Ext.util.TapRepeater.touchstart","icon":"icon-event","sort":3,"url":"#!/api/Ext.util.TapRepeater-event-touchstart","name":"touchstart"},{"meta":{},"fullName":"Ext.util.TapRepeater.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.TapRepeater-method-constructor","name":"constructor"},{"meta":{"private":true},"fullName":"Ext.util.translatable.Abstract","icon":"icon-class","sort":1,"url":"#!/api/Ext.util.translatable.Abstract","name":"Abstract"},{"meta":{},"fullName":"Ext.util.translatable.Abstract.animationend","icon":"icon-event","sort":3,"url":"#!/api/Ext.util.translatable.Abstract-event-animationend","name":"animationend"},{"meta":{},"fullName":"Ext.util.translatable.Abstract.animationframe","icon":"icon-event","sort":3,"url":"#!/api/Ext.util.translatable.Abstract-event-animationframe","name":"animationframe"},{"meta":{},"fullName":"Ext.util.translatable.Abstract.animationstart","icon":"icon-event","sort":3,"url":"#!/api/Ext.util.translatable.Abstract-event-animationstart","name":"animationstart"},{"meta":{"private":true},"fullName":"Ext.util.translatable.CssTransform","icon":"icon-class","sort":1,"url":"#!/api/Ext.util.translatable.CssTransform","name":"CssTransform"},{"meta":{"private":true},"fullName":"Ext.util.translatable.ScrollPosition","icon":"icon-class","sort":1,"url":"#!/api/Ext.util.translatable.ScrollPosition","name":"ScrollPosition"},{"meta":{"private":true},"fullName":"Ext.util.Translatable","icon":"icon-class","sort":1,"url":"#!/api/Ext.util.Translatable","name":"Translatable"},{"meta":{"private":true},"fullName":"Ext.behavior.Translatable","icon":"icon-class","sort":1,"url":"#!/api/Ext.behavior.Translatable","name":"Translatable"},{"meta":{"author":["Jacky Nguyen <jacky@sencha.com>"]},"fullName":"Ext.scroll.Scroller","icon":"icon-class","sort":1,"url":"#!/api/Ext.scroll.Scroller","name":"Scroller"},{"meta":{},"fullName":"Ext.scroll.Scroller.maxpositionchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.scroll.Scroller-event-maxpositionchange","name":"maxpositionchange"},{"meta":{},"fullName":"Ext.scroll.Scroller.refresh","icon":"icon-event","sort":3,"url":"#!/api/Ext.scroll.Scroller-event-refresh","name":"refresh"},{"meta":{},"fullName":"Ext.scroll.Scroller.scroll","icon":"icon-event","sort":3,"url":"#!/api/Ext.scroll.Scroller-event-scroll","name":"scroll"},{"meta":{},"fullName":"Ext.scroll.Scroller.scrollend","icon":"icon-event","sort":3,"url":"#!/api/Ext.scroll.Scroller-event-scrollend","name":"scrollend"},{"meta":{},"fullName":"Ext.scroll.Scroller.scrollstart","icon":"icon-event","sort":3,"url":"#!/api/Ext.scroll.Scroller-event-scrollstart","name":"scrollstart"},{"meta":{"deprecated":{"text":"Please use {@link #momentumEasing}.momentum.acceleration and {@link #momentumEasing}.bounce.acceleration instead.","version":"2.0.0"}},"fullName":"Ext.scroll.Scroller.acceleration","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.scroll.Scroller-cfg-acceleration","name":"acceleration"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.autoRefresh","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.scroll.Scroller-cfg-autoRefresh","name":"autoRefresh"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.bounceEasing","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.scroll.Scroller-cfg-bounceEasing","name":"bounceEasing"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.containerScrollSize","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.scroll.Scroller-cfg-containerScrollSize","name":"containerScrollSize"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.containerSize","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.scroll.Scroller-cfg-containerSize","name":"containerSize"},{"meta":{},"fullName":"Ext.scroll.Scroller.direction","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.scroll.Scroller-cfg-direction","name":"direction"},{"meta":{},"fullName":"Ext.scroll.Scroller.directionLock","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.scroll.Scroller-cfg-directionLock","name":"directionLock"},{"meta":{},"fullName":"Ext.scroll.Scroller.disabled","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.scroll.Scroller-cfg-disabled","name":"disabled"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.element","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.scroll.Scroller-cfg-element","name":"element"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.fps","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.scroll.Scroller-cfg-fps","name":"fps"},{"meta":{"deprecated":{"text":"Please set the {@link #momentumEasing}.momentum.friction configuration instead","version":"2.0.0"}},"fullName":"Ext.scroll.Scroller.friction","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.scroll.Scroller-cfg-friction","name":"friction"},{"meta":{},"fullName":"Ext.scroll.Scroller.initialOffset","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.scroll.Scroller-cfg-initialOffset","name":"initialOffset"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.maxAbsoluteVelocity","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.scroll.Scroller-cfg-maxAbsoluteVelocity","name":"maxAbsoluteVelocity"},{"meta":{},"fullName":"Ext.scroll.Scroller.momentumEasing","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.scroll.Scroller-cfg-momentumEasing","name":"momentumEasing"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.outOfBoundRestrictFactor","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.scroll.Scroller-cfg-outOfBoundRestrictFactor","name":"outOfBoundRestrictFactor"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.size","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.scroll.Scroller-cfg-size","name":"size"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.slotSnapOffset","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.scroll.Scroller-cfg-slotSnapOffset","name":"slotSnapOffset"},{"meta":{},"fullName":"Ext.scroll.Scroller.slotSnapSize","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.scroll.Scroller-cfg-slotSnapSize","name":"slotSnapSize"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.startMomentumResetTime","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.scroll.Scroller-cfg-startMomentumResetTime","name":"startMomentumResetTime"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.translationMethod","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.scroll.Scroller-cfg-translationMethod","name":"translationMethod"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-constructor","name":"constructor"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.applyBounceEasing","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-applyBounceEasing","name":"applyBounceEasing"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.applyContainerScrollSize","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-applyContainerScrollSize","name":"applyContainerScrollSize"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.applyContainerSize","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-applyContainerSize","name":"applyContainerSize"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.applyDirection","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-applyDirection","name":"applyDirection"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.applyElement","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-applyElement","name":"applyElement"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.applyMomentumEasing","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-applyMomentumEasing","name":"applyMomentumEasing"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.applySize","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-applySize","name":"applySize"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.applySlotSnapEasing","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-applySlotSnapEasing","name":"applySlotSnapEasing"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.attachListeneners","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-attachListeneners","name":"attachListeneners"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.detachListeners","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-detachListeners","name":"detachListeners"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.doRefresh","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-doRefresh","name":"doRefresh"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.getAnimationEasing","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-getAnimationEasing","name":"getAnimationEasing"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.getContainer","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-getContainer","name":"getContainer"},{"meta":{},"fullName":"Ext.scroll.Scroller.getDirection","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-getDirection","name":"getDirection"},{"meta":{},"fullName":"Ext.scroll.Scroller.getDirectionLock","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-getDirectionLock","name":"getDirectionLock"},{"meta":{},"fullName":"Ext.scroll.Scroller.getDisabled","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-getDisabled","name":"getDisabled"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.getMaxPosition","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-getMaxPosition","name":"getMaxPosition"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.getMinPosition","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-getMinPosition","name":"getMinPosition"},{"meta":{},"fullName":"Ext.scroll.Scroller.getMomentumEasing","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-getMomentumEasing","name":"getMomentumEasing"},{"meta":{},"fullName":"Ext.scroll.Scroller.getSlotSnapSize","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-getSlotSnapSize","name":"getSlotSnapSize"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.getSnapPosition","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-getSnapPosition","name":"getSnapPosition"},{"meta":{},"fullName":"Ext.scroll.Scroller.isAxisEnabled","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-isAxisEnabled","name":"isAxisEnabled"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.onAnimationEnd","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-onAnimationEnd","name":"onAnimationEnd"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.onAnimationFrame","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-onAnimationFrame","name":"onAnimationFrame"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.onAxisDrag","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-onAxisDrag","name":"onAxisDrag"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.onDrag","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-onDrag","name":"onDrag"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.onDragEnd","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-onDragEnd","name":"onDragEnd"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.onDragStart","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-onDragStart","name":"onDragStart"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.onScrollEnd","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-onScrollEnd","name":"onScrollEnd"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.onTouchEnd","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-onTouchEnd","name":"onTouchEnd"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.onTouchStart","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-onTouchStart","name":"onTouchStart"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.refresh","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-refresh","name":"refresh"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.refreshMaxPosition","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-refreshMaxPosition","name":"refreshMaxPosition"},{"meta":{},"fullName":"Ext.scroll.Scroller.scrollBy","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-scrollBy","name":"scrollBy"},{"meta":{},"fullName":"Ext.scroll.Scroller.scrollTo","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-scrollTo","name":"scrollTo"},{"meta":{},"fullName":"Ext.scroll.Scroller.scrollToEnd","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-scrollToEnd","name":"scrollToEnd"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.scrollToTop","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-scrollToTop","name":"scrollToTop"},{"meta":{},"fullName":"Ext.scroll.Scroller.setDirection","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-setDirection","name":"setDirection"},{"meta":{},"fullName":"Ext.scroll.Scroller.setDirectionLock","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-setDirectionLock","name":"setDirectionLock"},{"meta":{},"fullName":"Ext.scroll.Scroller.setDisabled","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-setDisabled","name":"setDisabled"},{"meta":{},"fullName":"Ext.scroll.Scroller.setMomentumEasing","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-setMomentumEasing","name":"setMomentumEasing"},{"meta":{"deprecated":{"text":"Please use {@link #scrollTo} instead","version":"2.0.0"}},"fullName":"Ext.scroll.Scroller.setOffset","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-setOffset","name":"setOffset"},{"meta":{},"fullName":"Ext.scroll.Scroller.setSlotSnapSize","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-setSlotSnapSize","name":"setSlotSnapSize"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.snapToBoundary","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-snapToBoundary","name":"snapToBoundary"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.snapToSlot","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-snapToSlot","name":"snapToSlot"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.stopAnimation","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-stopAnimation","name":"stopAnimation"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.updateAutoRefresh","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-updateAutoRefresh","name":"updateAutoRefresh"},{"meta":{"removed":{"text":"Please use {@link #method-refresh} instead.","version":"2.0.0"}},"fullName":"Ext.scroll.Scroller.updateBoundary","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-updateBoundary","name":"updateBoundary"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.updateDirection","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-updateDirection","name":"updateDirection"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.updateDisabled","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-updateDisabled","name":"updateDisabled"},{"meta":{"private":true},"fullName":"Ext.scroll.Scroller.updateElement","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.Scroller-method-updateElement","name":"updateElement"},{"meta":{},"fullName":"Ext.util.Draggable","icon":"icon-class","sort":1,"url":"#!/api/Ext.util.Draggable","name":"Draggable"},{"meta":{},"fullName":"Ext.util.Draggable.drag","icon":"icon-event","sort":3,"url":"#!/api/Ext.util.Draggable-event-drag","name":"drag"},{"meta":{},"fullName":"Ext.util.Draggable.dragend","icon":"icon-event","sort":3,"url":"#!/api/Ext.util.Draggable-event-dragend","name":"dragend"},{"meta":{"preventable":true},"fullName":"Ext.util.Draggable.dragstart","icon":"icon-event","sort":3,"url":"#!/api/Ext.util.Draggable-event-dragstart","name":"dragstart"},{"meta":{},"fullName":"Ext.util.Draggable.direction","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.Draggable-cfg-direction","name":"direction"},{"meta":{},"fullName":"Ext.util.Draggable.initialOffset","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.util.Draggable-cfg-initialOffset","name":"initialOffset"},{"meta":{},"fullName":"Ext.util.Draggable.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Draggable-method-constructor","name":"constructor"},{"meta":{},"fullName":"Ext.util.Draggable.disable","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Draggable-method-disable","name":"disable"},{"meta":{},"fullName":"Ext.util.Draggable.enable","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Draggable-method-enable","name":"enable"},{"meta":{},"fullName":"Ext.util.Draggable.getDirection","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Draggable-method-getDirection","name":"getDirection"},{"meta":{},"fullName":"Ext.util.Draggable.setDirection","icon":"icon-method","sort":3,"url":"#!/api/Ext.util.Draggable-method-setDirection","name":"setDirection"},{"meta":{"private":true},"fullName":"Ext.behavior.Draggable","icon":"icon-class","sort":1,"url":"#!/api/Ext.behavior.Draggable","name":"Draggable"},{"meta":{"aside":[{"type":"guide","name":"components"},{"type":"guide","name":"events"}]},"fullName":"Ext.Component","icon":"icon-component","sort":1,"url":"#!/api/Ext.Component","name":"Component"},{"meta":{"aside":[{"type":"guide","name":"components"},{"type":"guide","name":"events"}]},"type":"class","fullName":"Ext.lib.Component","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.Component","name":"Component"},{"meta":{"private":true},"fullName":"Ext.Component.alignmentRegex","icon":"icon-property","sort":3,"url":"#!/api/Ext.Component-property-alignmentRegex","name":"alignmentRegex"},{"meta":{"private":true,"readonly":true},"fullName":"Ext.Component.dockPositions","icon":"icon-property","sort":3,"url":"#!/api/Ext.Component-property-dockPositions","name":"dockPositions"},{"meta":{"private":true},"fullName":"Ext.Component.floating","icon":"icon-property","sort":3,"url":"#!/api/Ext.Component-property-floating","name":"floating"},{"meta":{"private":true},"fullName":"Ext.Component.isComponent","icon":"icon-property","sort":3,"url":"#!/api/Ext.Component-property-isComponent","name":"isComponent"},{"meta":{"private":true},"fullName":"Ext.Component.listenerOptionsRegex","icon":"icon-property","sort":3,"url":"#!/api/Ext.Component-property-listenerOptionsRegex","name":"listenerOptionsRegex"},{"meta":{"private":true},"fullName":"Ext.Component.rendered","icon":"icon-property","sort":3,"url":"#!/api/Ext.Component-property-rendered","name":"rendered"},{"meta":{"removed":{"text":"This event is now only available onBefore the Viewport's {@link Ext.Viewport#orientationchange}","version":"2.0.0"}},"fullName":"Ext.Component.beforeorientationchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.Component-event-beforeorientationchange","name":"beforeorientationchange"},{"meta":{},"fullName":"Ext.Component.bottomchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.Component-event-bottomchange","name":"bottomchange"},{"meta":{},"fullName":"Ext.Component.centeredchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.Component-event-centeredchange","name":"centeredchange"},{"meta":{},"fullName":"Ext.Component.disabledchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.Component-event-disabledchange","name":"disabledchange"},{"meta":{},"fullName":"Ext.Component.dockedchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.Component-event-dockedchange","name":"dockedchange"},{"meta":{},"fullName":"Ext.Component.erased","icon":"icon-event","sort":3,"url":"#!/api/Ext.Component-event-erased","name":"erased"},{"meta":{},"fullName":"Ext.Component.floatingchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.Component-event-floatingchange","name":"floatingchange"},{"meta":{},"fullName":"Ext.Component.fullscreen","icon":"icon-event","sort":3,"url":"#!/api/Ext.Component-event-fullscreen","name":"fullscreen"},{"meta":{},"fullName":"Ext.Component.heightchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.Component-event-heightchange","name":"heightchange"},{"meta":{},"fullName":"Ext.Component.hiddenchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.Component-event-hiddenchange","name":"hiddenchange"},{"meta":{},"fullName":"Ext.Component.hide","icon":"icon-event","sort":3,"url":"#!/api/Ext.Component-event-hide","name":"hide"},{"meta":{},"fullName":"Ext.Component.initialize","icon":"icon-event","sort":3,"url":"#!/api/Ext.Component-event-initialize","name":"initialize"},{"meta":{},"fullName":"Ext.Component.leftchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.Component-event-leftchange","name":"leftchange"},{"meta":{},"fullName":"Ext.Component.maxheightchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.Component-event-maxheightchange","name":"maxheightchange"},{"meta":{},"fullName":"Ext.Component.maxwidthchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.Component-event-maxwidthchange","name":"maxwidthchange"},{"meta":{},"fullName":"Ext.Component.minheightchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.Component-event-minheightchange","name":"minheightchange"},{"meta":{},"fullName":"Ext.Component.minwidthchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.Component-event-minwidthchange","name":"minwidthchange"},{"meta":{"removed":{"text":"This event is now only available on the Viewport's {@link Ext.Viewport#orientationchange}","version":"2.0.0"}},"fullName":"Ext.Component.orientationchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.Component-event-orientationchange","name":"orientationchange"},{"meta":{},"fullName":"Ext.Component.painted","icon":"icon-event","sort":3,"url":"#!/api/Ext.Component-event-painted","name":"painted"},{"meta":{},"fullName":"Ext.Component.resize","icon":"icon-event","sort":3,"url":"#!/api/Ext.Component-event-resize","name":"resize"},{"meta":{},"fullName":"Ext.Component.rightchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.Component-event-rightchange","name":"rightchange"},{"meta":{},"fullName":"Ext.Component.show","icon":"icon-event","sort":3,"url":"#!/api/Ext.Component-event-show","name":"show"},{"meta":{},"fullName":"Ext.Component.topchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.Component-event-topchange","name":"topchange"},{"meta":{},"fullName":"Ext.Component.updatedata","icon":"icon-event","sort":3,"url":"#!/api/Ext.Component-event-updatedata","name":"updatedata"},{"meta":{},"fullName":"Ext.Component.widthchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.Component-event-widthchange","name":"widthchange"},{"meta":{},"fullName":"Ext.Component.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-baseCls","name":"baseCls"},{"meta":{},"fullName":"Ext.Component.border","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-border","name":"border"},{"meta":{},"fullName":"Ext.Component.bottom","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-bottom","name":"bottom"},{"meta":{},"fullName":"Ext.Component.centered","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-centered","name":"centered"},{"meta":{},"fullName":"Ext.Component.cls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-cls","name":"cls"},{"meta":{"deprecated":{"text":"","version":"2.0.0"}},"fullName":"Ext.Component.componentCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-componentCls","name":"componentCls"},{"meta":{},"fullName":"Ext.Component.contentEl","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-contentEl","name":"contentEl"},{"meta":{},"fullName":"Ext.Component.data","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-data","name":"data"},{"meta":{},"fullName":"Ext.Component.disabled","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-disabled","name":"disabled"},{"meta":{},"fullName":"Ext.Component.disabledCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-disabledCls","name":"disabledCls"},{"meta":{"deprecated":{"text":"This has been deprecated. Please use {@link #docked} instead.","version":"2.0.0"}},"fullName":"Ext.Component.dock","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-dock","name":"dock"},{"meta":{},"fullName":"Ext.Component.docked","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-docked","name":"docked"},{"meta":{},"fullName":"Ext.Component.draggable","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-draggable","name":"draggable"},{"meta":{"deprecated":{"text":"Please use {@link #showAnimation} instead.","version":"2.0.0"}},"fullName":"Ext.Component.enterAnimation","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-enterAnimation","name":"enterAnimation"},{"meta":{"deprecated":{"text":"2.0.0 Please use {@link #hideAnimation} instead.  Typically you want to use an\noutbound animation type such as 'fadeOut' or 'slideOut'."}},"fullName":"Ext.Component.exitAnimation","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-exitAnimation","name":"exitAnimation"},{"meta":{},"fullName":"Ext.Component.flex","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-flex","name":"flex"},{"meta":{"deprecated":{"text":"","version":"2.0.0"}},"fullName":"Ext.Component.floating","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-floating","name":"floating"},{"meta":{},"fullName":"Ext.Component.floatingCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-floatingCls","name":"floatingCls"},{"meta":{},"fullName":"Ext.Component.fullscreen","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-fullscreen","name":"fullscreen"},{"meta":{},"fullName":"Ext.Component.height","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-height","name":"height"},{"meta":{},"fullName":"Ext.Component.hidden","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-hidden","name":"hidden"},{"meta":{},"fullName":"Ext.Component.hiddenCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-hiddenCls","name":"hiddenCls"},{"meta":{},"fullName":"Ext.Component.hideAnimation","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-hideAnimation","name":"hideAnimation"},{"meta":{"removed":{"text":"This method has been moved from {@link Ext.Component} to {@link Ext.Container#hideOnMaskTap Ext.Container}","version":"2.0.0"}},"fullName":"Ext.Component.hideOnMaskTap","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-hideOnMaskTap","name":"hideOnMaskTap"},{"meta":{},"fullName":"Ext.Component.html","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-html","name":"html"},{"meta":{},"fullName":"Ext.Component.id","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-id","name":"id"},{"meta":{},"fullName":"Ext.Component.itemId","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-itemId","name":"itemId"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.Component.layoutOnOrientationChange","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-layoutOnOrientationChange","name":"layoutOnOrientationChange"},{"meta":{},"fullName":"Ext.Component.left","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-left","name":"left"},{"meta":{},"fullName":"Ext.Component.margin","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-margin","name":"margin"},{"meta":{},"fullName":"Ext.Component.maxHeight","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-maxHeight","name":"maxHeight"},{"meta":{},"fullName":"Ext.Component.maxWidth","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-maxWidth","name":"maxWidth"},{"meta":{},"fullName":"Ext.Component.minHeight","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-minHeight","name":"minHeight"},{"meta":{},"fullName":"Ext.Component.minWidth","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-minWidth","name":"minWidth"},{"meta":{"removed":{"text":"This method has been moved from {@link Ext.Component} to {@link Ext.Container#modal Ext.Container}","version":"2.0.0"}},"fullName":"Ext.Component.modal","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-modal","name":"modal"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.Component.monitorOrientation","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-monitorOrientation","name":"monitorOrientation"},{"meta":{},"fullName":"Ext.Component.padding","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-padding","name":"padding"},{"meta":{},"fullName":"Ext.Component.plugins","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-plugins","name":"plugins"},{"meta":{},"fullName":"Ext.Component.record","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-record","name":"record"},{"meta":{},"fullName":"Ext.Component.renderTo","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-renderTo","name":"renderTo"},{"meta":{},"fullName":"Ext.Component.renderTpl","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-renderTpl","name":"renderTpl"},{"meta":{},"fullName":"Ext.Component.right","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-right","name":"right"},{"meta":{"removed":{"text":"This method has been moved from {@link Ext.Component} to {@link Ext.Container#scrollable Ext.Container}","version":"2.0.0"}},"fullName":"Ext.Component.scroll","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-scroll","name":"scroll"},{"meta":{},"fullName":"Ext.Component.showAnimation","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-showAnimation","name":"showAnimation"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.Component.stopMaskTapEvent","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-stopMaskTapEvent","name":"stopMaskTapEvent"},{"meta":{},"fullName":"Ext.Component.style","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-style","name":"style"},{"meta":{},"fullName":"Ext.Component.styleHtmlCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-styleHtmlCls","name":"styleHtmlCls"},{"meta":{},"fullName":"Ext.Component.styleHtmlContent","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-styleHtmlContent","name":"styleHtmlContent"},{"meta":{},"fullName":"Ext.Component.top","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-top","name":"top"},{"meta":{},"fullName":"Ext.Component.tpl","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-tpl","name":"tpl"},{"meta":{},"fullName":"Ext.Component.tplWriteMode","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-tplWriteMode","name":"tplWriteMode"},{"meta":{"private":true},"fullName":"Ext.Component.translatable","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-translatable","name":"translatable"},{"meta":{},"fullName":"Ext.Component.ui","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-ui","name":"ui"},{"meta":{},"fullName":"Ext.Component.width","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-width","name":"width"},{"meta":{},"fullName":"Ext.Component.xtype","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-xtype","name":"xtype"},{"meta":{},"fullName":"Ext.Component.zIndex","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Component-cfg-zIndex","name":"zIndex"},{"meta":{},"fullName":"Ext.Component.constructor","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-constructor","name":"constructor"},{"meta":{},"fullName":"Ext.Component.addCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-addCls","name":"addCls"},{"meta":{"private":true},"fullName":"Ext.Component.alignTo","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-alignTo","name":"alignTo"},{"meta":{"private":true},"fullName":"Ext.Component.applyCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-applyCls","name":"applyCls"},{"meta":{"private":true},"fullName":"Ext.Component.applyTpl","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-applyTpl","name":"applyTpl"},{"meta":{"private":true},"fullName":"Ext.Component.beforeInitialize","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-beforeInitialize","name":"beforeInitialize"},{"meta":{},"fullName":"Ext.Component.destroy","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-destroy","name":"destroy"},{"meta":{},"fullName":"Ext.Component.disable","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-disable","name":"disable"},{"meta":{},"fullName":"Ext.Component.enable","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-enable","name":"enable"},{"meta":{},"fullName":"Ext.Component.getBaseCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getBaseCls","name":"getBaseCls"},{"meta":{},"fullName":"Ext.Component.getBorder","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getBorder","name":"getBorder"},{"meta":{},"fullName":"Ext.Component.getBottom","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getBottom","name":"getBottom"},{"meta":{},"fullName":"Ext.Component.getCentered","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getCentered","name":"getCentered"},{"meta":{},"fullName":"Ext.Component.getCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getCls","name":"getCls"},{"meta":{},"fullName":"Ext.Component.getContentEl","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getContentEl","name":"getContentEl"},{"meta":{},"fullName":"Ext.Component.getData","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getData","name":"getData"},{"meta":{},"fullName":"Ext.Component.getDisabled","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getDisabled","name":"getDisabled"},{"meta":{},"fullName":"Ext.Component.getDisabledCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getDisabledCls","name":"getDisabledCls"},{"meta":{},"fullName":"Ext.Component.getDocked","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getDocked","name":"getDocked"},{"meta":{},"fullName":"Ext.Component.getDraggable","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getDraggable","name":"getDraggable"},{"meta":{"deprecated":{"text":"2.0.0 Please access the Component's element from the 'element' property instead, i.e:\n\n     var element = component.element;"}},"fullName":"Ext.Component.getEl","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getEl","name":"getEl"},{"meta":{"deprecated":{"text":"Please use {@link #showAnimation} instead.","version":"2.0.0"}},"fullName":"Ext.Component.getEnterAnimation","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getEnterAnimation","name":"getEnterAnimation"},{"meta":{"deprecated":{"text":"2.0.0 Please use {@link #hideAnimation} instead.  Typically you want to use an\noutbound animation type such as 'fadeOut' or 'slideOut'."}},"fullName":"Ext.Component.getExitAnimation","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getExitAnimation","name":"getExitAnimation"},{"meta":{},"fullName":"Ext.Component.getFloatingCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getFloatingCls","name":"getFloatingCls"},{"meta":{},"fullName":"Ext.Component.getHeight","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getHeight","name":"getHeight"},{"meta":{},"fullName":"Ext.Component.getHidden","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getHidden","name":"getHidden"},{"meta":{},"fullName":"Ext.Component.getHiddenCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getHiddenCls","name":"getHiddenCls"},{"meta":{},"fullName":"Ext.Component.getHideAnimation","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getHideAnimation","name":"getHideAnimation"},{"meta":{},"fullName":"Ext.Component.getHtml","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getHtml","name":"getHtml"},{"meta":{},"fullName":"Ext.Component.getItemId","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getItemId","name":"getItemId"},{"meta":{},"fullName":"Ext.Component.getLeft","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getLeft","name":"getLeft"},{"meta":{},"fullName":"Ext.Component.getMargin","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getMargin","name":"getMargin"},{"meta":{},"fullName":"Ext.Component.getMaxHeight","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getMaxHeight","name":"getMaxHeight"},{"meta":{},"fullName":"Ext.Component.getMaxWidth","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getMaxWidth","name":"getMaxWidth"},{"meta":{},"fullName":"Ext.Component.getMinHeight","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getMinHeight","name":"getMinHeight"},{"meta":{},"fullName":"Ext.Component.getMinWidth","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getMinWidth","name":"getMinWidth"},{"meta":{},"fullName":"Ext.Component.getPadding","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getPadding","name":"getPadding"},{"meta":{},"fullName":"Ext.Component.getParent","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getParent","name":"getParent"},{"meta":{},"fullName":"Ext.Component.getPlugins","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getPlugins","name":"getPlugins"},{"meta":{},"fullName":"Ext.Component.getRecord","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getRecord","name":"getRecord"},{"meta":{},"fullName":"Ext.Component.getRenderTo","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getRenderTo","name":"getRenderTo"},{"meta":{},"fullName":"Ext.Component.getRenderTpl","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getRenderTpl","name":"getRenderTpl"},{"meta":{},"fullName":"Ext.Component.getRight","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getRight","name":"getRight"},{"meta":{},"fullName":"Ext.Component.getShowAnimation","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getShowAnimation","name":"getShowAnimation"},{"meta":{},"fullName":"Ext.Component.getSize","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getSize","name":"getSize"},{"meta":{},"fullName":"Ext.Component.getStyle","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getStyle","name":"getStyle"},{"meta":{},"fullName":"Ext.Component.getStyleHtmlCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getStyleHtmlCls","name":"getStyleHtmlCls"},{"meta":{},"fullName":"Ext.Component.getStyleHtmlContent","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getStyleHtmlContent","name":"getStyleHtmlContent"},{"meta":{},"fullName":"Ext.Component.getTop","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getTop","name":"getTop"},{"meta":{},"fullName":"Ext.Component.getTpl","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getTpl","name":"getTpl"},{"meta":{},"fullName":"Ext.Component.getTplWriteMode","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getTplWriteMode","name":"getTplWriteMode"},{"meta":{"private":true},"fullName":"Ext.Component.getTranslatable","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getTranslatable","name":"getTranslatable"},{"meta":{},"fullName":"Ext.Component.getWidth","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getWidth","name":"getWidth"},{"meta":{},"fullName":"Ext.Component.getXTypes","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getXTypes","name":"getXTypes"},{"meta":{},"fullName":"Ext.Component.getZIndex","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-getZIndex","name":"getZIndex"},{"meta":{},"fullName":"Ext.Component.hasParent","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-hasParent","name":"hasParent"},{"meta":{},"fullName":"Ext.Component.hide","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-hide","name":"hide"},{"meta":{"protected":true,"template":true},"fullName":"Ext.Component.initialize","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-initialize","name":"initialize"},{"meta":{},"fullName":"Ext.Component.isDisabled","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-isDisabled","name":"isDisabled"},{"meta":{},"fullName":"Ext.Component.isHidden","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-isHidden","name":"isHidden"},{"meta":{"private":true},"fullName":"Ext.Component.isPainted","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-isPainted","name":"isPainted"},{"meta":{"private":true},"fullName":"Ext.Component.isRendered","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-isRendered","name":"isRendered"},{"meta":{},"fullName":"Ext.Component.isXType","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-isXType","name":"isXType"},{"meta":{"private":true},"fullName":"Ext.Component.onInitialized","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-onInitialized","name":"onInitialized"},{"meta":{"private":true},"fullName":"Ext.Component.onShowByErased","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-onShowByErased","name":"onShowByErased"},{"meta":{},"fullName":"Ext.Component.removeCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-removeCls","name":"removeCls"},{"meta":{},"fullName":"Ext.Component.replaceCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-replaceCls","name":"replaceCls"},{"meta":{},"fullName":"Ext.Component.resetFloating","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-resetFloating","name":"resetFloating"},{"meta":{},"fullName":"Ext.Component.setBaseCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setBaseCls","name":"setBaseCls"},{"meta":{},"fullName":"Ext.Component.setBorder","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setBorder","name":"setBorder"},{"meta":{},"fullName":"Ext.Component.setBottom","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setBottom","name":"setBottom"},{"meta":{},"fullName":"Ext.Component.setCentered","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setCentered","name":"setCentered"},{"meta":{},"fullName":"Ext.Component.setCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setCls","name":"setCls"},{"meta":{},"fullName":"Ext.Component.setContentEl","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setContentEl","name":"setContentEl"},{"meta":{},"fullName":"Ext.Component.setData","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setData","name":"setData"},{"meta":{},"fullName":"Ext.Component.setDisabled","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setDisabled","name":"setDisabled"},{"meta":{},"fullName":"Ext.Component.setDisabledCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setDisabledCls","name":"setDisabledCls"},{"meta":{},"fullName":"Ext.Component.setDocked","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setDocked","name":"setDocked"},{"meta":{},"fullName":"Ext.Component.setDraggable","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setDraggable","name":"setDraggable"},{"meta":{"deprecated":{"text":"Please use {@link #showAnimation} instead.","version":"2.0.0"}},"fullName":"Ext.Component.setEnterAnimation","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setEnterAnimation","name":"setEnterAnimation"},{"meta":{"deprecated":{"text":"2.0.0 Please use {@link #hideAnimation} instead.  Typically you want to use an\noutbound animation type such as 'fadeOut' or 'slideOut'."}},"fullName":"Ext.Component.setExitAnimation","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setExitAnimation","name":"setExitAnimation"},{"meta":{"deprecated":{"text":"This has been deprecated. Please use {@link #setTop}, {@link #setRight}, {@link #setBottom} and {@link #setLeft} instead.","version":"2.0.0"}},"fullName":"Ext.Component.setFloating","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setFloating","name":"setFloating"},{"meta":{},"fullName":"Ext.Component.setFloatingCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setFloatingCls","name":"setFloatingCls"},{"meta":{},"fullName":"Ext.Component.setHeight","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setHeight","name":"setHeight"},{"meta":{},"fullName":"Ext.Component.setHidden","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setHidden","name":"setHidden"},{"meta":{},"fullName":"Ext.Component.setHiddenCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setHiddenCls","name":"setHiddenCls"},{"meta":{},"fullName":"Ext.Component.setHideAnimation","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setHideAnimation","name":"setHideAnimation"},{"meta":{},"fullName":"Ext.Component.setHtml","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setHtml","name":"setHtml"},{"meta":{},"fullName":"Ext.Component.setItemId","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setItemId","name":"setItemId"},{"meta":{},"fullName":"Ext.Component.setLeft","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setLeft","name":"setLeft"},{"meta":{},"fullName":"Ext.Component.setMargin","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setMargin","name":"setMargin"},{"meta":{},"fullName":"Ext.Component.setMaxHeight","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setMaxHeight","name":"setMaxHeight"},{"meta":{},"fullName":"Ext.Component.setMaxWidth","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setMaxWidth","name":"setMaxWidth"},{"meta":{},"fullName":"Ext.Component.setMinHeight","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setMinHeight","name":"setMinHeight"},{"meta":{},"fullName":"Ext.Component.setMinWidth","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setMinWidth","name":"setMinWidth"},{"meta":{},"fullName":"Ext.Component.setPadding","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setPadding","name":"setPadding"},{"meta":{},"fullName":"Ext.Component.setPlugins","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setPlugins","name":"setPlugins"},{"meta":{},"fullName":"Ext.Component.setRecord","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setRecord","name":"setRecord"},{"meta":{},"fullName":"Ext.Component.setRenderTo","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setRenderTo","name":"setRenderTo"},{"meta":{},"fullName":"Ext.Component.setRenderTpl","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setRenderTpl","name":"setRenderTpl"},{"meta":{"private":true},"fullName":"Ext.Component.setRendered","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setRendered","name":"setRendered"},{"meta":{},"fullName":"Ext.Component.setRight","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setRight","name":"setRight"},{"meta":{"removed":{"text":"This method has been moved from {@link Ext.Component} to {@link Ext.Container#setScrollable Ext.Container}","version":"2.0.0"}},"fullName":"Ext.Component.setScrollable","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setScrollable","name":"setScrollable"},{"meta":{},"fullName":"Ext.Component.setShowAnimation","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setShowAnimation","name":"setShowAnimation"},{"meta":{},"fullName":"Ext.Component.setSize","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setSize","name":"setSize"},{"meta":{},"fullName":"Ext.Component.setStyle","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setStyle","name":"setStyle"},{"meta":{},"fullName":"Ext.Component.setStyleHtmlCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setStyleHtmlCls","name":"setStyleHtmlCls"},{"meta":{},"fullName":"Ext.Component.setStyleHtmlContent","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setStyleHtmlContent","name":"setStyleHtmlContent"},{"meta":{},"fullName":"Ext.Component.setTop","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setTop","name":"setTop"},{"meta":{},"fullName":"Ext.Component.setTpl","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setTpl","name":"setTpl"},{"meta":{},"fullName":"Ext.Component.setTplWriteMode","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setTplWriteMode","name":"setTplWriteMode"},{"meta":{"private":true},"fullName":"Ext.Component.setTranslatable","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setTranslatable","name":"setTranslatable"},{"meta":{"private":true},"fullName":"Ext.Component.setVisibility","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setVisibility","name":"setVisibility"},{"meta":{},"fullName":"Ext.Component.setWidth","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setWidth","name":"setWidth"},{"meta":{},"fullName":"Ext.Component.setZIndex","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-setZIndex","name":"setZIndex"},{"meta":{},"fullName":"Ext.Component.show","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-show","name":"show"},{"meta":{},"fullName":"Ext.Component.showBy","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-showBy","name":"showBy"},{"meta":{"private":true},"fullName":"Ext.Component.triggerInitialized","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-triggerInitialized","name":"triggerInitialized"},{"meta":{},"fullName":"Ext.Component.up","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-up","name":"up"},{"meta":{"deprecated":{"text":"Please use {@link #setHtml}, {@link #setTpl} or {@link #setData} instead.","version":"2.0.0"}},"fullName":"Ext.Component.update","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-update","name":"update"},{"meta":{"private":true},"fullName":"Ext.Component.updateCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-updateCls","name":"updateCls"},{"meta":{"private":true},"fullName":"Ext.Component.updateData","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-updateData","name":"updateData"},{"meta":{"private":true},"fullName":"Ext.Component.updateFloatingCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-updateFloatingCls","name":"updateFloatingCls"},{"meta":{},"fullName":"Ext.Component.updateStyleHtmlCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Component-method-updateStyleHtmlCls","name":"updateStyleHtmlCls"},{"meta":{},"fullName":"Ext.Button","icon":"icon-component","sort":1,"url":"#!/api/Ext.Button","name":"Button"},{"meta":{},"fullName":"xtype: button","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.Button","name":"button"},{"meta":{"preventable":true},"fullName":"Ext.Button.release","icon":"icon-event","sort":3,"url":"#!/api/Ext.Button-event-release","name":"release"},{"meta":{"preventable":true},"fullName":"Ext.Button.tap","icon":"icon-event","sort":3,"url":"#!/api/Ext.Button-event-tap","name":"tap"},{"meta":{},"fullName":"Ext.Button.$button-gradient","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.Button-css_var-S-button-gradient","name":"$button-gradient"},{"meta":{},"fullName":"Ext.Button.$button-height","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.Button-css_var-S-button-height","name":"$button-height"},{"meta":{},"fullName":"Ext.Button.$button-radius","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.Button-css_var-S-button-radius","name":"$button-radius"},{"meta":{},"fullName":"Ext.Button.$button-stroke-weight","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.Button-css_var-S-button-stroke-weight","name":"$button-stroke-weight"},{"meta":{},"fullName":"Ext.Button.$include-button-highlights","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.Button-css_var-S-include-button-highlights","name":"$include-button-highlights"},{"meta":{},"fullName":"Ext.Button.$include-button-uis","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.Button-css_var-S-include-button-uis","name":"$include-button-uis"},{"meta":{},"fullName":"Ext.Button.$toolbar-icon-size","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.Button-css_var-S-toolbar-icon-size","name":"$toolbar-icon-size"},{"meta":{},"fullName":"Ext.Button.sencha-button-ui","icon":"icon-css_mixin","sort":3,"url":"#!/api/Ext.Button-css_mixin-sencha-button-ui","name":"sencha-button-ui"},{"meta":{},"fullName":"Ext.Button.sencha-buttons","icon":"icon-css_mixin","sort":3,"url":"#!/api/Ext.Button-css_mixin-sencha-buttons","name":"sencha-buttons"},{"meta":{},"fullName":"Ext.Button.autoEvent","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Button-cfg-autoEvent","name":"autoEvent"},{"meta":{"deprecated":{"text":"Please use {@link #badgeText} instead","version":"2.0.0"}},"fullName":"Ext.Button.badge","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Button-cfg-badge","name":"badge"},{"meta":{},"fullName":"Ext.Button.badgeCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Button-cfg-badgeCls","name":"badgeCls"},{"meta":{},"fullName":"Ext.Button.badgeText","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Button-cfg-badgeText","name":"badgeText"},{"meta":{},"fullName":"Ext.Button.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Button-cfg-baseCls","name":"baseCls"},{"meta":{},"fullName":"Ext.Button.handler","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Button-cfg-handler","name":"handler"},{"meta":{"private":true},"fullName":"Ext.Button.hasBadgeCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Button-cfg-hasBadgeCls","name":"hasBadgeCls"},{"meta":{},"fullName":"Ext.Button.html","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Button-cfg-html","name":"html"},{"meta":{},"fullName":"Ext.Button.icon","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Button-cfg-icon","name":"icon"},{"meta":{},"fullName":"Ext.Button.iconAlign","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Button-cfg-iconAlign","name":"iconAlign"},{"meta":{},"fullName":"Ext.Button.iconCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Button-cfg-iconCls","name":"iconCls"},{"meta":{},"fullName":"Ext.Button.iconMask","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Button-cfg-iconMask","name":"iconMask"},{"meta":{"private":true},"fullName":"Ext.Button.iconMaskCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Button-cfg-iconMaskCls","name":"iconMaskCls"},{"meta":{},"fullName":"Ext.Button.labelCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Button-cfg-labelCls","name":"labelCls"},{"meta":{},"fullName":"Ext.Button.pressedCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Button-cfg-pressedCls","name":"pressedCls"},{"meta":{},"fullName":"Ext.Button.pressedDelay","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Button-cfg-pressedDelay","name":"pressedDelay"},{"meta":{},"fullName":"Ext.Button.scope","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Button-cfg-scope","name":"scope"},{"meta":{},"fullName":"Ext.Button.text","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Button-cfg-text","name":"text"},{"meta":{},"fullName":"Ext.Button.ui","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Button-cfg-ui","name":"ui"},{"meta":{"private":true},"fullName":"Ext.Button.applyUi","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-applyUi","name":"applyUi"},{"meta":{"private":true},"fullName":"Ext.Button.doTap","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-doTap","name":"doTap"},{"meta":{},"fullName":"Ext.Button.getAutoEvent","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-getAutoEvent","name":"getAutoEvent"},{"meta":{},"fullName":"Ext.Button.getBadgeCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-getBadgeCls","name":"getBadgeCls"},{"meta":{},"fullName":"Ext.Button.getBadgeText","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-getBadgeText","name":"getBadgeText"},{"meta":{},"fullName":"Ext.Button.getHandler","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-getHandler","name":"getHandler"},{"meta":{"private":true},"fullName":"Ext.Button.getHasBadgeCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-getHasBadgeCls","name":"getHasBadgeCls"},{"meta":{},"fullName":"Ext.Button.getIcon","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-getIcon","name":"getIcon"},{"meta":{},"fullName":"Ext.Button.getIconAlign","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-getIconAlign","name":"getIconAlign"},{"meta":{},"fullName":"Ext.Button.getIconCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-getIconCls","name":"getIconCls"},{"meta":{},"fullName":"Ext.Button.getIconMask","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-getIconMask","name":"getIconMask"},{"meta":{"private":true},"fullName":"Ext.Button.getIconMaskCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-getIconMaskCls","name":"getIconMaskCls"},{"meta":{},"fullName":"Ext.Button.getLabelCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-getLabelCls","name":"getLabelCls"},{"meta":{},"fullName":"Ext.Button.getPressedCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-getPressedCls","name":"getPressedCls"},{"meta":{},"fullName":"Ext.Button.getScope","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-getScope","name":"getScope"},{"meta":{},"fullName":"Ext.Button.getText","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-getText","name":"getText"},{"meta":{},"fullName":"Ext.Button.getUi","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-getUi","name":"getUi"},{"meta":{"private":true},"fullName":"Ext.Button.hideIconElement","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-hideIconElement","name":"hideIconElement"},{"meta":{},"fullName":"Ext.Button.setAutoEvent","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-setAutoEvent","name":"setAutoEvent"},{"meta":{"deprecated":{"text":"Please use {@link #setBadgeText} instead.","version":"2.0.0"}},"fullName":"Ext.Button.setBadge","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-setBadge","name":"setBadge"},{"meta":{},"fullName":"Ext.Button.setBadgeCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-setBadgeCls","name":"setBadgeCls"},{"meta":{},"fullName":"Ext.Button.setBadgeText","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-setBadgeText","name":"setBadgeText"},{"meta":{},"fullName":"Ext.Button.setHandler","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-setHandler","name":"setHandler"},{"meta":{"private":true},"fullName":"Ext.Button.setHasBadgeCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-setHasBadgeCls","name":"setHasBadgeCls"},{"meta":{},"fullName":"Ext.Button.setIcon","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-setIcon","name":"setIcon"},{"meta":{},"fullName":"Ext.Button.setIconAlign","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-setIconAlign","name":"setIconAlign"},{"meta":{"deprecated":{"text":"Please use {@link #setIconCls} instead.","version":"2.0.0"}},"fullName":"Ext.Button.setIconClass","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-setIconClass","name":"setIconClass"},{"meta":{},"fullName":"Ext.Button.setIconCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-setIconCls","name":"setIconCls"},{"meta":{},"fullName":"Ext.Button.setIconMask","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-setIconMask","name":"setIconMask"},{"meta":{"private":true},"fullName":"Ext.Button.setIconMaskCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-setIconMaskCls","name":"setIconMaskCls"},{"meta":{},"fullName":"Ext.Button.setLabelCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-setLabelCls","name":"setLabelCls"},{"meta":{},"fullName":"Ext.Button.setPressedCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-setPressedCls","name":"setPressedCls"},{"meta":{},"fullName":"Ext.Button.setScope","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-setScope","name":"setScope"},{"meta":{},"fullName":"Ext.Button.setText","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-setText","name":"setText"},{"meta":{},"fullName":"Ext.Button.setUi","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-setUi","name":"setUi"},{"meta":{"private":true},"fullName":"Ext.Button.showIconElement","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-showIconElement","name":"showIconElement"},{"meta":{"private":true},"fullName":"Ext.Button.updateAutoEvent","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-updateAutoEvent","name":"updateAutoEvent"},{"meta":{"private":true},"fullName":"Ext.Button.updateBadgeCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-updateBadgeCls","name":"updateBadgeCls"},{"meta":{"private":true},"fullName":"Ext.Button.updateBadgeText","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-updateBadgeText","name":"updateBadgeText"},{"meta":{"private":true},"fullName":"Ext.Button.updateHasBadgeCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-updateHasBadgeCls","name":"updateHasBadgeCls"},{"meta":{"private":true},"fullName":"Ext.Button.updateHtml","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-updateHtml","name":"updateHtml"},{"meta":{"private":true},"fullName":"Ext.Button.updateIcon","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-updateIcon","name":"updateIcon"},{"meta":{"private":true},"fullName":"Ext.Button.updateIconAlign","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-updateIconAlign","name":"updateIconAlign"},{"meta":{"private":true},"fullName":"Ext.Button.updateIconCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-updateIconCls","name":"updateIconCls"},{"meta":{"private":true},"fullName":"Ext.Button.updateIconMask","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-updateIconMask","name":"updateIconMask"},{"meta":{"private":true},"fullName":"Ext.Button.updateIconMaskCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-updateIconMaskCls","name":"updateIconMaskCls"},{"meta":{"private":true},"fullName":"Ext.Button.updateLabelCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-updateLabelCls","name":"updateLabelCls"},{"meta":{"private":true},"fullName":"Ext.Button.updatePressedCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-updatePressedCls","name":"updatePressedCls"},{"meta":{"private":true},"fullName":"Ext.Button.updateText","icon":"icon-method","sort":3,"url":"#!/api/Ext.Button-method-updateText","name":"updateText"},{"meta":{},"fullName":"Ext.Decorator","icon":"icon-component","sort":1,"url":"#!/api/Ext.Decorator","name":"Decorator"},{"meta":{},"fullName":"Ext.Decorator.component","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Decorator-cfg-component","name":"component"},{"meta":{},"fullName":"Ext.Img","icon":"icon-component","sort":1,"url":"#!/api/Ext.Img","name":"Img"},{"meta":{},"fullName":"xtype: image","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.Img","name":"image"},{"meta":{},"fullName":"xtype: img","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.Img","name":"img"},{"meta":{},"fullName":"Ext.Img.error","icon":"icon-event","sort":3,"url":"#!/api/Ext.Img-event-error","name":"error"},{"meta":{},"fullName":"Ext.Img.load","icon":"icon-event","sort":3,"url":"#!/api/Ext.Img-event-load","name":"load"},{"meta":{},"fullName":"Ext.Img.tap","icon":"icon-event","sort":3,"url":"#!/api/Ext.Img-event-tap","name":"tap"},{"meta":{},"fullName":"Ext.Img.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Img-cfg-baseCls","name":"baseCls"},{"meta":{},"fullName":"Ext.Img.src","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Img-cfg-src","name":"src"},{"meta":{},"fullName":"Ext.Img.getSrc","icon":"icon-method","sort":3,"url":"#!/api/Ext.Img-method-getSrc","name":"getSrc"},{"meta":{},"fullName":"Ext.Img.setSrc","icon":"icon-method","sort":3,"url":"#!/api/Ext.Img-method-setSrc","name":"setSrc"},{"meta":{"private":true},"fullName":"Ext.Img.updateSrc","icon":"icon-method","sort":3,"url":"#!/api/Ext.Img-method-updateSrc","name":"updateSrc"},{"meta":{},"fullName":"Ext.Label","icon":"icon-component","sort":1,"url":"#!/api/Ext.Label","name":"Label"},{"meta":{},"fullName":"xtype: label","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.Label","name":"label"},{"meta":{},"fullName":"Ext.Label.html","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Label-cfg-html","name":"html"},{"meta":{},"fullName":"Ext.Map","icon":"icon-component","sort":1,"url":"#!/api/Ext.Map","name":"Map"},{"meta":{},"fullName":"xtype: map","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.Map","name":"map"},{"meta":{},"fullName":"Ext.Map.centerchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.Map-event-centerchange","name":"centerchange"},{"meta":{},"fullName":"Ext.Map.maprender","icon":"icon-event","sort":3,"url":"#!/api/Ext.Map-event-maprender","name":"maprender"},{"meta":{},"fullName":"Ext.Map.typechange","icon":"icon-event","sort":3,"url":"#!/api/Ext.Map-event-typechange","name":"typechange"},{"meta":{},"fullName":"Ext.Map.zoomchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.Map-event-zoomchange","name":"zoomchange"},{"meta":{},"fullName":"Ext.Map.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Map-cfg-baseCls","name":"baseCls"},{"meta":{},"fullName":"Ext.Map.geo","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Map-cfg-geo","name":"geo"},{"meta":{},"fullName":"Ext.Map.map","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Map-cfg-map","name":"map"},{"meta":{},"fullName":"Ext.Map.mapOptions","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Map-cfg-mapOptions","name":"mapOptions"},{"meta":{"removed":{"text":"Please mask this components container instead.","version":"2.0.0"}},"fullName":"Ext.Map.maskMap","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Map-cfg-maskMap","name":"maskMap"},{"meta":{"removed":{"text":"Please mask this components container instead.","version":"2.0.0"}},"fullName":"Ext.Map.maskMapCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Map-cfg-maskMapCls","name":"maskMapCls"},{"meta":{},"fullName":"Ext.Map.useCurrentLocation","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Map-cfg-useCurrentLocation","name":"useCurrentLocation"},{"meta":{},"fullName":"Ext.Map.getBaseCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Map-method-getBaseCls","name":"getBaseCls"},{"meta":{},"fullName":"Ext.Map.getGeo","icon":"icon-method","sort":3,"url":"#!/api/Ext.Map-method-getGeo","name":"getGeo"},{"meta":{},"fullName":"Ext.Map.getMap","icon":"icon-method","sort":3,"url":"#!/api/Ext.Map-method-getMap","name":"getMap"},{"meta":{},"fullName":"Ext.Map.getMapOptions","icon":"icon-method","sort":3,"url":"#!/api/Ext.Map-method-getMapOptions","name":"getMapOptions"},{"meta":{"deprecated":{"text":"Please use {@link #getMapOptions} instead.","version":"2.0.0"}},"fullName":"Ext.Map.getState","icon":"icon-method","sort":3,"url":"#!/api/Ext.Map-method-getState","name":"getState"},{"meta":{},"fullName":"Ext.Map.getUseCurrentLocation","icon":"icon-method","sort":3,"url":"#!/api/Ext.Map-method-getUseCurrentLocation","name":"getUseCurrentLocation"},{"meta":{},"fullName":"Ext.Map.setBaseCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Map-method-setBaseCls","name":"setBaseCls"},{"meta":{},"fullName":"Ext.Map.setGeo","icon":"icon-method","sort":3,"url":"#!/api/Ext.Map-method-setGeo","name":"setGeo"},{"meta":{},"fullName":"Ext.Map.setMap","icon":"icon-method","sort":3,"url":"#!/api/Ext.Map-method-setMap","name":"setMap"},{"meta":{},"fullName":"Ext.Map.setMapCenter","icon":"icon-method","sort":3,"url":"#!/api/Ext.Map-method-setMapCenter","name":"setMapCenter"},{"meta":{},"fullName":"Ext.Map.setMapOptions","icon":"icon-method","sort":3,"url":"#!/api/Ext.Map-method-setMapOptions","name":"setMapOptions"},{"meta":{},"fullName":"Ext.Map.setUseCurrentLocation","icon":"icon-method","sort":3,"url":"#!/api/Ext.Map-method-setUseCurrentLocation","name":"setUseCurrentLocation"},{"meta":{"deprecated":{"text":"Please use the {@link #setMapCenter}","version":"2.0.0"}},"fullName":"Ext.Map.update","icon":"icon-method","sort":3,"url":"#!/api/Ext.Map-method-update","name":"update"},{"meta":{},"fullName":"Ext.Mask","icon":"icon-component","sort":1,"url":"#!/api/Ext.Mask","name":"Mask"},{"meta":{},"fullName":"xtype: mask","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.Mask","name":"mask"},{"meta":{},"fullName":"Ext.Mask.tap","icon":"icon-event","sort":3,"url":"#!/api/Ext.Mask-event-tap","name":"tap"},{"meta":{},"fullName":"Ext.Mask.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Mask-cfg-baseCls","name":"baseCls"},{"meta":{},"fullName":"Ext.Mask.transparent","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Mask-cfg-transparent","name":"transparent"},{"meta":{},"fullName":"Ext.LoadMask","icon":"icon-component","sort":1,"url":"#!/api/Ext.LoadMask","name":"LoadMask"},{"meta":{},"fullName":"xtype: loadmask","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.LoadMask","name":"loadmask"},{"meta":{},"fullName":"Ext.LoadMask.$loading-spinner-color","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.LoadMask-css_var-S-loading-spinner-color","name":"$loading-spinner-color"},{"meta":{},"fullName":"Ext.LoadMask.sencha-loading-spinner","icon":"icon-css_mixin","sort":3,"url":"#!/api/Ext.LoadMask-css_mixin-sencha-loading-spinner","name":"sencha-loading-spinner"},{"meta":{},"fullName":"Ext.LoadMask.indicator","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.LoadMask-cfg-indicator","name":"indicator"},{"meta":{},"fullName":"Ext.LoadMask.listeners","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.LoadMask-cfg-listeners","name":"listeners"},{"meta":{},"fullName":"Ext.LoadMask.message","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.LoadMask-cfg-message","name":"message"},{"meta":{},"fullName":"Ext.LoadMask.messageCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.LoadMask-cfg-messageCls","name":"messageCls"},{"meta":{"deprecated":{"text":"Please use the {@link #message} configuration","version":"2.0.0"}},"fullName":"Ext.LoadMask.msg","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.LoadMask-cfg-msg","name":"msg"},{"meta":{"deprecated":{"text":"Please use the {@link #messageCls} configuration","version":"2.0.0"}},"fullName":"Ext.LoadMask.msgCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.LoadMask-cfg-msgCls","name":"msgCls"},{"meta":{"removed":{"text":"You can no longer bind a store to a {@link Ext.LoadMask}","version":"2.0.0"}},"fullName":"Ext.LoadMask.store","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.LoadMask-cfg-store","name":"store"},{"meta":{"removed":{"text":"You can no longer bind a store to a {@link Ext.LoadMask}.","version":"2.0.0"}},"fullName":"Ext.LoadMask.bindStore","icon":"icon-method","sort":3,"url":"#!/api/Ext.LoadMask-method-bindStore","name":"bindStore"},{"meta":{},"fullName":"Ext.LoadMask.getIndicator","icon":"icon-method","sort":3,"url":"#!/api/Ext.LoadMask-method-getIndicator","name":"getIndicator"},{"meta":{},"fullName":"Ext.LoadMask.getMessage","icon":"icon-method","sort":3,"url":"#!/api/Ext.LoadMask-method-getMessage","name":"getMessage"},{"meta":{},"fullName":"Ext.LoadMask.getMessageCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.LoadMask-method-getMessageCls","name":"getMessageCls"},{"meta":{"private":true},"fullName":"Ext.LoadMask.refreshPosition","icon":"icon-method","sort":3,"url":"#!/api/Ext.LoadMask-method-refreshPosition","name":"refreshPosition"},{"meta":{},"fullName":"Ext.LoadMask.setIndicator","icon":"icon-method","sort":3,"url":"#!/api/Ext.LoadMask-method-setIndicator","name":"setIndicator"},{"meta":{},"fullName":"Ext.LoadMask.setMessage","icon":"icon-method","sort":3,"url":"#!/api/Ext.LoadMask-method-setMessage","name":"setMessage"},{"meta":{},"fullName":"Ext.LoadMask.setMessageCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.LoadMask-method-setMessageCls","name":"setMessageCls"},{"meta":{"private":true},"fullName":"Ext.LoadMask.updateIndicator","icon":"icon-method","sort":3,"url":"#!/api/Ext.LoadMask-method-updateIndicator","name":"updateIndicator"},{"meta":{"private":true},"fullName":"Ext.LoadMask.updateMessage","icon":"icon-method","sort":3,"url":"#!/api/Ext.LoadMask-method-updateMessage","name":"updateMessage"},{"meta":{"private":true},"fullName":"Ext.LoadMask.updateMessageCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.LoadMask-method-updateMessageCls","name":"updateMessageCls"},{"meta":{"private":true},"fullName":"Ext.Media","icon":"icon-component","sort":1,"url":"#!/api/Ext.Media","name":"Media"},{"meta":{"private":true},"fullName":"xtype: media","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.Media","name":"media"},{"meta":{},"fullName":"Ext.Media.ended","icon":"icon-event","sort":3,"url":"#!/api/Ext.Media-event-ended","name":"ended"},{"meta":{},"fullName":"Ext.Media.mutedchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.Media-event-mutedchange","name":"mutedchange"},{"meta":{},"fullName":"Ext.Media.pause","icon":"icon-event","sort":3,"url":"#!/api/Ext.Media-event-pause","name":"pause"},{"meta":{},"fullName":"Ext.Media.play","icon":"icon-event","sort":3,"url":"#!/api/Ext.Media-event-play","name":"play"},{"meta":{},"fullName":"Ext.Media.stop","icon":"icon-event","sort":3,"url":"#!/api/Ext.Media-event-stop","name":"stop"},{"meta":{},"fullName":"Ext.Media.timeupdate","icon":"icon-event","sort":3,"url":"#!/api/Ext.Media-event-timeupdate","name":"timeupdate"},{"meta":{},"fullName":"Ext.Media.volumechange","icon":"icon-event","sort":3,"url":"#!/api/Ext.Media-event-volumechange","name":"volumechange"},{"meta":{},"fullName":"Ext.Media.autoPause","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Media-cfg-autoPause","name":"autoPause"},{"meta":{},"fullName":"Ext.Media.autoResume","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Media-cfg-autoResume","name":"autoResume"},{"meta":{},"fullName":"Ext.Media.enableControls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Media-cfg-enableControls","name":"enableControls"},{"meta":{},"fullName":"Ext.Media.loop","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Media-cfg-loop","name":"loop"},{"meta":{},"fullName":"Ext.Media.media","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Media-cfg-media","name":"media"},{"meta":{},"fullName":"Ext.Media.muted","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Media-cfg-muted","name":"muted"},{"meta":{},"fullName":"Ext.Media.preload","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Media-cfg-preload","name":"preload"},{"meta":{},"fullName":"Ext.Media.url","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Media-cfg-url","name":"url"},{"meta":{},"fullName":"Ext.Media.volume","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Media-cfg-volume","name":"volume"},{"meta":{},"fullName":"Ext.Media.getAutoPause","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-getAutoPause","name":"getAutoPause"},{"meta":{},"fullName":"Ext.Media.getAutoResume","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-getAutoResume","name":"getAutoResume"},{"meta":{},"fullName":"Ext.Media.getCurrentTime","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-getCurrentTime","name":"getCurrentTime"},{"meta":{},"fullName":"Ext.Media.getDuration","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-getDuration","name":"getDuration"},{"meta":{},"fullName":"Ext.Media.getEnableControls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-getEnableControls","name":"getEnableControls"},{"meta":{},"fullName":"Ext.Media.getLoop","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-getLoop","name":"getLoop"},{"meta":{},"fullName":"Ext.Media.getMedia","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-getMedia","name":"getMedia"},{"meta":{},"fullName":"Ext.Media.getMuted","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-getMuted","name":"getMuted"},{"meta":{},"fullName":"Ext.Media.getPreload","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-getPreload","name":"getPreload"},{"meta":{},"fullName":"Ext.Media.getUrl","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-getUrl","name":"getUrl"},{"meta":{},"fullName":"Ext.Media.getVolume","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-getVolume","name":"getVolume"},{"meta":{},"fullName":"Ext.Media.isPlaying","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-isPlaying","name":"isPlaying"},{"meta":{},"fullName":"Ext.Media.pause","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-pause","name":"pause"},{"meta":{},"fullName":"Ext.Media.play","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-play","name":"play"},{"meta":{},"fullName":"Ext.Media.setAutoPause","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-setAutoPause","name":"setAutoPause"},{"meta":{},"fullName":"Ext.Media.setAutoResume","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-setAutoResume","name":"setAutoResume"},{"meta":{},"fullName":"Ext.Media.setEnableControls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-setEnableControls","name":"setEnableControls"},{"meta":{},"fullName":"Ext.Media.setLoop","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-setLoop","name":"setLoop"},{"meta":{},"fullName":"Ext.Media.setMedia","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-setMedia","name":"setMedia"},{"meta":{},"fullName":"Ext.Media.setMuted","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-setMuted","name":"setMuted"},{"meta":{},"fullName":"Ext.Media.setPreload","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-setPreload","name":"setPreload"},{"meta":{},"fullName":"Ext.Media.setUrl","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-setUrl","name":"setUrl"},{"meta":{},"fullName":"Ext.Media.setVolume","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-setVolume","name":"setVolume"},{"meta":{},"fullName":"Ext.Media.stop","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-stop","name":"stop"},{"meta":{},"fullName":"Ext.Media.toggle","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-toggle","name":"toggle"},{"meta":{},"fullName":"Ext.Media.updateEnableControls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-updateEnableControls","name":"updateEnableControls"},{"meta":{},"fullName":"Ext.Media.updateLoop","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-updateLoop","name":"updateLoop"},{"meta":{},"fullName":"Ext.Media.updateUrl","icon":"icon-method","sort":3,"url":"#!/api/Ext.Media-method-updateUrl","name":"updateUrl"},{"meta":{},"fullName":"Ext.Audio","icon":"icon-component","sort":1,"url":"#!/api/Ext.Audio","name":"Audio"},{"meta":{},"fullName":"xtype: audio","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.Audio","name":"audio"},{"meta":{},"fullName":"Ext.Audio.cls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Audio-cfg-cls","name":"cls"},{"meta":{"markdown":true},"fullName":"Ext.Audio.url","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Audio-cfg-url","name":"url"},{"meta":{"markdown":true},"fullName":"Ext.Audio.getUrl","icon":"icon-method","sort":3,"url":"#!/api/Ext.Audio-method-getUrl","name":"getUrl"},{"meta":{"markdown":true},"fullName":"Ext.Audio.setUrl","icon":"icon-method","sort":3,"url":"#!/api/Ext.Audio-method-setUrl","name":"setUrl"},{"meta":{},"fullName":"Ext.Spacer","icon":"icon-component","sort":1,"url":"#!/api/Ext.Spacer","name":"Spacer"},{"meta":{},"fullName":"xtype: spacer","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.Spacer","name":"spacer"},{"meta":{},"fullName":"Ext.Spacer.flex","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Spacer-cfg-flex","name":"flex"},{"meta":{},"fullName":"Ext.Spacer.width","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Spacer-cfg-width","name":"width"},{"meta":{},"fullName":"Ext.Spacer.getFlex","icon":"icon-method","sort":3,"url":"#!/api/Ext.Spacer-method-getFlex","name":"getFlex"},{"meta":{},"fullName":"Ext.Spacer.getWidth","icon":"icon-method","sort":3,"url":"#!/api/Ext.Spacer-method-getWidth","name":"getWidth"},{"meta":{},"fullName":"Ext.Spacer.setFlex","icon":"icon-method","sort":3,"url":"#!/api/Ext.Spacer-method-setFlex","name":"setFlex"},{"meta":{},"fullName":"Ext.Spacer.setWidth","icon":"icon-method","sort":3,"url":"#!/api/Ext.Spacer-method-setWidth","name":"setWidth"},{"meta":{"private":true},"fullName":"Ext.Title","icon":"icon-component","sort":1,"url":"#!/api/Ext.Title","name":"Title"},{"meta":{"private":true},"fullName":"xtype: title","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.Title","name":"title"},{"meta":{},"fullName":"Ext.Title.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Title-cfg-baseCls","name":"baseCls"},{"meta":{},"fullName":"Ext.Title.title","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Title-cfg-title","name":"title"},{"meta":{},"fullName":"Ext.Video","icon":"icon-component","sort":1,"url":"#!/api/Ext.Video","name":"Video"},{"meta":{},"fullName":"xtype: video","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.Video","name":"video"},{"meta":{"private":true},"fullName":"Ext.Video.ghost","icon":"icon-property","sort":3,"url":"#!/api/Ext.Video-property-ghost","name":"ghost"},{"meta":{},"fullName":"Ext.Video.cls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Video-cfg-cls","name":"cls"},{"meta":{},"fullName":"Ext.Video.posterUrl","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Video-cfg-posterUrl","name":"posterUrl"},{"meta":{},"fullName":"Ext.Video.urls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Video-cfg-urls","name":"urls"},{"meta":{},"fullName":"Ext.Video.getPosterUrl","icon":"icon-method","sort":3,"url":"#!/api/Ext.Video-method-getPosterUrl","name":"getPosterUrl"},{"meta":{},"fullName":"Ext.Video.getUrls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Video-method-getUrls","name":"getUrls"},{"meta":{"private":true},"fullName":"Ext.Video.onGhostTap","icon":"icon-method","sort":3,"url":"#!/api/Ext.Video-method-onGhostTap","name":"onGhostTap"},{"meta":{},"fullName":"Ext.Video.setPosterUrl","icon":"icon-method","sort":3,"url":"#!/api/Ext.Video-method-setPosterUrl","name":"setPosterUrl"},{"meta":{},"fullName":"Ext.Video.setUrls","icon":"icon-method","sort":3,"url":"#!/api/Ext.Video-method-setUrls","name":"setUrls"},{"meta":{},"fullName":"Ext.Video.updatePosterUrl","icon":"icon-method","sort":3,"url":"#!/api/Ext.Video-method-updatePosterUrl","name":"updatePosterUrl"},{"meta":{"private":true},"fullName":"Ext.carousel.Indicator","icon":"icon-component","sort":1,"url":"#!/api/Ext.carousel.Indicator","name":"Indicator"},{"meta":{"private":true},"type":"class","fullName":"Ext.Carousel.Indicator","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.carousel.Indicator","name":"Carousel.Indicator"},{"meta":{"private":true},"fullName":"xtype: carouselindicator","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.carousel.Indicator","name":"carouselindicator"},{"meta":{},"fullName":"Ext.carousel.Indicator.next","icon":"icon-event","sort":3,"url":"#!/api/Ext.carousel.Indicator-event-next","name":"next"},{"meta":{},"fullName":"Ext.carousel.Indicator.previous","icon":"icon-event","sort":3,"url":"#!/api/Ext.carousel.Indicator-event-previous","name":"previous"},{"meta":{},"fullName":"Ext.carousel.Indicator.$carousel-indicator-size","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.carousel.Indicator-css_var-S-carousel-indicator-size","name":"$carousel-indicator-size"},{"meta":{},"fullName":"Ext.carousel.Indicator.$carousel-indicator-spacing","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.carousel.Indicator-css_var-S-carousel-indicator-spacing","name":"$carousel-indicator-spacing"},{"meta":{},"fullName":"Ext.carousel.Indicator.$carousel-track-size","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.carousel.Indicator-css_var-S-carousel-track-size","name":"$carousel-track-size"},{"meta":{},"fullName":"Ext.carousel.Indicator.sencha-carousel-indicator-ui","icon":"icon-css_mixin","sort":3,"url":"#!/api/Ext.carousel.Indicator-css_mixin-sencha-carousel-indicator-ui","name":"sencha-carousel-indicator-ui"},{"meta":{},"fullName":"Ext.carousel.Indicator.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.carousel.Indicator-cfg-baseCls","name":"baseCls"},{"meta":{"private":true},"fullName":"Ext.carousel.Item","icon":"icon-component","sort":1,"url":"#!/api/Ext.carousel.Item","name":"Item"},{"meta":{"aside":[{"type":"video","name":"list"},{"type":"guide","name":"list"}]},"fullName":"Ext.dataview.IndexBar","icon":"icon-component","sort":1,"url":"#!/api/Ext.dataview.IndexBar","name":"IndexBar"},{"meta":{"aside":[{"type":"video","name":"list"},{"type":"guide","name":"list"}]},"type":"class","fullName":"Ext.IndexBar","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.dataview.IndexBar","name":"IndexBar"},{"meta":{},"fullName":"Ext.dataview.IndexBar.index","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.IndexBar-event-index","name":"index"},{"meta":{},"fullName":"Ext.dataview.IndexBar.$index-bar-bg-color","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.dataview.IndexBar-css_var-S-index-bar-bg-color","name":"$index-bar-bg-color"},{"meta":{},"fullName":"Ext.dataview.IndexBar.$index-bar-color","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.dataview.IndexBar-css_var-S-index-bar-color","name":"$index-bar-color"},{"meta":{},"fullName":"Ext.dataview.IndexBar.$index-bar-width","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.dataview.IndexBar-css_var-S-index-bar-width","name":"$index-bar-width"},{"meta":{},"fullName":"Ext.dataview.IndexBar.sencha-indexbar","icon":"icon-css_mixin","sort":3,"url":"#!/api/Ext.dataview.IndexBar-css_mixin-sencha-indexbar","name":"sencha-indexbar"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dataview.IndexBar.alphabet","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.IndexBar-cfg-alphabet","name":"alphabet"},{"meta":{},"fullName":"Ext.dataview.IndexBar.direction","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.IndexBar-cfg-direction","name":"direction"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dataview.IndexBar.itemSelector","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.IndexBar-cfg-itemSelector","name":"itemSelector"},{"meta":{},"fullName":"Ext.dataview.IndexBar.letters","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.IndexBar-cfg-letters","name":"letters"},{"meta":{},"fullName":"Ext.dataview.IndexBar.listPrefix","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.IndexBar-cfg-listPrefix","name":"listPrefix"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dataview.IndexBar.store","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.IndexBar-cfg-store","name":"store"},{"meta":{},"fullName":"Ext.dataview.IndexBar.getDirection","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.IndexBar-method-getDirection","name":"getDirection"},{"meta":{},"fullName":"Ext.dataview.IndexBar.getLetters","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.IndexBar-method-getLetters","name":"getLetters"},{"meta":{},"fullName":"Ext.dataview.IndexBar.getListPrefix","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.IndexBar-method-getListPrefix","name":"getListPrefix"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dataview.IndexBar.isHorizontal","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.IndexBar-method-isHorizontal","name":"isHorizontal"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dataview.IndexBar.isVertical","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.IndexBar-method-isVertical","name":"isVertical"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dataview.IndexBar.refresh","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.IndexBar-method-refresh","name":"refresh"},{"meta":{},"fullName":"Ext.dataview.IndexBar.setDirection","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.IndexBar-method-setDirection","name":"setDirection"},{"meta":{},"fullName":"Ext.dataview.IndexBar.setLetters","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.IndexBar-method-setLetters","name":"setLetters"},{"meta":{},"fullName":"Ext.dataview.IndexBar.setListPrefix","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.IndexBar-method-setListPrefix","name":"setListPrefix"},{"meta":{"private":true},"fullName":"Ext.dataview.ListItemHeader","icon":"icon-component","sort":1,"url":"#!/api/Ext.dataview.ListItemHeader","name":"ListItemHeader"},{"meta":{"private":true},"fullName":"xtype: listitemheader","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.dataview.ListItemHeader","name":"listitemheader"},{"meta":{},"fullName":"Ext.dataview.ListItemHeader.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.ListItemHeader-cfg-baseCls","name":"baseCls"},{"meta":{"private":true},"fullName":"Ext.dataview.element.Container","icon":"icon-component","sort":1,"url":"#!/api/Ext.dataview.element.Container","name":"Container"},{"meta":{},"fullName":"Ext.dataview.element.Container.itemdoubletap","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.element.Container-event-itemdoubletap","name":"itemdoubletap"},{"meta":{},"fullName":"Ext.dataview.element.Container.itemsingletap","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.element.Container-event-itemsingletap","name":"itemsingletap"},{"meta":{},"fullName":"Ext.dataview.element.Container.itemswipe","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.element.Container-event-itemswipe","name":"itemswipe"},{"meta":{},"fullName":"Ext.dataview.element.Container.itemtap","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.element.Container-event-itemtap","name":"itemtap"},{"meta":{},"fullName":"Ext.dataview.element.Container.itemtaphold","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.element.Container-event-itemtaphold","name":"itemtaphold"},{"meta":{},"fullName":"Ext.dataview.element.Container.itemtouchend","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.element.Container-event-itemtouchend","name":"itemtouchend"},{"meta":{},"fullName":"Ext.dataview.element.Container.itemtouchmove","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.element.Container-event-itemtouchmove","name":"itemtouchmove"},{"meta":{},"fullName":"Ext.dataview.element.Container.itemtouchstart","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.element.Container-event-itemtouchstart","name":"itemtouchstart"},{"meta":{"private":true},"fullName":"Ext.dataview.element.List","icon":"icon-component","sort":1,"url":"#!/api/Ext.dataview.element.List","name":"List"},{"meta":{"private":true},"fullName":"Ext.event.publisher.ComponentDelegation","icon":"icon-class","sort":1,"url":"#!/api/Ext.event.publisher.ComponentDelegation","name":"ComponentDelegation"},{"meta":{"private":true},"fullName":"Ext.field.Input","icon":"icon-component","sort":1,"url":"#!/api/Ext.field.Input","name":"Input"},{"meta":{"private":true},"fullName":"xtype: input","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.field.Input","name":"input"},{"meta":{},"fullName":"Ext.field.Input.isFocused","icon":"icon-property","sort":3,"url":"#!/api/Ext.field.Input-property-isFocused","name":"isFocused"},{"meta":{"private":true},"fullName":"Ext.field.Input.tag","icon":"icon-property","sort":3,"url":"#!/api/Ext.field.Input-property-tag","name":"tag"},{"meta":{"preventable":true},"fullName":"Ext.field.Input.blur","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Input-event-blur","name":"blur"},{"meta":{},"fullName":"Ext.field.Input.clearicontap","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Input-event-clearicontap","name":"clearicontap"},{"meta":{},"fullName":"Ext.field.Input.click","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Input-event-click","name":"click"},{"meta":{"preventable":true},"fullName":"Ext.field.Input.focus","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Input-event-focus","name":"focus"},{"meta":{},"fullName":"Ext.field.Input.keyup","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Input-event-keyup","name":"keyup"},{"meta":{"preventable":true},"fullName":"Ext.field.Input.masktap","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Input-event-masktap","name":"masktap"},{"meta":{},"fullName":"Ext.field.Input.mousedown","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Input-event-mousedown","name":"mousedown"},{"meta":{},"fullName":"Ext.field.Input.paste","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Input-event-paste","name":"paste"},{"meta":{},"fullName":"Ext.field.Input.autoCapitalize","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Input-cfg-autoCapitalize","name":"autoCapitalize"},{"meta":{},"fullName":"Ext.field.Input.autoComplete","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Input-cfg-autoComplete","name":"autoComplete"},{"meta":{},"fullName":"Ext.field.Input.autoCorrect","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Input-cfg-autoCorrect","name":"autoCorrect"},{"meta":{},"fullName":"Ext.field.Input.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Input-cfg-baseCls","name":"baseCls"},{"meta":{},"fullName":"Ext.field.Input.checked","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Input-cfg-checked","name":"checked"},{"meta":{},"fullName":"Ext.field.Input.cls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Input-cfg-cls","name":"cls"},{"meta":{},"fullName":"Ext.field.Input.disabled","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Input-cfg-disabled","name":"disabled"},{"meta":{},"fullName":"Ext.field.Input.focusCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Input-cfg-focusCls","name":"focusCls"},{"meta":{},"fullName":"Ext.field.Input.maxLength","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Input-cfg-maxLength","name":"maxLength"},{"meta":{},"fullName":"Ext.field.Input.maxRows","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Input-cfg-maxRows","name":"maxRows"},{"meta":{},"fullName":"Ext.field.Input.maxValue","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Input-cfg-maxValue","name":"maxValue"},{"meta":{},"fullName":"Ext.field.Input.minValue","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Input-cfg-minValue","name":"minValue"},{"meta":{},"fullName":"Ext.field.Input.name","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Input-cfg-name","name":"name"},{"meta":{"private":true},"fullName":"Ext.field.Input.originalValue","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Input-cfg-originalValue","name":"originalValue"},{"meta":{},"fullName":"Ext.field.Input.placeHolder","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Input-cfg-placeHolder","name":"placeHolder"},{"meta":{},"fullName":"Ext.field.Input.readOnly","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Input-cfg-readOnly","name":"readOnly"},{"meta":{},"fullName":"Ext.field.Input.startValue","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Input-cfg-startValue","name":"startValue"},{"meta":{},"fullName":"Ext.field.Input.stepValue","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Input-cfg-stepValue","name":"stepValue"},{"meta":{},"fullName":"Ext.field.Input.tabIndex","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Input-cfg-tabIndex","name":"tabIndex"},{"meta":{},"fullName":"Ext.field.Input.type","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Input-cfg-type","name":"type"},{"meta":{"private":true},"fullName":"Ext.field.Input.useMask","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Input-cfg-useMask","name":"useMask"},{"meta":{},"fullName":"Ext.field.Input.value","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Input-cfg-value","name":"value"},{"meta":{},"fullName":"Ext.field.Input.blur","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-blur","name":"blur"},{"meta":{},"fullName":"Ext.field.Input.focus","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-focus","name":"focus"},{"meta":{},"fullName":"Ext.field.Input.getAutoCapitalize","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-getAutoCapitalize","name":"getAutoCapitalize"},{"meta":{},"fullName":"Ext.field.Input.getAutoComplete","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-getAutoComplete","name":"getAutoComplete"},{"meta":{},"fullName":"Ext.field.Input.getAutoCorrect","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-getAutoCorrect","name":"getAutoCorrect"},{"meta":{},"fullName":"Ext.field.Input.getChecked","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-getChecked","name":"getChecked"},{"meta":{},"fullName":"Ext.field.Input.getCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-getCls","name":"getCls"},{"meta":{},"fullName":"Ext.field.Input.getDisabled","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-getDisabled","name":"getDisabled"},{"meta":{},"fullName":"Ext.field.Input.getFocusCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-getFocusCls","name":"getFocusCls"},{"meta":{},"fullName":"Ext.field.Input.getMaxLength","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-getMaxLength","name":"getMaxLength"},{"meta":{},"fullName":"Ext.field.Input.getMaxRows","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-getMaxRows","name":"getMaxRows"},{"meta":{},"fullName":"Ext.field.Input.getMaxValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-getMaxValue","name":"getMaxValue"},{"meta":{},"fullName":"Ext.field.Input.getMinValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-getMinValue","name":"getMinValue"},{"meta":{},"fullName":"Ext.field.Input.getName","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-getName","name":"getName"},{"meta":{},"fullName":"Ext.field.Input.getPlaceHolder","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-getPlaceHolder","name":"getPlaceHolder"},{"meta":{},"fullName":"Ext.field.Input.getReadOnly","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-getReadOnly","name":"getReadOnly"},{"meta":{},"fullName":"Ext.field.Input.getStartValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-getStartValue","name":"getStartValue"},{"meta":{},"fullName":"Ext.field.Input.getStepValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-getStepValue","name":"getStepValue"},{"meta":{},"fullName":"Ext.field.Input.getTabIndex","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-getTabIndex","name":"getTabIndex"},{"meta":{},"fullName":"Ext.field.Input.getType","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-getType","name":"getType"},{"meta":{"private":true},"fullName":"Ext.field.Input.getUseMask","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-getUseMask","name":"getUseMask"},{"meta":{},"fullName":"Ext.field.Input.getValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-getValue","name":"getValue"},{"meta":{},"fullName":"Ext.field.Input.isDirty","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-isDirty","name":"isDirty"},{"meta":{},"fullName":"Ext.field.Input.reset","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-reset","name":"reset"},{"meta":{},"fullName":"Ext.field.Input.select","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-select","name":"select"},{"meta":{},"fullName":"Ext.field.Input.setAutoCapitalize","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-setAutoCapitalize","name":"setAutoCapitalize"},{"meta":{},"fullName":"Ext.field.Input.setAutoComplete","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-setAutoComplete","name":"setAutoComplete"},{"meta":{},"fullName":"Ext.field.Input.setAutoCorrect","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-setAutoCorrect","name":"setAutoCorrect"},{"meta":{},"fullName":"Ext.field.Input.setChecked","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-setChecked","name":"setChecked"},{"meta":{},"fullName":"Ext.field.Input.setCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-setCls","name":"setCls"},{"meta":{},"fullName":"Ext.field.Input.setDisabled","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-setDisabled","name":"setDisabled"},{"meta":{},"fullName":"Ext.field.Input.setFocusCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-setFocusCls","name":"setFocusCls"},{"meta":{},"fullName":"Ext.field.Input.setMaxLength","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-setMaxLength","name":"setMaxLength"},{"meta":{},"fullName":"Ext.field.Input.setMaxRows","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-setMaxRows","name":"setMaxRows"},{"meta":{},"fullName":"Ext.field.Input.setMaxValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-setMaxValue","name":"setMaxValue"},{"meta":{},"fullName":"Ext.field.Input.setMinValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-setMinValue","name":"setMinValue"},{"meta":{},"fullName":"Ext.field.Input.setName","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-setName","name":"setName"},{"meta":{},"fullName":"Ext.field.Input.setPlaceHolder","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-setPlaceHolder","name":"setPlaceHolder"},{"meta":{},"fullName":"Ext.field.Input.setReadOnly","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-setReadOnly","name":"setReadOnly"},{"meta":{},"fullName":"Ext.field.Input.setStartValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-setStartValue","name":"setStartValue"},{"meta":{},"fullName":"Ext.field.Input.setStepValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-setStepValue","name":"setStepValue"},{"meta":{},"fullName":"Ext.field.Input.setTabIndex","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-setTabIndex","name":"setTabIndex"},{"meta":{},"fullName":"Ext.field.Input.setType","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-setType","name":"setType"},{"meta":{"private":true},"fullName":"Ext.field.Input.setUseMask","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-setUseMask","name":"setUseMask"},{"meta":{},"fullName":"Ext.field.Input.setValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-setValue","name":"setValue"},{"meta":{"private":true},"fullName":"Ext.field.Input.updateAutoCapitalize","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-updateAutoCapitalize","name":"updateAutoCapitalize"},{"meta":{"private":true},"fullName":"Ext.field.Input.updateAutoComplete","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-updateAutoComplete","name":"updateAutoComplete"},{"meta":{"private":true},"fullName":"Ext.field.Input.updateAutoCorrect","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-updateAutoCorrect","name":"updateAutoCorrect"},{"meta":{"private":true},"fullName":"Ext.field.Input.updateChecked","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-updateChecked","name":"updateChecked"},{"meta":{},"fullName":"Ext.field.Input.updateCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-updateCls","name":"updateCls"},{"meta":{"private":true},"fullName":"Ext.field.Input.updateFieldAttribute","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-updateFieldAttribute","name":"updateFieldAttribute"},{"meta":{"private":true},"fullName":"Ext.field.Input.updateMaxLength","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-updateMaxLength","name":"updateMaxLength"},{"meta":{"private":true},"fullName":"Ext.field.Input.updateMaxValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-updateMaxValue","name":"updateMaxValue"},{"meta":{"private":true},"fullName":"Ext.field.Input.updateMinValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-updateMinValue","name":"updateMinValue"},{"meta":{"private":true},"fullName":"Ext.field.Input.updateName","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-updateName","name":"updateName"},{"meta":{"private":true},"fullName":"Ext.field.Input.updatePlaceHolder","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-updatePlaceHolder","name":"updatePlaceHolder"},{"meta":{"private":true},"fullName":"Ext.field.Input.updateReadOnly","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-updateReadOnly","name":"updateReadOnly"},{"meta":{"private":true},"fullName":"Ext.field.Input.updateStepValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-updateStepValue","name":"updateStepValue"},{"meta":{"private":true},"fullName":"Ext.field.Input.updateTabIndex","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-updateTabIndex","name":"updateTabIndex"},{"meta":{"private":true},"fullName":"Ext.field.Input.updateType","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-updateType","name":"updateType"},{"meta":{},"fullName":"Ext.field.Input.updateUseMask","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-updateUseMask","name":"updateUseMask"},{"meta":{"private":true},"fullName":"Ext.field.Input.updateValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Input-method-updateValue","name":"updateValue"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"Ext.field.Field","icon":"icon-component","sort":1,"url":"#!/api/Ext.field.Field","name":"Field"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"type":"class","fullName":"Ext.form.Field","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.field.Field","name":"Field"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"xtype: field","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.field.Field","name":"field"},{"meta":{},"fullName":"Ext.field.Field.isField","icon":"icon-property","sort":3,"url":"#!/api/Ext.field.Field-property-isField","name":"isField"},{"meta":{"deprecated":{"text":"","version":"2.0"}},"fullName":"Ext.field.Field.labelEl","icon":"icon-property","sort":3,"url":"#!/api/Ext.field.Field-property-labelEl","name":"labelEl"},{"meta":{},"fullName":"Ext.field.Field.originalValue","icon":"icon-property","sort":3,"url":"#!/api/Ext.field.Field-property-originalValue","name":"originalValue"},{"meta":{},"fullName":"Ext.field.Field.$form-dark","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.field.Field-css_var-S-form-dark","name":"$form-dark"},{"meta":{},"fullName":"Ext.field.Field.$form-field-bg-color","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.field.Field-css_var-S-form-field-bg-color","name":"$form-field-bg-color"},{"meta":{},"fullName":"Ext.field.Field.$form-field-height","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.field.Field-css_var-S-form-field-height","name":"$form-field-height"},{"meta":{},"fullName":"Ext.field.Field.$form-label-background-color","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.field.Field-css_var-S-form-label-background-color","name":"$form-label-background-color"},{"meta":{},"fullName":"Ext.field.Field.$form-label-width","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.field.Field-css_var-S-form-label-width","name":"$form-label-width"},{"meta":{},"fullName":"Ext.field.Field.$form-light","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.field.Field-css_var-S-form-light","name":"$form-light"},{"meta":{},"fullName":"Ext.field.Field.$form-spacing","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.field.Field-css_var-S-form-spacing","name":"$form-spacing"},{"meta":{},"fullName":"Ext.field.Field.$toolbar-input-bg","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.field.Field-css_var-S-toolbar-input-bg","name":"$toolbar-input-bg"},{"meta":{},"fullName":"Ext.field.Field.$toolbar-input-border-color","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.field.Field-css_var-S-toolbar-input-border-color","name":"$toolbar-input-border-color"},{"meta":{},"fullName":"Ext.field.Field.$toolbar-input-color","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.field.Field-css_var-S-toolbar-input-color","name":"$toolbar-input-color"},{"meta":{},"fullName":"Ext.field.Field.$toolbar-input-height","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.field.Field-css_var-S-toolbar-input-height","name":"$toolbar-input-height"},{"meta":{},"fullName":"Ext.field.Field.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Field-cfg-baseCls","name":"baseCls"},{"meta":{},"fullName":"Ext.field.Field.clearIcon","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Field-cfg-clearIcon","name":"clearIcon"},{"meta":{},"fullName":"Ext.field.Field.component","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Field-cfg-component","name":"component"},{"meta":{"deprecated":{"text":"Deprecated, please use {@link #inputCls}","version":"2.0.0"}},"fullName":"Ext.field.Field.fieldCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Field-cfg-fieldCls","name":"fieldCls"},{"meta":{"deprecated":{"text":"Please use the {@link #label} configuration instead","version":"2.0.0"}},"fullName":"Ext.field.Field.fieldLabel","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Field-cfg-fieldLabel","name":"fieldLabel"},{"meta":{},"fullName":"Ext.field.Field.inputCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Field-cfg-inputCls","name":"inputCls"},{"meta":{"deprecated":{"text":"","version":"2.0"}},"fullName":"Ext.field.Field.inputType","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Field-cfg-inputType","name":"inputType"},{"meta":{"private":true},"fullName":"Ext.field.Field.isFocused","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Field-cfg-isFocused","name":"isFocused"},{"meta":{},"fullName":"Ext.field.Field.label","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Field-cfg-label","name":"label"},{"meta":{},"fullName":"Ext.field.Field.labelAlign","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Field-cfg-labelAlign","name":"labelAlign"},{"meta":{},"fullName":"Ext.field.Field.labelCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Field-cfg-labelCls","name":"labelCls"},{"meta":{},"fullName":"Ext.field.Field.labelWidth","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Field-cfg-labelWidth","name":"labelWidth"},{"meta":{},"fullName":"Ext.field.Field.labelWrap","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Field-cfg-labelWrap","name":"labelWrap"},{"meta":{},"fullName":"Ext.field.Field.name","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Field-cfg-name","name":"name"},{"meta":{},"fullName":"Ext.field.Field.required","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Field-cfg-required","name":"required"},{"meta":{},"fullName":"Ext.field.Field.requiredCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Field-cfg-requiredCls","name":"requiredCls"},{"meta":{},"fullName":"Ext.field.Field.tabIndex","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Field-cfg-tabIndex","name":"tabIndex"},{"meta":{"deprecated":{"text":"Please use the {@link #clearIcon} configuration instead","version":"2.0.0"}},"fullName":"Ext.field.Field.useClearIcon","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Field-cfg-useClearIcon","name":"useClearIcon"},{"meta":{},"fullName":"Ext.field.Field.value","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Field-cfg-value","name":"value"},{"meta":{"private":true},"fullName":"Ext.field.Field.doInitValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-doInitValue","name":"doInitValue"},{"meta":{},"fullName":"Ext.field.Field.getClearIcon","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-getClearIcon","name":"getClearIcon"},{"meta":{"deprecated":{"text":"","version":"2.0"}},"fullName":"Ext.field.Field.getInputType","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-getInputType","name":"getInputType"},{"meta":{},"fullName":"Ext.field.Field.getLabel","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-getLabel","name":"getLabel"},{"meta":{},"fullName":"Ext.field.Field.getLabelAlign","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-getLabelAlign","name":"getLabelAlign"},{"meta":{},"fullName":"Ext.field.Field.getLabelCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-getLabelCls","name":"getLabelCls"},{"meta":{},"fullName":"Ext.field.Field.getLabelWidth","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-getLabelWidth","name":"getLabelWidth"},{"meta":{},"fullName":"Ext.field.Field.getLabelWrap","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-getLabelWrap","name":"getLabelWrap"},{"meta":{},"fullName":"Ext.field.Field.getName","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-getName","name":"getName"},{"meta":{},"fullName":"Ext.field.Field.getRequired","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-getRequired","name":"getRequired"},{"meta":{},"fullName":"Ext.field.Field.getRequiredCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-getRequiredCls","name":"getRequiredCls"},{"meta":{},"fullName":"Ext.field.Field.getTabIndex","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-getTabIndex","name":"getTabIndex"},{"meta":{},"fullName":"Ext.field.Field.getValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-getValue","name":"getValue"},{"meta":{},"fullName":"Ext.field.Field.isDirty","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-isDirty","name":"isDirty"},{"meta":{},"fullName":"Ext.field.Field.reset","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-reset","name":"reset"},{"meta":{},"fullName":"Ext.field.Field.setClearIcon","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-setClearIcon","name":"setClearIcon"},{"meta":{"deprecated":{"text":"","version":"2.0"}},"fullName":"Ext.field.Field.setInputType","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-setInputType","name":"setInputType"},{"meta":{},"fullName":"Ext.field.Field.setLabel","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-setLabel","name":"setLabel"},{"meta":{},"fullName":"Ext.field.Field.setLabelAlign","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-setLabelAlign","name":"setLabelAlign"},{"meta":{},"fullName":"Ext.field.Field.setLabelCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-setLabelCls","name":"setLabelCls"},{"meta":{},"fullName":"Ext.field.Field.setLabelWidth","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-setLabelWidth","name":"setLabelWidth"},{"meta":{},"fullName":"Ext.field.Field.setLabelWrap","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-setLabelWrap","name":"setLabelWrap"},{"meta":{},"fullName":"Ext.field.Field.setName","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-setName","name":"setName"},{"meta":{},"fullName":"Ext.field.Field.setRequired","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-setRequired","name":"setRequired"},{"meta":{},"fullName":"Ext.field.Field.setRequiredCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-setRequiredCls","name":"setRequiredCls"},{"meta":{},"fullName":"Ext.field.Field.setTabIndex","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-setTabIndex","name":"setTabIndex"},{"meta":{},"fullName":"Ext.field.Field.setValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-setValue","name":"setValue"},{"meta":{"private":true},"fullName":"Ext.field.Field.updateRequired","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-updateRequired","name":"updateRequired"},{"meta":{"private":true},"fullName":"Ext.field.Field.updateRequiredCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Field-method-updateRequiredCls","name":"updateRequiredCls"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"Ext.field.Checkbox","icon":"icon-component","sort":1,"url":"#!/api/Ext.field.Checkbox","name":"Checkbox"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"type":"class","fullName":"Ext.form.Checkbox","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.field.Checkbox","name":"Checkbox"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"xtype: checkboxfield","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.field.Checkbox","name":"checkboxfield"},{"meta":{},"fullName":"Ext.field.Checkbox.check","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Checkbox-event-check","name":"check"},{"meta":{},"fullName":"Ext.field.Checkbox.uncheck","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Checkbox-event-uncheck","name":"uncheck"},{"meta":{},"fullName":"Ext.field.Checkbox.checked","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Checkbox-cfg-checked","name":"checked"},{"meta":{},"fullName":"Ext.field.Checkbox.component","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Checkbox-cfg-component","name":"component"},{"meta":{},"fullName":"Ext.field.Checkbox.ui","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Checkbox-cfg-ui","name":"ui"},{"meta":{},"fullName":"Ext.field.Checkbox.value","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Checkbox-cfg-value","name":"value"},{"meta":{},"fullName":"Ext.field.Checkbox.check","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Checkbox-method-check","name":"check"},{"meta":{},"fullName":"Ext.field.Checkbox.doChecked","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Checkbox-method-doChecked","name":"doChecked"},{"meta":{},"fullName":"Ext.field.Checkbox.doUnChecked","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Checkbox-method-doUnChecked","name":"doUnChecked"},{"meta":{},"fullName":"Ext.field.Checkbox.getChecked","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Checkbox-method-getChecked","name":"getChecked"},{"meta":{},"fullName":"Ext.field.Checkbox.getGroupValues","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Checkbox-method-getGroupValues","name":"getGroupValues"},{"meta":{},"fullName":"Ext.field.Checkbox.getSubmitValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Checkbox-method-getSubmitValue","name":"getSubmitValue"},{"meta":{},"fullName":"Ext.field.Checkbox.getValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Checkbox-method-getValue","name":"getValue"},{"meta":{},"fullName":"Ext.field.Checkbox.isChecked","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Checkbox-method-isChecked","name":"isChecked"},{"meta":{"private":true},"fullName":"Ext.field.Checkbox.onChange","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Checkbox-method-onChange","name":"onChange"},{"meta":{},"fullName":"Ext.field.Checkbox.resetGroupValues","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Checkbox-method-resetGroupValues","name":"resetGroupValues"},{"meta":{},"fullName":"Ext.field.Checkbox.setChecked","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Checkbox-method-setChecked","name":"setChecked"},{"meta":{},"fullName":"Ext.field.Checkbox.setGroupValues","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Checkbox-method-setGroupValues","name":"setGroupValues"},{"meta":{},"fullName":"Ext.field.Checkbox.setValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Checkbox-method-setValue","name":"setValue"},{"meta":{},"fullName":"Ext.field.Checkbox.uncheck","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Checkbox-method-uncheck","name":"uncheck"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"Ext.field.Radio","icon":"icon-component","sort":1,"url":"#!/api/Ext.field.Radio","name":"Radio"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"type":"class","fullName":"Ext.form.Radio","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.field.Radio","name":"Radio"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"xtype: radiofield","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.field.Radio","name":"radiofield"},{"meta":{},"fullName":"Ext.field.Radio.component","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Radio-cfg-component","name":"component"},{"meta":{},"fullName":"Ext.field.Radio.ui","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Radio-cfg-ui","name":"ui"},{"meta":{},"fullName":"Ext.field.Radio.getGroupValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Radio-method-getGroupValue","name":"getGroupValue"},{"meta":{"private":true},"fullName":"Ext.field.Radio.refreshGroupValues","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Radio-method-refreshGroupValues","name":"refreshGroupValues"},{"meta":{},"fullName":"Ext.field.Radio.setGroupValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Radio-method-setGroupValue","name":"setGroupValue"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"Ext.field.Text","icon":"icon-component","sort":1,"url":"#!/api/Ext.field.Text","name":"Text"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"type":"class","fullName":"Ext.form.Text","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.field.Text","name":"Text"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"xtype: textfield","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.field.Text","name":"textfield"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.field.Text.startValue","icon":"icon-property","sort":3,"url":"#!/api/Ext.field.Text-property-startValue","name":"startValue"},{"meta":{"preventable":true},"fullName":"Ext.field.Text.action","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Text-event-action","name":"action"},{"meta":{},"fullName":"Ext.field.Text.blur","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Text-event-blur","name":"blur"},{"meta":{},"fullName":"Ext.field.Text.change","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Text-event-change","name":"change"},{"meta":{"preventable":true},"fullName":"Ext.field.Text.clearicontap","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Text-event-clearicontap","name":"clearicontap"},{"meta":{},"fullName":"Ext.field.Text.focus","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Text-event-focus","name":"focus"},{"meta":{"preventable":true},"fullName":"Ext.field.Text.keyup","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Text-event-keyup","name":"keyup"},{"meta":{},"fullName":"Ext.field.Text.mousedown","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Text-event-mousedown","name":"mousedown"},{"meta":{},"fullName":"Ext.field.Text.paste","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Text-event-paste","name":"paste"},{"meta":{},"fullName":"Ext.field.Text.autoCapitalize","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Text-cfg-autoCapitalize","name":"autoCapitalize"},{"meta":{},"fullName":"Ext.field.Text.autoComplete","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Text-cfg-autoComplete","name":"autoComplete"},{"meta":{},"fullName":"Ext.field.Text.autoCorrect","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Text-cfg-autoCorrect","name":"autoCorrect"},{"meta":{},"fullName":"Ext.field.Text.clearIcon","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Text-cfg-clearIcon","name":"clearIcon"},{"meta":{},"fullName":"Ext.field.Text.component","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Text-cfg-component","name":"component"},{"meta":{},"fullName":"Ext.field.Text.maxLength","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Text-cfg-maxLength","name":"maxLength"},{"meta":{},"fullName":"Ext.field.Text.placeHolder","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Text-cfg-placeHolder","name":"placeHolder"},{"meta":{},"fullName":"Ext.field.Text.readOnly","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Text-cfg-readOnly","name":"readOnly"},{"meta":{},"fullName":"Ext.field.Text.ui","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Text-cfg-ui","name":"ui"},{"meta":{},"fullName":"Ext.field.Text.blur","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Text-method-blur","name":"blur"},{"meta":{"private":true},"fullName":"Ext.field.Text.doKeyUp","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Text-method-doKeyUp","name":"doKeyUp"},{"meta":{},"fullName":"Ext.field.Text.focus","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Text-method-focus","name":"focus"},{"meta":{},"fullName":"Ext.field.Text.getAutoCapitalize","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Text-method-getAutoCapitalize","name":"getAutoCapitalize"},{"meta":{},"fullName":"Ext.field.Text.getAutoComplete","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Text-method-getAutoComplete","name":"getAutoComplete"},{"meta":{},"fullName":"Ext.field.Text.getAutoCorrect","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Text-method-getAutoCorrect","name":"getAutoCorrect"},{"meta":{},"fullName":"Ext.field.Text.getComponent","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Text-method-getComponent","name":"getComponent"},{"meta":{},"fullName":"Ext.field.Text.getMaxLength","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Text-method-getMaxLength","name":"getMaxLength"},{"meta":{},"fullName":"Ext.field.Text.getPlaceHolder","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Text-method-getPlaceHolder","name":"getPlaceHolder"},{"meta":{},"fullName":"Ext.field.Text.getReadOnly","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Text-method-getReadOnly","name":"getReadOnly"},{"meta":{},"fullName":"Ext.field.Text.select","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Text-method-select","name":"select"},{"meta":{},"fullName":"Ext.field.Text.setAutoCapitalize","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Text-method-setAutoCapitalize","name":"setAutoCapitalize"},{"meta":{},"fullName":"Ext.field.Text.setAutoComplete","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Text-method-setAutoComplete","name":"setAutoComplete"},{"meta":{},"fullName":"Ext.field.Text.setAutoCorrect","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Text-method-setAutoCorrect","name":"setAutoCorrect"},{"meta":{},"fullName":"Ext.field.Text.setComponent","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Text-method-setComponent","name":"setComponent"},{"meta":{},"fullName":"Ext.field.Text.setMaxLength","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Text-method-setMaxLength","name":"setMaxLength"},{"meta":{},"fullName":"Ext.field.Text.setPlaceHolder","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Text-method-setPlaceHolder","name":"setPlaceHolder"},{"meta":{},"fullName":"Ext.field.Text.setReadOnly","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Text-method-setReadOnly","name":"setReadOnly"},{"meta":{"private":true},"fullName":"Ext.field.Text.updateInputCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Text-method-updateInputCls","name":"updateInputCls"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"Ext.field.Email","icon":"icon-component","sort":1,"url":"#!/api/Ext.field.Email","name":"Email"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"type":"class","fullName":"Ext.form.Email","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.field.Email","name":"Email"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"xtype: emailfield","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.field.Email","name":"emailfield"},{"meta":{},"fullName":"Ext.field.Email.autoCapitalize","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Email-cfg-autoCapitalize","name":"autoCapitalize"},{"meta":{},"fullName":"Ext.field.Email.component","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Email-cfg-component","name":"component"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"Ext.field.Hidden","icon":"icon-component","sort":1,"url":"#!/api/Ext.field.Hidden","name":"Hidden"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"type":"class","fullName":"Ext.form.Hidden","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.field.Hidden","name":"Hidden"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"xtype: hiddenfield","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.field.Hidden","name":"hiddenfield"},{"meta":{},"fullName":"Ext.field.Hidden.component","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Hidden-cfg-component","name":"component"},{"meta":{},"fullName":"Ext.field.Hidden.ui","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Hidden-cfg-ui","name":"ui"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"Ext.field.Number","icon":"icon-component","sort":1,"url":"#!/api/Ext.field.Number","name":"Number"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"type":"class","fullName":"Ext.form.Number","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.field.Number","name":"Number"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"xtype: numberfield","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.field.Number","name":"numberfield"},{"meta":{},"fullName":"Ext.field.Number.component","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Number-cfg-component","name":"component"},{"meta":{},"fullName":"Ext.field.Number.maxValue","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Number-cfg-maxValue","name":"maxValue"},{"meta":{},"fullName":"Ext.field.Number.minValue","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Number-cfg-minValue","name":"minValue"},{"meta":{},"fullName":"Ext.field.Number.stepValue","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Number-cfg-stepValue","name":"stepValue"},{"meta":{},"fullName":"Ext.field.Number.ui","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Number-cfg-ui","name":"ui"},{"meta":{},"fullName":"Ext.field.Number.getMaxValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Number-method-getMaxValue","name":"getMaxValue"},{"meta":{},"fullName":"Ext.field.Number.getMinValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Number-method-getMinValue","name":"getMinValue"},{"meta":{},"fullName":"Ext.field.Number.getStepValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Number-method-getStepValue","name":"getStepValue"},{"meta":{},"fullName":"Ext.field.Number.setMaxValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Number-method-setMaxValue","name":"setMaxValue"},{"meta":{},"fullName":"Ext.field.Number.setMinValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Number-method-setMinValue","name":"setMinValue"},{"meta":{},"fullName":"Ext.field.Number.setStepValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Number-method-setStepValue","name":"setStepValue"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"Ext.field.Password","icon":"icon-component","sort":1,"url":"#!/api/Ext.field.Password","name":"Password"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"type":"class","fullName":"Ext.form.Password","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.field.Password","name":"Password"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"xtype: passwordfield","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.field.Password","name":"passwordfield"},{"meta":{},"fullName":"Ext.field.Password.autoCapitalize","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Password-cfg-autoCapitalize","name":"autoCapitalize"},{"meta":{},"fullName":"Ext.field.Password.component","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Password-cfg-component","name":"component"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"Ext.field.Search","icon":"icon-component","sort":1,"url":"#!/api/Ext.field.Search","name":"Search"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"type":"class","fullName":"Ext.form.Search","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.field.Search","name":"Search"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"xtype: searchfield","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.field.Search","name":"searchfield"},{"meta":{},"fullName":"Ext.field.Search.component","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Search-cfg-component","name":"component"},{"meta":{},"fullName":"Ext.field.Search.ui","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Search-cfg-ui","name":"ui"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"Ext.field.Spinner","icon":"icon-component","sort":1,"url":"#!/api/Ext.field.Spinner","name":"Spinner"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"type":"class","fullName":"Ext.form.Spinner","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.field.Spinner","name":"Spinner"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"xtype: spinnerfield","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.field.Spinner","name":"spinnerfield"},{"meta":{},"fullName":"Ext.field.Spinner.spin","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Spinner-event-spin","name":"spin"},{"meta":{},"fullName":"Ext.field.Spinner.spindown","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Spinner-event-spindown","name":"spindown"},{"meta":{},"fullName":"Ext.field.Spinner.spinup","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Spinner-event-spinup","name":"spinup"},{"meta":{},"fullName":"Ext.field.Spinner.accelerateOnTapHold","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Spinner-cfg-accelerateOnTapHold","name":"accelerateOnTapHold"},{"meta":{},"fullName":"Ext.field.Spinner.cls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Spinner-cfg-cls","name":"cls"},{"meta":{},"fullName":"Ext.field.Spinner.component","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Spinner-cfg-component","name":"component"},{"meta":{},"fullName":"Ext.field.Spinner.cycle","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Spinner-cfg-cycle","name":"cycle"},{"meta":{},"fullName":"Ext.field.Spinner.defaultValue","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Spinner-cfg-defaultValue","name":"defaultValue"},{"meta":{},"fullName":"Ext.field.Spinner.groupButtons","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Spinner-cfg-groupButtons","name":"groupButtons"},{"meta":{},"fullName":"Ext.field.Spinner.increment","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Spinner-cfg-increment","name":"increment"},{"meta":{"deprecated":{"text":"Please use {@link #increment} instead","version":"2.0.0"}},"fullName":"Ext.field.Spinner.incrementValue","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Spinner-cfg-incrementValue","name":"incrementValue"},{"meta":{},"fullName":"Ext.field.Spinner.maxValue","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Spinner-cfg-maxValue","name":"maxValue"},{"meta":{},"fullName":"Ext.field.Spinner.minValue","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Spinner-cfg-minValue","name":"minValue"},{"meta":{"private":true},"fullName":"Ext.field.Spinner.doSetDisabled","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Spinner-method-doSetDisabled","name":"doSetDisabled"},{"meta":{},"fullName":"Ext.field.Spinner.getAccelerateOnTapHold","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Spinner-method-getAccelerateOnTapHold","name":"getAccelerateOnTapHold"},{"meta":{},"fullName":"Ext.field.Spinner.getCycle","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Spinner-method-getCycle","name":"getCycle"},{"meta":{},"fullName":"Ext.field.Spinner.getIncrement","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Spinner-method-getIncrement","name":"getIncrement"},{"meta":{},"fullName":"Ext.field.Spinner.getMaxValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Spinner-method-getMaxValue","name":"getMaxValue"},{"meta":{},"fullName":"Ext.field.Spinner.getMinValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Spinner-method-getMinValue","name":"getMinValue"},{"meta":{},"fullName":"Ext.field.Spinner.setAccelerateOnTapHold","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Spinner-method-setAccelerateOnTapHold","name":"setAccelerateOnTapHold"},{"meta":{},"fullName":"Ext.field.Spinner.setCycle","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Spinner-method-setCycle","name":"setCycle"},{"meta":{"private":true},"fullName":"Ext.field.Spinner.setDisabled","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Spinner-method-setDisabled","name":"setDisabled"},{"meta":{},"fullName":"Ext.field.Spinner.setIncrement","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Spinner-method-setIncrement","name":"setIncrement"},{"meta":{},"fullName":"Ext.field.Spinner.setMaxValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Spinner-method-setMaxValue","name":"setMaxValue"},{"meta":{},"fullName":"Ext.field.Spinner.setMinValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Spinner-method-setMinValue","name":"setMinValue"},{"meta":{},"fullName":"Ext.field.Spinner.updateComponent","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Spinner-method-updateComponent","name":"updateComponent"},{"meta":{"private":true},"fullName":"Ext.field.TextAreaInput","icon":"icon-component","sort":1,"url":"#!/api/Ext.field.TextAreaInput","name":"TextAreaInput"},{"meta":{"private":true},"fullName":"xtype: textareainput","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.field.TextAreaInput","name":"textareainput"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"Ext.field.TextArea","icon":"icon-component","sort":1,"url":"#!/api/Ext.field.TextArea","name":"TextArea"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"type":"class","fullName":"Ext.form.TextArea","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.field.TextArea","name":"TextArea"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"xtype: textareafield","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.field.TextArea","name":"textareafield"},{"meta":{},"fullName":"Ext.field.TextArea.$form-textarea-height","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.field.TextArea-css_var-S-form-textarea-height","name":"$form-textarea-height"},{"meta":{},"fullName":"Ext.field.TextArea.autoCapitalize","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.TextArea-cfg-autoCapitalize","name":"autoCapitalize"},{"meta":{},"fullName":"Ext.field.TextArea.component","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.TextArea-cfg-component","name":"component"},{"meta":{},"fullName":"Ext.field.TextArea.maxRows","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.TextArea-cfg-maxRows","name":"maxRows"},{"meta":{},"fullName":"Ext.field.TextArea.ui","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.TextArea-cfg-ui","name":"ui"},{"meta":{"private":true},"fullName":"Ext.field.TextArea.doKeyUp","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.TextArea-method-doKeyUp","name":"doKeyUp"},{"meta":{},"fullName":"Ext.field.TextArea.getMaxRows","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.TextArea-method-getMaxRows","name":"getMaxRows"},{"meta":{},"fullName":"Ext.field.TextArea.setMaxRows","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.TextArea-method-setMaxRows","name":"setMaxRows"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"Ext.field.Url","icon":"icon-component","sort":1,"url":"#!/api/Ext.field.Url","name":"Url"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"type":"class","fullName":"Ext.form.Url","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.field.Url","name":"Url"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"xtype: urlfield","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.field.Url","name":"urlfield"},{"meta":{},"fullName":"Ext.field.Url.autoCapitalize","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Url-cfg-autoCapitalize","name":"autoCapitalize"},{"meta":{},"fullName":"Ext.field.Url.component","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Url-cfg-component","name":"component"},{"meta":{},"fullName":"Ext.plugin.ListPaging","icon":"icon-component","sort":1,"url":"#!/api/Ext.plugin.ListPaging","name":"ListPaging"},{"meta":{},"fullName":"ptype: listpaging","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.plugin.ListPaging","name":"listpaging"},{"meta":{},"fullName":"Ext.plugin.ListPaging.loadmorecmpadded","icon":"icon-event","sort":3,"url":"#!/api/Ext.plugin.ListPaging-event-loadmorecmpadded","name":"loadmorecmpadded"},{"meta":{},"fullName":"Ext.plugin.ListPaging.autoPaging","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.plugin.ListPaging-cfg-autoPaging","name":"autoPaging"},{"meta":{"private":true},"fullName":"Ext.plugin.ListPaging.list","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.plugin.ListPaging-cfg-list","name":"list"},{"meta":{"private":true},"fullName":"Ext.plugin.ListPaging.loadMoreCmp","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.plugin.ListPaging-cfg-loadMoreCmp","name":"loadMoreCmp"},{"meta":{"private":true},"fullName":"Ext.plugin.ListPaging.loadMoreCmpAdded","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.plugin.ListPaging-cfg-loadMoreCmpAdded","name":"loadMoreCmpAdded"},{"meta":{},"fullName":"Ext.plugin.ListPaging.loadMoreText","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.plugin.ListPaging-cfg-loadMoreText","name":"loadMoreText"},{"meta":{"private":true},"fullName":"Ext.plugin.ListPaging.loadTpl","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.plugin.ListPaging-cfg-loadTpl","name":"loadTpl"},{"meta":{"private":true},"fullName":"Ext.plugin.ListPaging.loading","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.plugin.ListPaging-cfg-loading","name":"loading"},{"meta":{"private":true},"fullName":"Ext.plugin.ListPaging.loadingCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.plugin.ListPaging-cfg-loadingCls","name":"loadingCls"},{"meta":{},"fullName":"Ext.plugin.ListPaging.noMoreRecordsText","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.plugin.ListPaging-cfg-noMoreRecordsText","name":"noMoreRecordsText"},{"meta":{"private":true},"fullName":"Ext.plugin.ListPaging.scroller","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.plugin.ListPaging-cfg-scroller","name":"scroller"},{"meta":{"private":true},"fullName":"Ext.plugin.ListPaging.addLoadMoreCmp","icon":"icon-method","sort":3,"url":"#!/api/Ext.plugin.ListPaging-method-addLoadMoreCmp","name":"addLoadMoreCmp"},{"meta":{"private":true},"fullName":"Ext.plugin.ListPaging.applyLoadMoreCmp","icon":"icon-method","sort":3,"url":"#!/api/Ext.plugin.ListPaging-method-applyLoadMoreCmp","name":"applyLoadMoreCmp"},{"meta":{"private":true},"fullName":"Ext.plugin.ListPaging.applyLoadTpl","icon":"icon-method","sort":3,"url":"#!/api/Ext.plugin.ListPaging-method-applyLoadTpl","name":"applyLoadTpl"},{"meta":{"private":true},"fullName":"Ext.plugin.ListPaging.bindStore","icon":"icon-method","sort":3,"url":"#!/api/Ext.plugin.ListPaging-method-bindStore","name":"bindStore"},{"meta":{"private":true},"fullName":"Ext.plugin.ListPaging.disableDataViewMask","icon":"icon-method","sort":3,"url":"#!/api/Ext.plugin.ListPaging-method-disableDataViewMask","name":"disableDataViewMask"},{"meta":{"private":true},"fullName":"Ext.plugin.ListPaging.init","icon":"icon-method","sort":3,"url":"#!/api/Ext.plugin.ListPaging-method-init","name":"init"},{"meta":{"private":true},"fullName":"Ext.plugin.ListPaging.loadNextPage","icon":"icon-method","sort":3,"url":"#!/api/Ext.plugin.ListPaging-method-loadNextPage","name":"loadNextPage"},{"meta":{"private":true},"fullName":"Ext.plugin.ListPaging.onScrollEnd","icon":"icon-method","sort":3,"url":"#!/api/Ext.plugin.ListPaging-method-onScrollEnd","name":"onScrollEnd"},{"meta":{"private":true},"fullName":"Ext.plugin.ListPaging.onStoreBeforeLoad","icon":"icon-method","sort":3,"url":"#!/api/Ext.plugin.ListPaging-method-onStoreBeforeLoad","name":"onStoreBeforeLoad"},{"meta":{"private":true},"fullName":"Ext.plugin.ListPaging.onStoreLoad","icon":"icon-method","sort":3,"url":"#!/api/Ext.plugin.ListPaging-method-onStoreLoad","name":"onStoreLoad"},{"meta":{"private":true},"fullName":"Ext.plugin.ListPaging.storeFullyLoaded","icon":"icon-method","sort":3,"url":"#!/api/Ext.plugin.ListPaging-method-storeFullyLoaded","name":"storeFullyLoaded"},{"meta":{"private":true},"fullName":"Ext.plugin.ListPaging.updateLoading","icon":"icon-method","sort":3,"url":"#!/api/Ext.plugin.ListPaging-method-updateLoading","name":"updateLoading"},{"meta":{},"fullName":"Ext.plugin.PullRefresh","icon":"icon-component","sort":1,"url":"#!/api/Ext.plugin.PullRefresh","name":"PullRefresh"},{"meta":{},"fullName":"ptype: pullrefresh","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.plugin.PullRefresh","name":"pullrefresh"},{"meta":{"private":true},"fullName":"Ext.plugin.PullRefresh.applyPullTpl","icon":"icon-method","sort":3,"url":"#!/api/Ext.plugin.PullRefresh-method-applyPullTpl","name":"applyPullTpl"},{"meta":{"private":true},"fullName":"Ext.plugin.PullRefresh.fetchLatest","icon":"icon-method","sort":3,"url":"#!/api/Ext.plugin.PullRefresh-method-fetchLatest","name":"fetchLatest"},{"meta":{"private":true},"fullName":"Ext.plugin.PullRefresh.onLatestFetched","icon":"icon-method","sort":3,"url":"#!/api/Ext.plugin.PullRefresh-method-onLatestFetched","name":"onLatestFetched"},{"meta":{"private":true},"fullName":"Ext.scroll.indicator.Abstract","icon":"icon-component","sort":1,"url":"#!/api/Ext.scroll.indicator.Abstract","name":"Abstract"},{"meta":{"private":true},"fullName":"Ext.scroll.indicator.CssTransform","icon":"icon-component","sort":1,"url":"#!/api/Ext.scroll.indicator.CssTransform","name":"CssTransform"},{"meta":{"private":true},"fullName":"Ext.scroll.indicator.Default","icon":"icon-component","sort":1,"url":"#!/api/Ext.scroll.indicator.Default","name":"Default"},{"meta":{"private":true},"fullName":"Ext.scroll.indicator.ScrollPosition","icon":"icon-component","sort":1,"url":"#!/api/Ext.scroll.indicator.ScrollPosition","name":"ScrollPosition"},{"meta":{"private":true},"fullName":"Ext.scroll.Indicator","icon":"icon-class","sort":1,"url":"#!/api/Ext.scroll.Indicator","name":"Indicator"},{"meta":{"private":true},"type":"class","fullName":"Ext.util.Indicator","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.scroll.Indicator","name":"Indicator"},{"meta":{},"fullName":"Ext.scroll.View","icon":"icon-class","sort":1,"url":"#!/api/Ext.scroll.View","name":"View"},{"meta":{},"type":"class","fullName":"Ext.util.ScrollView","icon":"icon-class-redirect","sort":2,"url":"#!/api/Ext.scroll.View","name":"ScrollView"},{"meta":{},"fullName":"Ext.scroll.View.indicatorsUi","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.scroll.View-cfg-indicatorsUi","name":"indicatorsUi"},{"meta":{},"fullName":"Ext.scroll.View.getScroller","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.View-method-getScroller","name":"getScroller"},{"meta":{"private":true},"fullName":"Ext.scroll.View.processConfig","icon":"icon-method","sort":3,"url":"#!/api/Ext.scroll.View-method-processConfig","name":"processConfig"},{"meta":{"private":true},"fullName":"Ext.behavior.Scrollable","icon":"icon-class","sort":1,"url":"#!/api/Ext.behavior.Scrollable","name":"Scrollable"},{"meta":{},"fullName":"Ext.Container","icon":"icon-component","sort":1,"url":"#!/api/Ext.Container","name":"Container"},{"meta":{},"type":"class","fullName":"Ext.lib.Container","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.Container","name":"Container"},{"meta":{},"fullName":"xtype: container","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.Container","name":"container"},{"meta":{"deprecated":{"text":"Please use {@link #getItems} method instead.","version":"2.0.0"}},"fullName":"Ext.Container.items","icon":"icon-property","sort":3,"url":"#!/api/Ext.Container-property-items","name":"items"},{"meta":{},"fullName":"Ext.Container.activate","icon":"icon-event","sort":3,"url":"#!/api/Ext.Container-event-activate","name":"activate"},{"meta":{},"fullName":"Ext.Container.activeitemchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.Container-event-activeitemchange","name":"activeitemchange"},{"meta":{},"fullName":"Ext.Container.add","icon":"icon-event","sort":3,"url":"#!/api/Ext.Container-event-add","name":"add"},{"meta":{},"fullName":"Ext.Container.deactivate","icon":"icon-event","sort":3,"url":"#!/api/Ext.Container-event-deactivate","name":"deactivate"},{"meta":{},"fullName":"Ext.Container.move","icon":"icon-event","sort":3,"url":"#!/api/Ext.Container-event-move","name":"move"},{"meta":{},"fullName":"Ext.Container.remove","icon":"icon-event","sort":3,"url":"#!/api/Ext.Container-event-remove","name":"remove"},{"meta":{"private":true},"fullName":"Ext.Container.renderedchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.Container-event-renderedchange","name":"renderedchange"},{"meta":{},"fullName":"Ext.Container.activeItem","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Container-cfg-activeItem","name":"activeItem"},{"meta":{},"fullName":"Ext.Container.autoDestroy","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Container-cfg-autoDestroy","name":"autoDestroy"},{"meta":{"removed":{"text":"Please use {@link Ext.layout.Card#animation} instead","version":"2.0.0"}},"fullName":"Ext.Container.cardSwitchAnimation","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Container-cfg-cardSwitchAnimation","name":"cardSwitchAnimation"},{"meta":{},"fullName":"Ext.Container.control","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Container-cfg-control","name":"control"},{"meta":{},"fullName":"Ext.Container.defaultType","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Container-cfg-defaultType","name":"defaultType"},{"meta":{},"fullName":"Ext.Container.defaults","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Container-cfg-defaults","name":"defaults"},{"meta":{},"fullName":"Ext.Container.hideOnMaskTap","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Container-cfg-hideOnMaskTap","name":"hideOnMaskTap"},{"meta":{},"fullName":"Ext.Container.items","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Container-cfg-items","name":"items"},{"meta":{},"fullName":"Ext.Container.layout","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Container-cfg-layout","name":"layout"},{"meta":{},"fullName":"Ext.Container.masked","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Container-cfg-masked","name":"masked"},{"meta":{},"fullName":"Ext.Container.modal","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Container-cfg-modal","name":"modal"},{"meta":{"deprecated":{"text":"Please use the {@link #scrollable} configuration.","version":"2.0.0"}},"fullName":"Ext.Container.scroll","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Container-cfg-scroll","name":"scroll"},{"meta":{},"fullName":"Ext.Container.scrollable","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Container-cfg-scrollable","name":"scrollable"},{"meta":{},"fullName":"Ext.Container.add","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-add","name":"add"},{"meta":{"deprecated":{"text":"Please use {@link #method-add} instead.","version":"2.0.0"}},"fullName":"Ext.Container.addAll","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-addAll","name":"addAll"},{"meta":{},"fullName":"Ext.Container.animateActiveItem","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-animateActiveItem","name":"animateActiveItem"},{"meta":{"private":true},"fullName":"Ext.Container.applyActiveItem","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-applyActiveItem","name":"applyActiveItem"},{"meta":{"private":true},"fullName":"Ext.Container.applyControl","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-applyControl","name":"applyControl"},{"meta":{},"fullName":"Ext.Container.applyMasked","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-applyMasked","name":"applyMasked"},{"meta":{"private":true},"fullName":"Ext.Container.applyScrollable","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-applyScrollable","name":"applyScrollable"},{"meta":{},"fullName":"Ext.Container.child","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-child","name":"child"},{"meta":{"private":true},"fullName":"Ext.Container.doAdd","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-doAdd","name":"doAdd"},{"meta":{"private":true},"fullName":"Ext.Container.doInsert","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-doInsert","name":"doInsert"},{"meta":{"private":true},"fullName":"Ext.Container.doSetActiveItem","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-doSetActiveItem","name":"doSetActiveItem"},{"meta":{},"fullName":"Ext.Container.down","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-down","name":"down"},{"meta":{},"fullName":"Ext.Container.getActiveItem","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-getActiveItem","name":"getActiveItem"},{"meta":{},"fullName":"Ext.Container.getAt","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-getAt","name":"getAt"},{"meta":{},"fullName":"Ext.Container.getAutoDestroy","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-getAutoDestroy","name":"getAutoDestroy"},{"meta":{},"fullName":"Ext.Container.getComponent","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-getComponent","name":"getComponent"},{"meta":{},"fullName":"Ext.Container.getDefaultType","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-getDefaultType","name":"getDefaultType"},{"meta":{},"fullName":"Ext.Container.getDefaults","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-getDefaults","name":"getDefaults"},{"meta":{},"fullName":"Ext.Container.getDockedComponent","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-getDockedComponent","name":"getDockedComponent"},{"meta":{},"fullName":"Ext.Container.getDockedItems","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-getDockedItems","name":"getDockedItems"},{"meta":{},"fullName":"Ext.Container.getHideOnMaskTap","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-getHideOnMaskTap","name":"getHideOnMaskTap"},{"meta":{},"fullName":"Ext.Container.getInnerItems","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-getInnerItems","name":"getInnerItems"},{"meta":{},"fullName":"Ext.Container.getItems","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-getItems","name":"getItems"},{"meta":{},"fullName":"Ext.Container.getLayout","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-getLayout","name":"getLayout"},{"meta":{},"fullName":"Ext.Container.getMasked","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-getMasked","name":"getMasked"},{"meta":{},"fullName":"Ext.Container.getModal","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-getModal","name":"getModal"},{"meta":{},"fullName":"Ext.Container.getScrollable","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-getScrollable","name":"getScrollable"},{"meta":{"private":true},"fullName":"Ext.Container.getScrollableBehavior","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-getScrollableBehavior","name":"getScrollableBehavior"},{"meta":{"private":true},"fullName":"Ext.Container.has","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-has","name":"has"},{"meta":{"private":true},"fullName":"Ext.Container.hasInnerItem","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-hasInnerItem","name":"hasInnerItem"},{"meta":{"private":true},"fullName":"Ext.Container.indexOf","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-indexOf","name":"indexOf"},{"meta":{},"fullName":"Ext.Container.insert","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-insert","name":"insert"},{"meta":{"private":true},"fullName":"Ext.Container.insertAfter","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-insertAfter","name":"insertAfter"},{"meta":{"private":true},"fullName":"Ext.Container.insertBefore","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-insertBefore","name":"insertBefore"},{"meta":{"private":true},"fullName":"Ext.Container.insertFirst","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-insertFirst","name":"insertFirst"},{"meta":{"private":true},"fullName":"Ext.Container.insertInner","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-insertInner","name":"insertInner"},{"meta":{"private":true},"fullName":"Ext.Container.insertLast","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-insertLast","name":"insertLast"},{"meta":{},"fullName":"Ext.Container.mask","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-mask","name":"mask"},{"meta":{"private":true},"fullName":"Ext.Container.onFirstItemAdd","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-onFirstItemAdd","name":"onFirstItemAdd"},{"meta":{"private":true},"fullName":"Ext.Container.onItemAdd","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-onItemAdd","name":"onItemAdd"},{"meta":{"private":true},"fullName":"Ext.Container.onItemCenteredChange","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-onItemCenteredChange","name":"onItemCenteredChange"},{"meta":{"private":true},"fullName":"Ext.Container.onItemDockedChange","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-onItemDockedChange","name":"onItemDockedChange"},{"meta":{"private":true},"fullName":"Ext.Container.onItemFloatingChange","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-onItemFloatingChange","name":"onItemFloatingChange"},{"meta":{"private":true},"fullName":"Ext.Container.onItemMove","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-onItemMove","name":"onItemMove"},{"meta":{"private":true},"fullName":"Ext.Container.onItemRemove","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-onItemRemove","name":"onItemRemove"},{"meta":{},"fullName":"Ext.Container.query","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-query","name":"query"},{"meta":{},"fullName":"Ext.Container.remove","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-remove","name":"remove"},{"meta":{},"fullName":"Ext.Container.removeAll","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-removeAll","name":"removeAll"},{"meta":{},"fullName":"Ext.Container.removeAt","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-removeAt","name":"removeAt"},{"meta":{"deprecated":{"text":"Please use {@link #method-remove} instead.","version":"2.0.0"}},"fullName":"Ext.Container.removeDocked","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-removeDocked","name":"removeDocked"},{"meta":{"private":true},"fullName":"Ext.Container.removeInner","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-removeInner","name":"removeInner"},{"meta":{},"fullName":"Ext.Container.removeInnerAt","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-removeInnerAt","name":"removeInnerAt"},{"meta":{},"fullName":"Ext.Container.setActiveItem","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-setActiveItem","name":"setActiveItem"},{"meta":{},"fullName":"Ext.Container.setAutoDestroy","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-setAutoDestroy","name":"setAutoDestroy"},{"meta":{},"fullName":"Ext.Container.setDefaultType","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-setDefaultType","name":"setDefaultType"},{"meta":{},"fullName":"Ext.Container.setDefaults","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-setDefaults","name":"setDefaults"},{"meta":{},"fullName":"Ext.Container.setHideOnMaskTap","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-setHideOnMaskTap","name":"setHideOnMaskTap"},{"meta":{},"fullName":"Ext.Container.setItems","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-setItems","name":"setItems"},{"meta":{},"fullName":"Ext.Container.setLayout","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-setLayout","name":"setLayout"},{"meta":{},"fullName":"Ext.Container.setMasked","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-setMasked","name":"setMasked"},{"meta":{},"fullName":"Ext.Container.setModal","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-setModal","name":"setModal"},{"meta":{"private":true},"fullName":"Ext.Container.setRendered","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-setRendered","name":"setRendered"},{"meta":{},"fullName":"Ext.Container.setScrollable","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-setScrollable","name":"setScrollable"},{"meta":{},"fullName":"Ext.Container.unmask","icon":"icon-method","sort":3,"url":"#!/api/Ext.Container-method-unmask","name":"unmask"},{"meta":{"aside":[{"type":"guide","name":"floating_components"}]},"fullName":"Ext.Panel","icon":"icon-component","sort":1,"url":"#!/api/Ext.Panel","name":"Panel"},{"meta":{"aside":[{"type":"guide","name":"floating_components"}]},"type":"class","fullName":"Ext.lib.Panel","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.Panel","name":"Panel"},{"meta":{"aside":[{"type":"guide","name":"floating_components"}]},"fullName":"xtype: panel","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.Panel","name":"panel"},{"meta":{"deprecated":{"text":"","version":"2.0.0"}},"fullName":"Ext.Panel.bodyBorder","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Panel-cfg-bodyBorder","name":"bodyBorder"},{"meta":{"deprecated":{"text":"","version":"2.0.0"}},"fullName":"Ext.Panel.bodyMargin","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Panel-cfg-bodyMargin","name":"bodyMargin"},{"meta":{"deprecated":{"text":"","version":"2.0.0"}},"fullName":"Ext.Panel.bodyPadding","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Panel-cfg-bodyPadding","name":"bodyPadding"},{"meta":{},"fullName":"Ext.SegmentedButton","icon":"icon-component","sort":1,"url":"#!/api/Ext.SegmentedButton","name":"SegmentedButton"},{"meta":{},"fullName":"xtype: segmentedbutton","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.SegmentedButton","name":"segmentedbutton"},{"meta":{},"fullName":"Ext.SegmentedButton.toggle","icon":"icon-event","sort":3,"url":"#!/api/Ext.SegmentedButton-event-toggle","name":"toggle"},{"meta":{},"fullName":"Ext.SegmentedButton.allowDepress","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.SegmentedButton-cfg-allowDepress","name":"allowDepress"},{"meta":{},"fullName":"Ext.SegmentedButton.allowMultiple","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.SegmentedButton-cfg-allowMultiple","name":"allowMultiple"},{"meta":{},"fullName":"Ext.SegmentedButton.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.SegmentedButton-cfg-baseCls","name":"baseCls"},{"meta":{},"fullName":"Ext.SegmentedButton.defaultType","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.SegmentedButton-cfg-defaultType","name":"defaultType"},{"meta":{},"fullName":"Ext.SegmentedButton.layout","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.SegmentedButton-cfg-layout","name":"layout"},{"meta":{},"fullName":"Ext.SegmentedButton.pressedButtons","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.SegmentedButton-cfg-pressedButtons","name":"pressedButtons"},{"meta":{},"fullName":"Ext.SegmentedButton.pressedCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.SegmentedButton-cfg-pressedCls","name":"pressedCls"},{"meta":{},"fullName":"Ext.SegmentedButton.applyItems","icon":"icon-method","sort":3,"url":"#!/api/Ext.SegmentedButton-method-applyItems","name":"applyItems"},{"meta":{"private":true},"fullName":"Ext.SegmentedButton.applyPressedButtons","icon":"icon-method","sort":3,"url":"#!/api/Ext.SegmentedButton-method-applyPressedButtons","name":"applyPressedButtons"},{"meta":{"private":true},"fullName":"Ext.SegmentedButton.doSetDisabled","icon":"icon-method","sort":3,"url":"#!/api/Ext.SegmentedButton-method-doSetDisabled","name":"doSetDisabled"},{"meta":{},"fullName":"Ext.SegmentedButton.getAllowDepress","icon":"icon-method","sort":3,"url":"#!/api/Ext.SegmentedButton-method-getAllowDepress","name":"getAllowDepress"},{"meta":{},"fullName":"Ext.SegmentedButton.getAllowMultiple","icon":"icon-method","sort":3,"url":"#!/api/Ext.SegmentedButton-method-getAllowMultiple","name":"getAllowMultiple"},{"meta":{"deprecated":{"text":"Please use {@link #getPressedButtons} instead","version":"2.0.0"}},"fullName":"Ext.SegmentedButton.getPressed","icon":"icon-method","sort":3,"url":"#!/api/Ext.SegmentedButton-method-getPressed","name":"getPressed"},{"meta":{},"fullName":"Ext.SegmentedButton.getPressedButtons","icon":"icon-method","sort":3,"url":"#!/api/Ext.SegmentedButton-method-getPressedButtons","name":"getPressedButtons"},{"meta":{},"fullName":"Ext.SegmentedButton.getPressedCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.SegmentedButton-method-getPressedCls","name":"getPressedCls"},{"meta":{},"fullName":"Ext.SegmentedButton.isPressed","icon":"icon-method","sort":3,"url":"#!/api/Ext.SegmentedButton-method-isPressed","name":"isPressed"},{"meta":{"private":true},"fullName":"Ext.SegmentedButton.onButtonRelease","icon":"icon-method","sort":3,"url":"#!/api/Ext.SegmentedButton-method-onButtonRelease","name":"onButtonRelease"},{"meta":{},"fullName":"Ext.SegmentedButton.setAllowDepress","icon":"icon-method","sort":3,"url":"#!/api/Ext.SegmentedButton-method-setAllowDepress","name":"setAllowDepress"},{"meta":{},"fullName":"Ext.SegmentedButton.setAllowMultiple","icon":"icon-method","sort":3,"url":"#!/api/Ext.SegmentedButton-method-setAllowMultiple","name":"setAllowMultiple"},{"meta":{"deprecated":{"text":"Please use {@link #setPressedButtons} instead","version":"2.0.0"}},"fullName":"Ext.SegmentedButton.setPressed","icon":"icon-method","sort":3,"url":"#!/api/Ext.SegmentedButton-method-setPressed","name":"setPressed"},{"meta":{},"fullName":"Ext.SegmentedButton.setPressedButtons","icon":"icon-method","sort":3,"url":"#!/api/Ext.SegmentedButton-method-setPressedButtons","name":"setPressedButtons"},{"meta":{},"fullName":"Ext.SegmentedButton.setPressedCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.SegmentedButton-method-setPressedCls","name":"setPressedCls"},{"meta":{"private":true},"fullName":"Ext.SegmentedButton.updatePressedButtons","icon":"icon-method","sort":3,"url":"#!/api/Ext.SegmentedButton-method-updatePressedButtons","name":"updatePressedButtons"},{"meta":{},"fullName":"Ext.Sheet","icon":"icon-component","sort":1,"url":"#!/api/Ext.Sheet","name":"Sheet"},{"meta":{},"fullName":"xtype: sheet","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.Sheet","name":"sheet"},{"meta":{},"fullName":"Ext.Sheet.centeredchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.Sheet-event-centeredchange","name":"centeredchange"},{"meta":{},"fullName":"Ext.Sheet.$sheet-bg-color","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.Sheet-css_var-S-sheet-bg-color","name":"$sheet-bg-color"},{"meta":{},"fullName":"Ext.Sheet.$sheet-bg-gradient","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.Sheet-css_var-S-sheet-bg-gradient","name":"$sheet-bg-gradient"},{"meta":{},"fullName":"Ext.Sheet.$sheet-button-spacing","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.Sheet-css_var-S-sheet-button-spacing","name":"$sheet-button-spacing"},{"meta":{},"fullName":"Ext.Sheet.$sheet-padding","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.Sheet-css_var-S-sheet-padding","name":"$sheet-padding"},{"meta":{},"fullName":"Ext.Sheet.sencha-sheet","icon":"icon-css_mixin","sort":3,"url":"#!/api/Ext.Sheet-css_mixin-sencha-sheet","name":"sencha-sheet"},{"meta":{},"fullName":"Ext.Sheet.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Sheet-cfg-baseCls","name":"baseCls"},{"meta":{},"fullName":"Ext.Sheet.centered","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Sheet-cfg-centered","name":"centered"},{"meta":{},"fullName":"Ext.Sheet.enter","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Sheet-cfg-enter","name":"enter"},{"meta":{},"fullName":"Ext.Sheet.exit","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Sheet-cfg-exit","name":"exit"},{"meta":{},"fullName":"Ext.Sheet.hideAnimation","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Sheet-cfg-hideAnimation","name":"hideAnimation"},{"meta":{},"fullName":"Ext.Sheet.modal","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Sheet-cfg-modal","name":"modal"},{"meta":{},"fullName":"Ext.Sheet.showAnimation","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Sheet-cfg-showAnimation","name":"showAnimation"},{"meta":{},"fullName":"Ext.Sheet.stretchX","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Sheet-cfg-stretchX","name":"stretchX"},{"meta":{},"fullName":"Ext.Sheet.stretchY","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Sheet-cfg-stretchY","name":"stretchY"},{"meta":{},"fullName":"Ext.Sheet.getCentered","icon":"icon-method","sort":3,"url":"#!/api/Ext.Sheet-method-getCentered","name":"getCentered"},{"meta":{},"fullName":"Ext.Sheet.setCentered","icon":"icon-method","sort":3,"url":"#!/api/Ext.Sheet-method-setCentered","name":"setCentered"},{"meta":{},"fullName":"Ext.ActionSheet","icon":"icon-component","sort":1,"url":"#!/api/Ext.ActionSheet","name":"ActionSheet"},{"meta":{},"fullName":"xtype: actionsheet","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.ActionSheet","name":"actionsheet"},{"meta":{},"fullName":"Ext.ActionSheet.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.ActionSheet-cfg-baseCls","name":"baseCls"},{"meta":{},"fullName":"Ext.ActionSheet.bottom","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.ActionSheet-cfg-bottom","name":"bottom"},{"meta":{},"fullName":"Ext.ActionSheet.defaultType","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.ActionSheet-cfg-defaultType","name":"defaultType"},{"meta":{},"fullName":"Ext.ActionSheet.height","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.ActionSheet-cfg-height","name":"height"},{"meta":{},"fullName":"Ext.ActionSheet.left","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.ActionSheet-cfg-left","name":"left"},{"meta":{},"fullName":"Ext.ActionSheet.right","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.ActionSheet-cfg-right","name":"right"},{"meta":{},"fullName":"Ext.TitleBar","icon":"icon-component","sort":1,"url":"#!/api/Ext.TitleBar","name":"TitleBar"},{"meta":{},"fullName":"xtype: titlebar","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.TitleBar","name":"titlebar"},{"meta":{"private":true},"fullName":"Ext.TitleBar.maxButtonWidth","icon":"icon-property","sort":3,"url":"#!/api/Ext.TitleBar-property-maxButtonWidth","name":"maxButtonWidth"},{"meta":{},"fullName":"Ext.TitleBar.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.TitleBar-cfg-baseCls","name":"baseCls"},{"meta":{},"fullName":"Ext.TitleBar.cls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.TitleBar-cfg-cls","name":"cls"},{"meta":{},"fullName":"Ext.TitleBar.defaultType","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.TitleBar-cfg-defaultType","name":"defaultType"},{"meta":{},"fullName":"Ext.TitleBar.items","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.TitleBar-cfg-items","name":"items"},{"meta":{},"fullName":"Ext.TitleBar.title","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.TitleBar-cfg-title","name":"title"},{"meta":{},"fullName":"Ext.TitleBar.ui","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.TitleBar-cfg-ui","name":"ui"},{"meta":{},"fullName":"Ext.TitleBar.getDefaultType","icon":"icon-method","sort":3,"url":"#!/api/Ext.TitleBar-method-getDefaultType","name":"getDefaultType"},{"meta":{},"fullName":"Ext.TitleBar.getItems","icon":"icon-method","sort":3,"url":"#!/api/Ext.TitleBar-method-getItems","name":"getItems"},{"meta":{},"fullName":"Ext.TitleBar.getTitle","icon":"icon-method","sort":3,"url":"#!/api/Ext.TitleBar-method-getTitle","name":"getTitle"},{"meta":{},"fullName":"Ext.TitleBar.getUi","icon":"icon-method","sort":3,"url":"#!/api/Ext.TitleBar-method-getUi","name":"getUi"},{"meta":{},"fullName":"Ext.TitleBar.setDefaultType","icon":"icon-method","sort":3,"url":"#!/api/Ext.TitleBar-method-setDefaultType","name":"setDefaultType"},{"meta":{},"fullName":"Ext.TitleBar.setItems","icon":"icon-method","sort":3,"url":"#!/api/Ext.TitleBar-method-setItems","name":"setItems"},{"meta":{},"fullName":"Ext.TitleBar.setTitle","icon":"icon-method","sort":3,"url":"#!/api/Ext.TitleBar-method-setTitle","name":"setTitle"},{"meta":{},"fullName":"Ext.TitleBar.setUi","icon":"icon-method","sort":3,"url":"#!/api/Ext.TitleBar-method-setUi","name":"setUi"},{"meta":{"aside":[{"type":"video","name":"tabs-toolbars"}]},"fullName":"Ext.Toolbar","icon":"icon-component","sort":1,"url":"#!/api/Ext.Toolbar","name":"Toolbar"},{"meta":{"aside":[{"type":"video","name":"tabs-toolbars"}]},"fullName":"xtype: toolbar","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.Toolbar","name":"toolbar"},{"meta":{},"fullName":"Ext.Toolbar.$include-toolbar-uis","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.Toolbar-css_var-S-include-toolbar-uis","name":"$include-toolbar-uis"},{"meta":{},"fullName":"Ext.Toolbar.$toolbar-base-color","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.Toolbar-css_var-S-toolbar-base-color","name":"$toolbar-base-color"},{"meta":{},"fullName":"Ext.Toolbar.$toolbar-gradient","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.Toolbar-css_var-S-toolbar-gradient","name":"$toolbar-gradient"},{"meta":{},"fullName":"Ext.Toolbar.$toolbar-spacing","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.Toolbar-css_var-S-toolbar-spacing","name":"$toolbar-spacing"},{"meta":{},"fullName":"Ext.Toolbar.sencha-toolbar","icon":"icon-css_mixin","sort":3,"url":"#!/api/Ext.Toolbar-css_mixin-sencha-toolbar","name":"sencha-toolbar"},{"meta":{},"fullName":"Ext.Toolbar.sencha-toolbar-ui","icon":"icon-css_mixin","sort":3,"url":"#!/api/Ext.Toolbar-css_mixin-sencha-toolbar-ui","name":"sencha-toolbar-ui"},{"meta":{},"fullName":"Ext.Toolbar.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Toolbar-cfg-baseCls","name":"baseCls"},{"meta":{},"fullName":"Ext.Toolbar.defaultType","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Toolbar-cfg-defaultType","name":"defaultType"},{"meta":{},"fullName":"Ext.Toolbar.docked","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Toolbar-cfg-docked","name":"docked"},{"meta":{},"fullName":"Ext.Toolbar.layout","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Toolbar-cfg-layout","name":"layout"},{"meta":{},"fullName":"Ext.Toolbar.title","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Toolbar-cfg-title","name":"title"},{"meta":{"removed":{"text":"Title class is now a config option of the title","version":"2.0.0"}},"fullName":"Ext.Toolbar.titleCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Toolbar-cfg-titleCls","name":"titleCls"},{"meta":{},"fullName":"Ext.Toolbar.ui","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.Toolbar-cfg-ui","name":"ui"},{"meta":{},"fullName":"Ext.Toolbar.getDefaultType","icon":"icon-method","sort":3,"url":"#!/api/Ext.Toolbar-method-getDefaultType","name":"getDefaultType"},{"meta":{},"fullName":"Ext.Toolbar.getDocked","icon":"icon-method","sort":3,"url":"#!/api/Ext.Toolbar-method-getDocked","name":"getDocked"},{"meta":{},"fullName":"Ext.Toolbar.getLayout","icon":"icon-method","sort":3,"url":"#!/api/Ext.Toolbar-method-getLayout","name":"getLayout"},{"meta":{},"fullName":"Ext.Toolbar.getTitle","icon":"icon-method","sort":3,"url":"#!/api/Ext.Toolbar-method-getTitle","name":"getTitle"},{"meta":{},"fullName":"Ext.Toolbar.getUi","icon":"icon-method","sort":3,"url":"#!/api/Ext.Toolbar-method-getUi","name":"getUi"},{"meta":{},"fullName":"Ext.Toolbar.hideTitle","icon":"icon-method","sort":3,"url":"#!/api/Ext.Toolbar-method-hideTitle","name":"hideTitle"},{"meta":{},"fullName":"Ext.Toolbar.setDefaultType","icon":"icon-method","sort":3,"url":"#!/api/Ext.Toolbar-method-setDefaultType","name":"setDefaultType"},{"meta":{},"fullName":"Ext.Toolbar.setDocked","icon":"icon-method","sort":3,"url":"#!/api/Ext.Toolbar-method-setDocked","name":"setDocked"},{"meta":{},"fullName":"Ext.Toolbar.setLayout","icon":"icon-method","sort":3,"url":"#!/api/Ext.Toolbar-method-setLayout","name":"setLayout"},{"meta":{},"fullName":"Ext.Toolbar.setTitle","icon":"icon-method","sort":3,"url":"#!/api/Ext.Toolbar-method-setTitle","name":"setTitle"},{"meta":{},"fullName":"Ext.Toolbar.setUi","icon":"icon-method","sort":3,"url":"#!/api/Ext.Toolbar-method-setUi","name":"setUi"},{"meta":{},"fullName":"Ext.Toolbar.showTitle","icon":"icon-method","sort":3,"url":"#!/api/Ext.Toolbar-method-showTitle","name":"showTitle"},{"meta":{},"fullName":"Ext.MessageBox","icon":"icon-component","sort":1,"url":"#!/api/Ext.MessageBox","name":"MessageBox"},{"meta":{},"fullName":"Ext.MessageBox.zIndex","icon":"icon-property","sort":3,"url":"#!/api/Ext.MessageBox-property-zIndex","name":"zIndex"},{"meta":{},"fullName":"Ext.MessageBox.sencha-msgbox","icon":"icon-css_mixin","sort":3,"url":"#!/api/Ext.MessageBox-css_mixin-sencha-msgbox","name":"sencha-msgbox"},{"meta":{},"fullName":"Ext.MessageBox.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.MessageBox-cfg-baseCls","name":"baseCls"},{"meta":{},"fullName":"Ext.MessageBox.buttons","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.MessageBox-cfg-buttons","name":"buttons"},{"meta":{},"fullName":"Ext.MessageBox.defaultTextHeight","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.MessageBox-cfg-defaultTextHeight","name":"defaultTextHeight"},{"meta":{},"fullName":"Ext.MessageBox.hideAnimation","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.MessageBox-cfg-hideAnimation","name":"hideAnimation"},{"meta":{"removed":{"text":"Use #iconCls instead.","version":"2.0"}},"fullName":"Ext.MessageBox.icon","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.MessageBox-cfg-icon","name":"icon"},{"meta":{},"fullName":"Ext.MessageBox.iconCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.MessageBox-cfg-iconCls","name":"iconCls"},{"meta":{},"fullName":"Ext.MessageBox.layout","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.MessageBox-cfg-layout","name":"layout"},{"meta":{},"fullName":"Ext.MessageBox.message","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.MessageBox-cfg-message","name":"message"},{"meta":{"removed":{"text":"Please use {@link #message} instead.","version":"2.0.0"}},"fullName":"Ext.MessageBox.msg","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.MessageBox-cfg-msg","name":"msg"},{"meta":{},"fullName":"Ext.MessageBox.prompt","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.MessageBox-cfg-prompt","name":"prompt"},{"meta":{},"fullName":"Ext.MessageBox.showAnimation","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.MessageBox-cfg-showAnimation","name":"showAnimation"},{"meta":{},"fullName":"Ext.MessageBox.title","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.MessageBox-cfg-title","name":"title"},{"meta":{},"fullName":"Ext.MessageBox.ui","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.MessageBox-cfg-ui","name":"ui"},{"meta":{},"fullName":"Ext.MessageBox.alert","icon":"icon-method","sort":3,"url":"#!/api/Ext.MessageBox-method-alert","name":"alert"},{"meta":{"private":true},"fullName":"Ext.MessageBox.applyIconCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.MessageBox-method-applyIconCls","name":"applyIconCls"},{"meta":{"private":true},"fullName":"Ext.MessageBox.applyMessage","icon":"icon-method","sort":3,"url":"#!/api/Ext.MessageBox-method-applyMessage","name":"applyMessage"},{"meta":{"private":true},"fullName":"Ext.MessageBox.applyPrompt","icon":"icon-method","sort":3,"url":"#!/api/Ext.MessageBox-method-applyPrompt","name":"applyPrompt"},{"meta":{"private":true},"fullName":"Ext.MessageBox.applyTitle","icon":"icon-method","sort":3,"url":"#!/api/Ext.MessageBox-method-applyTitle","name":"applyTitle"},{"meta":{},"fullName":"Ext.MessageBox.confirm","icon":"icon-method","sort":3,"url":"#!/api/Ext.MessageBox-method-confirm","name":"confirm"},{"meta":{},"fullName":"Ext.MessageBox.getDefaultTextHeight","icon":"icon-method","sort":3,"url":"#!/api/Ext.MessageBox-method-getDefaultTextHeight","name":"getDefaultTextHeight"},{"meta":{},"fullName":"Ext.MessageBox.getIconCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.MessageBox-method-getIconCls","name":"getIconCls"},{"meta":{},"fullName":"Ext.MessageBox.getMessage","icon":"icon-method","sort":3,"url":"#!/api/Ext.MessageBox-method-getMessage","name":"getMessage"},{"meta":{},"fullName":"Ext.MessageBox.getPrompt","icon":"icon-method","sort":3,"url":"#!/api/Ext.MessageBox-method-getPrompt","name":"getPrompt"},{"meta":{},"fullName":"Ext.MessageBox.getTitle","icon":"icon-method","sort":3,"url":"#!/api/Ext.MessageBox-method-getTitle","name":"getTitle"},{"meta":{},"fullName":"Ext.MessageBox.prompt","icon":"icon-method","sort":3,"url":"#!/api/Ext.MessageBox-method-prompt","name":"prompt"},{"meta":{},"fullName":"Ext.MessageBox.setDefaultTextHeight","icon":"icon-method","sort":3,"url":"#!/api/Ext.MessageBox-method-setDefaultTextHeight","name":"setDefaultTextHeight"},{"meta":{"deprecated":{"text":"Please use #setIconCls instead.","version":"2.0"}},"fullName":"Ext.MessageBox.setIcon","icon":"icon-method","sort":3,"url":"#!/api/Ext.MessageBox-method-setIcon","name":"setIcon"},{"meta":{},"fullName":"Ext.MessageBox.setIconCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.MessageBox-method-setIconCls","name":"setIconCls"},{"meta":{},"fullName":"Ext.MessageBox.setMessage","icon":"icon-method","sort":3,"url":"#!/api/Ext.MessageBox-method-setMessage","name":"setMessage"},{"meta":{},"fullName":"Ext.MessageBox.setPrompt","icon":"icon-method","sort":3,"url":"#!/api/Ext.MessageBox-method-setPrompt","name":"setPrompt"},{"meta":{},"fullName":"Ext.MessageBox.setTitle","icon":"icon-method","sort":3,"url":"#!/api/Ext.MessageBox-method-setTitle","name":"setTitle"},{"meta":{},"fullName":"Ext.MessageBox.show","icon":"icon-method","sort":3,"url":"#!/api/Ext.MessageBox-method-show","name":"show"},{"meta":{"private":true},"fullName":"Ext.MessageBox.updateButtons","icon":"icon-method","sort":3,"url":"#!/api/Ext.MessageBox-method-updateButtons","name":"updateButtons"},{"meta":{"private":true},"fullName":"Ext.MessageBox.updateIconCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.MessageBox-method-updateIconCls","name":"updateIconCls"},{"meta":{"private":true},"fullName":"Ext.MessageBox.updateMessage","icon":"icon-method","sort":3,"url":"#!/api/Ext.MessageBox-method-updateMessage","name":"updateMessage"},{"meta":{"private":true},"fullName":"Ext.MessageBox.updatePrompt","icon":"icon-method","sort":3,"url":"#!/api/Ext.MessageBox-method-updatePrompt","name":"updatePrompt"},{"meta":{"deprecated":{"text":"Please use #setMessage instead.","version":"2.0.0"}},"fullName":"Ext.MessageBox.updateText","icon":"icon-method","sort":3,"url":"#!/api/Ext.MessageBox-method-updateText","name":"updateText"},{"meta":{"private":true},"fullName":"Ext.MessageBox.updateTitle","icon":"icon-method","sort":3,"url":"#!/api/Ext.MessageBox-method-updateTitle","name":"updateTitle"},{"meta":{},"fullName":"Ext.Msg","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.Msg","name":"Msg"},{"meta":{"author":["Jacky Nguyen <jacky@sencha.com>"],"aside":[{"type":"guide","name":"carousel"}]},"fullName":"Ext.carousel.Carousel","icon":"icon-component","sort":1,"url":"#!/api/Ext.carousel.Carousel","name":"Carousel"},{"meta":{"author":["Jacky Nguyen <jacky@sencha.com>"],"aside":[{"type":"guide","name":"carousel"}]},"type":"class","fullName":"Ext.Carousel","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.carousel.Carousel","name":"Carousel"},{"meta":{"author":["Jacky Nguyen <jacky@sencha.com>"],"aside":[{"type":"guide","name":"carousel"}]},"fullName":"xtype: carousel","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.carousel.Carousel","name":"carousel"},{"meta":{},"fullName":"Ext.carousel.Carousel.sencha-carousel","icon":"icon-css_mixin","sort":3,"url":"#!/api/Ext.carousel.Carousel-css_mixin-sencha-carousel","name":"sencha-carousel"},{"meta":{},"fullName":"Ext.carousel.Carousel.direction","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.carousel.Carousel-cfg-direction","name":"direction"},{"meta":{},"fullName":"Ext.carousel.Carousel.indicator","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.carousel.Carousel-cfg-indicator","name":"indicator"},{"meta":{"private":true},"fullName":"Ext.carousel.Carousel.layout","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.carousel.Carousel-cfg-layout","name":"layout"},{"meta":{},"fullName":"Ext.carousel.Carousel.ui","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.carousel.Carousel-cfg-ui","name":"ui"},{"meta":{},"fullName":"Ext.carousel.Carousel.getActiveIndex","icon":"icon-method","sort":3,"url":"#!/api/Ext.carousel.Carousel-method-getActiveIndex","name":"getActiveIndex"},{"meta":{},"fullName":"Ext.carousel.Carousel.getDirection","icon":"icon-method","sort":3,"url":"#!/api/Ext.carousel.Carousel-method-getDirection","name":"getDirection"},{"meta":{},"fullName":"Ext.carousel.Carousel.getIndicator","icon":"icon-method","sort":3,"url":"#!/api/Ext.carousel.Carousel-method-getIndicator","name":"getIndicator"},{"meta":{"private":true},"fullName":"Ext.carousel.Carousel.getLayout","icon":"icon-method","sort":3,"url":"#!/api/Ext.carousel.Carousel-method-getLayout","name":"getLayout"},{"meta":{},"fullName":"Ext.carousel.Carousel.getUi","icon":"icon-method","sort":3,"url":"#!/api/Ext.carousel.Carousel-method-getUi","name":"getUi"},{"meta":{"deprecated":{"text":"Use getDirection() === 'horizontal' instead.","version":"2.0.0"}},"fullName":"Ext.carousel.Carousel.isHorizontal","icon":"icon-method","sort":3,"url":"#!/api/Ext.carousel.Carousel-method-isHorizontal","name":"isHorizontal"},{"meta":{"deprecated":{"text":"Use getDirection() === 'vertical' instead.","version":"2.0.0"}},"fullName":"Ext.carousel.Carousel.isVertical","icon":"icon-method","sort":3,"url":"#!/api/Ext.carousel.Carousel-method-isVertical","name":"isVertical"},{"meta":{},"fullName":"Ext.carousel.Carousel.next","icon":"icon-method","sort":3,"url":"#!/api/Ext.carousel.Carousel-method-next","name":"next"},{"meta":{"deprecated":{"text":"Use {@link Ext.carousel.Carousel#previous} instead.","version":"2.0.0"}},"fullName":"Ext.carousel.Carousel.prev","icon":"icon-method","sort":3,"url":"#!/api/Ext.carousel.Carousel-method-prev","name":"prev"},{"meta":{},"fullName":"Ext.carousel.Carousel.previous","icon":"icon-method","sort":3,"url":"#!/api/Ext.carousel.Carousel-method-previous","name":"previous"},{"meta":{},"fullName":"Ext.carousel.Carousel.setDirection","icon":"icon-method","sort":3,"url":"#!/api/Ext.carousel.Carousel-method-setDirection","name":"setDirection"},{"meta":{},"fullName":"Ext.carousel.Carousel.setIndicator","icon":"icon-method","sort":3,"url":"#!/api/Ext.carousel.Carousel-method-setIndicator","name":"setIndicator"},{"meta":{"private":true},"fullName":"Ext.carousel.Carousel.setLayout","icon":"icon-method","sort":3,"url":"#!/api/Ext.carousel.Carousel-method-setLayout","name":"setLayout"},{"meta":{},"fullName":"Ext.carousel.Carousel.setUi","icon":"icon-method","sort":3,"url":"#!/api/Ext.carousel.Carousel-method-setUi","name":"setUi"},{"meta":{"author":["Jacky Nguyen <jacky@sencha.com>"],"private":true},"fullName":"Ext.carousel.Infinite","icon":"icon-component","sort":1,"url":"#!/api/Ext.carousel.Infinite","name":"Infinite"},{"meta":{},"fullName":"Ext.dataview.component.DataItem","icon":"icon-component","sort":1,"url":"#!/api/Ext.dataview.component.DataItem","name":"DataItem"},{"meta":{},"fullName":"xtype: dataitem","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.dataview.component.DataItem","name":"dataitem"},{"meta":{},"fullName":"Ext.dataview.component.DataItem.updatedata","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.component.DataItem-event-updatedata","name":"updatedata"},{"meta":{},"fullName":"Ext.dataview.component.DataItem.dataMap","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.component.DataItem-cfg-dataMap","name":"dataMap"},{"meta":{},"fullName":"Ext.dataview.component.DataItem.itemCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.component.DataItem-cfg-itemCls","name":"itemCls"},{"meta":{},"fullName":"Ext.dataview.component.DataItem.record","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.component.DataItem-cfg-record","name":"record"},{"meta":{},"fullName":"Ext.dataview.component.DataItem.getItemCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.component.DataItem-method-getItemCls","name":"getItemCls"},{"meta":{},"fullName":"Ext.dataview.component.DataItem.getRecord","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.component.DataItem-method-getRecord","name":"getRecord"},{"meta":{},"fullName":"Ext.dataview.component.DataItem.setItemCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.component.DataItem-method-setItemCls","name":"setItemCls"},{"meta":{},"fullName":"Ext.dataview.component.DataItem.setRecord","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.component.DataItem-method-setRecord","name":"setRecord"},{"meta":{"private":true},"fullName":"Ext.dataview.component.DataItem.updateRecord","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.component.DataItem-method-updateRecord","name":"updateRecord"},{"meta":{"private":true},"fullName":"Ext.dataview.component.Container","icon":"icon-component","sort":1,"url":"#!/api/Ext.dataview.component.Container","name":"Container"},{"meta":{},"fullName":"Ext.dataview.component.Container.itemdoubletap","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.component.Container-event-itemdoubletap","name":"itemdoubletap"},{"meta":{},"fullName":"Ext.dataview.component.Container.itemsingletap","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.component.Container-event-itemsingletap","name":"itemsingletap"},{"meta":{},"fullName":"Ext.dataview.component.Container.itemswipe","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.component.Container-event-itemswipe","name":"itemswipe"},{"meta":{},"fullName":"Ext.dataview.component.Container.itemtap","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.component.Container-event-itemtap","name":"itemtap"},{"meta":{},"fullName":"Ext.dataview.component.Container.itemtaphold","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.component.Container-event-itemtaphold","name":"itemtaphold"},{"meta":{},"fullName":"Ext.dataview.component.Container.itemtouchend","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.component.Container-event-itemtouchend","name":"itemtouchend"},{"meta":{},"fullName":"Ext.dataview.component.Container.itemtouchmove","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.component.Container-event-itemtouchmove","name":"itemtouchmove"},{"meta":{},"fullName":"Ext.dataview.component.Container.itemtouchstart","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.component.Container-event-itemtouchstart","name":"itemtouchstart"},{"meta":{"aside":[{"type":"guide","name":"dataview"}]},"fullName":"Ext.dataview.DataView","icon":"icon-component","sort":1,"url":"#!/api/Ext.dataview.DataView","name":"DataView"},{"meta":{"aside":[{"type":"guide","name":"dataview"}]},"type":"class","fullName":"Ext.DataView","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.dataview.DataView","name":"DataView"},{"meta":{"aside":[{"type":"guide","name":"dataview"}]},"fullName":"xtype: dataview","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.dataview.DataView","name":"dataview"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dataview.DataView.containertap","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.DataView-event-containertap","name":"containertap"},{"meta":{"preventable":true},"fullName":"Ext.dataview.DataView.deselect","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.DataView-event-deselect","name":"deselect"},{"meta":{},"fullName":"Ext.dataview.DataView.itemdoubletap","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.DataView-event-itemdoubletap","name":"itemdoubletap"},{"meta":{},"fullName":"Ext.dataview.DataView.itemsingletap","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.DataView-event-itemsingletap","name":"itemsingletap"},{"meta":{},"fullName":"Ext.dataview.DataView.itemswipe","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.DataView-event-itemswipe","name":"itemswipe"},{"meta":{},"fullName":"Ext.dataview.DataView.itemtap","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.DataView-event-itemtap","name":"itemtap"},{"meta":{},"fullName":"Ext.dataview.DataView.itemtaphold","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.DataView-event-itemtaphold","name":"itemtaphold"},{"meta":{},"fullName":"Ext.dataview.DataView.itemtouchend","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.DataView-event-itemtouchend","name":"itemtouchend"},{"meta":{},"fullName":"Ext.dataview.DataView.itemtouchmove","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.DataView-event-itemtouchmove","name":"itemtouchmove"},{"meta":{},"fullName":"Ext.dataview.DataView.itemtouchstart","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.DataView-event-itemtouchstart","name":"itemtouchstart"},{"meta":{"preventable":true},"fullName":"Ext.dataview.DataView.refresh","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.DataView-event-refresh","name":"refresh"},{"meta":{"preventable":true},"fullName":"Ext.dataview.DataView.select","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.DataView-event-select","name":"select"},{"meta":{},"fullName":"Ext.dataview.DataView.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-baseCls","name":"baseCls"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dataview.DataView.blockRefresh","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-blockRefresh","name":"blockRefresh"},{"meta":{},"fullName":"Ext.dataview.DataView.defaultType","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-defaultType","name":"defaultType"},{"meta":{},"fullName":"Ext.dataview.DataView.deferEmptyText","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-deferEmptyText","name":"deferEmptyText"},{"meta":{},"fullName":"Ext.dataview.DataView.deselectOnContainerClick","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-deselectOnContainerClick","name":"deselectOnContainerClick"},{"meta":{},"fullName":"Ext.dataview.DataView.emptyText","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-emptyText","name":"emptyText"},{"meta":{},"fullName":"Ext.dataview.DataView.inline","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-inline","name":"inline"},{"meta":{},"fullName":"Ext.dataview.DataView.itemCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-itemCls","name":"itemCls"},{"meta":{},"fullName":"Ext.dataview.DataView.itemConfig","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-itemConfig","name":"itemConfig"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dataview.DataView.itemSelector","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-itemSelector","name":"itemSelector"},{"meta":{},"fullName":"Ext.dataview.DataView.itemTpl","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-itemTpl","name":"itemTpl"},{"meta":{"private":true},"fullName":"Ext.dataview.DataView.layout","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-layout","name":"layout"},{"meta":{},"fullName":"Ext.dataview.DataView.loadingText","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-loadingText","name":"loadingText"},{"meta":{},"fullName":"Ext.dataview.DataView.maxItemCache","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-maxItemCache","name":"maxItemCache"},{"meta":{"removed":{"text":"multiSelect is deprecated. Please use {@link Ext.mixin.Selectable#mode mode} instead","version":"2.0.0"}},"fullName":"Ext.dataview.DataView.multiSelect","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-multiSelect","name":"multiSelect"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dataview.DataView.overItemCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-overItemCls","name":"overItemCls"},{"meta":{},"fullName":"Ext.dataview.DataView.pressedCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-pressedCls","name":"pressedCls"},{"meta":{},"fullName":"Ext.dataview.DataView.pressedDelay","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-pressedDelay","name":"pressedDelay"},{"meta":{},"fullName":"Ext.dataview.DataView.scrollToTopOnRefresh","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-scrollToTopOnRefresh","name":"scrollToTopOnRefresh"},{"meta":{},"fullName":"Ext.dataview.DataView.scrollable","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-scrollable","name":"scrollable"},{"meta":{},"fullName":"Ext.dataview.DataView.selectedCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-selectedCls","name":"selectedCls"},{"meta":{"removed":{"text":"Please use {@link #selectedCls selectedCls} instead","version":"2.0.0"}},"fullName":"Ext.dataview.DataView.selectedItemCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-selectedItemCls","name":"selectedItemCls"},{"meta":{"removed":{"text":"Please use {@link Ext.mixin.Selectable#mode mode} instead","version":"2.0.0"}},"fullName":"Ext.dataview.DataView.simpleSelect","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-simpleSelect","name":"simpleSelect"},{"meta":{"removed":{"text":"Please use {@link Ext.mixin.Selectable#mode mode} instead","version":"2.0.0"}},"fullName":"Ext.dataview.DataView.singleSelect","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-singleSelect","name":"singleSelect"},{"meta":{},"fullName":"Ext.dataview.DataView.store","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-store","name":"store"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dataview.DataView.trackOver","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-trackOver","name":"trackOver"},{"meta":{},"fullName":"Ext.dataview.DataView.triggerCtEvent","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-triggerCtEvent","name":"triggerCtEvent"},{"meta":{},"fullName":"Ext.dataview.DataView.triggerEvent","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-triggerEvent","name":"triggerEvent"},{"meta":{},"fullName":"Ext.dataview.DataView.useComponents","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.DataView-cfg-useComponents","name":"useComponents"},{"meta":{"deprecated":{"text":"please use {@link #setStore} instead","version":"2.0"}},"fullName":"Ext.dataview.DataView.bindStore","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-bindStore","name":"bindStore"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dataview.DataView.collectData","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-collectData","name":"collectData"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dataview.DataView.findItemByChild","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-findItemByChild","name":"findItemByChild"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dataview.DataView.findTargetByEvent","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-findTargetByEvent","name":"findTargetByEvent"},{"meta":{},"fullName":"Ext.dataview.DataView.getDefaultType","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-getDefaultType","name":"getDefaultType"},{"meta":{},"fullName":"Ext.dataview.DataView.getDeselectOnContainerClick","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-getDeselectOnContainerClick","name":"getDeselectOnContainerClick"},{"meta":{},"fullName":"Ext.dataview.DataView.getInline","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-getInline","name":"getInline"},{"meta":{},"fullName":"Ext.dataview.DataView.getItemCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-getItemCls","name":"getItemCls"},{"meta":{},"fullName":"Ext.dataview.DataView.getItemConfig","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-getItemConfig","name":"getItemConfig"},{"meta":{"private":true},"fullName":"Ext.dataview.DataView.getLayout","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-getLayout","name":"getLayout"},{"meta":{},"fullName":"Ext.dataview.DataView.getMaxItemCache","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-getMaxItemCache","name":"getMaxItemCache"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dataview.DataView.getNode","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-getNode","name":"getNode"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dataview.DataView.getNodes","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-getNodes","name":"getNodes"},{"meta":{},"fullName":"Ext.dataview.DataView.getPressedCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-getPressedCls","name":"getPressedCls"},{"meta":{},"fullName":"Ext.dataview.DataView.getPressedDelay","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-getPressedDelay","name":"getPressedDelay"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dataview.DataView.getRecords","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-getRecords","name":"getRecords"},{"meta":{},"fullName":"Ext.dataview.DataView.getScrollToTopOnRefresh","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-getScrollToTopOnRefresh","name":"getScrollToTopOnRefresh"},{"meta":{},"fullName":"Ext.dataview.DataView.getSelectedCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-getSelectedCls","name":"getSelectedCls"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dataview.DataView.getSelectedNodes","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-getSelectedNodes","name":"getSelectedNodes"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dataview.DataView.getSelectedRecords","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-getSelectedRecords","name":"getSelectedRecords"},{"meta":{},"fullName":"Ext.dataview.DataView.getStore","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-getStore","name":"getStore"},{"meta":{},"fullName":"Ext.dataview.DataView.getTriggerCtEvent","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-getTriggerCtEvent","name":"getTriggerCtEvent"},{"meta":{},"fullName":"Ext.dataview.DataView.getTriggerEvent","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-getTriggerEvent","name":"getTriggerEvent"},{"meta":{},"fullName":"Ext.dataview.DataView.getUseComponents","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-getUseComponents","name":"getUseComponents"},{"meta":{},"fullName":"Ext.dataview.DataView.handleException","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-handleException","name":"handleException"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dataview.DataView.indexOf","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-indexOf","name":"indexOf"},{"meta":{},"fullName":"Ext.dataview.DataView.prepareData","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-prepareData","name":"prepareData"},{"meta":{},"fullName":"Ext.dataview.DataView.refresh","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-refresh","name":"refresh"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dataview.DataView.refreshNode","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-refreshNode","name":"refreshNode"},{"meta":{},"fullName":"Ext.dataview.DataView.setDefaultType","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-setDefaultType","name":"setDefaultType"},{"meta":{},"fullName":"Ext.dataview.DataView.setDeselectOnContainerClick","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-setDeselectOnContainerClick","name":"setDeselectOnContainerClick"},{"meta":{},"fullName":"Ext.dataview.DataView.setInline","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-setInline","name":"setInline"},{"meta":{},"fullName":"Ext.dataview.DataView.setItemCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-setItemCls","name":"setItemCls"},{"meta":{},"fullName":"Ext.dataview.DataView.setItemConfig","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-setItemConfig","name":"setItemConfig"},{"meta":{"private":true},"fullName":"Ext.dataview.DataView.setLayout","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-setLayout","name":"setLayout"},{"meta":{},"fullName":"Ext.dataview.DataView.setMaxItemCache","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-setMaxItemCache","name":"setMaxItemCache"},{"meta":{},"fullName":"Ext.dataview.DataView.setPressedCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-setPressedCls","name":"setPressedCls"},{"meta":{},"fullName":"Ext.dataview.DataView.setPressedDelay","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-setPressedDelay","name":"setPressedDelay"},{"meta":{},"fullName":"Ext.dataview.DataView.setScrollToTopOnRefresh","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-setScrollToTopOnRefresh","name":"setScrollToTopOnRefresh"},{"meta":{},"fullName":"Ext.dataview.DataView.setSelectedCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-setSelectedCls","name":"setSelectedCls"},{"meta":{},"fullName":"Ext.dataview.DataView.setStore","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-setStore","name":"setStore"},{"meta":{},"fullName":"Ext.dataview.DataView.setTriggerCtEvent","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-setTriggerCtEvent","name":"setTriggerCtEvent"},{"meta":{},"fullName":"Ext.dataview.DataView.setTriggerEvent","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-setTriggerEvent","name":"setTriggerEvent"},{"meta":{},"fullName":"Ext.dataview.DataView.setUseComponents","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.DataView-method-setUseComponents","name":"setUseComponents"},{"meta":{"aside":[{"type":"guide","name":"list"},{"type":"video","name":"list"}]},"fullName":"Ext.dataview.List","icon":"icon-component","sort":1,"url":"#!/api/Ext.dataview.List","name":"List"},{"meta":{"aside":[{"type":"guide","name":"list"},{"type":"video","name":"list"}]},"type":"class","fullName":"Ext.List","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.dataview.List","name":"List"},{"meta":{"aside":[{"type":"guide","name":"list"},{"type":"video","name":"list"}]},"fullName":"xtype: list","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.dataview.List","name":"list"},{"meta":{"preventable":true},"fullName":"Ext.dataview.List.disclose","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.List-event-disclose","name":"disclose"},{"meta":{},"fullName":"Ext.dataview.List.$include-list-highlights","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.dataview.List-css_var-S-include-list-highlights","name":"$include-list-highlights"},{"meta":{},"fullName":"Ext.dataview.List.$list-active-color","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.dataview.List-css_var-S-list-active-color","name":"$list-active-color"},{"meta":{},"fullName":"Ext.dataview.List.$list-active-gradient","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.dataview.List-css_var-S-list-active-gradient","name":"$list-active-gradient"},{"meta":{},"fullName":"Ext.dataview.List.$list-bg-color","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.dataview.List-css_var-S-list-bg-color","name":"$list-bg-color"},{"meta":{},"fullName":"Ext.dataview.List.$list-color","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.dataview.List-css_var-S-list-color","name":"$list-color"},{"meta":{},"fullName":"Ext.dataview.List.$list-disclosure-round-size","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.dataview.List-css_var-S-list-disclosure-round-size","name":"$list-disclosure-round-size"},{"meta":{},"fullName":"Ext.dataview.List.$list-disclosure-size","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.dataview.List-css_var-S-list-disclosure-size","name":"$list-disclosure-size"},{"meta":{},"fullName":"Ext.dataview.List.$list-header-bg-color","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.dataview.List-css_var-S-list-header-bg-color","name":"$list-header-bg-color"},{"meta":{},"fullName":"Ext.dataview.List.$list-header-gradient","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.dataview.List-css_var-S-list-header-gradient","name":"$list-header-gradient"},{"meta":{},"fullName":"Ext.dataview.List.$list-pressed-color","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.dataview.List-css_var-S-list-pressed-color","name":"$list-pressed-color"},{"meta":{},"fullName":"Ext.dataview.List.$list-zebrastripe","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.dataview.List-css_var-S-list-zebrastripe","name":"$list-zebrastripe"},{"meta":{},"fullName":"Ext.dataview.List.sencha-list","icon":"icon-css_mixin","sort":3,"url":"#!/api/Ext.dataview.List-css_mixin-sencha-list","name":"sencha-list"},{"meta":{},"fullName":"Ext.dataview.List.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.List-cfg-baseCls","name":"baseCls"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dataview.List.clearSelectionOnDeactivate","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.List-cfg-clearSelectionOnDeactivate","name":"clearSelectionOnDeactivate"},{"meta":{"private":true},"fullName":"Ext.dataview.List.defaultType","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.List-cfg-defaultType","name":"defaultType"},{"meta":{},"fullName":"Ext.dataview.List.disclosureProperty","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.List-cfg-disclosureProperty","name":"disclosureProperty"},{"meta":{},"fullName":"Ext.dataview.List.grouped","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.List-cfg-grouped","name":"grouped"},{"meta":{},"fullName":"Ext.dataview.List.indexBar","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.List-cfg-indexBar","name":"indexBar"},{"meta":{"private":true},"fullName":"Ext.dataview.List.itemConfig","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.List-cfg-itemConfig","name":"itemConfig"},{"meta":{"private":true},"fullName":"Ext.dataview.List.maxItemCache","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.List-cfg-maxItemCache","name":"maxItemCache"},{"meta":{},"fullName":"Ext.dataview.List.onItemDisclosure","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.List-cfg-onItemDisclosure","name":"onItemDisclosure"},{"meta":{},"fullName":"Ext.dataview.List.pinHeaders","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.List-cfg-pinHeaders","name":"pinHeaders"},{"meta":{},"fullName":"Ext.dataview.List.preventSelectionOnDisclose","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.List-cfg-preventSelectionOnDisclose","name":"preventSelectionOnDisclose"},{"meta":{},"fullName":"Ext.dataview.List.ui","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.List-cfg-ui","name":"ui"},{"meta":{"private":true},"fullName":"Ext.dataview.List.useComponents","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.List-cfg-useComponents","name":"useComponents"},{"meta":{"private":true},"fullName":"Ext.dataview.List.getDefaultType","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.List-method-getDefaultType","name":"getDefaultType"},{"meta":{},"fullName":"Ext.dataview.List.getDisclosureProperty","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.List-method-getDisclosureProperty","name":"getDisclosureProperty"},{"meta":{},"fullName":"Ext.dataview.List.getGrouped","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.List-method-getGrouped","name":"getGrouped"},{"meta":{},"fullName":"Ext.dataview.List.getIndexBar","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.List-method-getIndexBar","name":"getIndexBar"},{"meta":{"private":true},"fullName":"Ext.dataview.List.getItemConfig","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.List-method-getItemConfig","name":"getItemConfig"},{"meta":{"private":true},"fullName":"Ext.dataview.List.getMaxItemCache","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.List-method-getMaxItemCache","name":"getMaxItemCache"},{"meta":{},"fullName":"Ext.dataview.List.getOnItemDisclosure","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.List-method-getOnItemDisclosure","name":"getOnItemDisclosure"},{"meta":{},"fullName":"Ext.dataview.List.getPinHeaders","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.List-method-getPinHeaders","name":"getPinHeaders"},{"meta":{},"fullName":"Ext.dataview.List.getPreventSelectionOnDisclose","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.List-method-getPreventSelectionOnDisclose","name":"getPreventSelectionOnDisclose"},{"meta":{"private":true},"fullName":"Ext.dataview.List.getUseComponents","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.List-method-getUseComponents","name":"getUseComponents"},{"meta":{"private":true},"fullName":"Ext.dataview.List.setActiveGroup","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.List-method-setActiveGroup","name":"setActiveGroup"},{"meta":{"private":true},"fullName":"Ext.dataview.List.setDefaultType","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.List-method-setDefaultType","name":"setDefaultType"},{"meta":{},"fullName":"Ext.dataview.List.setDisclosureProperty","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.List-method-setDisclosureProperty","name":"setDisclosureProperty"},{"meta":{},"fullName":"Ext.dataview.List.setGrouped","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.List-method-setGrouped","name":"setGrouped"},{"meta":{},"fullName":"Ext.dataview.List.setIndexBar","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.List-method-setIndexBar","name":"setIndexBar"},{"meta":{"private":true},"fullName":"Ext.dataview.List.setItemConfig","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.List-method-setItemConfig","name":"setItemConfig"},{"meta":{"private":true},"fullName":"Ext.dataview.List.setMaxItemCache","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.List-method-setMaxItemCache","name":"setMaxItemCache"},{"meta":{},"fullName":"Ext.dataview.List.setOnItemDisclosure","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.List-method-setOnItemDisclosure","name":"setOnItemDisclosure"},{"meta":{},"fullName":"Ext.dataview.List.setPinHeaders","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.List-method-setPinHeaders","name":"setPinHeaders"},{"meta":{},"fullName":"Ext.dataview.List.setPreventSelectionOnDisclose","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.List-method-setPreventSelectionOnDisclose","name":"setPreventSelectionOnDisclose"},{"meta":{"private":true},"fullName":"Ext.dataview.List.setUseComponents","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.List-method-setUseComponents","name":"setUseComponents"},{"meta":{"aside":[{"type":"guide","name":"nested_list"}]},"fullName":"Ext.dataview.NestedList","icon":"icon-component","sort":1,"url":"#!/api/Ext.dataview.NestedList","name":"NestedList"},{"meta":{"aside":[{"type":"guide","name":"nested_list"}]},"type":"class","fullName":"Ext.NestedList","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.dataview.NestedList","name":"NestedList"},{"meta":{"aside":[{"type":"guide","name":"nested_list"}]},"fullName":"xtype: nestedlist","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.dataview.NestedList","name":"nestedlist"},{"meta":{"preventable":true},"fullName":"Ext.dataview.NestedList.back","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.NestedList-event-back","name":"back"},{"meta":{},"fullName":"Ext.dataview.NestedList.beforeload","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.NestedList-event-beforeload","name":"beforeload"},{"meta":{"deprecated":{"text":"Please listen to the {@link #selectionchange} event with an order of `before` instead.","version":"2.0.0"}},"fullName":"Ext.dataview.NestedList.beforeselectionchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.NestedList-event-beforeselectionchange","name":"beforeselectionchange"},{"meta":{},"fullName":"Ext.dataview.NestedList.containertap","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.NestedList-event-containertap","name":"containertap"},{"meta":{},"fullName":"Ext.dataview.NestedList.itemdoubletap","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.NestedList-event-itemdoubletap","name":"itemdoubletap"},{"meta":{},"fullName":"Ext.dataview.NestedList.itemtap","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.NestedList-event-itemtap","name":"itemtap"},{"meta":{},"fullName":"Ext.dataview.NestedList.leafitemtap","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.NestedList-event-leafitemtap","name":"leafitemtap"},{"meta":{},"fullName":"Ext.dataview.NestedList.listchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.NestedList-event-listchange","name":"listchange"},{"meta":{},"fullName":"Ext.dataview.NestedList.load","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.NestedList-event-load","name":"load"},{"meta":{},"fullName":"Ext.dataview.NestedList.selectionchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.dataview.NestedList-event-selectionchange","name":"selectionchange"},{"meta":{},"fullName":"Ext.dataview.NestedList.allowDeselect","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.NestedList-cfg-allowDeselect","name":"allowDeselect"},{"meta":{},"fullName":"Ext.dataview.NestedList.backButton","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.NestedList-cfg-backButton","name":"backButton"},{"meta":{},"fullName":"Ext.dataview.NestedList.backText","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.NestedList-cfg-backText","name":"backText"},{"meta":{"removed":{"text":"please use {@link Ext.layout.Card#animation}","version":"2.0.0"}},"fullName":"Ext.dataview.NestedList.cardSwitchAnimation","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.NestedList-cfg-cardSwitchAnimation","name":"cardSwitchAnimation"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dataview.NestedList.clearSelectionDelay","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.NestedList-cfg-clearSelectionDelay","name":"clearSelectionDelay"},{"meta":{},"fullName":"Ext.dataview.NestedList.cls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.NestedList-cfg-cls","name":"cls"},{"meta":{},"fullName":"Ext.dataview.NestedList.detailCard","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.NestedList-cfg-detailCard","name":"detailCard"},{"meta":{},"fullName":"Ext.dataview.NestedList.detailContainer","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.NestedList-cfg-detailContainer","name":"detailContainer"},{"meta":{},"fullName":"Ext.dataview.NestedList.displayField","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.NestedList-cfg-displayField","name":"displayField"},{"meta":{},"fullName":"Ext.dataview.NestedList.emptyText","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.NestedList-cfg-emptyText","name":"emptyText"},{"meta":{},"fullName":"Ext.dataview.NestedList.listConfig","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.NestedList-cfg-listConfig","name":"listConfig"},{"meta":{},"fullName":"Ext.dataview.NestedList.loadingText","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.NestedList-cfg-loadingText","name":"loadingText"},{"meta":{},"fullName":"Ext.dataview.NestedList.onItemDisclosure","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.NestedList-cfg-onItemDisclosure","name":"onItemDisclosure"},{"meta":{},"fullName":"Ext.dataview.NestedList.store","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.NestedList-cfg-store","name":"store"},{"meta":{},"fullName":"Ext.dataview.NestedList.title","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.NestedList-cfg-title","name":"title"},{"meta":{},"fullName":"Ext.dataview.NestedList.toolbar","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.NestedList-cfg-toolbar","name":"toolbar"},{"meta":{},"fullName":"Ext.dataview.NestedList.updateTitleText","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.NestedList-cfg-updateTitleText","name":"updateTitleText"},{"meta":{},"fullName":"Ext.dataview.NestedList.useTitleAsBackText","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.NestedList-cfg-useTitleAsBackText","name":"useTitleAsBackText"},{"meta":{"deprecated":{"text":"Please set the {@link #toolbar} configuration to `false` instead","version":"2.0.0"}},"fullName":"Ext.dataview.NestedList.useToolbar","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.dataview.NestedList-cfg-useToolbar","name":"useToolbar"},{"meta":{},"fullName":"Ext.dataview.NestedList.getAllowDeselect","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-getAllowDeselect","name":"getAllowDeselect"},{"meta":{},"fullName":"Ext.dataview.NestedList.getBackText","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-getBackText","name":"getBackText"},{"meta":{},"fullName":"Ext.dataview.NestedList.getDetailCard","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-getDetailCard","name":"getDetailCard"},{"meta":{},"fullName":"Ext.dataview.NestedList.getDetailContainer","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-getDetailContainer","name":"getDetailContainer"},{"meta":{},"fullName":"Ext.dataview.NestedList.getDisplayField","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-getDisplayField","name":"getDisplayField"},{"meta":{},"fullName":"Ext.dataview.NestedList.getEmptyText","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-getEmptyText","name":"getEmptyText"},{"meta":{},"fullName":"Ext.dataview.NestedList.getItemTextTpl","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-getItemTextTpl","name":"getItemTextTpl"},{"meta":{"private":true},"fullName":"Ext.dataview.NestedList.getList","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-getList","name":"getList"},{"meta":{},"fullName":"Ext.dataview.NestedList.getLoadingText","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-getLoadingText","name":"getLoadingText"},{"meta":{},"fullName":"Ext.dataview.NestedList.getOnItemDisclosure","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-getOnItemDisclosure","name":"getOnItemDisclosure"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.dataview.NestedList.getSubList","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-getSubList","name":"getSubList"},{"meta":{},"fullName":"Ext.dataview.NestedList.getTitle","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-getTitle","name":"getTitle"},{"meta":{},"fullName":"Ext.dataview.NestedList.getTitleTextTpl","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-getTitleTextTpl","name":"getTitleTextTpl"},{"meta":{},"fullName":"Ext.dataview.NestedList.getToolbar","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-getToolbar","name":"getToolbar"},{"meta":{},"fullName":"Ext.dataview.NestedList.getUpdateTitleText","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-getUpdateTitleText","name":"getUpdateTitleText"},{"meta":{},"fullName":"Ext.dataview.NestedList.getUseTitleAsBackText","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-getUseTitleAsBackText","name":"getUseTitleAsBackText"},{"meta":{"deprecated":{"text":"Please set the {@link #toolbar} configuration to `false` instead","version":"2.0.0"}},"fullName":"Ext.dataview.NestedList.getUseToolbar","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-getUseToolbar","name":"getUseToolbar"},{"meta":{},"fullName":"Ext.dataview.NestedList.goToLeaf","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-goToLeaf","name":"goToLeaf"},{"meta":{},"fullName":"Ext.dataview.NestedList.goToNode","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-goToNode","name":"goToNode"},{"meta":{"private":true},"fullName":"Ext.dataview.NestedList.goToNodeReverseAnimation","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-goToNodeReverseAnimation","name":"goToNodeReverseAnimation"},{"meta":{},"fullName":"Ext.dataview.NestedList.onBackTap","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-onBackTap","name":"onBackTap"},{"meta":{},"fullName":"Ext.dataview.NestedList.onItemTap","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-onItemTap","name":"onItemTap"},{"meta":{"private":true},"fullName":"Ext.dataview.NestedList.renderTitleText","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-renderTitleText","name":"renderTitleText"},{"meta":{},"fullName":"Ext.dataview.NestedList.setAllowDeselect","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-setAllowDeselect","name":"setAllowDeselect"},{"meta":{},"fullName":"Ext.dataview.NestedList.setBackText","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-setBackText","name":"setBackText"},{"meta":{},"fullName":"Ext.dataview.NestedList.setDetailCard","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-setDetailCard","name":"setDetailCard"},{"meta":{},"fullName":"Ext.dataview.NestedList.setDetailContainer","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-setDetailContainer","name":"setDetailContainer"},{"meta":{},"fullName":"Ext.dataview.NestedList.setDisplayField","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-setDisplayField","name":"setDisplayField"},{"meta":{},"fullName":"Ext.dataview.NestedList.setEmptyText","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-setEmptyText","name":"setEmptyText"},{"meta":{},"fullName":"Ext.dataview.NestedList.setLoadingText","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-setLoadingText","name":"setLoadingText"},{"meta":{},"fullName":"Ext.dataview.NestedList.setOnItemDisclosure","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-setOnItemDisclosure","name":"setOnItemDisclosure"},{"meta":{},"fullName":"Ext.dataview.NestedList.setTitle","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-setTitle","name":"setTitle"},{"meta":{},"fullName":"Ext.dataview.NestedList.setToolbar","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-setToolbar","name":"setToolbar"},{"meta":{},"fullName":"Ext.dataview.NestedList.setUpdateTitleText","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-setUpdateTitleText","name":"setUpdateTitleText"},{"meta":{},"fullName":"Ext.dataview.NestedList.setUseTitleAsBackText","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-setUseTitleAsBackText","name":"setUseTitleAsBackText"},{"meta":{"deprecated":{"text":"Please set the {@link #toolbar} configuration to `false` instead","version":"2.0.0"}},"fullName":"Ext.dataview.NestedList.setUseToolbar","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-setUseToolbar","name":"setUseToolbar"},{"meta":{"private":true},"fullName":"Ext.dataview.NestedList.syncToolbar","icon":"icon-method","sort":3,"url":"#!/api/Ext.dataview.NestedList-method-syncToolbar","name":"syncToolbar"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"Ext.form.FieldSet","icon":"icon-component","sort":1,"url":"#!/api/Ext.form.FieldSet","name":"FieldSet"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"xtype: fieldset","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.form.FieldSet","name":"fieldset"},{"meta":{},"fullName":"Ext.form.FieldSet.$form-fieldset-radius","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.form.FieldSet-css_var-S-form-fieldset-radius","name":"$form-fieldset-radius"},{"meta":{},"fullName":"Ext.form.FieldSet.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.form.FieldSet-cfg-baseCls","name":"baseCls"},{"meta":{},"fullName":"Ext.form.FieldSet.instructions","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.form.FieldSet-cfg-instructions","name":"instructions"},{"meta":{},"fullName":"Ext.form.FieldSet.title","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.form.FieldSet-cfg-title","name":"title"},{"meta":{},"fullName":"Ext.form.FieldSet.getInstructions","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.FieldSet-method-getInstructions","name":"getInstructions"},{"meta":{},"fullName":"Ext.form.FieldSet.getTitle","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.FieldSet-method-getTitle","name":"getTitle"},{"meta":{},"fullName":"Ext.form.FieldSet.setInstructions","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.FieldSet-method-setInstructions","name":"setInstructions"},{"meta":{},"fullName":"Ext.form.FieldSet.setTitle","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.FieldSet-method-setTitle","name":"setTitle"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"Ext.form.Panel","icon":"icon-component","sort":1,"url":"#!/api/Ext.form.Panel","name":"Panel"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"type":"class","fullName":"Ext.form.FormPanel","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.form.Panel","name":"FormPanel"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"xtype: formpanel","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.form.Panel","name":"formpanel"},{"meta":{"preventable":true},"fullName":"Ext.form.Panel.beforesubmit","icon":"icon-event","sort":3,"url":"#!/api/Ext.form.Panel-event-beforesubmit","name":"beforesubmit"},{"meta":{},"fullName":"Ext.form.Panel.exception","icon":"icon-event","sort":3,"url":"#!/api/Ext.form.Panel-event-exception","name":"exception"},{"meta":{"preventable":true},"fullName":"Ext.form.Panel.submit","icon":"icon-event","sort":3,"url":"#!/api/Ext.form.Panel-event-submit","name":"submit"},{"meta":{},"fullName":"Ext.form.Panel.$form-bg-color","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.form.Panel-css_var-S-form-bg-color","name":"$form-bg-color"},{"meta":{},"fullName":"Ext.form.Panel.sencha-form","icon":"icon-css_mixin","sort":3,"url":"#!/api/Ext.form.Panel-css_mixin-sencha-form","name":"sencha-form"},{"meta":{},"fullName":"Ext.form.Panel.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.form.Panel-cfg-baseCls","name":"baseCls"},{"meta":{},"fullName":"Ext.form.Panel.baseParams","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.form.Panel-cfg-baseParams","name":"baseParams"},{"meta":{},"fullName":"Ext.form.Panel.method","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.form.Panel-cfg-method","name":"method"},{"meta":{},"fullName":"Ext.form.Panel.record","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.form.Panel-cfg-record","name":"record"},{"meta":{},"fullName":"Ext.form.Panel.scrollable","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.form.Panel-cfg-scrollable","name":"scrollable"},{"meta":{},"fullName":"Ext.form.Panel.standardSubmit","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.form.Panel-cfg-standardSubmit","name":"standardSubmit"},{"meta":{},"fullName":"Ext.form.Panel.submitOnAction","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.form.Panel-cfg-submitOnAction","name":"submitOnAction"},{"meta":{},"fullName":"Ext.form.Panel.url","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.form.Panel-cfg-url","name":"url"},{"meta":{"removed":{"text":"There is no need to set a mask target anymore. Please see the {@link #masked} configuration instead.","version":"2.0.0"}},"fullName":"Ext.form.Panel.waitMsgTarget","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.form.Panel-cfg-waitMsgTarget","name":"waitMsgTarget"},{"meta":{"removed":{"text":"2.0.0 Please use a custom {@link Ext.LoadMask} class and the {@link #masked} configuration\nwhen {@link #method submitting} your form."}},"fullName":"Ext.form.Panel.waitTpl","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.form.Panel-cfg-waitTpl","name":"waitTpl"},{"meta":{},"fullName":"Ext.form.Panel.disable","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-disable","name":"disable"},{"meta":{},"fullName":"Ext.form.Panel.enable","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-enable","name":"enable"},{"meta":{"private":true},"fullName":"Ext.form.Panel.focusNextField","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-focusNextField","name":"focusNextField"},{"meta":{"private":true},"fullName":"Ext.form.Panel.focusPreviousField","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-focusPreviousField","name":"focusPreviousField"},{"meta":{},"fullName":"Ext.form.Panel.getBaseParams","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-getBaseParams","name":"getBaseParams"},{"meta":{"private":true},"fullName":"Ext.form.Panel.getFields","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-getFields","name":"getFields"},{"meta":{"private":true},"fullName":"Ext.form.Panel.getFieldsArray","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-getFieldsArray","name":"getFieldsArray"},{"meta":{"private":true},"fullName":"Ext.form.Panel.getFieldsAsArray","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-getFieldsAsArray","name":"getFieldsAsArray"},{"meta":{"private":true},"fullName":"Ext.form.Panel.getFocusedField","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-getFocusedField","name":"getFocusedField"},{"meta":{"private":true},"fullName":"Ext.form.Panel.getNextField","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-getNextField","name":"getNextField"},{"meta":{"private":true},"fullName":"Ext.form.Panel.getPreviousField","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-getPreviousField","name":"getPreviousField"},{"meta":{},"fullName":"Ext.form.Panel.getRecord","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-getRecord","name":"getRecord"},{"meta":{},"fullName":"Ext.form.Panel.getStandardSubmit","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-getStandardSubmit","name":"getStandardSubmit"},{"meta":{},"fullName":"Ext.form.Panel.getSubmitOnAction","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-getSubmitOnAction","name":"getSubmitOnAction"},{"meta":{},"fullName":"Ext.form.Panel.getUrl","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-getUrl","name":"getUrl"},{"meta":{},"fullName":"Ext.form.Panel.getValues","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-getValues","name":"getValues"},{"meta":{"deprecated":{"text":"Please use {@link #unmask} or {@link #setMasked} instead.","version":"2.0.0"}},"fullName":"Ext.form.Panel.hideMask","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-hideMask","name":"hideMask"},{"meta":{"deprecated":{"text":"Please use #setRecord instead.","version":"2.0.0"}},"fullName":"Ext.form.Panel.load","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-load","name":"load"},{"meta":{"deprecated":{"text":"Please use #setRecord instead.","version":"2.0.0"}},"fullName":"Ext.form.Panel.loadModel","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-loadModel","name":"loadModel"},{"meta":{"deprecated":{"text":"Please use #setRecord instead.","version":"2.0.0"}},"fullName":"Ext.form.Panel.loadRecord","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-loadRecord","name":"loadRecord"},{"meta":{},"fullName":"Ext.form.Panel.reset","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-reset","name":"reset"},{"meta":{},"fullName":"Ext.form.Panel.setBaseParams","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-setBaseParams","name":"setBaseParams"},{"meta":{},"fullName":"Ext.form.Panel.setRecord","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-setRecord","name":"setRecord"},{"meta":{},"fullName":"Ext.form.Panel.setStandardSubmit","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-setStandardSubmit","name":"setStandardSubmit"},{"meta":{},"fullName":"Ext.form.Panel.setSubmitOnAction","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-setSubmitOnAction","name":"setSubmitOnAction"},{"meta":{},"fullName":"Ext.form.Panel.setUrl","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-setUrl","name":"setUrl"},{"meta":{},"fullName":"Ext.form.Panel.setValues","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-setValues","name":"setValues"},{"meta":{"deprecated":{"text":"Please use {@link #setMasked} instead.","version":"2.0.0"}},"fullName":"Ext.form.Panel.showMask","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-showMask","name":"showMask"},{"meta":{},"fullName":"Ext.form.Panel.submit","icon":"icon-method","sort":3,"url":"#!/api/Ext.form.Panel-method-submit","name":"submit"},{"meta":{"author":["Robert Dougan <rob@sencha.com>"],"private":true},"fullName":"Ext.navigation.Bar","icon":"icon-component","sort":1,"url":"#!/api/Ext.navigation.Bar","name":"Bar"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.minBackButtonWidth","icon":"icon-property","sort":3,"url":"#!/api/Ext.navigation.Bar-property-minBackButtonWidth","name":"minBackButtonWidth"},{"meta":{},"fullName":"Ext.navigation.Bar.back","icon":"icon-event","sort":3,"url":"#!/api/Ext.navigation.Bar-event-back","name":"back"},{"meta":{},"fullName":"Ext.navigation.Bar.androidAnimation","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.navigation.Bar-cfg-androidAnimation","name":"androidAnimation"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.animation","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.navigation.Bar-cfg-animation","name":"animation"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.backButton","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.navigation.Bar-cfg-backButton","name":"backButton"},{"meta":{},"fullName":"Ext.navigation.Bar.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.navigation.Bar-cfg-baseCls","name":"baseCls"},{"meta":{},"fullName":"Ext.navigation.Bar.cls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.navigation.Bar-cfg-cls","name":"cls"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.defaultBackButtonText","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.navigation.Bar-cfg-defaultBackButtonText","name":"defaultBackButtonText"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.title","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.navigation.Bar-cfg-title","name":"title"},{"meta":{},"fullName":"Ext.navigation.Bar.ui","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.navigation.Bar-cfg-ui","name":"ui"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.useTitleForBackButtonText","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.navigation.Bar-cfg-useTitleForBackButtonText","name":"useTitleForBackButtonText"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.view","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.navigation.Bar-cfg-view","name":"view"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.animate","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-animate","name":"animate"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.applyBackButton","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-applyBackButton","name":"applyBackButton"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.beforePop","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-beforePop","name":"beforePop"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.createProxy","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-createProxy","name":"createProxy"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.doChangeView","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-doChangeView","name":"doChangeView"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.doSetHidden","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-doSetHidden","name":"doSetHidden"},{"meta":{},"fullName":"Ext.navigation.Bar.getAndroidAnimation","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-getAndroidAnimation","name":"getAndroidAnimation"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.getAnimation","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-getAnimation","name":"getAnimation"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.getBackButton","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-getBackButton","name":"getBackButton"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.getBackButtonText","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-getBackButtonText","name":"getBackButtonText"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.getDefaultBackButtonText","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-getDefaultBackButtonText","name":"getDefaultBackButtonText"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.getTitle","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-getTitle","name":"getTitle"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.getTitleText","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-getTitleText","name":"getTitleText"},{"meta":{},"fullName":"Ext.navigation.Bar.getUi","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-getUi","name":"getUi"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.getUseTitleForBackButtonText","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-getUseTitleForBackButtonText","name":"getUseTitleForBackButtonText"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.getView","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-getView","name":"getView"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.measureView","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-measureView","name":"measureView"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.onViewAdd","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-onViewAdd","name":"onViewAdd"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.onViewRemove","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-onViewRemove","name":"onViewRemove"},{"meta":{},"fullName":"Ext.navigation.Bar.setAndroidAnimation","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-setAndroidAnimation","name":"setAndroidAnimation"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.setAnimation","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-setAnimation","name":"setAnimation"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.setBackButton","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-setBackButton","name":"setBackButton"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.setDefaultBackButtonText","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-setDefaultBackButtonText","name":"setDefaultBackButtonText"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.setTitle","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-setTitle","name":"setTitle"},{"meta":{},"fullName":"Ext.navigation.Bar.setUi","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-setUi","name":"setUi"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.setUseTitleForBackButtonText","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-setUseTitleForBackButtonText","name":"setUseTitleForBackButtonText"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.setView","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-setView","name":"setView"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.updateBackButton","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-updateBackButton","name":"updateBackButton"},{"meta":{"private":true},"fullName":"Ext.navigation.Bar.updateView","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.Bar-method-updateView","name":"updateView"},{"meta":{"author":["Robert Dougan <rob@sencha.com>"],"aside":[{"type":"guide","name":"navigation_view"}]},"fullName":"Ext.navigation.View","icon":"icon-component","sort":1,"url":"#!/api/Ext.navigation.View","name":"View"},{"meta":{"author":["Robert Dougan <rob@sencha.com>"],"aside":[{"type":"guide","name":"navigation_view"}]},"type":"class","fullName":"Ext.NavigationView","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.navigation.View","name":"NavigationView"},{"meta":{"author":["Robert Dougan <rob@sencha.com>"],"aside":[{"type":"guide","name":"navigation_view"}]},"fullName":"xtype: navigationview","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.navigation.View","name":"navigationview"},{"meta":{},"fullName":"Ext.navigation.View.back","icon":"icon-event","sort":3,"url":"#!/api/Ext.navigation.View-event-back","name":"back"},{"meta":{},"fullName":"Ext.navigation.View.pop","icon":"icon-event","sort":3,"url":"#!/api/Ext.navigation.View-event-pop","name":"pop"},{"meta":{},"fullName":"Ext.navigation.View.push","icon":"icon-event","sort":3,"url":"#!/api/Ext.navigation.View-event-push","name":"push"},{"meta":{},"fullName":"Ext.navigation.View.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.navigation.View-cfg-baseCls","name":"baseCls"},{"meta":{},"fullName":"Ext.navigation.View.defaultBackButtonText","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.navigation.View-cfg-defaultBackButtonText","name":"defaultBackButtonText"},{"meta":{},"fullName":"Ext.navigation.View.items","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.navigation.View-cfg-items","name":"items"},{"meta":{},"fullName":"Ext.navigation.View.navigationBar","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.navigation.View-cfg-navigationBar","name":"navigationBar"},{"meta":{},"fullName":"Ext.navigation.View.useTitleForBackButtonText","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.navigation.View-cfg-useTitleForBackButtonText","name":"useTitleForBackButtonText"},{"meta":{"private":true},"fullName":"Ext.navigation.View.applyActiveItem","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.View-method-applyActiveItem","name":"applyActiveItem"},{"meta":{"private":true},"fullName":"Ext.navigation.View.applyLayout","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.View-method-applyLayout","name":"applyLayout"},{"meta":{"private":true},"fullName":"Ext.navigation.View.beforePop","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.View-method-beforePop","name":"beforePop"},{"meta":{"private":true},"fullName":"Ext.navigation.View.doPop","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.View-method-doPop","name":"doPop"},{"meta":{"private":true},"fullName":"Ext.navigation.View.doRemove","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.View-method-doRemove","name":"doRemove"},{"meta":{},"fullName":"Ext.navigation.View.getDefaultBackButtonText","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.View-method-getDefaultBackButtonText","name":"getDefaultBackButtonText"},{"meta":{},"fullName":"Ext.navigation.View.getItems","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.View-method-getItems","name":"getItems"},{"meta":{},"fullName":"Ext.navigation.View.getNavigationBar","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.View-method-getNavigationBar","name":"getNavigationBar"},{"meta":{},"fullName":"Ext.navigation.View.getPreviousItem","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.View-method-getPreviousItem","name":"getPreviousItem"},{"meta":{},"fullName":"Ext.navigation.View.getUseTitleForBackButtonText","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.View-method-getUseTitleForBackButtonText","name":"getUseTitleForBackButtonText"},{"meta":{"private":true},"fullName":"Ext.navigation.View.onBackButtonTap","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.View-method-onBackButtonTap","name":"onBackButtonTap"},{"meta":{"private":true},"fullName":"Ext.navigation.View.onItemAdd","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.View-method-onItemAdd","name":"onItemAdd"},{"meta":{},"fullName":"Ext.navigation.View.pop","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.View-method-pop","name":"pop"},{"meta":{},"fullName":"Ext.navigation.View.push","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.View-method-push","name":"push"},{"meta":{},"fullName":"Ext.navigation.View.reset","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.View-method-reset","name":"reset"},{"meta":{},"fullName":"Ext.navigation.View.setDefaultBackButtonText","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.View-method-setDefaultBackButtonText","name":"setDefaultBackButtonText"},{"meta":{},"fullName":"Ext.navigation.View.setItems","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.View-method-setItems","name":"setItems"},{"meta":{},"fullName":"Ext.navigation.View.setNavigationBar","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.View-method-setNavigationBar","name":"setNavigationBar"},{"meta":{},"fullName":"Ext.navigation.View.setUseTitleForBackButtonText","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.View-method-setUseTitleForBackButtonText","name":"setUseTitleForBackButtonText"},{"meta":{"private":true},"fullName":"Ext.navigation.View.updateDefaultBackButtonText","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.View-method-updateDefaultBackButtonText","name":"updateDefaultBackButtonText"},{"meta":{"private":true},"fullName":"Ext.navigation.View.updateUseTitleForBackButtonText","icon":"icon-method","sort":3,"url":"#!/api/Ext.navigation.View-method-updateUseTitleForBackButtonText","name":"updateUseTitleForBackButtonText"},{"meta":{"private":true},"fullName":"Ext.picker.Slot","icon":"icon-component","sort":1,"url":"#!/api/Ext.picker.Slot","name":"Slot"},{"meta":{"private":true},"type":"class","fullName":"Ext.Picker.Slot","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.picker.Slot","name":"Picker.Slot"},{"meta":{"private":true},"fullName":"xtype: pickerslot","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.picker.Slot","name":"pickerslot"},{"meta":{"private":true},"fullName":"Ext.picker.Slot.picker","icon":"icon-property","sort":3,"url":"#!/api/Ext.picker.Slot-property-picker","name":"picker"},{"meta":{"private":true},"fullName":"Ext.picker.Slot.selectedIndex","icon":"icon-property","sort":3,"url":"#!/api/Ext.picker.Slot-property-selectedIndex","name":"selectedIndex"},{"meta":{},"fullName":"Ext.picker.Slot.slotpick","icon":"icon-event","sort":3,"url":"#!/api/Ext.picker.Slot-event-slotpick","name":"slotpick"},{"meta":{},"fullName":"Ext.picker.Slot.align","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Slot-cfg-align","name":"align"},{"meta":{"private":true},"fullName":"Ext.picker.Slot.cls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Slot-cfg-cls","name":"cls"},{"meta":{},"fullName":"Ext.picker.Slot.displayField","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Slot-cfg-displayField","name":"displayField"},{"meta":{"private":true},"fullName":"Ext.picker.Slot.flex","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Slot-cfg-flex","name":"flex"},{"meta":{},"fullName":"Ext.picker.Slot.name","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Slot-cfg-name","name":"name"},{"meta":{"private":true},"fullName":"Ext.picker.Slot.showTitle","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Slot-cfg-showTitle","name":"showTitle"},{"meta":{},"fullName":"Ext.picker.Slot.title","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Slot-cfg-title","name":"title"},{"meta":{},"fullName":"Ext.picker.Slot.value","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Slot-cfg-value","name":"value"},{"meta":{},"fullName":"Ext.picker.Slot.valueField","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Slot-cfg-valueField","name":"valueField"},{"meta":{},"fullName":"Ext.picker.Slot.applyData","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Slot-method-applyData","name":"applyData"},{"meta":{},"fullName":"Ext.picker.Slot.applyTitle","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Slot-method-applyTitle","name":"applyTitle"},{"meta":{},"fullName":"Ext.picker.Slot.getAlign","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Slot-method-getAlign","name":"getAlign"},{"meta":{"private":true},"fullName":"Ext.picker.Slot.getCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Slot-method-getCls","name":"getCls"},{"meta":{},"fullName":"Ext.picker.Slot.getDisplayField","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Slot-method-getDisplayField","name":"getDisplayField"},{"meta":{"private":true},"fullName":"Ext.picker.Slot.getFlex","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Slot-method-getFlex","name":"getFlex"},{"meta":{},"fullName":"Ext.picker.Slot.getName","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Slot-method-getName","name":"getName"},{"meta":{"private":true},"fullName":"Ext.picker.Slot.getPicker","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Slot-method-getPicker","name":"getPicker"},{"meta":{"private":true},"fullName":"Ext.picker.Slot.getShowTitle","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Slot-method-getShowTitle","name":"getShowTitle"},{"meta":{},"fullName":"Ext.picker.Slot.getTitle","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Slot-method-getTitle","name":"getTitle"},{"meta":{"private":true},"fullName":"Ext.picker.Slot.getValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Slot-method-getValue","name":"getValue"},{"meta":{},"fullName":"Ext.picker.Slot.getValueField","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Slot-method-getValueField","name":"getValueField"},{"meta":{},"fullName":"Ext.picker.Slot.setAlign","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Slot-method-setAlign","name":"setAlign"},{"meta":{"private":true},"fullName":"Ext.picker.Slot.setCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Slot-method-setCls","name":"setCls"},{"meta":{},"fullName":"Ext.picker.Slot.setDisplayField","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Slot-method-setDisplayField","name":"setDisplayField"},{"meta":{"private":true},"fullName":"Ext.picker.Slot.setFlex","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Slot-method-setFlex","name":"setFlex"},{"meta":{},"fullName":"Ext.picker.Slot.setName","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Slot-method-setName","name":"setName"},{"meta":{"private":true},"fullName":"Ext.picker.Slot.setShowTitle","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Slot-method-setShowTitle","name":"setShowTitle"},{"meta":{},"fullName":"Ext.picker.Slot.setTitle","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Slot-method-setTitle","name":"setTitle"},{"meta":{"private":true},"fullName":"Ext.picker.Slot.setValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Slot-method-setValue","name":"setValue"},{"meta":{"private":true},"fullName":"Ext.picker.Slot.setValueAnimated","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Slot-method-setValueAnimated","name":"setValueAnimated"},{"meta":{},"fullName":"Ext.picker.Slot.setValueField","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Slot-method-setValueField","name":"setValueField"},{"meta":{},"fullName":"Ext.picker.Slot.updateAlign","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Slot-method-updateAlign","name":"updateAlign"},{"meta":{},"fullName":"Ext.picker.Picker","icon":"icon-component","sort":1,"url":"#!/api/Ext.picker.Picker","name":"Picker"},{"meta":{},"type":"class","fullName":"Ext.Picker","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.picker.Picker","name":"Picker"},{"meta":{},"fullName":"xtype: picker","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.picker.Picker","name":"picker"},{"meta":{},"fullName":"Ext.picker.Picker.cancel","icon":"icon-event","sort":3,"url":"#!/api/Ext.picker.Picker-event-cancel","name":"cancel"},{"meta":{},"fullName":"Ext.picker.Picker.change","icon":"icon-event","sort":3,"url":"#!/api/Ext.picker.Picker-event-change","name":"change"},{"meta":{},"fullName":"Ext.picker.Picker.pick","icon":"icon-event","sort":3,"url":"#!/api/Ext.picker.Picker-event-pick","name":"pick"},{"meta":{"removed":{"text":"","version":"2.0.0"}},"fullName":"Ext.picker.Picker.activeCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Picker-cfg-activeCls","name":"activeCls"},{"meta":{},"fullName":"Ext.picker.Picker.bottom","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Picker-cfg-bottom","name":"bottom"},{"meta":{},"fullName":"Ext.picker.Picker.cancelButton","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Picker-cfg-cancelButton","name":"cancelButton"},{"meta":{},"fullName":"Ext.picker.Picker.cls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Picker-cfg-cls","name":"cls"},{"meta":{},"fullName":"Ext.picker.Picker.doneButton","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Picker-cfg-doneButton","name":"doneButton"},{"meta":{},"fullName":"Ext.picker.Picker.height","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Picker-cfg-height","name":"height"},{"meta":{},"fullName":"Ext.picker.Picker.layout","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Picker-cfg-layout","name":"layout"},{"meta":{},"fullName":"Ext.picker.Picker.left","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Picker-cfg-left","name":"left"},{"meta":{},"fullName":"Ext.picker.Picker.right","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Picker-cfg-right","name":"right"},{"meta":{},"fullName":"Ext.picker.Picker.slots","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Picker-cfg-slots","name":"slots"},{"meta":{},"fullName":"Ext.picker.Picker.toolbar","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Picker-cfg-toolbar","name":"toolbar"},{"meta":{},"fullName":"Ext.picker.Picker.useTitles","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Picker-cfg-useTitles","name":"useTitles"},{"meta":{},"fullName":"Ext.picker.Picker.value","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Picker-cfg-value","name":"value"},{"meta":{},"fullName":"Ext.picker.Picker.applyCancelButton","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-applyCancelButton","name":"applyCancelButton"},{"meta":{},"fullName":"Ext.picker.Picker.applyDoneButton","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-applyDoneButton","name":"applyDoneButton"},{"meta":{"private":true},"fullName":"Ext.picker.Picker.applyToolbar","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-applyToolbar","name":"applyToolbar"},{"meta":{},"fullName":"Ext.picker.Picker.getCancelButton","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-getCancelButton","name":"getCancelButton"},{"meta":{"deprecated":{"text":"Please use {@link #getActiveItem} instead","version":"2.0.0"}},"fullName":"Ext.picker.Picker.getCard","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-getCard","name":"getCard"},{"meta":{},"fullName":"Ext.picker.Picker.getDoneButton","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-getDoneButton","name":"getDoneButton"},{"meta":{},"fullName":"Ext.picker.Picker.getHeight","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-getHeight","name":"getHeight"},{"meta":{},"fullName":"Ext.picker.Picker.getSlots","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-getSlots","name":"getSlots"},{"meta":{},"fullName":"Ext.picker.Picker.getToolbar","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-getToolbar","name":"getToolbar"},{"meta":{},"fullName":"Ext.picker.Picker.getUseTitles","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-getUseTitles","name":"getUseTitles"},{"meta":{},"fullName":"Ext.picker.Picker.getValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-getValue","name":"getValue"},{"meta":{},"fullName":"Ext.picker.Picker.getValues","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-getValues","name":"getValues"},{"meta":{"private":true},"fullName":"Ext.picker.Picker.onCancelButtonTap","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-onCancelButtonTap","name":"onCancelButtonTap"},{"meta":{"private":true},"fullName":"Ext.picker.Picker.onDoneButtonTap","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-onDoneButtonTap","name":"onDoneButtonTap"},{"meta":{"private":true},"fullName":"Ext.picker.Picker.onSlotPick","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-onSlotPick","name":"onSlotPick"},{"meta":{},"fullName":"Ext.picker.Picker.setCancelButton","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-setCancelButton","name":"setCancelButton"},{"meta":{"deprecated":{"text":"Please use {@link #setActiveItem} instead","version":"2.0.0"}},"fullName":"Ext.picker.Picker.setCard","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-setCard","name":"setCard"},{"meta":{},"fullName":"Ext.picker.Picker.setDoneButton","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-setDoneButton","name":"setDoneButton"},{"meta":{},"fullName":"Ext.picker.Picker.setHeight","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-setHeight","name":"setHeight"},{"meta":{},"fullName":"Ext.picker.Picker.setSlots","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-setSlots","name":"setSlots"},{"meta":{},"fullName":"Ext.picker.Picker.setToolbar","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-setToolbar","name":"setToolbar"},{"meta":{},"fullName":"Ext.picker.Picker.setUseTitles","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-setUseTitles","name":"setUseTitles"},{"meta":{},"fullName":"Ext.picker.Picker.setValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-setValue","name":"setValue"},{"meta":{"private":true},"fullName":"Ext.picker.Picker.updateSlots","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-updateSlots","name":"updateSlots"},{"meta":{"private":true},"fullName":"Ext.picker.Picker.updateToolbar","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-updateToolbar","name":"updateToolbar"},{"meta":{"private":true},"fullName":"Ext.picker.Picker.updateUseTitles","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Picker-method-updateUseTitles","name":"updateUseTitles"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"Ext.field.Select","icon":"icon-component","sort":1,"url":"#!/api/Ext.field.Select","name":"Select"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"type":"class","fullName":"Ext.form.Select","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.field.Select","name":"Select"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"xtype: selectfield","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.field.Select","name":"selectfield"},{"meta":{},"fullName":"Ext.field.Select.change","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Select-event-change","name":"change"},{"meta":{},"fullName":"Ext.field.Select.defaultPhonePickerConfig","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Select-cfg-defaultPhonePickerConfig","name":"defaultPhonePickerConfig"},{"meta":{},"fullName":"Ext.field.Select.defaultTabletPickerConfig","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Select-cfg-defaultTabletPickerConfig","name":"defaultTabletPickerConfig"},{"meta":{},"fullName":"Ext.field.Select.displayField","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Select-cfg-displayField","name":"displayField"},{"meta":{},"fullName":"Ext.field.Select.hiddenName","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Select-cfg-hiddenName","name":"hiddenName"},{"meta":{},"fullName":"Ext.field.Select.name","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Select-cfg-name","name":"name"},{"meta":{},"fullName":"Ext.field.Select.options","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Select-cfg-options","name":"options"},{"meta":{},"fullName":"Ext.field.Select.store","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Select-cfg-store","name":"store"},{"meta":{},"fullName":"Ext.field.Select.ui","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Select-cfg-ui","name":"ui"},{"meta":{},"fullName":"Ext.field.Select.usePicker","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Select-cfg-usePicker","name":"usePicker"},{"meta":{},"fullName":"Ext.field.Select.valueField","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Select-cfg-valueField","name":"valueField"},{"meta":{"private":true},"fullName":"Ext.field.Select.applyUsePicker","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Select-method-applyUsePicker","name":"applyUsePicker"},{"meta":{"private":true},"fullName":"Ext.field.Select.applyValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Select-method-applyValue","name":"applyValue"},{"meta":{"private":true},"fullName":"Ext.field.Select.doSetDisabled","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Select-method-doSetDisabled","name":"doSetDisabled"},{"meta":{},"fullName":"Ext.field.Select.getDisplayField","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Select-method-getDisplayField","name":"getDisplayField"},{"meta":{},"fullName":"Ext.field.Select.getHiddenName","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Select-method-getHiddenName","name":"getHiddenName"},{"meta":{},"fullName":"Ext.field.Select.getOptions","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Select-method-getOptions","name":"getOptions"},{"meta":{},"fullName":"Ext.field.Select.getRecord","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Select-method-getRecord","name":"getRecord"},{"meta":{},"fullName":"Ext.field.Select.getStore","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Select-method-getStore","name":"getStore"},{"meta":{},"fullName":"Ext.field.Select.getValueField","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Select-method-getValueField","name":"getValueField"},{"meta":{},"fullName":"Ext.field.Select.onStoreDataChanged","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Select-method-onStoreDataChanged","name":"onStoreDataChanged"},{"meta":{},"fullName":"Ext.field.Select.reset","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Select-method-reset","name":"reset"},{"meta":{"private":true},"fullName":"Ext.field.Select.setDisabled","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Select-method-setDisabled","name":"setDisabled"},{"meta":{},"fullName":"Ext.field.Select.setDisplayField","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Select-method-setDisplayField","name":"setDisplayField"},{"meta":{},"fullName":"Ext.field.Select.setHiddenName","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Select-method-setHiddenName","name":"setHiddenName"},{"meta":{},"fullName":"Ext.field.Select.setOptions","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Select-method-setOptions","name":"setOptions"},{"meta":{},"fullName":"Ext.field.Select.setStore","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Select-method-setStore","name":"setStore"},{"meta":{},"fullName":"Ext.field.Select.setValueField","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Select-method-setValueField","name":"setValueField"},{"meta":{},"fullName":"Ext.field.Select.showPicker","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Select-method-showPicker","name":"showPicker"},{"meta":{"private":true},"fullName":"Ext.field.Select.updateDefaultPhonePickerConfig","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Select-method-updateDefaultPhonePickerConfig","name":"updateDefaultPhonePickerConfig"},{"meta":{"private":true},"fullName":"Ext.field.Select.updateDefaultTabletPickerConfig","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Select-method-updateDefaultTabletPickerConfig","name":"updateDefaultTabletPickerConfig"},{"meta":{},"fullName":"Ext.field.Select.updateOptions","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Select-method-updateOptions","name":"updateOptions"},{"meta":{},"fullName":"Ext.picker.Date","icon":"icon-component","sort":1,"url":"#!/api/Ext.picker.Date","name":"Date"},{"meta":{},"type":"class","fullName":"Ext.DatePicker","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.picker.Date","name":"DatePicker"},{"meta":{},"fullName":"xtype: datepicker","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.picker.Date","name":"datepicker"},{"meta":{},"fullName":"Ext.picker.Date.change","icon":"icon-event","sort":3,"url":"#!/api/Ext.picker.Date-event-change","name":"change"},{"meta":{},"fullName":"Ext.picker.Date.dayText","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Date-cfg-dayText","name":"dayText"},{"meta":{},"fullName":"Ext.picker.Date.monthText","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Date-cfg-monthText","name":"monthText"},{"meta":{},"fullName":"Ext.picker.Date.slotOrder","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Date-cfg-slotOrder","name":"slotOrder"},{"meta":{},"fullName":"Ext.picker.Date.value","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Date-cfg-value","name":"value"},{"meta":{},"fullName":"Ext.picker.Date.yearFrom","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Date-cfg-yearFrom","name":"yearFrom"},{"meta":{},"fullName":"Ext.picker.Date.yearText","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Date-cfg-yearText","name":"yearText"},{"meta":{},"fullName":"Ext.picker.Date.yearTo","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.picker.Date-cfg-yearTo","name":"yearTo"},{"meta":{"private":true},"fullName":"Ext.picker.Date.createSlot","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Date-method-createSlot","name":"createSlot"},{"meta":{"private":true},"fullName":"Ext.picker.Date.createSlots","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Date-method-createSlots","name":"createSlots"},{"meta":{},"fullName":"Ext.picker.Date.getDayText","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Date-method-getDayText","name":"getDayText"},{"meta":{},"fullName":"Ext.picker.Date.getMonthText","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Date-method-getMonthText","name":"getMonthText"},{"meta":{},"fullName":"Ext.picker.Date.getSlotOrder","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Date-method-getSlotOrder","name":"getSlotOrder"},{"meta":{},"fullName":"Ext.picker.Date.getValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Date-method-getValue","name":"getValue"},{"meta":{},"fullName":"Ext.picker.Date.getYearFrom","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Date-method-getYearFrom","name":"getYearFrom"},{"meta":{},"fullName":"Ext.picker.Date.getYearText","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Date-method-getYearText","name":"getYearText"},{"meta":{},"fullName":"Ext.picker.Date.getYearTo","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Date-method-getYearTo","name":"getYearTo"},{"meta":{},"fullName":"Ext.picker.Date.setDayText","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Date-method-setDayText","name":"setDayText"},{"meta":{},"fullName":"Ext.picker.Date.setMonthText","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Date-method-setMonthText","name":"setMonthText"},{"meta":{},"fullName":"Ext.picker.Date.setSlotOrder","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Date-method-setSlotOrder","name":"setSlotOrder"},{"meta":{},"fullName":"Ext.picker.Date.setValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Date-method-setValue","name":"setValue"},{"meta":{},"fullName":"Ext.picker.Date.setYearFrom","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Date-method-setYearFrom","name":"setYearFrom"},{"meta":{},"fullName":"Ext.picker.Date.setYearText","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Date-method-setYearText","name":"setYearText"},{"meta":{},"fullName":"Ext.picker.Date.setYearTo","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Date-method-setYearTo","name":"setYearTo"},{"meta":{},"fullName":"Ext.picker.Date.updateDayText","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Date-method-updateDayText","name":"updateDayText"},{"meta":{},"fullName":"Ext.picker.Date.updateMonthText","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Date-method-updateMonthText","name":"updateMonthText"},{"meta":{},"fullName":"Ext.picker.Date.updateYearFrom","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Date-method-updateYearFrom","name":"updateYearFrom"},{"meta":{},"fullName":"Ext.picker.Date.updateYearText","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Date-method-updateYearText","name":"updateYearText"},{"meta":{},"fullName":"Ext.picker.Date.updateYearTo","icon":"icon-method","sort":3,"url":"#!/api/Ext.picker.Date-method-updateYearTo","name":"updateYearTo"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"Ext.field.DatePicker","icon":"icon-component","sort":1,"url":"#!/api/Ext.field.DatePicker","name":"DatePicker"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"type":"class","fullName":"Ext.form.DatePicker","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.field.DatePicker","name":"DatePicker"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"xtype: datepickerfield","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.field.DatePicker","name":"datepickerfield"},{"meta":{},"fullName":"Ext.field.DatePicker.change","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.DatePicker-event-change","name":"change"},{"meta":{},"fullName":"Ext.field.DatePicker.dateFormat","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.DatePicker-cfg-dateFormat","name":"dateFormat"},{"meta":{},"fullName":"Ext.field.DatePicker.destroyPickerOnHide","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.DatePicker-cfg-destroyPickerOnHide","name":"destroyPickerOnHide"},{"meta":{},"fullName":"Ext.field.DatePicker.picker","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.DatePicker-cfg-picker","name":"picker"},{"meta":{},"fullName":"Ext.field.DatePicker.value","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.DatePicker-cfg-value","name":"value"},{"meta":{"deprecated":{"text":"Please use #getPicker instead","version":"2.0.0"}},"fullName":"Ext.field.DatePicker.getDatePicker","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.DatePicker-method-getDatePicker","name":"getDatePicker"},{"meta":{},"fullName":"Ext.field.DatePicker.getDestroyPickerOnHide","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.DatePicker-method-getDestroyPickerOnHide","name":"getDestroyPickerOnHide"},{"meta":{},"fullName":"Ext.field.DatePicker.getFormattedValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.DatePicker-method-getFormattedValue","name":"getFormattedValue"},{"meta":{},"fullName":"Ext.field.DatePicker.getPicker","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.DatePicker-method-getPicker","name":"getPicker"},{"meta":{},"fullName":"Ext.field.DatePicker.getValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.DatePicker-method-getValue","name":"getValue"},{"meta":{"private":true},"fullName":"Ext.field.DatePicker.onMaskTap","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.DatePicker-method-onMaskTap","name":"onMaskTap"},{"meta":{"private":true},"fullName":"Ext.field.DatePicker.onPickerChange","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.DatePicker-method-onPickerChange","name":"onPickerChange"},{"meta":{"private":true},"fullName":"Ext.field.DatePicker.onPickerHide","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.DatePicker-method-onPickerHide","name":"onPickerHide"},{"meta":{},"fullName":"Ext.field.DatePicker.setDestroyPickerOnHide","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.DatePicker-method-setDestroyPickerOnHide","name":"setDestroyPickerOnHide"},{"meta":{},"fullName":"Ext.field.DatePicker.setPicker","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.DatePicker-method-setPicker","name":"setPicker"},{"meta":{},"fullName":"Ext.field.DatePicker.setValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.DatePicker-method-setValue","name":"setValue"},{"meta":{"private":true},"fullName":"Ext.field.DatePicker.updateDateFormat","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.DatePicker-method-updateDateFormat","name":"updateDateFormat"},{"meta":{"private":true},"fullName":"Ext.slider.Thumb","icon":"icon-component","sort":1,"url":"#!/api/Ext.slider.Thumb","name":"Thumb"},{"meta":{"private":true},"fullName":"xtype: thumb","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.slider.Thumb","name":"thumb"},{"meta":{},"fullName":"Ext.slider.Thumb.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.slider.Thumb-cfg-baseCls","name":"baseCls"},{"meta":{},"fullName":"Ext.slider.Thumb.draggable","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.slider.Thumb-cfg-draggable","name":"draggable"},{"meta":{"private":true},"fullName":"Ext.slider.Slider","icon":"icon-component","sort":1,"url":"#!/api/Ext.slider.Slider","name":"Slider"},{"meta":{"private":true},"fullName":"xtype: slider","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.slider.Slider","name":"slider"},{"meta":{},"fullName":"Ext.slider.Slider.change","icon":"icon-event","sort":3,"url":"#!/api/Ext.slider.Slider-event-change","name":"change"},{"meta":{},"fullName":"Ext.slider.Slider.drag","icon":"icon-event","sort":3,"url":"#!/api/Ext.slider.Slider-event-drag","name":"drag"},{"meta":{},"fullName":"Ext.slider.Slider.dragend","icon":"icon-event","sort":3,"url":"#!/api/Ext.slider.Slider-event-dragend","name":"dragend"},{"meta":{},"fullName":"Ext.slider.Slider.dragstart","icon":"icon-event","sort":3,"url":"#!/api/Ext.slider.Slider-event-dragstart","name":"dragstart"},{"meta":{},"fullName":"Ext.slider.Slider.allowThumbsOverlapping","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.slider.Slider-cfg-allowThumbsOverlapping","name":"allowThumbsOverlapping"},{"meta":{},"fullName":"Ext.slider.Slider.animation","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.slider.Slider-cfg-animation","name":"animation"},{"meta":{"removed":{"text":"Use the duration property on the animation config instead.","version":"2.0.0"}},"fullName":"Ext.slider.Slider.animationDuration","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.slider.Slider-cfg-animationDuration","name":"animationDuration"},{"meta":{},"fullName":"Ext.slider.Slider.increment","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.slider.Slider-cfg-increment","name":"increment"},{"meta":{},"fullName":"Ext.slider.Slider.maxValue","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.slider.Slider-cfg-maxValue","name":"maxValue"},{"meta":{},"fullName":"Ext.slider.Slider.minValue","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.slider.Slider-cfg-minValue","name":"minValue"},{"meta":{},"fullName":"Ext.slider.Slider.thumbConfig","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.slider.Slider-cfg-thumbConfig","name":"thumbConfig"},{"meta":{},"fullName":"Ext.slider.Slider.value","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.slider.Slider-cfg-value","name":"value"},{"meta":{},"fullName":"Ext.slider.Slider.values","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.slider.Slider-cfg-values","name":"values"},{"meta":{"private":true},"fullName":"Ext.slider.Slider.constrainValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Slider-method-constrainValue","name":"constrainValue"},{"meta":{"private":true},"fullName":"Ext.slider.Slider.factoryThumb","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Slider-method-factoryThumb","name":"factoryThumb"},{"meta":{},"fullName":"Ext.slider.Slider.getAllowThumbsOverlapping","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Slider-method-getAllowThumbsOverlapping","name":"getAllowThumbsOverlapping"},{"meta":{},"fullName":"Ext.slider.Slider.getAnimation","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Slider-method-getAnimation","name":"getAnimation"},{"meta":{},"fullName":"Ext.slider.Slider.getIncrement","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Slider-method-getIncrement","name":"getIncrement"},{"meta":{},"fullName":"Ext.slider.Slider.getMaxValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Slider-method-getMaxValue","name":"getMaxValue"},{"meta":{},"fullName":"Ext.slider.Slider.getMinValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Slider-method-getMinValue","name":"getMinValue"},{"meta":{},"fullName":"Ext.slider.Slider.getThumb","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Slider-method-getThumb","name":"getThumb"},{"meta":{},"fullName":"Ext.slider.Slider.getThumbConfig","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Slider-method-getThumbConfig","name":"getThumbConfig"},{"meta":{},"fullName":"Ext.slider.Slider.getThumbs","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Slider-method-getThumbs","name":"getThumbs"},{"meta":{},"fullName":"Ext.slider.Slider.getValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Slider-method-getValue","name":"getValue"},{"meta":{},"fullName":"Ext.slider.Slider.getValues","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Slider-method-getValues","name":"getValues"},{"meta":{"private":true},"fullName":"Ext.slider.Slider.refreshValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Slider-method-refreshValue","name":"refreshValue"},{"meta":{},"fullName":"Ext.slider.Slider.setAllowThumbsOverlapping","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Slider-method-setAllowThumbsOverlapping","name":"setAllowThumbsOverlapping"},{"meta":{},"fullName":"Ext.slider.Slider.setAnimation","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Slider-method-setAnimation","name":"setAnimation"},{"meta":{},"fullName":"Ext.slider.Slider.setIncrement","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Slider-method-setIncrement","name":"setIncrement"},{"meta":{},"fullName":"Ext.slider.Slider.setMaxValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Slider-method-setMaxValue","name":"setMaxValue"},{"meta":{},"fullName":"Ext.slider.Slider.setMinValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Slider-method-setMinValue","name":"setMinValue"},{"meta":{},"fullName":"Ext.slider.Slider.setThumbConfig","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Slider-method-setThumbConfig","name":"setThumbConfig"},{"meta":{},"fullName":"Ext.slider.Slider.setValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Slider-method-setValue","name":"setValue"},{"meta":{},"fullName":"Ext.slider.Slider.setValues","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Slider-method-setValues","name":"setValues"},{"meta":{},"fullName":"Ext.slider.Slider.updateValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Slider-method-updateValue","name":"updateValue"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"Ext.field.Slider","icon":"icon-component","sort":1,"url":"#!/api/Ext.field.Slider","name":"Slider"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"type":"class","fullName":"Ext.form.Slider","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.field.Slider","name":"Slider"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"xtype: sliderfield","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.field.Slider","name":"sliderfield"},{"meta":{},"fullName":"Ext.field.Slider.change","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Slider-event-change","name":"change"},{"meta":{},"fullName":"Ext.field.Slider.drag","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Slider-event-drag","name":"drag"},{"meta":{},"fullName":"Ext.field.Slider.dragend","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Slider-event-dragend","name":"dragend"},{"meta":{},"fullName":"Ext.field.Slider.dragstart","icon":"icon-event","sort":3,"url":"#!/api/Ext.field.Slider-event-dragstart","name":"dragstart"},{"meta":{},"fullName":"Ext.field.Slider.$form-slider-size","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.field.Slider-css_var-S-form-slider-size","name":"$form-slider-size"},{"meta":{},"fullName":"Ext.field.Slider.$form-thumb-size","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.field.Slider-css_var-S-form-thumb-size","name":"$form-thumb-size"},{"meta":{},"fullName":"Ext.field.Slider.sencha-form-sliders","icon":"icon-css_mixin","sort":3,"url":"#!/api/Ext.field.Slider-css_mixin-sencha-form-sliders","name":"sencha-form-sliders"},{"meta":{},"fullName":"Ext.field.Slider.cls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Slider-cfg-cls","name":"cls"},{"meta":{},"fullName":"Ext.field.Slider.increment","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Slider-cfg-increment","name":"increment"},{"meta":{},"fullName":"Ext.field.Slider.maxValue","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Slider-cfg-maxValue","name":"maxValue"},{"meta":{},"fullName":"Ext.field.Slider.minValue","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Slider-cfg-minValue","name":"minValue"},{"meta":{},"fullName":"Ext.field.Slider.tabIndex","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Slider-cfg-tabIndex","name":"tabIndex"},{"meta":{},"fullName":"Ext.field.Slider.value","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Slider-cfg-value","name":"value"},{"meta":{},"fullName":"Ext.field.Slider.values","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Slider-cfg-values","name":"values"},{"meta":{},"fullName":"Ext.field.Slider.getIncrement","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Slider-method-getIncrement","name":"getIncrement"},{"meta":{},"fullName":"Ext.field.Slider.getMaxValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Slider-method-getMaxValue","name":"getMaxValue"},{"meta":{},"fullName":"Ext.field.Slider.getMinValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Slider-method-getMinValue","name":"getMinValue"},{"meta":{},"fullName":"Ext.field.Slider.getValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Slider-method-getValue","name":"getValue"},{"meta":{},"fullName":"Ext.field.Slider.getValues","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Slider-method-getValues","name":"getValues"},{"meta":{},"fullName":"Ext.field.Slider.setIncrement","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Slider-method-setIncrement","name":"setIncrement"},{"meta":{},"fullName":"Ext.field.Slider.setMaxValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Slider-method-setMaxValue","name":"setMaxValue"},{"meta":{},"fullName":"Ext.field.Slider.setMinValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Slider-method-setMinValue","name":"setMinValue"},{"meta":{},"fullName":"Ext.field.Slider.setValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Slider-method-setValue","name":"setValue"},{"meta":{},"fullName":"Ext.field.Slider.setValues","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Slider-method-setValues","name":"setValues"},{"meta":{"private":true},"fullName":"Ext.slider.Toggle","icon":"icon-component","sort":1,"url":"#!/api/Ext.slider.Toggle","name":"Toggle"},{"meta":{},"fullName":"Ext.slider.Toggle.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.slider.Toggle-cfg-baseCls","name":"baseCls"},{"meta":{},"fullName":"Ext.slider.Toggle.maxValueCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.slider.Toggle-cfg-maxValueCls","name":"maxValueCls"},{"meta":{},"fullName":"Ext.slider.Toggle.minValueCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.slider.Toggle-cfg-minValueCls","name":"minValueCls"},{"meta":{},"fullName":"Ext.slider.Toggle.getMaxValueCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Toggle-method-getMaxValueCls","name":"getMaxValueCls"},{"meta":{},"fullName":"Ext.slider.Toggle.getMinValueCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Toggle-method-getMinValueCls","name":"getMinValueCls"},{"meta":{},"fullName":"Ext.slider.Toggle.setMaxValueCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Toggle-method-setMaxValueCls","name":"setMaxValueCls"},{"meta":{},"fullName":"Ext.slider.Toggle.setMinValueCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.slider.Toggle-method-setMinValueCls","name":"setMinValueCls"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"Ext.field.Toggle","icon":"icon-component","sort":1,"url":"#!/api/Ext.field.Toggle","name":"Toggle"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"type":"class","fullName":"Ext.form.Toggle","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.field.Toggle","name":"Toggle"},{"meta":{"aside":[{"type":"guide","name":"forms"}]},"fullName":"xtype: togglefield","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.field.Toggle","name":"togglefield"},{"meta":{},"fullName":"Ext.field.Toggle.$form-toggle-size","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.field.Toggle-css_var-S-form-toggle-size","name":"$form-toggle-size"},{"meta":{},"fullName":"Ext.field.Toggle.cls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Toggle-cfg-cls","name":"cls"},{"meta":{},"fullName":"Ext.field.Toggle.maxValueCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Toggle-cfg-maxValueCls","name":"maxValueCls"},{"meta":{},"fullName":"Ext.field.Toggle.minValueCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.field.Toggle-cfg-minValueCls","name":"minValueCls"},{"meta":{},"fullName":"Ext.field.Toggle.getMaxValueCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Toggle-method-getMaxValueCls","name":"getMaxValueCls"},{"meta":{},"fullName":"Ext.field.Toggle.getMinValueCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Toggle-method-getMinValueCls","name":"getMinValueCls"},{"meta":{},"fullName":"Ext.field.Toggle.setMaxValueCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Toggle-method-setMaxValueCls","name":"setMaxValueCls"},{"meta":{},"fullName":"Ext.field.Toggle.setMinValueCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Toggle-method-setMinValueCls","name":"setMinValueCls"},{"meta":{},"fullName":"Ext.field.Toggle.setValue","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Toggle-method-setValue","name":"setValue"},{"meta":{},"fullName":"Ext.field.Toggle.toggle","icon":"icon-method","sort":3,"url":"#!/api/Ext.field.Toggle-method-toggle","name":"toggle"},{"meta":{"private":true},"fullName":"Ext.tab.Tab","icon":"icon-component","sort":1,"url":"#!/api/Ext.tab.Tab","name":"Tab"},{"meta":{"private":true},"type":"class","fullName":"Ext.Tab","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.tab.Tab","name":"Tab"},{"meta":{"private":true},"fullName":"xtype: tab","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.tab.Tab","name":"tab"},{"meta":{},"fullName":"Ext.tab.Tab.activate","icon":"icon-event","sort":3,"url":"#!/api/Ext.tab.Tab-event-activate","name":"activate"},{"meta":{},"fullName":"Ext.tab.Tab.deactivate","icon":"icon-event","sort":3,"url":"#!/api/Ext.tab.Tab-event-deactivate","name":"deactivate"},{"meta":{},"fullName":"Ext.tab.Tab.$include-tab-highlights","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.tab.Tab-css_var-S-include-tab-highlights","name":"$include-tab-highlights"},{"meta":{},"fullName":"Ext.tab.Tab.$tabs-bottom-active-gradient","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.tab.Tab-css_var-S-tabs-bottom-active-gradient","name":"$tabs-bottom-active-gradient"},{"meta":{},"fullName":"Ext.tab.Tab.$tabs-bottom-icon-size","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.tab.Tab-css_var-S-tabs-bottom-icon-size","name":"$tabs-bottom-icon-size"},{"meta":{},"fullName":"Ext.tab.Tab.$tabs-bottom-radius","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.tab.Tab-css_var-S-tabs-bottom-radius","name":"$tabs-bottom-radius"},{"meta":{},"fullName":"Ext.tab.Tab.active","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.tab.Tab-cfg-active","name":"active"},{"meta":{},"fullName":"Ext.tab.Tab.activeCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.tab.Tab-cfg-activeCls","name":"activeCls"},{"meta":{},"fullName":"Ext.tab.Tab.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.tab.Tab-cfg-baseCls","name":"baseCls"},{"meta":{},"fullName":"Ext.tab.Tab.pressedCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.tab.Tab-cfg-pressedCls","name":"pressedCls"},{"meta":{},"fullName":"Ext.tab.Tab.title","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.tab.Tab-cfg-title","name":"title"},{"meta":{},"fullName":"Ext.tab.Tab.getActive","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Tab-method-getActive","name":"getActive"},{"meta":{},"fullName":"Ext.tab.Tab.getActiveCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Tab-method-getActiveCls","name":"getActiveCls"},{"meta":{},"fullName":"Ext.tab.Tab.getPressedCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Tab-method-getPressedCls","name":"getPressedCls"},{"meta":{},"fullName":"Ext.tab.Tab.getTitle","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Tab-method-getTitle","name":"getTitle"},{"meta":{},"fullName":"Ext.tab.Tab.setActive","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Tab-method-setActive","name":"setActive"},{"meta":{},"fullName":"Ext.tab.Tab.setActiveCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Tab-method-setActiveCls","name":"setActiveCls"},{"meta":{},"fullName":"Ext.tab.Tab.setPressedCls","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Tab-method-setPressedCls","name":"setPressedCls"},{"meta":{},"fullName":"Ext.tab.Tab.setTitle","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Tab-method-setTitle","name":"setTitle"},{"meta":{"private":true},"fullName":"Ext.tab.Bar","icon":"icon-component","sort":1,"url":"#!/api/Ext.tab.Bar","name":"Bar"},{"meta":{"private":true},"type":"class","fullName":"Ext.TabBar","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.tab.Bar","name":"TabBar"},{"meta":{"private":true},"fullName":"xtype: tabbar","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.tab.Bar","name":"tabbar"},{"meta":{},"fullName":"Ext.tab.Bar.activetabchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.tab.Bar-event-activetabchange","name":"activetabchange"},{"meta":{},"fullName":"Ext.tab.Bar.tabchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.tab.Bar-event-tabchange","name":"tabchange"},{"meta":{},"fullName":"Ext.tab.Bar.$include-bottom-tabs","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.tab.Bar-css_var-S-include-bottom-tabs","name":"$include-bottom-tabs"},{"meta":{},"fullName":"Ext.tab.Bar.$include-tabbar-uis","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.tab.Bar-css_var-S-include-tabbar-uis","name":"$include-tabbar-uis"},{"meta":{},"fullName":"Ext.tab.Bar.$include-top-tabs","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.tab.Bar-css_var-S-include-top-tabs","name":"$include-top-tabs"},{"meta":{},"fullName":"Ext.tab.Bar.$tabs-bar-gradient","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.tab.Bar-css_var-S-tabs-bar-gradient","name":"$tabs-bar-gradient"},{"meta":{},"fullName":"Ext.tab.Bar.$tabs-dark","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.tab.Bar-css_var-S-tabs-dark","name":"$tabs-dark"},{"meta":{},"fullName":"Ext.tab.Bar.$tabs-dark-active","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.tab.Bar-css_var-S-tabs-dark-active","name":"$tabs-dark-active"},{"meta":{},"fullName":"Ext.tab.Bar.$tabs-light","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.tab.Bar-css_var-S-tabs-light","name":"$tabs-light"},{"meta":{},"fullName":"Ext.tab.Bar.$tabs-light-active","icon":"icon-css_var","sort":3,"url":"#!/api/Ext.tab.Bar-css_var-S-tabs-light-active","name":"$tabs-light-active"},{"meta":{},"fullName":"Ext.tab.Bar.sencha-tabbar-ui","icon":"icon-css_mixin","sort":3,"url":"#!/api/Ext.tab.Bar-css_mixin-sencha-tabbar-ui","name":"sencha-tabbar-ui"},{"meta":{},"fullName":"Ext.tab.Bar.sencha-tabs","icon":"icon-css_mixin","sort":3,"url":"#!/api/Ext.tab.Bar-css_mixin-sencha-tabs","name":"sencha-tabs"},{"meta":{},"fullName":"Ext.tab.Bar.sencha-toolbar-forms","icon":"icon-css_mixin","sort":3,"url":"#!/api/Ext.tab.Bar-css_mixin-sencha-toolbar-forms","name":"sencha-toolbar-forms"},{"meta":{},"fullName":"Ext.tab.Bar.activeTab","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.tab.Bar-cfg-activeTab","name":"activeTab"},{"meta":{},"fullName":"Ext.tab.Bar.baseCls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.tab.Bar-cfg-baseCls","name":"baseCls"},{"meta":{"private":true},"fullName":"Ext.tab.Bar.applyActiveTab","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Bar-method-applyActiveTab","name":"applyActiveTab"},{"meta":{"private":true},"fullName":"Ext.tab.Bar.doSetActiveTab","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Bar-method-doSetActiveTab","name":"doSetActiveTab"},{"meta":{"private":true},"fullName":"Ext.tab.Bar.doSetDocked","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Bar-method-doSetDocked","name":"doSetDocked"},{"meta":{},"fullName":"Ext.tab.Bar.getActiveTab","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Bar-method-getActiveTab","name":"getActiveTab"},{"meta":{"private":true},"fullName":"Ext.tab.Bar.parseActiveTab","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Bar-method-parseActiveTab","name":"parseActiveTab"},{"meta":{},"fullName":"Ext.tab.Bar.setActiveTab","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Bar-method-setActiveTab","name":"setActiveTab"},{"meta":{"aside":[{"type":"guide","name":"tabs"},{"type":"video","name":"tabs-toolbars"}]},"fullName":"Ext.tab.Panel","icon":"icon-component","sort":1,"url":"#!/api/Ext.tab.Panel","name":"Panel"},{"meta":{"aside":[{"type":"guide","name":"tabs"},{"type":"video","name":"tabs-toolbars"}]},"type":"class","fullName":"Ext.TabPanel","icon":"icon-component-redirect","sort":2,"url":"#!/api/Ext.tab.Panel","name":"TabPanel"},{"meta":{"aside":[{"type":"guide","name":"tabs"},{"type":"video","name":"tabs-toolbars"}]},"fullName":"xtype: tabpanel","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.tab.Panel","name":"tabpanel"},{"meta":{},"fullName":"Ext.tab.Panel.cls","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.tab.Panel-cfg-cls","name":"cls"},{"meta":{},"fullName":"Ext.tab.Panel.layout","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.tab.Panel-cfg-layout","name":"layout"},{"meta":{},"fullName":"Ext.tab.Panel.tabBar","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.tab.Panel-cfg-tabBar","name":"tabBar"},{"meta":{"deprecated":{"text":"Please use {@link #tabBarPosition} instead.","version":"2.0.0"}},"fullName":"Ext.tab.Panel.tabBarDock","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.tab.Panel-cfg-tabBarDock","name":"tabBarDock"},{"meta":{},"fullName":"Ext.tab.Panel.tabBarPosition","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.tab.Panel-cfg-tabBarPosition","name":"tabBarPosition"},{"meta":{},"fullName":"Ext.tab.Panel.ui","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.tab.Panel-cfg-ui","name":"ui"},{"meta":{"private":true},"fullName":"Ext.tab.Panel.applyScrollable","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Panel-method-applyScrollable","name":"applyScrollable"},{"meta":{"private":true},"fullName":"Ext.tab.Panel.applyTabBar","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Panel-method-applyTabBar","name":"applyTabBar"},{"meta":{"private":true},"fullName":"Ext.tab.Panel.doSetActiveItem","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Panel-method-doSetActiveItem","name":"doSetActiveItem"},{"meta":{},"fullName":"Ext.tab.Panel.doTabChange","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Panel-method-doTabChange","name":"doTabChange"},{"meta":{},"fullName":"Ext.tab.Panel.getTabBar","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Panel-method-getTabBar","name":"getTabBar"},{"meta":{},"fullName":"Ext.tab.Panel.getTabBarPosition","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Panel-method-getTabBarPosition","name":"getTabBarPosition"},{"meta":{},"fullName":"Ext.tab.Panel.getUi","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Panel-method-getUi","name":"getUi"},{"meta":{"private":true},"fullName":"Ext.tab.Panel.onItemDisabledChange","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Panel-method-onItemDisabledChange","name":"onItemDisabledChange"},{"meta":{},"fullName":"Ext.tab.Panel.setTabBar","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Panel-method-setTabBar","name":"setTabBar"},{"meta":{},"fullName":"Ext.tab.Panel.setTabBarPosition","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Panel-method-setTabBarPosition","name":"setTabBarPosition"},{"meta":{},"fullName":"Ext.tab.Panel.setUi","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Panel-method-setUi","name":"setUi"},{"meta":{"private":true},"fullName":"Ext.tab.Panel.updateTabBar","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Panel-method-updateTabBar","name":"updateTabBar"},{"meta":{"private":true},"fullName":"Ext.tab.Panel.updateTabBarPosition","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Panel-method-updateTabBarPosition","name":"updateTabBarPosition"},{"meta":{},"fullName":"Ext.tab.Panel.updateUi","icon":"icon-method","sort":3,"url":"#!/api/Ext.tab.Panel-method-updateUi","name":"updateUi"},{"meta":{"private":true},"fullName":"Ext.viewport.Default","icon":"icon-component","sort":1,"url":"#!/api/Ext.viewport.Default","name":"Default"},{"meta":{"private":true},"fullName":"xtype: viewport","icon":"icon-component-redirect","sort":0,"url":"#!/api/Ext.viewport.Default","name":"viewport"},{"meta":{"private":true},"fullName":"Ext.viewport.Default.autoBlurInput","icon":"icon-property","sort":3,"url":"#!/api/Ext.viewport.Default-property-autoBlurInput","name":"autoBlurInput"},{"meta":{"private":true},"fullName":"Ext.viewport.Default.fullscreenItemCls","icon":"icon-property","sort":3,"url":"#!/api/Ext.viewport.Default-property-fullscreenItemCls","name":"fullscreenItemCls"},{"meta":{},"fullName":"Ext.viewport.Default.isReady","icon":"icon-property","sort":3,"url":"#!/api/Ext.viewport.Default-property-isReady","name":"isReady"},{"meta":{},"fullName":"Ext.viewport.Default.maximize","icon":"icon-event","sort":3,"url":"#!/api/Ext.viewport.Default-event-maximize","name":"maximize"},{"meta":{},"fullName":"Ext.viewport.Default.orientationchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.viewport.Default-event-orientationchange","name":"orientationchange"},{"meta":{},"fullName":"Ext.viewport.Default.ready","icon":"icon-event","sort":3,"url":"#!/api/Ext.viewport.Default-event-ready","name":"ready"},{"meta":{},"fullName":"Ext.viewport.Default.autoMaximize","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.viewport.Default-cfg-autoMaximize","name":"autoMaximize"},{"meta":{"private":true},"fullName":"Ext.viewport.Default.autoRender","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.viewport.Default-cfg-autoRender","name":"autoRender"},{"meta":{"private":true},"fullName":"Ext.viewport.Default.height","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.viewport.Default-cfg-height","name":"height"},{"meta":{},"fullName":"Ext.viewport.Default.layout","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.viewport.Default-cfg-layout","name":"layout"},{"meta":{},"fullName":"Ext.viewport.Default.preventPanning","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.viewport.Default-cfg-preventPanning","name":"preventPanning"},{"meta":{},"fullName":"Ext.viewport.Default.preventZooming","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.viewport.Default-cfg-preventZooming","name":"preventZooming"},{"meta":{"private":true},"fullName":"Ext.viewport.Default.width","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.viewport.Default-cfg-width","name":"width"},{"meta":{},"fullName":"Ext.viewport.Default.getAutoMaximize","icon":"icon-method","sort":3,"url":"#!/api/Ext.viewport.Default-method-getAutoMaximize","name":"getAutoMaximize"},{"meta":{},"fullName":"Ext.viewport.Default.getLayout","icon":"icon-method","sort":3,"url":"#!/api/Ext.viewport.Default-method-getLayout","name":"getLayout"},{"meta":{},"fullName":"Ext.viewport.Default.getOrientation","icon":"icon-method","sort":3,"url":"#!/api/Ext.viewport.Default-method-getOrientation","name":"getOrientation"},{"meta":{},"fullName":"Ext.viewport.Default.getPreventPanning","icon":"icon-method","sort":3,"url":"#!/api/Ext.viewport.Default-method-getPreventPanning","name":"getPreventPanning"},{"meta":{},"fullName":"Ext.viewport.Default.getPreventZooming","icon":"icon-method","sort":3,"url":"#!/api/Ext.viewport.Default-method-getPreventZooming","name":"getPreventZooming"},{"meta":{},"fullName":"Ext.viewport.Default.getWindowHeight","icon":"icon-method","sort":3,"url":"#!/api/Ext.viewport.Default-method-getWindowHeight","name":"getWindowHeight"},{"meta":{},"fullName":"Ext.viewport.Default.getWindowWidth","icon":"icon-method","sort":3,"url":"#!/api/Ext.viewport.Default-method-getWindowWidth","name":"getWindowWidth"},{"meta":{},"fullName":"Ext.viewport.Default.setAutoMaximize","icon":"icon-method","sort":3,"url":"#!/api/Ext.viewport.Default-method-setAutoMaximize","name":"setAutoMaximize"},{"meta":{},"fullName":"Ext.viewport.Default.setLayout","icon":"icon-method","sort":3,"url":"#!/api/Ext.viewport.Default-method-setLayout","name":"setLayout"},{"meta":{},"fullName":"Ext.viewport.Default.setPreventPanning","icon":"icon-method","sort":3,"url":"#!/api/Ext.viewport.Default-method-setPreventPanning","name":"setPreventPanning"},{"meta":{},"fullName":"Ext.viewport.Default.setPreventZooming","icon":"icon-method","sort":3,"url":"#!/api/Ext.viewport.Default-method-setPreventZooming","name":"setPreventZooming"},{"meta":{"private":true},"fullName":"Ext.viewport.Android","icon":"icon-component","sort":1,"url":"#!/api/Ext.viewport.Android","name":"Android"},{"meta":{"private":true},"fullName":"Ext.viewport.Ios","icon":"icon-component","sort":1,"url":"#!/api/Ext.viewport.Ios","name":"Ios"},{"meta":{"private":true},"fullName":"Ext.viewport.Viewport","icon":"icon-class","sort":1,"url":"#!/api/Ext.viewport.Viewport","name":"Viewport"},{"meta":{},"fullName":"Ext.Viewport","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.Viewport","name":"Viewport"},{"meta":{"private":true},"fullName":"Ext.event.recognizer.Swipe","icon":"icon-class","sort":1,"url":"#!/api/Ext.event.recognizer.Swipe","name":"Swipe"},{"meta":{"private":true},"fullName":"Ext.event.recognizer.HorizontalSwipe","icon":"icon-class","sort":1,"url":"#!/api/Ext.event.recognizer.HorizontalSwipe","name":"HorizontalSwipe"},{"meta":{"private":true},"fullName":"Ext.event.recognizer.VerticalSwipe","icon":"icon-class","sort":1,"url":"#!/api/Ext.event.recognizer.VerticalSwipe","name":"VerticalSwipe"},{"meta":{},"fullName":"Global_CSS","icon":"icon-class","sort":1,"url":"#!/api/Global_CSS","name":"Global_CSS"},{"meta":{},"fullName":"Global_CSS.$active-color","icon":"icon-css_var","sort":3,"url":"#!/api/Global_CSS-css_var-S-active-color","name":"$active-color"},{"meta":{},"fullName":"Global_CSS.$alert-color","icon":"icon-css_var","sort":3,"url":"#!/api/Global_CSS-css_var-S-alert-color","name":"$alert-color"},{"meta":{},"fullName":"Global_CSS.$base-color","icon":"icon-css_var","sort":3,"url":"#!/api/Global_CSS-css_var-S-base-color","name":"$base-color"},{"meta":{},"fullName":"Global_CSS.$base-gradient","icon":"icon-css_var","sort":3,"url":"#!/api/Global_CSS-css_var-S-base-gradient","name":"$base-gradient"},{"meta":{},"fullName":"Global_CSS.$basic-slider","icon":"icon-css_var","sort":3,"url":"#!/api/Global_CSS-css_var-S-basic-slider","name":"$basic-slider"},{"meta":{},"fullName":"Global_CSS.$confirm-color","icon":"icon-css_var","sort":3,"url":"#!/api/Global_CSS-css_var-S-confirm-color","name":"$confirm-color"},{"meta":{},"fullName":"Global_CSS.$font-family","icon":"icon-css_var","sort":3,"url":"#!/api/Global_CSS-css_var-S-font-family","name":"$font-family"},{"meta":{},"fullName":"Global_CSS.$global-row-height","icon":"icon-css_var","sort":3,"url":"#!/api/Global_CSS-css_var-S-global-row-height","name":"$global-row-height"},{"meta":{},"fullName":"Global_CSS.$include-border-radius","icon":"icon-css_var","sort":3,"url":"#!/api/Global_CSS-css_var-S-include-border-radius","name":"$include-border-radius"},{"meta":{},"fullName":"Global_CSS.$include-default-icons","icon":"icon-css_var","sort":3,"url":"#!/api/Global_CSS-css_var-S-include-default-icons","name":"$include-default-icons"},{"meta":{},"fullName":"Global_CSS.$include-default-uis","icon":"icon-css_var","sort":3,"url":"#!/api/Global_CSS-css_var-S-include-default-uis","name":"$include-default-uis"},{"meta":{},"fullName":"Global_CSS.$include-floating-panels","icon":"icon-css_var","sort":3,"url":"#!/api/Global_CSS-css_var-S-include-floating-panels","name":"$include-floating-panels"},{"meta":{},"fullName":"Global_CSS.$include-form-sliders","icon":"icon-css_var","sort":3,"url":"#!/api/Global_CSS-css_var-S-include-form-sliders","name":"$include-form-sliders"},{"meta":{},"fullName":"Global_CSS.$include-highlights","icon":"icon-css_var","sort":3,"url":"#!/api/Global_CSS-css_var-S-include-highlights","name":"$include-highlights"},{"meta":{},"fullName":"Global_CSS.$include-html-style","icon":"icon-css_var","sort":3,"url":"#!/api/Global_CSS-css_var-S-include-html-style","name":"$include-html-style"},{"meta":{},"fullName":"Global_CSS.$neutral-color","icon":"icon-css_var","sort":3,"url":"#!/api/Global_CSS-css_var-S-neutral-color","name":"$neutral-color"},{"meta":{},"fullName":"Global_CSS.$page-bg-color","icon":"icon-css_var","sort":3,"url":"#!/api/Global_CSS-css_var-S-page-bg-color","name":"$page-bg-color"},{"meta":{},"fullName":"Global_CSS.bevel-box","icon":"icon-css_mixin","sort":3,"url":"#!/api/Global_CSS-css_mixin-bevel-box","name":"bevel-box"},{"meta":{},"fullName":"Global_CSS.bevel-by-background","icon":"icon-css_mixin","sort":3,"url":"#!/api/Global_CSS-css_mixin-bevel-by-background","name":"bevel-by-background"},{"meta":{},"fullName":"Global_CSS.bevel-text","icon":"icon-css_mixin","sort":3,"url":"#!/api/Global_CSS-css_mixin-bevel-text","name":"bevel-text"},{"meta":{},"fullName":"Global_CSS.ellipsis","icon":"icon-css_mixin","sort":3,"url":"#!/api/Global_CSS-css_mixin-ellipsis","name":"ellipsis"},{"meta":{},"fullName":"Global_CSS.insertion","icon":"icon-css_mixin","sort":3,"url":"#!/api/Global_CSS-css_mixin-insertion","name":"insertion"},{"meta":{},"fullName":"Global_CSS.mask-by-background","icon":"icon-css_mixin","sort":3,"url":"#!/api/Global_CSS-css_mixin-mask-by-background","name":"mask-by-background"},{"meta":{},"fullName":"Global_CSS.pictos-iconmask","icon":"icon-css_mixin","sort":3,"url":"#!/api/Global_CSS-css_mixin-pictos-iconmask","name":"pictos-iconmask"},{"meta":{},"fullName":"Global_CSS.stretch","icon":"icon-css_mixin","sort":3,"url":"#!/api/Global_CSS-css_mixin-stretch","name":"stretch"},{"meta":{},"fullName":"Global_CSS.toolbar-button","icon":"icon-css_mixin","sort":3,"url":"#!/api/Global_CSS-css_mixin-toolbar-button","name":"toolbar-button"},{"meta":{"private":true},"fullName":"Ext.device.camera.Abstract","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.camera.Abstract","name":"Abstract"},{"meta":{},"fullName":"Ext.device.camera.Abstract.capture","icon":"icon-method","sort":3,"url":"#!/api/Ext.device.camera.Abstract-method-capture","name":"capture"},{"meta":{"private":true},"fullName":"Ext.device.camera.PhoneGap","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.camera.PhoneGap","name":"PhoneGap"},{"meta":{"private":true},"fullName":"Ext.device.camera.Sencha","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.camera.Sencha","name":"Sencha"},{"meta":{"private":true},"fullName":"Ext.device.camera.Simulator","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.camera.Simulator","name":"Simulator"},{"meta":{"aside":[{"type":"guide","name":"native_apis"}]},"fullName":"Ext.device.Camera","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.device.Camera","name":"Camera"},{"meta":{"private":true},"fullName":"Ext.device.communicator.Android","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.communicator.Android","name":"Android"},{"meta":{"private":true},"fullName":"Ext.device.communicator.Default","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.communicator.Default","name":"Default"},{"meta":{"private":true},"fullName":"Ext.device.Communicator","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.device.Communicator","name":"Communicator"},{"meta":{"private":true},"fullName":"Ext.device.connection.Abstract","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.connection.Abstract","name":"Abstract"},{"meta":{},"fullName":"Ext.device.connection.Abstract.CELL_2G","icon":"icon-property","sort":3,"url":"#!/api/Ext.device.connection.Abstract-property-CELL_2G","name":"CELL_2G"},{"meta":{},"fullName":"Ext.device.connection.Abstract.CELL_3G","icon":"icon-property","sort":3,"url":"#!/api/Ext.device.connection.Abstract-property-CELL_3G","name":"CELL_3G"},{"meta":{},"fullName":"Ext.device.connection.Abstract.CELL_4G","icon":"icon-property","sort":3,"url":"#!/api/Ext.device.connection.Abstract-property-CELL_4G","name":"CELL_4G"},{"meta":{},"fullName":"Ext.device.connection.Abstract.ETHERNET","icon":"icon-property","sort":3,"url":"#!/api/Ext.device.connection.Abstract-property-ETHERNET","name":"ETHERNET"},{"meta":{},"fullName":"Ext.device.connection.Abstract.NONE","icon":"icon-property","sort":3,"url":"#!/api/Ext.device.connection.Abstract-property-NONE","name":"NONE"},{"meta":{},"fullName":"Ext.device.connection.Abstract.UNKNOWN","icon":"icon-property","sort":3,"url":"#!/api/Ext.device.connection.Abstract-property-UNKNOWN","name":"UNKNOWN"},{"meta":{},"fullName":"Ext.device.connection.Abstract.WIFI","icon":"icon-property","sort":3,"url":"#!/api/Ext.device.connection.Abstract-property-WIFI","name":"WIFI"},{"meta":{},"fullName":"Ext.device.connection.Abstract.getType","icon":"icon-method","sort":3,"url":"#!/api/Ext.device.connection.Abstract-method-getType","name":"getType"},{"meta":{},"fullName":"Ext.device.connection.Abstract.isOnline","icon":"icon-method","sort":3,"url":"#!/api/Ext.device.connection.Abstract-method-isOnline","name":"isOnline"},{"meta":{"private":true},"fullName":"Ext.device.connection.PhoneGap","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.connection.PhoneGap","name":"PhoneGap"},{"meta":{"private":true},"fullName":"Ext.device.connection.Sencha","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.connection.Sencha","name":"Sencha"},{"meta":{},"fullName":"Ext.device.connection.Sencha.onlinechange","icon":"icon-event","sort":3,"url":"#!/api/Ext.device.connection.Sencha-event-onlinechange","name":"onlinechange"},{"meta":{"private":true},"fullName":"Ext.device.connection.Simulator","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.connection.Simulator","name":"Simulator"},{"meta":{"aside":[{"type":"guide","name":"native_apis"}]},"fullName":"Ext.device.Connection","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.device.Connection","name":"Connection"},{"meta":{},"fullName":"Ext.device.Connection.onlinechange","icon":"icon-event","sort":3,"url":"#!/api/Ext.device.Connection-event-onlinechange","name":"onlinechange"},{"meta":{"private":true},"fullName":"Ext.device.device.Abstract","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.device.Abstract","name":"Abstract"},{"meta":{},"fullName":"Ext.device.device.Abstract.name","icon":"icon-property","sort":3,"url":"#!/api/Ext.device.device.Abstract-property-name","name":"name"},{"meta":{},"fullName":"Ext.device.device.Abstract.platform","icon":"icon-property","sort":3,"url":"#!/api/Ext.device.device.Abstract-property-platform","name":"platform"},{"meta":{},"fullName":"Ext.device.device.Abstract.uuid","icon":"icon-property","sort":3,"url":"#!/api/Ext.device.device.Abstract-property-uuid","name":"uuid"},{"meta":{"private":true},"fullName":"Ext.device.device.PhoneGap","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.device.PhoneGap","name":"PhoneGap"},{"meta":{"private":true},"fullName":"Ext.device.device.Sencha","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.device.Sencha","name":"Sencha"},{"meta":{"private":true},"fullName":"Ext.device.device.Simulator","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.device.Simulator","name":"Simulator"},{"meta":{"aside":[{"type":"guide","name":"native_apis"}]},"fullName":"Ext.device.Device","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.device.Device","name":"Device"},{"meta":{"private":true},"fullName":"Ext.device.geolocation.Abstract","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.geolocation.Abstract","name":"Abstract"},{"meta":{},"fullName":"Ext.device.geolocation.Abstract.allowHighAccuracy","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.device.geolocation.Abstract-cfg-allowHighAccuracy","name":"allowHighAccuracy"},{"meta":{},"fullName":"Ext.device.geolocation.Abstract.frequency","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.device.geolocation.Abstract-cfg-frequency","name":"frequency"},{"meta":{},"fullName":"Ext.device.geolocation.Abstract.maximumAge","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.device.geolocation.Abstract-cfg-maximumAge","name":"maximumAge"},{"meta":{},"fullName":"Ext.device.geolocation.Abstract.timeout","icon":"icon-cfg","sort":3,"url":"#!/api/Ext.device.geolocation.Abstract-cfg-timeout","name":"timeout"},{"meta":{},"fullName":"Ext.device.geolocation.Abstract.clearWatch","icon":"icon-method","sort":3,"url":"#!/api/Ext.device.geolocation.Abstract-method-clearWatch","name":"clearWatch"},{"meta":{},"fullName":"Ext.device.geolocation.Abstract.getCurrentPosition","icon":"icon-method","sort":3,"url":"#!/api/Ext.device.geolocation.Abstract-method-getCurrentPosition","name":"getCurrentPosition"},{"meta":{},"fullName":"Ext.device.geolocation.Abstract.watchPosition","icon":"icon-method","sort":3,"url":"#!/api/Ext.device.geolocation.Abstract-method-watchPosition","name":"watchPosition"},{"meta":{"private":true},"fullName":"Ext.device.geolocation.Sencha","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.geolocation.Sencha","name":"Sencha"},{"meta":{"private":true},"fullName":"Ext.device.geolocation.Simulator","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.geolocation.Simulator","name":"Simulator"},{"meta":{"aside":[{"type":"guide","name":"native_apis"}]},"fullName":"Ext.device.Geolocation","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.device.Geolocation","name":"Geolocation"},{"meta":{"private":true},"fullName":"Ext.device.notification.Abstract","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.notification.Abstract","name":"Abstract"},{"meta":{},"fullName":"Ext.device.notification.Abstract.show","icon":"icon-method","sort":3,"url":"#!/api/Ext.device.notification.Abstract-method-show","name":"show"},{"meta":{},"fullName":"Ext.device.notification.Abstract.vibrate","icon":"icon-method","sort":3,"url":"#!/api/Ext.device.notification.Abstract-method-vibrate","name":"vibrate"},{"meta":{"private":true},"fullName":"Ext.device.notification.PhoneGap","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.notification.PhoneGap","name":"PhoneGap"},{"meta":{"private":true},"fullName":"Ext.device.notification.Sencha","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.notification.Sencha","name":"Sencha"},{"meta":{"private":true},"fullName":"Ext.device.notification.Simulator","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.notification.Simulator","name":"Simulator"},{"meta":{"aside":[{"type":"guide","name":"native_apis"}]},"fullName":"Ext.device.Notification","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.device.Notification","name":"Notification"},{"meta":{"private":true},"fullName":"Ext.device.orientation.Abstract","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.orientation.Abstract","name":"Abstract"},{"meta":{},"fullName":"Ext.device.orientation.Abstract.orientationchange","icon":"icon-event","sort":3,"url":"#!/api/Ext.device.orientation.Abstract-event-orientationchange","name":"orientationchange"},{"meta":{"private":true},"fullName":"Ext.device.orientation.HTML5","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.orientation.HTML5","name":"HTML5"},{"meta":{"private":true},"fullName":"Ext.device.orientation.Sencha","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.orientation.Sencha","name":"Sencha"},{"meta":{},"fullName":"Ext.device.orientation.Sencha.initialize","icon":"icon-method","sort":3,"url":"#!/api/Ext.device.orientation.Sencha-method-initialize","name":"initialize"},{"meta":{"aside":[{"type":"guide","name":"native_apis"}]},"fullName":"Ext.device.Orientation","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.device.Orientation","name":"Orientation"},{"meta":{"private":true},"fullName":"Ext.device.push.Abstract","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.push.Abstract","name":"Abstract"},{"meta":{},"fullName":"Ext.device.push.Abstract.ALERT","icon":"icon-property","sort":3,"url":"#!/api/Ext.device.push.Abstract-property-ALERT","name":"ALERT"},{"meta":{},"fullName":"Ext.device.push.Abstract.BADGE","icon":"icon-property","sort":3,"url":"#!/api/Ext.device.push.Abstract-property-BADGE","name":"BADGE"},{"meta":{},"fullName":"Ext.device.push.Abstract.SOUND","icon":"icon-property","sort":3,"url":"#!/api/Ext.device.push.Abstract-property-SOUND","name":"SOUND"},{"meta":{},"fullName":"Ext.device.push.Abstract.register","icon":"icon-method","sort":3,"url":"#!/api/Ext.device.push.Abstract-method-register","name":"register"},{"meta":{"private":true},"fullName":"Ext.device.push.Sencha","icon":"icon-class","sort":1,"url":"#!/api/Ext.device.push.Sencha","name":"Sencha"},{"meta":{"aside":[{"type":"guide","name":"native_apis"}]},"fullName":"Ext.device.Push","icon":"icon-singleton","sort":1,"url":"#!/api/Ext.device.Push","name":"Push"},{"meta":{},"fullName":"guide: Getting Started with Touch 2","icon":"icon-guide","sort":4,"url":"#!/guide/getting_started","name":"Getting Started with Touch 2"},{"meta":{},"fullName":"guide: What's new in Touch 2.0","icon":"icon-guide","sort":4,"url":"#!/guide/whats_new","name":"What's new in Touch 2.0"},{"meta":{},"fullName":"guide: Migrating from 1.x","icon":"icon-guide","sort":4,"url":"#!/guide/upgrade_1_to_2","name":"Migrating from 1.x"},{"meta":{},"fullName":"guide: Using and Creating Builds","icon":"icon-guide","sort":4,"url":"#!/guide/building","name":"Using and Creating Builds"},{"meta":{},"fullName":"guide: Sencha Command","icon":"icon-guide","sort":4,"url":"#!/guide/command","name":"Sencha Command"},{"meta":{},"fullName":"guide: Building your First App","icon":"icon-guide","sort":4,"url":"#!/guide/first_app","name":"Building your First App"},{"meta":{},"fullName":"guide: All about Applications","icon":"icon-guide","sort":4,"url":"#!/guide/apps_intro","name":"All about Applications"},{"meta":{},"fullName":"guide: Controllers","icon":"icon-guide","sort":4,"url":"#!/guide/controllers","name":"Controllers"},{"meta":{},"fullName":"guide: Views","icon":"icon-guide","sort":4,"url":"#!/guide/views","name":"Views"},{"meta":{},"fullName":"guide: Device Profiles","icon":"icon-guide","sort":4,"url":"#!/guide/profiles","name":"Device Profiles"},{"meta":{},"fullName":"guide: History Support","icon":"icon-guide","sort":4,"url":"#!/guide/history_support","name":"History Support"},{"meta":{},"fullName":"guide: Dependencies and MVC","icon":"icon-guide","sort":4,"url":"#!/guide/mvc_dependencies","name":"Dependencies and MVC"},{"meta":{},"fullName":"guide: Components","icon":"icon-guide","sort":4,"url":"#!/guide/components","name":"Components"},{"meta":{},"fullName":"guide: Layouts","icon":"icon-guide","sort":4,"url":"#!/guide/layouts","name":"Layouts"},{"meta":{},"fullName":"guide: The Class System","icon":"icon-guide","sort":4,"url":"#!/guide/class_system","name":"The Class System"},{"meta":{},"fullName":"guide: Events","icon":"icon-guide","sort":4,"url":"#!/guide/events","name":"Events"},{"meta":{},"fullName":"guide: Floating Components","icon":"icon-guide","sort":4,"url":"#!/guide/floating_components","name":"Floating Components"},{"meta":{},"fullName":"guide: Environment Detection","icon":"icon-guide","sort":4,"url":"#!/guide/environment_package","name":"Environment Detection"},{"meta":{},"fullName":"guide: Using AJAX","icon":"icon-guide","sort":4,"url":"#!/guide/ajax","name":"Using AJAX"},{"meta":{},"fullName":"guide: Theming","icon":"icon-guide","sort":4,"url":"#!/guide/theming","name":"Theming"},{"meta":{},"fullName":"guide: Using Forms","icon":"icon-guide","sort":4,"url":"#!/guide/forms","name":"Using Forms"},{"meta":{},"fullName":"guide: Using DataView","icon":"icon-guide","sort":4,"url":"#!/guide/dataview","name":"Using DataView"},{"meta":{},"fullName":"guide: Using Carousel","icon":"icon-guide","sort":4,"url":"#!/guide/carousel","name":"Using Carousel"},{"meta":{},"fullName":"guide: Using List","icon":"icon-guide","sort":4,"url":"#!/guide/list","name":"Using List"},{"meta":{},"fullName":"guide: Using TabPanel","icon":"icon-guide","sort":4,"url":"#!/guide/tabs","name":"Using TabPanel"},{"meta":{},"fullName":"guide: Using Nested List","icon":"icon-guide","sort":4,"url":"#!/guide/nested_list","name":"Using Nested List"},{"meta":{},"fullName":"guide: Using Navigation View","icon":"icon-guide","sort":4,"url":"#!/guide/navigation_view","name":"Using Navigation View"},{"meta":{},"fullName":"guide: Data Package Overview","icon":"icon-guide","sort":4,"url":"#!/guide/data","name":"Data Package Overview"},{"meta":{},"fullName":"guide: Using Models","icon":"icon-guide","sort":4,"url":"#!/guide/models","name":"Using Models"},{"meta":{},"fullName":"guide: Using Stores","icon":"icon-guide","sort":4,"url":"#!/guide/stores","name":"Using Stores"},{"meta":{},"fullName":"guide: Using Proxies","icon":"icon-guide","sort":4,"url":"#!/guide/proxies","name":"Using Proxies"},{"meta":{},"fullName":"guide: Native iOS Packaging","icon":"icon-guide","sort":4,"url":"#!/guide/native_packaging","name":"Native iOS Packaging"},{"meta":{},"fullName":"guide: Native iOS Provisioning","icon":"icon-guide","sort":4,"url":"#!/guide/native_provisioning","name":"Native iOS Provisioning"},{"meta":{},"fullName":"guide: Native Android Packaging","icon":"icon-guide","sort":4,"url":"#!/guide/native_android","name":"Native Android Packaging"},{"meta":{},"fullName":"guide: Using Native APIs","icon":"icon-guide","sort":4,"url":"#!/guide/native_apis","name":"Using Native APIs"},{"meta":{},"fullName":"video: Class System","icon":"icon-video","sort":4,"url":"#!/video/class-system","name":"Class System"},{"meta":{},"fullName":"video: Intro to List Component","icon":"icon-video","sort":4,"url":"#!/video/list","name":"Intro to List Component"},{"meta":{},"fullName":"video: Intro to Layouts","icon":"icon-video","sort":4,"url":"#!/video/layouts","name":"Intro to Layouts"},{"meta":{},"fullName":"video: Tabs and Toolbars","icon":"icon-video","sort":4,"url":"#!/video/tabs-toolbars","name":"Tabs and Toolbars"},{"meta":{},"fullName":"video: Theming Sencha Touch","icon":"icon-video","sort":4,"url":"#!/video/theming","name":"Theming Sencha Touch"},{"meta":{},"fullName":"video: MVC in Depth Part 1","icon":"icon-video","sort":4,"url":"#!/video/mvc-part-1","name":"MVC in Depth Part 1"},{"meta":{},"fullName":"video: MVC in Depth Part 2","icon":"icon-video","sort":4,"url":"#!/video/mvc-part-2","name":"MVC in Depth Part 2"},{"meta":{},"fullName":"video: Sencha Touch 2 Chrome and Kindle Fire Support","icon":"icon-video","sort":4,"url":"#!/video/phonegap-demo","name":"Sencha Touch 2 Chrome and Kindle Fire Support"},{"meta":{},"fullName":"video: Sencha Touch running on a Sony Touch TV/PC","icon":"icon-video","sort":4,"url":"#!/video/running-on-a-sony-touch-tv-pc","name":"Sencha Touch running on a Sony Touch TV/PC"},{"meta":{},"fullName":"video: Sencha Labs EventRecorder for Android","icon":"icon-video","sort":4,"url":"#!/video/eventrecorder-for-android","name":"Sencha Labs EventRecorder for Android"},{"meta":{},"fullName":"video: Migrating from Touch 1.x to 2.0","icon":"icon-video","sort":4,"url":"#!/video/migrating-from-1-to-2","name":"Migrating from Touch 1.x to 2.0"},{"meta":{},"fullName":"video: Accessing Native APIs from Touch","icon":"icon-video","sort":4,"url":"#!/video/native-apis-from-touch","name":"Accessing Native APIs from Touch"},{"meta":{},"fullName":"video: Hardware Acceleration on Mobile","icon":"icon-video","sort":4,"url":"#!/video/hardware-acceleration-for-mobile","name":"Hardware Acceleration on Mobile"},{"meta":{},"fullName":"example: Kitchen Sink","icon":"icon-example","sort":4,"url":"#!/example/kitchen-sink","name":"Kitchen Sink"},{"meta":{},"fullName":"example: The Watch List","icon":"icon-example","sort":4,"url":"#!/example/http://www.watchlistapp.com/app.html","name":"The Watch List"},{"meta":{},"fullName":"example: Jog With Friends","icon":"icon-example","sort":4,"url":"#!/example/jog-with-friends","name":"Jog With Friends"},{"meta":{},"fullName":"example: Touch Tweets","icon":"icon-example","sort":4,"url":"#!/example/twitter","name":"Touch Tweets"},{"meta":{},"fullName":"example: Kiva","icon":"icon-example","sort":4,"url":"#!/example/kiva","name":"Kiva"},{"meta":{},"fullName":"example: GeoCongress","icon":"icon-example","sort":4,"url":"#!/example/geocongress","name":"GeoCongress"},{"meta":{},"fullName":"example: O'Reilly","icon":"icon-example","sort":4,"url":"#!/example/oreilly","name":"O'Reilly"},{"meta":{},"fullName":"example: TouchStyle","icon":"icon-example","sort":4,"url":"#!/example/touchstyle/index.html","name":"TouchStyle"},{"meta":{},"fullName":"example: Audio","icon":"icon-example","sort":4,"url":"#!/example/audio","name":"Audio"},{"meta":{},"fullName":"example: Carousel","icon":"icon-example","sort":4,"url":"#!/example/carousel","name":"Carousel"},{"meta":{},"fullName":"example: Forms","icon":"icon-example","sort":4,"url":"#!/example/forms","name":"Forms"},{"meta":{},"fullName":"example: Forms (Toolbars)","icon":"icon-example","sort":4,"url":"#!/example/forms-toolbars","name":"Forms (Toolbars)"},{"meta":{},"fullName":"example: Icons","icon":"icon-example","sort":4,"url":"#!/example/icons","name":"Icons"},{"meta":{},"fullName":"example: List","icon":"icon-example","sort":4,"url":"#!/example/list","name":"List"},{"meta":{},"fullName":"example: Search List","icon":"icon-example","sort":4,"url":"#!/example/search-list","name":"Search List"},{"meta":{},"fullName":"example: Maps","icon":"icon-example","sort":4,"url":"#!/example/maps","name":"Maps"},{"meta":{},"fullName":"example: Nested List","icon":"icon-example","sort":4,"url":"#!/example/nested-list","name":"Nested List"},{"meta":{},"fullName":"example: Navigation View","icon":"icon-example","sort":4,"url":"#!/example/navigation-view","name":"Navigation View"},{"meta":{},"fullName":"example: Overlays","icon":"icon-example","sort":4,"url":"#!/example/overlays","name":"Overlays"},{"meta":{},"fullName":"example: Pickers","icon":"icon-example","sort":4,"url":"#!/example/pickers","name":"Pickers"},{"meta":{},"fullName":"example: Tabs","icon":"icon-example","sort":4,"url":"#!/example/tabs","name":"Tabs"},{"meta":{},"fullName":"example: Tabs (Bottom)","icon":"icon-example","sort":4,"url":"#!/example/tabs-bottom","name":"Tabs (Bottom)"},{"meta":{},"fullName":"example: Toolbars","icon":"icon-example","sort":4,"url":"#!/example/toolbars","name":"Toolbars"},{"meta":{},"fullName":"example: Video","icon":"icon-example","sort":4,"url":"#!/example/video","name":"Video"},{"meta":{},"fullName":"example: AJAX","icon":"icon-example","sort":4,"url":"#!/example/ajax","name":"AJAX"},{"meta":{},"fullName":"example: YQL","icon":"icon-example","sort":4,"url":"#!/example/yql","name":"YQL"},{"meta":{},"fullName":"example: Pull to Refresh & Load More","icon":"icon-example","sort":4,"url":"#!/example/pull-to-refresh-and-load-more","name":"Pull to Refresh & Load More"}],"showPrintButton":false,"videos":[{"title":"Concepts","items":[{"title":"Class System","name":"class-system","thumb":"http://b.vimeocdn.com/ts/226/999/226999489_200.jpg","id":"33437222","description":"Sencha Touch 2.0 went through a huge refactoring from the ground up with the new class system. It combines the familiar class-based programming style with the dynamic nature of JavaScript into a robust architecture which stands behind every single class written in the frameworks. This session will give you a complete picture of everything our new foundation has to offer as well as their benefits and best practices."},{"title":"Intro to List Component","name":"list","thumb":"http://b.vimeocdn.com/ts/255/531/255531831_200.jpg","id":"37212149","description":"Sencha Touch provides a list component which is ideal for presenting an index-style list of items. In this tutorial, Drew Neil (@nelstrom) walks through setting up a basic list, and shows how to add an index bar, and group items together under a marker. Also, you'll learn how to create a detail panel to reveal information about each item in the list. <br/><br/>View source code on GitHub: http://github.com/senchalearn/Presidents <br/><br/>Live demo: http://senchalearn.github.com/Presidents"},{"title":"Intro to Layouts","name":"layouts","thumb":"http://b.vimeocdn.com/ts/262/208/262208459_200.jpg","id":"38128757","description":"In Sencha Touch, the Component and Container form the basic building blocks for creating an interface. Each container can be assigned a Layout which handles the positioning of its inner items. The layouts work either by neatly arranging components to use the available space, or by showing just one component at a time and providing some way of changing the focus between them.<br/><br/>In this tutorial, we'll see each different layout type in action and see how they can be combined in any manner you can think of."},{"title":"Tabs and Toolbars","name":"tabs-toolbars","thumb":"http://b.vimeocdn.com/ts/256/911/256911897_200.jpg","id":"37399169","description":"When it comes to building a user interface with Sencha Touch, the TabPanel and Toolbar are two components that you're going to find indispensable. In this video walkthrough, Drew Neil (@nelstrom) demonstrates how to create a tabbed interface with icons, and how toolbars can be used to hold buttons, or a titlebar.<br/><br/>View source code on GitHub: http://github.com/senchalearn/Tabs-and-Toolbars <br/><br/>Live demo: http://senchalearn.github.com/Tabs-and-Toolbars/"},{"title":"Theming Sencha Touch","name":"theming","thumb":"http://b.vimeocdn.com/ts/253/367/253367967_200.jpg","id":"36917216","description":"Drew Neil (@nelstrom) describes how to theme Sencha Touch. This tutorial is perfect for beginners who want to get started customizing the interface of their Sencha Touch mobile app using CSS3 and Sass/SCSS.<br/><br/>View the source code on GitHub: github.com/senchalearn/Touch-Theming <br/><br/> View live demo: senchalearn.github.com/Touch-Theming/"},{"title":"MVC in Depth Part 1","name":"mvc-part-1","thumb":"http://b.vimeocdn.com/ts/226/012/226012142_200.jpg","id":"33311074","description":"A two-part journey through the recommended patterns for building complex, Model-View-Controller-centric applications with both Ext JS 4 and Sencha Touch."},{"title":"MVC in Depth Part 2","name":"mvc-part-2","thumb":"http://b.vimeocdn.com/ts/226/012/226012142_200.jpg","id":"33430731","description":"A two-part journey through the recommended patterns for building complex, Model-View-Controller-centric applications with both Ext JS 4 and Sencha Touch."}]},{"title":"Running on real devices","items":[{"title":"Sencha Touch 2 Chrome and Kindle Fire Support","name":"phonegap-demo","thumb":"http://b.vimeocdn.com/ts/252/178/252178871_200.jpg","id":"23358554","description":"Sencha Touch 2 Beta 3 introduces support for the new Android Chrome browser (also in beta) and the Kindle Fire device. This is live video showing the responsiveness of the framework with our Kitchen Sink demo."},{"title":"Sencha Touch running on a Sony Touch TV/PC","name":"running-on-a-sony-touch-tv-pc","thumb":"http://b.vimeocdn.com/ts/145/472/145472382_200.jpg","id":"22499845","description":"The Sencha Touch kitchen sync demo app, running on a Sony Touch TV/PC"},{"title":"Sencha Labs EventRecorder for Android","name":"eventrecorder-for-android","thumb":"http://b.vimeocdn.com/ts/132/808/132808875_200.jpg","id":"20672408","description":"The WebKit team at Sencha Inc. has created an open source tool essential to anyone doing web app development on Android mobile devices.\n\nRead more about this project on our blog: http://www.sencha.com/blog/event-recorder-for-android-web-applications/"}]},{"title":"SenchaCon 2011 Videos","items":[{"title":"Migrating from Touch 1.x to 2.0","name":"migrating-from-1-to-2","thumb":"http://b.vimeocdn.com/ts/228/336/228336217_200.jpg","id":"33609559","description":"Understand how to benefit from the latest capabilities of the Sencha Touch framework, and how to ensure your code is compatible when you upgrade."},{"title":"Accessing Native APIs from Touch","name":"native-apis-from-touch","thumb":"http://b.vimeocdn.com/ts/228/291/228291174_200.jpg","id":"33615314","description":"Learn how to use hybrid technologies like PhoneGap and NimbleKit to hook into native device capabilities, and then distribute your mobile applications into app stores and marketplaces."},{"title":"Hardware Acceleration on Mobile","name":"hardware-acceleration-for-mobile","thumb":"http://b.vimeocdn.com/ts/231/627/231627279_200.jpg","id":"34055247","description":"GPU acceleration on mobile browsers, if it is leveraged correctly, can lead to a smooth and fluid applications, thus improving the user experience. There has been a lot of mentions and best practices of hardware acceleration these days, although so far it has been pretty general and hasn’t provided much technical direction apart from simple magical advice such as “use translate3d”. This talk sheds some more light on browser interactions with the GPU and explain what happens behind the scenes, covering the topic of acceleration of primitive drawing, the use of tiled backing store, and composited layer. Knowing the actual machinery behind hardware acceleration, you will be in the position to plan your strategy to improve the performance of your web application. "}]}],"source":true,"tests":false,"classes":[{"extends":null,"icon":"icon-class","private":null,"name":"Array"},{"extends":null,"icon":"icon-class","private":null,"name":"Boolean"},{"extends":null,"icon":"icon-class","private":null,"name":"Date"},{"extends":null,"icon":"icon-class","private":null,"name":"Function"},{"extends":null,"icon":"icon-class","private":null,"name":"Number"},{"extends":null,"icon":"icon-class","private":null,"name":"Object"},{"extends":null,"icon":"icon-class","private":null,"name":"RegExp"},{"extends":null,"icon":"icon-class","private":null,"name":"String"},{"extends":null,"icon":"icon-singleton","private":null,"name":"Ext"},{"extends":null,"icon":"icon-class","private":null,"name":"Ext.Version"},{"extends":null,"icon":"icon-singleton","private":null,"name":"Ext.String"},{"extends":null,"icon":"icon-singleton","private":null,"name":"Ext.Array"},{"extends":null,"icon":"icon-singleton","private":null,"name":"Ext.Number"},{"extends":null,"icon":"icon-singleton","private":null,"name":"Ext.Object"},{"extends":null,"icon":"icon-singleton","private":null,"name":"Ext.Function"},{"extends":null,"icon":"icon-singleton","private":null,"name":"Ext.JSON"},{"extends":null,"icon":"icon-singleton","private":null,"name":"Ext.Date"},{"extends":null,"icon":"icon-class","private":null,"name":"Ext.Base"},{"extends":null,"icon":"icon-class","private":null,"name":"Ext.Class"},{"extends":null,"icon":"icon-singleton","private":null,"name":"Ext.ClassManager"},{"extends":null,"icon":"icon-singleton","private":null,"name":"Ext.Loader"},{"extends":null,"icon":"icon-singleton","private":true,"name":"Ext.EventManager"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.env.Browser"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.env.OS"},{"extends":null,"icon":"icon-class","private":null,"name":"Ext.is"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.env.Feature"},{"extends":null,"icon":"icon-class","private":null,"name":"Ext.feature.has"},{"extends":null,"icon":"icon-class","private":null,"name":"Ext.supports"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.DomQuery"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.DomHelper"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.mixin.Identifiable"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.dom.Element"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.dom.CompositeElementLite"},{"extends":"Ext.Base","icon":"icon-singleton","private":true,"name":"Ext.ComponentManager"},{"extends":null,"icon":"icon-singleton","private":null,"name":"Ext.ComponentQuery"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.XTemplateParser"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.app.Action"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.app.Route"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.app.Router"},{"extends":null,"icon":"icon-singleton","private":true,"name":"Ext.Router"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.behavior.Behavior"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.data.Error"},{"extends":"Ext.Base","icon":"icon-singleton","private":null,"name":"Ext.data.JsonP"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.data.Operation"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.data.Request"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.data.ResultSet"},{"extends":"Ext.Base","icon":"icon-singleton","private":null,"name":"Ext.data.SortTypes"},{"extends":"Ext.Base","icon":"icon-singleton","private":null,"name":"Ext.data.Types"},{"extends":"Ext.Base","icon":"icon-singleton","private":null,"name":"Ext.data.Validations"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.data.identifier.Simple"},{"extends":"Ext.data.identifier.Simple","icon":"icon-class","private":null,"name":"Ext.data.identifier.Uuid"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.data.writer.Writer"},{"extends":"Ext.data.writer.Writer","icon":"icon-class","private":null,"name":"Ext.data.writer.Xml"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.direct.RemotingMethod"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.direct.Transaction"},{"extends":"Ext.dom.CompositeElementLite","icon":"icon-class","private":null,"name":"Ext.dom.CompositeElement"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.event.Controller"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.event.Event"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.event.ListenerStack"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.event.publisher.Publisher"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.event.recognizer.Recognizer"},{"extends":"Ext.event.recognizer.Recognizer","icon":"icon-class","private":true,"name":"Ext.event.recognizer.Touch"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.fx.State"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.fx.easing.Abstract"},{"extends":"Ext.fx.easing.Abstract","icon":"icon-class","private":true,"name":"Ext.fx.easing.Bounce"},{"extends":"Ext.fx.easing.Abstract","icon":"icon-class","private":true,"name":"Ext.fx.easing.Linear"},{"extends":"Ext.fx.easing.Abstract","icon":"icon-class","private":true,"name":"Ext.fx.easing.Momentum"},{"extends":null,"icon":"icon-singleton","private":null,"name":"Ext.Logger"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.mixin.Mixin"},{"extends":"Ext.mixin.Mixin","icon":"icon-class","private":true,"name":"Ext.mixin.Selectable"},{"extends":"Ext.mixin.Mixin","icon":"icon-class","private":true,"name":"Ext.mixin.Traversable"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.util.DelayedTask"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.util.Filter"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.util.Point"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.util.Region"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.util.Sorter"},{"extends":"Ext.Base","icon":"icon-singleton","private":null,"name":"Ext.util.Inflector"},{"extends":null,"icon":"icon-singleton","private":null,"name":"Ext.Anim"},{"extends":null,"icon":"icon-singleton","private":null,"name":"Ext.anims"},{"extends":"Ext.XTemplateParser","icon":"icon-class","private":true,"name":"Ext.XTemplateCompiler"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.data.Field"},{"extends":"Ext.data.identifier.Simple","icon":"icon-class","private":null,"name":"Ext.data.identifier.Sequential"},{"extends":"Ext.data.writer.Writer","icon":"icon-class","private":null,"name":"Ext.data.writer.Json"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.event.Dispatcher"},{"extends":null,"icon":"icon-class","private":true,"name":"Ext.event.Dom"},{"extends":"Ext.event.Dom","icon":"icon-class","private":true,"name":"Ext.event.Touch"},{"extends":"Ext.event.publisher.Publisher","icon":"icon-class","private":true,"name":"Ext.event.publisher.ComponentPaint"},{"extends":"Ext.event.publisher.Publisher","icon":"icon-class","private":true,"name":"Ext.event.publisher.Dom"},{"extends":"Ext.event.publisher.Dom","icon":"icon-class","private":true,"name":"Ext.event.publisher.TouchGesture"},{"extends":"Ext.event.recognizer.Touch","icon":"icon-class","private":true,"name":"Ext.event.recognizer.MultiTouch"},{"extends":"Ext.event.recognizer.MultiTouch","icon":"icon-class","private":true,"name":"Ext.event.recognizer.Pinch"},{"extends":"Ext.event.recognizer.MultiTouch","icon":"icon-class","private":true,"name":"Ext.event.recognizer.Rotate"},{"extends":"Ext.event.recognizer.Touch","icon":"icon-class","private":true,"name":"Ext.event.recognizer.SingleTouch"},{"extends":"Ext.event.recognizer.SingleTouch","icon":"icon-class","private":true,"name":"Ext.event.recognizer.DoubleTap"},{"extends":"Ext.event.recognizer.SingleTouch","icon":"icon-class","private":true,"name":"Ext.event.recognizer.Drag"},{"extends":"Ext.event.recognizer.SingleTouch","icon":"icon-class","private":true,"name":"Ext.event.recognizer.LongPress"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.event.recognizer.Tap"},{"extends":null,"icon":"icon-singleton","private":null,"name":"Ext.DateExtras"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.fx.Easing"},{"extends":"Ext.fx.easing.Abstract","icon":"icon-class","private":true,"name":"Ext.fx.easing.BoundMomentum"},{"extends":"Ext.fx.easing.Linear","icon":"icon-class","private":true,"name":"Ext.fx.easing.EaseIn"},{"extends":"Ext.fx.easing.Linear","icon":"icon-class","private":true,"name":"Ext.fx.easing.EaseOut"},{"extends":"Ext.mixin.Mixin","icon":"icon-class","private":true,"name":"Ext.mixin.Filterable"},{"extends":"Ext.mixin.Mixin","icon":"icon-class","private":null,"name":"Ext.mixin.Observable"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.Evented"},{"extends":"Ext.Evented","icon":"icon-class","private":true,"name":"Ext.AbstractComponent"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.app.Controller"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.app.History"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.app.Profile"},{"extends":"Ext.app.Controller","icon":"icon-class","private":null,"name":"Ext.app.Application"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.data.Batch"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.data.Connection"},{"extends":"Ext.data.Connection","icon":"icon-singleton","private":null,"name":"Ext.Ajax"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.data.reader.Reader"},{"extends":"Ext.data.reader.Reader","icon":"icon-class","private":null,"name":"Ext.data.reader.Json"},{"extends":"Ext.Evented","icon":"icon-class","private":null,"name":"Ext.data.proxy.Proxy"},{"extends":"Ext.data.proxy.Proxy","icon":"icon-class","private":true,"name":"Ext.data.proxy.Client"},{"extends":"Ext.data.proxy.Client","icon":"icon-class","private":null,"name":"Ext.data.proxy.Memory"},{"extends":"Ext.data.proxy.Proxy","icon":"icon-class","private":true,"name":"Ext.data.proxy.Server"},{"extends":"Ext.data.proxy.Server","icon":"icon-class","private":null,"name":"Ext.data.proxy.JsonP"},{"extends":"Ext.data.proxy.Client","icon":"icon-class","private":true,"name":"Ext.data.proxy.WebStorage"},{"extends":"Ext.data.proxy.WebStorage","icon":"icon-class","private":null,"name":"Ext.data.proxy.LocalStorage"},{"extends":"Ext.data.proxy.WebStorage","icon":"icon-class","private":null,"name":"Ext.data.proxy.SessionStorage"},{"extends":"Ext.data.reader.Json","icon":"icon-class","private":null,"name":"Ext.data.reader.Array"},{"extends":"Ext.data.reader.Reader","icon":"icon-class","private":null,"name":"Ext.data.reader.Xml"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.direct.Provider"},{"extends":"Ext.direct.Provider","icon":"icon-class","private":null,"name":"Ext.direct.JsonProvider"},{"extends":"Ext.direct.JsonProvider","icon":"icon-class","private":null,"name":"Ext.direct.PollingProvider"},{"extends":"Ext.Evented","icon":"icon-class","private":true,"name":"Ext.fx.animation.Abstract"},{"extends":"Ext.fx.animation.Abstract","icon":"icon-class","private":true,"name":"Ext.fx.animation.Cube"},{"extends":"Ext.fx.animation.Abstract","icon":"icon-class","private":true,"name":"Ext.fx.animation.Fade"},{"extends":"Ext.fx.animation.Fade","icon":"icon-class","private":true,"name":"Ext.fx.animation.FadeOut"},{"extends":"Ext.fx.animation.Abstract","icon":"icon-class","private":true,"name":"Ext.fx.animation.Flip"},{"extends":"Ext.fx.animation.Abstract","icon":"icon-class","private":true,"name":"Ext.fx.animation.Pop"},{"extends":"Ext.fx.animation.Pop","icon":"icon-class","private":true,"name":"Ext.fx.animation.PopOut"},{"extends":"Ext.fx.animation.Abstract","icon":"icon-class","private":true,"name":"Ext.fx.animation.Slide"},{"extends":"Ext.fx.animation.Slide","icon":"icon-class","private":true,"name":"Ext.fx.animation.SlideOut"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.fx.Animation"},{"extends":"Ext.Evented","icon":"icon-class","private":true,"name":"Ext.fx.layout.card.Abstract"},{"extends":"Ext.fx.layout.card.Abstract","icon":"icon-class","private":true,"name":"Ext.fx.layout.card.Scroll"},{"extends":"Ext.fx.layout.card.Abstract","icon":"icon-class","private":true,"name":"Ext.fx.layout.card.Style"},{"extends":"Ext.fx.layout.card.Style","icon":"icon-class","private":true,"name":"Ext.fx.layout.card.Cover"},{"extends":"Ext.fx.layout.card.Style","icon":"icon-class","private":true,"name":"Ext.fx.layout.card.Cube"},{"extends":"Ext.fx.layout.card.Style","icon":"icon-class","private":true,"name":"Ext.fx.layout.card.Fade"},{"extends":"Ext.fx.layout.card.Style","icon":"icon-class","private":true,"name":"Ext.fx.layout.card.Flip"},{"extends":"Ext.fx.layout.card.Style","icon":"icon-class","private":true,"name":"Ext.fx.layout.card.Pop"},{"extends":"Ext.fx.layout.card.Style","icon":"icon-class","private":true,"name":"Ext.fx.layout.card.Reveal"},{"extends":"Ext.fx.layout.card.Style","icon":"icon-class","private":true,"name":"Ext.fx.layout.card.Slide"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.fx.layout.Card"},{"extends":"Ext.Evented","icon":"icon-class","private":true,"name":"Ext.fx.runner.Css"},{"extends":"Ext.fx.runner.Css","icon":"icon-class","private":true,"name":"Ext.fx.runner.CssTransition"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.fx.Runner"},{"extends":"Ext.Evented","icon":"icon-class","private":null,"name":"Ext.layout.Default"},{"extends":"Ext.layout.Default","icon":"icon-class","private":null,"name":"Ext.layout.AbstractBox"},{"extends":"Ext.layout.Default","icon":"icon-class","private":null,"name":"Ext.layout.Fit"},{"extends":"Ext.layout.Fit","icon":"icon-class","private":null,"name":"Ext.layout.Card"},{"extends":"Ext.layout.AbstractBox","icon":"icon-class","private":null,"name":"Ext.layout.HBox"},{"extends":"Ext.layout.AbstractBox","icon":"icon-class","private":null,"name":"Ext.layout.VBox"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.layout.Layout"},{"extends":"Ext.mixin.Mixin","icon":"icon-class","private":true,"name":"Ext.mixin.Sortable"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.util.AbstractMixedCollection"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.util.Collection"},{"extends":"Ext.util.Collection","icon":"icon-class","private":null,"name":"Ext.data.Errors"},{"extends":"Ext.util.Collection","icon":"icon-singleton","private":null,"name":"Ext.data.StoreManager"},{"extends":"Ext.Base","icon":"icon-singleton","private":null,"name":"Ext.direct.Manager"},{"extends":"Ext.data.proxy.Server","icon":"icon-class","private":null,"name":"Ext.data.proxy.Direct"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.direct.Event"},{"extends":"Ext.direct.Event","icon":"icon-class","private":null,"name":"Ext.direct.RemotingEvent"},{"extends":"Ext.direct.RemotingEvent","icon":"icon-class","private":null,"name":"Ext.direct.ExceptionEvent"},{"extends":"Ext.Base","icon":"icon-singleton","private":null,"name":"Ext.util.Format"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.Template"},{"extends":"Ext.Template","icon":"icon-class","private":null,"name":"Ext.XTemplate"},{"extends":"Ext.Evented","icon":"icon-class","private":null,"name":"Ext.util.Geolocation"},{"extends":"Ext.util.Sorter","icon":"icon-class","private":true,"name":"Ext.util.Grouper"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.util.HashMap"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.AbstractManager"},{"extends":"Ext.AbstractManager","icon":"icon-singleton","private":null,"name":"Ext.data.ModelManager"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.data.NodeInterface"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.data.association.Association"},{"extends":"Ext.data.association.Association","icon":"icon-class","private":null,"name":"Ext.data.association.BelongsTo"},{"extends":"Ext.data.association.Association","icon":"icon-class","private":null,"name":"Ext.data.association.HasMany"},{"extends":"Ext.data.association.Association","icon":"icon-class","private":null,"name":"Ext.data.association.HasOne"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.util.LineSegment"},{"extends":"Ext.Evented","icon":"icon-class","private":true,"name":"Ext.util.SizeMonitor"},{"extends":"Ext.event.publisher.Publisher","icon":"icon-class","private":true,"name":"Ext.event.publisher.ComponentSize"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.util.Sortable"},{"extends":"Ext.util.AbstractMixedCollection","icon":"icon-class","private":null,"name":"Ext.util.MixedCollection"},{"extends":"Ext.util.MixedCollection","icon":"icon-class","private":true,"name":"Ext.ItemCollection"},{"extends":"Ext.data.proxy.Server","icon":"icon-class","private":null,"name":"Ext.data.proxy.Ajax"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.data.Model"},{"extends":"Ext.Evented","icon":"icon-class","private":null,"name":"Ext.data.Store"},{"extends":"Ext.data.Store","icon":"icon-class","private":null,"name":"Ext.data.ArrayStore"},{"extends":"Ext.data.Store","icon":"icon-class","private":null,"name":"Ext.data.DirectStore"},{"extends":"Ext.data.Store","icon":"icon-class","private":true,"name":"Ext.data.JsonStore"},{"extends":"Ext.data.Store","icon":"icon-class","private":true,"name":"Ext.data.NodeStore"},{"extends":"Ext.data.NodeStore","icon":"icon-class","private":null,"name":"Ext.data.TreeStore"},{"extends":"Ext.data.proxy.Ajax","icon":"icon-class","private":null,"name":"Ext.data.proxy.Rest"},{"extends":"Ext.direct.JsonProvider","icon":"icon-class","private":null,"name":"Ext.direct.RemotingProvider"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.util.TapRepeater"},{"extends":"Ext.Evented","icon":"icon-class","private":true,"name":"Ext.util.translatable.Abstract"},{"extends":"Ext.util.translatable.Abstract","icon":"icon-class","private":true,"name":"Ext.util.translatable.CssTransform"},{"extends":"Ext.util.translatable.Abstract","icon":"icon-class","private":true,"name":"Ext.util.translatable.ScrollPosition"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.util.Translatable"},{"extends":"Ext.behavior.Behavior","icon":"icon-class","private":true,"name":"Ext.behavior.Translatable"},{"extends":"Ext.Evented","icon":"icon-class","private":null,"name":"Ext.scroll.Scroller"},{"extends":"Ext.Base","icon":"icon-class","private":null,"name":"Ext.util.Draggable"},{"extends":"Ext.behavior.Behavior","icon":"icon-class","private":true,"name":"Ext.behavior.Draggable"},{"extends":"Ext.AbstractComponent","icon":"icon-component","private":null,"name":"Ext.Component"},{"extends":"Ext.Component","icon":"icon-component","private":null,"name":"Ext.Button"},{"extends":"Ext.Component","icon":"icon-component","private":null,"name":"Ext.Decorator"},{"extends":"Ext.Component","icon":"icon-component","private":null,"name":"Ext.Img"},{"extends":"Ext.Component","icon":"icon-component","private":null,"name":"Ext.Label"},{"extends":"Ext.Component","icon":"icon-component","private":null,"name":"Ext.Map"},{"extends":"Ext.Component","icon":"icon-component","private":null,"name":"Ext.Mask"},{"extends":"Ext.Mask","icon":"icon-component","private":null,"name":"Ext.LoadMask"},{"extends":"Ext.Component","icon":"icon-component","private":true,"name":"Ext.Media"},{"extends":"Ext.Media","icon":"icon-component","private":null,"name":"Ext.Audio"},{"extends":"Ext.Component","icon":"icon-component","private":null,"name":"Ext.Spacer"},{"extends":"Ext.Component","icon":"icon-component","private":true,"name":"Ext.Title"},{"extends":"Ext.Media","icon":"icon-component","private":null,"name":"Ext.Video"},{"extends":"Ext.Component","icon":"icon-component","private":true,"name":"Ext.carousel.Indicator"},{"extends":"Ext.Decorator","icon":"icon-component","private":true,"name":"Ext.carousel.Item"},{"extends":"Ext.Component","icon":"icon-component","private":null,"name":"Ext.dataview.IndexBar"},{"extends":"Ext.Component","icon":"icon-component","private":true,"name":"Ext.dataview.ListItemHeader"},{"extends":"Ext.Component","icon":"icon-component","private":true,"name":"Ext.dataview.element.Container"},{"extends":"Ext.dataview.element.Container","icon":"icon-component","private":true,"name":"Ext.dataview.element.List"},{"extends":"Ext.event.publisher.Publisher","icon":"icon-class","private":true,"name":"Ext.event.publisher.ComponentDelegation"},{"extends":"Ext.Component","icon":"icon-component","private":true,"name":"Ext.field.Input"},{"extends":"Ext.Decorator","icon":"icon-component","private":null,"name":"Ext.field.Field"},{"extends":"Ext.field.Field","icon":"icon-component","private":null,"name":"Ext.field.Checkbox"},{"extends":"Ext.field.Checkbox","icon":"icon-component","private":null,"name":"Ext.field.Radio"},{"extends":"Ext.field.Field","icon":"icon-component","private":null,"name":"Ext.field.Text"},{"extends":"Ext.field.Text","icon":"icon-component","private":null,"name":"Ext.field.Email"},{"extends":"Ext.field.Text","icon":"icon-component","private":null,"name":"Ext.field.Hidden"},{"extends":"Ext.field.Text","icon":"icon-component","private":null,"name":"Ext.field.Number"},{"extends":"Ext.field.Text","icon":"icon-component","private":null,"name":"Ext.field.Password"},{"extends":"Ext.field.Text","icon":"icon-component","private":null,"name":"Ext.field.Search"},{"extends":"Ext.field.Number","icon":"icon-component","private":null,"name":"Ext.field.Spinner"},{"extends":"Ext.field.Input","icon":"icon-component","private":true,"name":"Ext.field.TextAreaInput"},{"extends":"Ext.field.Text","icon":"icon-component","private":null,"name":"Ext.field.TextArea"},{"extends":"Ext.field.Text","icon":"icon-component","private":null,"name":"Ext.field.Url"},{"extends":"Ext.Component","icon":"icon-component","private":null,"name":"Ext.plugin.ListPaging"},{"extends":"Ext.Component","icon":"icon-component","private":null,"name":"Ext.plugin.PullRefresh"},{"extends":"Ext.Component","icon":"icon-component","private":true,"name":"Ext.scroll.indicator.Abstract"},{"extends":"Ext.scroll.indicator.Abstract","icon":"icon-component","private":true,"name":"Ext.scroll.indicator.CssTransform"},{"extends":"Ext.scroll.indicator.Abstract","icon":"icon-component","private":true,"name":"Ext.scroll.indicator.Default"},{"extends":"Ext.scroll.indicator.Abstract","icon":"icon-component","private":true,"name":"Ext.scroll.indicator.ScrollPosition"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.scroll.Indicator"},{"extends":"Ext.Evented","icon":"icon-class","private":null,"name":"Ext.scroll.View"},{"extends":"Ext.behavior.Behavior","icon":"icon-class","private":true,"name":"Ext.behavior.Scrollable"},{"extends":"Ext.Component","icon":"icon-component","private":null,"name":"Ext.Container"},{"extends":"Ext.Container","icon":"icon-component","private":null,"name":"Ext.Panel"},{"extends":"Ext.Container","icon":"icon-component","private":null,"name":"Ext.SegmentedButton"},{"extends":"Ext.Panel","icon":"icon-component","private":null,"name":"Ext.Sheet"},{"extends":"Ext.Sheet","icon":"icon-component","private":null,"name":"Ext.ActionSheet"},{"extends":"Ext.Container","icon":"icon-component","private":null,"name":"Ext.TitleBar"},{"extends":"Ext.Container","icon":"icon-component","private":null,"name":"Ext.Toolbar"},{"extends":"Ext.Sheet","icon":"icon-component","private":null,"name":"Ext.MessageBox"},{"extends":"Ext.MessageBox","icon":"icon-singleton","private":null,"name":"Ext.Msg"},{"extends":"Ext.Container","icon":"icon-component","private":null,"name":"Ext.carousel.Carousel"},{"extends":"Ext.carousel.Carousel","icon":"icon-component","private":true,"name":"Ext.carousel.Infinite"},{"extends":"Ext.Container","icon":"icon-component","private":null,"name":"Ext.dataview.component.DataItem"},{"extends":"Ext.Container","icon":"icon-component","private":true,"name":"Ext.dataview.component.Container"},{"extends":"Ext.Container","icon":"icon-component","private":null,"name":"Ext.dataview.DataView"},{"extends":"Ext.dataview.DataView","icon":"icon-component","private":null,"name":"Ext.dataview.List"},{"extends":"Ext.Container","icon":"icon-component","private":null,"name":"Ext.dataview.NestedList"},{"extends":"Ext.Container","icon":"icon-component","private":null,"name":"Ext.form.FieldSet"},{"extends":"Ext.Panel","icon":"icon-component","private":null,"name":"Ext.form.Panel"},{"extends":"Ext.TitleBar","icon":"icon-component","private":true,"name":"Ext.navigation.Bar"},{"extends":"Ext.Container","icon":"icon-component","private":null,"name":"Ext.navigation.View"},{"extends":"Ext.dataview.DataView","icon":"icon-component","private":true,"name":"Ext.picker.Slot"},{"extends":"Ext.Sheet","icon":"icon-component","private":null,"name":"Ext.picker.Picker"},{"extends":"Ext.field.Text","icon":"icon-component","private":null,"name":"Ext.field.Select"},{"extends":"Ext.picker.Picker","icon":"icon-component","private":null,"name":"Ext.picker.Date"},{"extends":"Ext.field.Text","icon":"icon-component","private":null,"name":"Ext.field.DatePicker"},{"extends":"Ext.Component","icon":"icon-component","private":true,"name":"Ext.slider.Thumb"},{"extends":"Ext.Container","icon":"icon-component","private":true,"name":"Ext.slider.Slider"},{"extends":"Ext.field.Field","icon":"icon-component","private":null,"name":"Ext.field.Slider"},{"extends":"Ext.slider.Slider","icon":"icon-component","private":true,"name":"Ext.slider.Toggle"},{"extends":"Ext.field.Slider","icon":"icon-component","private":null,"name":"Ext.field.Toggle"},{"extends":"Ext.Button","icon":"icon-component","private":true,"name":"Ext.tab.Tab"},{"extends":"Ext.Toolbar","icon":"icon-component","private":true,"name":"Ext.tab.Bar"},{"extends":"Ext.Container","icon":"icon-component","private":null,"name":"Ext.tab.Panel"},{"extends":"Ext.Container","icon":"icon-component","private":true,"name":"Ext.viewport.Default"},{"extends":"Ext.viewport.Default","icon":"icon-component","private":true,"name":"Ext.viewport.Android"},{"extends":"Ext.viewport.Default","icon":"icon-component","private":true,"name":"Ext.viewport.Ios"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.viewport.Viewport"},{"extends":"Ext.viewport.Default","icon":"icon-singleton","private":null,"name":"Ext.Viewport"},{"extends":"Ext.event.recognizer.SingleTouch","icon":"icon-class","private":true,"name":"Ext.event.recognizer.Swipe"},{"extends":"Ext.event.recognizer.Swipe","icon":"icon-class","private":true,"name":"Ext.event.recognizer.HorizontalSwipe"},{"extends":"Ext.event.recognizer.Swipe","icon":"icon-class","private":true,"name":"Ext.event.recognizer.VerticalSwipe"},{"extends":null,"icon":"icon-class","private":null,"name":"Global_CSS"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.device.camera.Abstract"},{"extends":"Ext.device.camera.Abstract","icon":"icon-class","private":true,"name":"Ext.device.camera.PhoneGap"},{"extends":"Ext.device.camera.Abstract","icon":"icon-class","private":true,"name":"Ext.device.camera.Sencha"},{"extends":"Ext.device.camera.Abstract","icon":"icon-class","private":true,"name":"Ext.device.camera.Simulator"},{"extends":"Ext.Base","icon":"icon-singleton","private":null,"name":"Ext.device.Camera"},{"extends":"Ext.device.communicator.Default","icon":"icon-class","private":true,"name":"Ext.device.communicator.Android"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.device.communicator.Default"},{"extends":"Ext.Base","icon":"icon-singleton","private":true,"name":"Ext.device.Communicator"},{"extends":"Ext.Evented","icon":"icon-class","private":true,"name":"Ext.device.connection.Abstract"},{"extends":"Ext.device.connection.Abstract","icon":"icon-class","private":true,"name":"Ext.device.connection.PhoneGap"},{"extends":"Ext.device.connection.Abstract","icon":"icon-class","private":true,"name":"Ext.device.connection.Sencha"},{"extends":"Ext.device.connection.Abstract","icon":"icon-class","private":true,"name":"Ext.device.connection.Simulator"},{"extends":"Ext.Base","icon":"icon-singleton","private":null,"name":"Ext.device.Connection"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.device.device.Abstract"},{"extends":"Ext.device.device.Abstract","icon":"icon-class","private":true,"name":"Ext.device.device.PhoneGap"},{"extends":"Ext.device.device.Abstract","icon":"icon-class","private":true,"name":"Ext.device.device.Sencha"},{"extends":"Ext.device.device.Abstract","icon":"icon-class","private":true,"name":"Ext.device.device.Simulator"},{"extends":"Ext.Base","icon":"icon-singleton","private":null,"name":"Ext.device.Device"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.device.geolocation.Abstract"},{"extends":"Ext.device.geolocation.Abstract","icon":"icon-class","private":true,"name":"Ext.device.geolocation.Sencha"},{"extends":"Ext.device.geolocation.Abstract","icon":"icon-class","private":true,"name":"Ext.device.geolocation.Simulator"},{"extends":"Ext.Base","icon":"icon-singleton","private":null,"name":"Ext.device.Geolocation"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.device.notification.Abstract"},{"extends":"Ext.device.notification.Abstract","icon":"icon-class","private":true,"name":"Ext.device.notification.PhoneGap"},{"extends":"Ext.device.notification.Abstract","icon":"icon-class","private":true,"name":"Ext.device.notification.Sencha"},{"extends":"Ext.device.notification.Abstract","icon":"icon-class","private":true,"name":"Ext.device.notification.Simulator"},{"extends":"Ext.Base","icon":"icon-singleton","private":null,"name":"Ext.device.Notification"},{"extends":"Ext.EventedBase","icon":"icon-class","private":true,"name":"Ext.device.orientation.Abstract"},{"extends":"Ext.device.orientation.Abstract","icon":"icon-class","private":true,"name":"Ext.device.orientation.HTML5"},{"extends":"Ext.device.orientation.Abstract","icon":"icon-class","private":true,"name":"Ext.device.orientation.Sencha"},{"extends":"Ext.Base","icon":"icon-singleton","private":null,"name":"Ext.device.Orientation"},{"extends":"Ext.Base","icon":"icon-class","private":true,"name":"Ext.device.push.Abstract"},{"extends":"Ext.device.push.Abstract","icon":"icon-class","private":true,"name":"Ext.device.push.Sencha"},{"extends":"Ext.Base","icon":"icon-singleton","private":null,"name":"Ext.device.Push"}],"signatures":[{"long":"abstract","key":"abstract","short":"ABS"},{"long":"deprecated","key":"deprecated","short":"DEP"},{"long":"preventable","key":"preventable","short":"PREV"},{"long":"private","key":"private","short":"PRI"},{"long":"protected","key":"protected","short":"PRO"},{"long":"readonly","key":"readonly","short":"R O"},{"long":"removed","key":"removed","short":"REM"},{"long":"required","key":"required","short":"REQ"},{"long":"static","key":"static","short":"STA"},{"long":"template","key":"template","short":"TMP"}],"stats":[],"touchExamplesUi":true}};
